def acl_mirror_source_create(self, source=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type source: src_interface_type, src_interface_name, destination, dst_interface_type, dst_interface_name
    :param source: Keyword argument tuple.

    :type src_interface_type: unicode
    :param src_interface_type: **source** tuple argument.

        * enumeration restriction: ::

            ['ethernet']

    :type src_interface_name: unicode
    :param src_interface_name: **source** tuple argument.

        * pattern restriction: ::

            '((([0-9]|1[0-6])/([1-9]|[1-9][0-9])(:[1-4])?)|(['
            '1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-'
            '1][0-4]{2}))'

    :type destination: unicode
    :param destination: **source** tuple argument.

        * enumeration restriction: ::

            ['destination']

    :type dst_interface_type: unicode
    :param dst_interface_type: **source** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type dst_interface_name: unicode
    :param dst_interface_name: **source** tuple argument.

        * pattern restriction: ::

            '((([0-9]|1[0-6])/([1-9]|[1-9][0-9])(:[1-4])?)|(['
            '1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5][0-9]{3}|6[0-'
            '1][0-4]{2}))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_mirror.source', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'source', 'keyval': 'src_interface_type, src_interface_name, destination, dst_interface_type, dst_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, source=source)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_create(self, vxlan_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vxlan_acl', 'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def acl_state_vxlan_acl_extended_data_create(self, vxlan_acl=None, extended_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, transit_name=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vxlan_acl: overlay_acl_tr_name
    :param vxlan_acl: Keyword argument tuple.

    :type overlay_acl_tr_name: unicode
    :param overlay_acl_tr_name: **vxlan_acl** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_vtep_ip: unicode
    :param src_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type vni: unicode
    :param vni: Keyword argument.

    :type vni_mask: unicode
    :param vni_mask: Keyword argument.

    :type native_tag: unicode
    :param native_tag: Keyword argument.

    :type dst_ip: unicode
    :param dst_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_ip_mask: int
    :param dst_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_ip: unicode
    :param src_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_mask: int
    :param src_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type dst_port: int
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_port: int
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type transit_name: unicode
    :param transit_name: Keyword argument.

    :type sflow: YANGBool
    :param sflow: Keyword argument.

    :type redir_interface: unicode
    :param redir_interface: Keyword argument.

    :type mirror_interface: unicode
    :param mirror_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl', u'vxlan_acl')]
    bindings_list = [('pybind.slxos.v16r_1_00b.acl_state.vxlan_acl.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'overlay_acl_tr_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vxlan_acl=vxlan_acl, extended_data=extended_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_create(self, adj_neighbor=None, adj_state_change_time=None, adj_type=None, adj_state=None, circuit_intf_name=None, snpa=None, adj_holding_time=None, adj_priority=None, adj_mtprot=None, adj_prot=None, remaining_time=None, adj_3way_state=None, host_name=None, adj_lan_name=None, adj_lan_id=None, adj_p2p_circ_id=None, adj_num_adds=None, adj_use=None, ip_circuit_id=None, adj_address=None, ip6_circuit_id=None, adj_ip6_address=None, bfd_holdover_interval=None, adj_bfd_holdover_time=None, bfd_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Argument(s)**:

    :type adj_state_change_time: long
    :param adj_state_change_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_type: unicode
    :param adj_type: Keyword argument.

        * enumeration restriction: ::

            ['is-adj-ptpt',
            'is-adj-l1',
            'is-adj-l2',
            'is-adj-es',
            'is-adj-unknown',
            'is-adj-stct']

    :type adj_state: unicode
    :param adj_state: Keyword argument.

    :type circuit_intf_name: unicode
    :param circuit_intf_name: Keyword argument.

    :type snpa: unicode
    :param snpa: Keyword argument.

    :type adj_holding_time: int
    :param adj_holding_time: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type adj_priority: int
    :param adj_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type adj_mtprot: unicode
    :param adj_mtprot: Keyword argument.

        * enumeration restriction: ::

            ['adj-mtprot-unknow',
            'adj-prot-ip',
            'adj-prot-ip6',
            'adj-prot-ipx',
            'adj-prot-osi']

    :type adj_prot: unicode
    :param adj_prot: Keyword argument.

        * enumeration restriction: ::

            ['adj-mtprot-unknow',
            'adj-prot-ip',
            'adj-prot-ip6',
            'adj-prot-ipx',
            'adj-prot-osi']

    :type remaining_time: long
    :param remaining_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_3way_state: unicode
    :param adj_3way_state: Keyword argument.

        * enumeration restriction: ::

            ['adj-3way-state-init',
            'adj-3way-state-accept',
            'adj-3way-state-down',
            'adj-3way-state-invalid',
            'adj-3way-state-up']

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type adj_lan_name: unicode
    :param adj_lan_name: Keyword argument.

    :type adj_lan_id: int
    :param adj_lan_id: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type adj_p2p_circ_id: long
    :param adj_p2p_circ_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_num_adds: int
    :param adj_num_adds: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type adj_use: unicode
    :param adj_use: Keyword argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    :type ip_circuit_id: long
    :param ip_circuit_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_address: unicode
    :param adj_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ip6_circuit_id: long
    :param ip6_circuit_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_ip6_address: unicode
    :param adj_ip6_address: Keyword argument.

    :type bfd_holdover_interval: int
    :param bfd_holdover_interval: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type adj_bfd_holdover_time: int
    :param adj_bfd_holdover_time: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type bfd_state: unicode
    :param bfd_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'adj_neighbor', 'keyval': 'neighbor_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_state_change_time=adj_state_change_time, adj_type=adj_type, adj_state=adj_state, circuit_intf_name=circuit_intf_name, snpa=snpa, adj_holding_time=adj_holding_time, adj_priority=adj_priority, adj_mtprot=adj_mtprot, adj_prot=adj_prot, remaining_time=remaining_time, adj_3way_state=adj_3way_state, host_name=host_name, adj_lan_name=adj_lan_name, adj_lan_id=adj_lan_id, adj_p2p_circ_id=adj_p2p_circ_id, adj_num_adds=adj_num_adds, adj_use=adj_use, ip_circuit_id=ip_circuit_id, adj_address=adj_address, ip6_circuit_id=ip6_circuit_id, adj_ip6_address=adj_ip6_address, bfd_holdover_interval=bfd_holdover_interval, adj_bfd_holdover_time=adj_bfd_holdover_time, bfd_state=bfd_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def adj_neighbor_entries_state_adj_neighbor_adj_area_create(self, adj_neighbor=None, adj_area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type adj_neighbor: neighbor_id
    :param adj_neighbor: Keyword argument tuple.

    :type neighbor_id: unicode
    :param neighbor_id: **adj_neighbor** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type adj_area: adj_asi_area_name
    :param adj_area: Keyword argument tuple.

    :type adj_asi_area_name: unicode
    :param adj_asi_area_name: **adj_area** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor', u'adj_neighbor')]
    bindings_list = [('pybind.slxos.v16r_1_00b.adj_neighbor_entries_state.adj_neighbor.adj_area', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'neighbor_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'adj_area', 'keyval': 'adj_asi_area_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, adj_neighbor=adj_neighbor, adj_area=adj_area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def alias_config_alias_create(self, alias=None, expansion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type alias: name
    :param alias: Keyword argument tuple.

    :type name: unicode
    :param name: **alias** tuple argument.

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type expansion: unicode
    :param expansion: Keyword argument.

        * length restriction: ::

            ['1..1023']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.alias_config.alias', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.alias_config.alias', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.alias_config.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alias=alias, expansion=expansion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def alias_config_user_create(self, user=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type user: name
    :param user: Keyword argument tuple.

    :type name: unicode
    :param name: **user** tuple argument.

        * length restriction: ::

            ['1..40']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.alias_config.user', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.alias_config.user', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.alias_config.user', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def alias_config_user_alias_create(self, user=None, alias=None, expansion=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type user: name
    :param user: Keyword argument tuple.

    :type name: unicode
    :param name: **user** tuple argument.

        * length restriction: ::

            ['1..40']

    **Instance Keyword Argument Tuple**:

    :type alias: name
    :param alias: Keyword argument tuple.

    :type name: unicode
    :param name: **alias** tuple argument.

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type expansion: unicode
    :param expansion: Keyword argument.

        * length restriction: ::

            ['1..1023']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.alias_config.user', u'user'), ('pybind.nos.v7_1_0.alias_config.user', u'user'), ('pybind.nos.v7_0_1b.alias_config.user', u'user'), ('pybind.nos.v6_0_2c.alias_config.user', u'user')]
    bindings_list = [('pybind.nos.v6_0_2c.alias_config.user.alias', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.alias_config.user.alias', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.alias_config.user.alias', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.alias_config.user.alias', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, alias=alias, expansion=expansion)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_create(self, arp_entry=None, mac_address_value=None, interfacename=None, GigabitEthernet=None, TenGigabitEthernet=None, FortyGigabitEthernet=None, HundredGigabitEthernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mac_address_value: unicode
    :param mac_address_value: **arp_entry** tuple argument.

    :type interfacename: unicode
    :param interfacename: **arp_entry** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: **arp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_arp_holder.arp_entry', 'pybind.nos.v6_0_2c.brocade_arp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_arp_holder.arp_entry', 'pybind.nos.v7_0_1b.brocade_arp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_arp_holder.arp_entry', 'pybind.nos.v7_1_0.brocade_arp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_arp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.hide_arp_holder.arp_entry": {"mac_address_value": "mac_address_value", "interfacename": "interfacename", "FortyGigabitEthernet": "FortyGigabitEthernet", "GigabitEthernet": "GigabitEthernet", "TenGigabitEthernet": "TenGigabitEthernet", "arp_ip_address": "arp_ip_address", "HundredGigabitEthernet": "HundredGigabitEthernet", "Ve": "Ve"}, "pybind.slxos.v16r_1_00b.arp_entry": {}, "pybind.nos.v7_1_0.hide_arp_holder.arp_entry": {}, "pybind.nos.v7_0_1b.hide_arp_holder.arp_entry": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_access_list_create(self, access_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type access_list: acl_name
    :param access_list: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **access_list** tuple argument:  <WORD:1-62>;;Name of ARP access-list

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.arp.access_list', 'pybind.nos.v6_0_2c.brocade_dai', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.arp.access_list', 'pybind.nos.v7_0_1b.brocade_dai', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.arp.access_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, access_list=access_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def arp_access_list_permit_ip_create(self, access_list=None, permit_list=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type access_list: acl_name
    :param access_list: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **access_list** tuple argument:  <WORD:1-62>;;Name of ARP access-list

        * length restriction: ::

            ['1..62']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,61})'

    **Instance Keyword Argument Tuple**:

    :type permit_list: ip_type, host_ip, mac_type, host_mac, log
    :param permit_list: Keyword argument tuple.

    :type ip_type: unicode
    :param ip_type: **permit_list** tuple argument.

        * enumeration restriction: ::

            ['host']

    :type host_ip: unicode
    :param host_ip: **permit_list** tuple argument:  IPv4Address;;Source IPv4 Address A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mac_type: unicode
    :param mac_type: **permit_list** tuple argument:  MAC address

        * enumeration restriction: ::

            ['host']

    :type host_mac: unicode
    :param host_mac: **permit_list** tuple argument:  MACADDRESS;;Mac address in HHHH.HHHH.HHHH format.

    :type log: YANGBool
    :param log: **permit_list** tuple argument:  Log packet

    **Instance Argument(s)**:

    :type log: YANGBool
    :param log: Log packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.arp.access_list', u'access_list'), ('pybind.nos.v7_0_1b.arp.access_list', u'access_list'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list', u'access_list'), ('pybind.nos.v6_0_2c.arp.access_list', u'access_list')]
    bindings_list = [('pybind.nos.v6_0_2c.arp.access_list.permit.permit_list', 'pybind.nos.v6_0_2c.brocade_dai', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.arp.access_list.permit.permit_list', 'pybind.nos.v7_0_1b.brocade_dai', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.arp.access_list.permit.permit_list', 'pybind.nos.v7_1_0.brocade_dai', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dai_config.arp.access_list.permit.permit_list', 'pybind.slxos.v16r_1_00b.brocade_dai', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}, {'keyval': 'acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'permit_list', 'keyval': 'ip_type, host_ip, mac_type, host_mac', 'extra_keyval': 'ip_type, host_ip, mac_type, host_mac, log'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, access_list=access_list, permit_list=permit_list, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_create(self, bd_vc_peer_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bd_vc_peer_state', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_create(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_peer_state=None, vc_peer_uptime=None, vc_peer_load_balance=None, vc_peer_cos_enabled=None, vc_peer_cos_value=None, vc_ldp_tnnl_in_use=None, vc_local_label=None, vc_remote_label=None, vc_local_mtu=None, vc_remote_mtu=None, vc_local_type=None, vc_remote_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type vc_peer_state: unicode
    :param vc_peer_state: Keyword argument.

    :type vc_peer_uptime: unicode
    :param vc_peer_uptime: Keyword argument.

    :type vc_peer_load_balance: YANGBool
    :param vc_peer_load_balance: Keyword argument.

    :type vc_peer_cos_enabled: YANGBool
    :param vc_peer_cos_enabled: Keyword argument.

    :type vc_peer_cos_value: int
    :param vc_peer_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_ldp_tnnl_in_use: unicode
    :param vc_ldp_tnnl_in_use: Keyword argument.

    :type vc_local_label: long
    :param vc_local_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_label: long
    :param vc_remote_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_local_mtu: long
    :param vc_local_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_mtu: long
    :param vc_remote_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_local_type: long
    :param vc_local_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_type: long
    :param vc_remote_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bd_vc_peer_data', 'keyval': 'vc_peer_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_peer_state=vc_peer_state, vc_peer_uptime=vc_peer_uptime, vc_peer_load_balance=vc_peer_load_balance, vc_peer_cos_enabled=vc_peer_cos_enabled, vc_peer_cos_value=vc_peer_cos_value, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use, vc_local_label=vc_local_label, vc_remote_label=vc_remote_label, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_local_type=vc_local_type, vc_remote_type=vc_remote_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_assigned_lsp_create(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_assigned_lsp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type vc_assigned_lsp: vc_lsp_name
    :param vc_assigned_lsp: Keyword argument tuple.

    :type vc_lsp_name: unicode
    :param vc_lsp_name: **vc_assigned_lsp** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_assigned_lsp', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_assigned_lsp', 'keyval': 'vc_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_assigned_lsp=vc_assigned_lsp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bd_vc_peer_state_bd_vc_peer_data_vc_proto_tnnl_create(self, bd_vc_peer_state=None, bd_vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_tunnel_id=None, vc_ldp_name=None, vc_lsp_name=None, vc_peer_lsp_cos_enabled=None, vc_peer_lsp_cos_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bd_vc_peer_state: vc_id
    :param bd_vc_peer_state: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **bd_vc_peer_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bd_vc_peer_data: vc_peer_address
    :param bd_vc_peer_data: Keyword argument tuple.

    :type vc_peer_address: unicode
    :param vc_peer_address: **bd_vc_peer_data** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_ldp_tunnel_id: long
    :param vc_ldp_tunnel_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_ldp_name: unicode
    :param vc_ldp_name: Keyword argument.

    :type vc_lsp_name: unicode
    :param vc_lsp_name: Keyword argument.

    :type vc_peer_lsp_cos_enabled: YANGBool
    :param vc_peer_lsp_cos_enabled: Keyword argument.

    :type vc_peer_lsp_cos_value: int
    :param vc_peer_lsp_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state', 'bd_vc_peer_state'), ('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data', u'bd_vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bd_vc_peer_state.bd_vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}, {'keyval': 'vc_peer_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bd_vc_peer_state=bd_vc_peer_state, bd_vc_peer_data=bd_vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id, vc_ldp_name=vc_ldp_name, vc_lsp_name=vc_lsp_name, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_create(self, bridge_domain=None, vc_id_num=None, statistics=None, pw_profile_name=None, bpdu_drop_enable=None, local_switching=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Argument(s)**:

    :type vc_id_num: long
    :param vc_id_num: VC Id under the VPLS Instance

        * range restriction: ::

            ['0..4294967295']

    :type statistics: YANGBool
    :param statistics: Configure Statistics

    :type pw_profile_name: unicode
    :param pw_profile_name: Pw-profile name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type bpdu_drop_enable: YANGBool
    :param bpdu_drop_enable: Drop BPDU packets

    :type local_switching: YANGBool
    :param local_switching: Configure local switching

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain', 'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, vc_id_num=vc_id_num, statistics=statistics, pw_profile_name=pw_profile_name, bpdu_drop_enable=bpdu_drop_enable, local_switching=local_switching)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_logical_interface_ethernet_create(self, bridge_domain=None, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Keyword Argument Tuple**:

    :type ethernet: lif_bind_id
    :param ethernet: Keyword argument tuple.

    :type lif_bind_id: unicode
    :param lif_bind_id: **ethernet** tuple argument:  Instance ID of the LIF to bind

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.logical_interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ethernet', 'keyval': 'lif_bind_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_logical_interface_port_channel_create(self, bridge_domain=None, port_channel=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Keyword Argument Tuple**:

    :type port_channel: pc_lif_bind_id
    :param port_channel: Keyword argument tuple.

    :type pc_lif_bind_id: unicode
    :param pc_lif_bind_id: **port_channel** tuple argument:  Instance ID of the port-channel LIF to bind

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.logical_interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'pc_lif_bind_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, port_channel=port_channel)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_mac_state_create(self, bridge_domain_mac_state=None, no_of_mac=None, no_of_static_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_mac_state: bd_id
    :param bridge_domain_mac_state: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_mac_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_of_mac: long
    :param no_of_mac: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_of_static_mac: long
    :param no_of_static_mac: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_mac_state', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'bridge_domain_mac_state', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_mac_state=bridge_domain_mac_state, no_of_mac=no_of_mac, no_of_static_mac=no_of_static_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_peer_create(self, bridge_domain=None, peer=None, load_balance=None, cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain: bridge_domain_id, bridge_domain_type
    :param bridge_domain: Keyword argument tuple.

    :type bridge_domain_id: long
    :param bridge_domain_id: **bridge_domain** tuple argument:  Bridge-domain ID.

        * range restriction: ::

            ['0..4294967295']

    :type bridge_domain_type: unicode
    :param bridge_domain_type: **bridge_domain** tuple argument:  Set the Bridge Domain Type

        * enumeration restriction: ::

            ['p2mp', 'p2p']

    **Instance Keyword Argument Tuple**:

    :type peer: peer_ip, load_balance, cos
    :param peer: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **peer** tuple argument:  PW Peer Ip for remote peer

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type load_balance: YANGBool
    :param load_balance: **peer** tuple argument:  load balance

    :type cos: long
    :param cos: **peer** tuple argument:  cos value

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type load_balance: YANGBool
    :param load_balance: load balance

    :type cos: long
    :param cos: cos value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain', 'bridge_domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain.peer', 'pybind.slxos.v16r_1_00b.brocade_bridge_domain', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bridge_domain_id, bridge_domain_type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': 'peer_ip, load_balance, cos'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain=bridge_domain, peer=peer, load_balance=load_balance, cos=cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_create(self, bridge_domain_list=None, vc_id=None, active_ac_lif_count=None, config_ac_lif_count=None, active_vfi_lif_count=None, config_vfi_lif_count=None, local_switching=None, block_bpdu=None, bd_type=None, ve_ifindex=None, pw_profile=None, mac_limit=None, statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type active_ac_lif_count: int
    :param active_ac_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type config_ac_lif_count: int
    :param config_ac_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type active_vfi_lif_count: int
    :param active_vfi_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type config_vfi_lif_count: int
    :param config_vfi_lif_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type local_switching: YANGBool
    :param local_switching: Keyword argument.

    :type block_bpdu: YANGBool
    :param block_bpdu: Keyword argument.

    :type bd_type: int
    :param bd_type: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type ve_ifindex: long
    :param ve_ifindex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pw_profile: unicode
    :param pw_profile: Keyword argument.

    :type mac_limit: int
    :param mac_limit: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type statistics: YANGBool
    :param statistics: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_list', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, vc_id=vc_id, active_ac_lif_count=active_ac_lif_count, config_ac_lif_count=config_ac_lif_count, active_vfi_lif_count=active_vfi_lif_count, config_vfi_lif_count=config_vfi_lif_count, local_switching=local_switching, block_bpdu=block_bpdu, bd_type=bd_type, ve_ifindex=ve_ifindex, pw_profile=pw_profile, mac_limit=mac_limit, statistics=statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_create(self, bridge_domain_list=None, outer_vlan_list=None, no_of_up_tagged_ports=None, no_of_up_untagged_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type no_of_up_tagged_ports: long
    :param no_of_up_tagged_ports: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type no_of_up_untagged_ports: long
    :param no_of_up_untagged_ports: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'outer_vlan_list', 'keyval': 'outer_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, no_of_up_tagged_ports=no_of_up_tagged_ports, no_of_up_untagged_ports=no_of_up_untagged_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_tagged_ports_list_create(self, bridge_domain_list=None, outer_vlan_list=None, tagged_ports_list=None, lif_ifindex=None, outer_vlan=None, inner_vlan=None, flags=None, ivid=None, encap_id=None, ingress_stats_id=None, egress_stats_id=None, op_state=None, service_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type tagged_ports_list: lif_name
    :param tagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **tagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type lif_ifindex: long
    :param lif_ifindex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan: long
    :param outer_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type inner_vlan: long
    :param inner_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flags: long
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ivid: long
    :param ivid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type encap_id: long
    :param encap_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ingress_stats_id: long
    :param ingress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type egress_stats_id: long
    :param egress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type op_state: YANGBool
    :param op_state: Keyword argument.

    :type service_instance: long
    :param service_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.tagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, tagged_ports_list=tagged_ports_list, lif_ifindex=lif_ifindex, outer_vlan=outer_vlan, inner_vlan=inner_vlan, flags=flags, ivid=ivid, encap_id=encap_id, ingress_stats_id=ingress_stats_id, egress_stats_id=egress_stats_id, op_state=op_state, service_instance=service_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def bridge_domain_state_bridge_domain_list_outer_vlan_list_untagged_ports_list_create(self, bridge_domain_list=None, outer_vlan_list=None, untagged_ports_list=None, lif_ifindex=None, outer_vlan=None, flags=None, ivid=None, encap_id=None, ingress_stats_id=None, egress_stats_id=None, op_state=None, service_instance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_list: bd_id
    :param bridge_domain_list: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan_list: outer_vlan
    :param outer_vlan_list: Keyword argument tuple.

    :type outer_vlan: long
    :param outer_vlan: **outer_vlan_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type untagged_ports_list: lif_name
    :param untagged_ports_list: Keyword argument tuple.

    :type lif_name: unicode
    :param lif_name: **untagged_ports_list** tuple argument.

    **Instance Argument(s)**:

    :type lif_ifindex: long
    :param lif_ifindex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type outer_vlan: long
    :param outer_vlan: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flags: long
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ivid: long
    :param ivid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type encap_id: long
    :param encap_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ingress_stats_id: long
    :param ingress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type egress_stats_id: long
    :param egress_stats_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type op_state: YANGBool
    :param op_state: Keyword argument.

    :type service_instance: long
    :param service_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list', u'bridge_domain_list'), ('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list', u'outer_vlan_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.bridge_domain_state.bridge_domain_list.outer_vlan_list.untagged_ports_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}, {'keyval': 'outer_vlan', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'untagged_ports_list', 'keyval': 'lif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_list=bridge_domain_list, outer_vlan_list=outer_vlan_list, untagged_ports_list=untagged_ports_list, lif_ifindex=lif_ifindex, outer_vlan=outer_vlan, flags=flags, ivid=ivid, encap_id=encap_id, ingress_stats_id=ingress_stats_id, egress_stats_id=egress_stats_id, op_state=op_state, service_instance=service_instance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_create(self, cee_map=None, precedence=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type precedence: long
    :param precedence:  Precedence value

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.cee_map', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cee_map', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, precedence=precedence)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cee_map_priority_group_table_create(self, cee_map=None, priority_group_table=None, weight=None, pfc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cee_map: name
    :param cee_map: Keyword argument tuple.

    :type name: unicode
    :param name: **cee_map** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Keyword Argument Tuple**:

    :type priority_group_table: PGID, weight, pfc
    :param priority_group_table: Keyword argument tuple.

    :type PGID: unicode
    :param PGID: **priority_group_table** tuple argument:  ;; Configure Priority Group (PGID 0-7,15.0-15.7)

        * pattern restriction: ::

            '[0-7]|15.[0-7]'

    :type weight: long
    :param weight: **priority_group_table** tuple argument:  Configure DWRR Priority Group (PGID 0-7) weight

        * range restriction: ::

            ['-2147483648..2147483647']

    :type pfc: unicode
    :param pfc: **priority_group_table** tuple argument:   Per-priority Flow Control

        * enumeration restriction: ::

            ['on', 'off']

    **Instance Argument(s)**:

    :type weight: long
    :param weight: Configure DWRR Priority Group (PGID 0-7) weight

        * range restriction: ::

            ['-2147483648..2147483647']

    :type pfc: unicode
    :param pfc:  Per-priority Flow Control

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.cee_map', 'cee_map'), ('pybind.nos.v7_0_1b.cee_map', 'cee_map'), ('pybind.slxos.v16r_1_00b.cee_map', 'cee_map'), ('pybind.nos.v6_0_2c.cee_map', 'cee_map')]
    bindings_list = [('pybind.nos.v6_0_2c.cee_map.priority_group_table', 'pybind.nos.v6_0_2c.brocade_cee_map', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.cee_map.priority_group_table', 'pybind.nos.v7_0_1b.brocade_cee_map', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.cee_map.priority_group_table', 'pybind.nos.v7_1_0.brocade_cee_map', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.cee_map.priority_group_table', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'priority_group_table', 'keyval': 'PGID', 'extra_keyval': 'PGID, weight, pfc'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cee_map=cee_map, priority_group_table=priority_group_table, weight=weight, pfc=pfc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_create(self, domain=None, md_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Argument(s)**:

    :type md_level: int
    :param md_level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, md_level=md_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_create(self, domain=None, ma=None, ma_idx=None, ma_type=None, ccm_interval=None, vlan_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type ma_idx: int
    :param ma_idx: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type ma_type: int
    :param ma_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type ccm_interval: long
    :param ccm_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, ma_idx=ma_idx, ma_type=ma_type, ccm_interval=ccm_interval, vlan_id=vlan_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_create(self, domain=None, ma=None, mep=None, mep_direction=None, mep_mac=None, mep_port=None, port_state=None, rmep_fail=None, rmep_ok=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_direction: unicode
    :param mep_direction: Keyword argument.

        * enumeration restriction: ::

            ['mep-status-up', 'mep-status-down']

    :type mep_mac: unicode
    :param mep_mac: Keyword argument.

    :type mep_port: unicode
    :param mep_port: Keyword argument.

    :type port_state: int
    :param port_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type rmep_fail: int
    :param rmep_fail: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type rmep_ok: int
    :param rmep_ok: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction, mep_mac=mep_mac, mep_port=mep_port, port_state=port_state, rmep_fail=rmep_fail, rmep_ok=rmep_ok)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mep_rmep_create(self, domain=None, ma=None, mep=None, rmep=None, rmep_mac=None, vlan_id=None, rmep_port=None, rmep_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_mac: unicode
    :param rmep_mac: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rmep_port: unicode
    :param rmep_port: Keyword argument.

    :type rmep_state: int
    :param rmep_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac, vlan_id=vlan_id, rmep_port=rmep_port, rmep_state=rmep_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_connectivity_domain_ma_mip_create(self, domain=None, ma=None, mip=None, level=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id, port
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port: unicode
    :param port: **mip** tuple argument.

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type mac: unicode
    :param mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_connectivity.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, level=level, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_create(self, domain=None, md_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Argument(s)**:

    :type md_level: int
    :param md_level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain', 'keyval': 'md_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, md_level=md_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_create(self, domain=None, ma=None, ma_idx=None, ma_type=None, ccm_interval=None, vlan_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Argument(s)**:

    :type ma_idx: int
    :param ma_idx: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type ma_type: int
    :param ma_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type ccm_interval: long
    :param ccm_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, ma_idx=ma_idx, ma_type=ma_type, ccm_interval=ccm_interval, vlan_id=vlan_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_create(self, domain=None, ma=None, mep=None, mep_direction=None, mep_mac=None, mep_port=None, port_state=None, rmep_fail=None, rmep_ok=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type mep_direction: unicode
    :param mep_direction: Keyword argument.

        * enumeration restriction: ::

            ['mep-status-up', 'mep-status-down']

    :type mep_mac: unicode
    :param mep_mac: Keyword argument.

    :type mep_port: unicode
    :param mep_port: Keyword argument.

    :type port_state: int
    :param port_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type rmep_fail: int
    :param rmep_fail: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type rmep_ok: int
    :param rmep_ok: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, mep_direction=mep_direction, mep_mac=mep_mac, mep_port=mep_port, port_state=port_state, rmep_fail=rmep_fail, rmep_ok=rmep_ok)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mep_rmep_create(self, domain=None, ma=None, mep=None, rmep=None, rmep_mac=None, vlan_id=None, rmep_port=None, rmep_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: int
    :param mep_id: **mep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type rmep: rmep_id
    :param rmep: Keyword argument tuple.

    :type rmep_id: int
    :param rmep_id: **rmep** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type rmep_mac: unicode
    :param rmep_mac: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rmep_port: unicode
    :param rmep_port: Keyword argument.

    :type rmep_state: int
    :param rmep_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mep.rmep', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rmep', 'keyval': 'rmep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mep=mep, rmep=rmep, rmep_mac=rmep_mac, vlan_id=vlan_id, rmep_port=rmep_port, rmep_state=rmep_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cfm_state_cfm_detail_domain_ma_mip_create(self, domain=None, ma=None, mip=None, level=None, mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain: md_name
    :param domain: Keyword argument tuple.

    :type md_name: unicode
    :param md_name: **domain** tuple argument.

    :type ma: ma_name
    :param ma: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type mip: vlan_id, port
    :param mip: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **mip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port: unicode
    :param port: **mip** tuple argument.

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type mac: unicode
    :param mac: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain', u'domain'), ('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma', u'ma')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cfm_state.cfm_detail.domain.ma.mip', 'pybind.slxos.v16r_1_00b.brocade_dot1ag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'md_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mip', 'keyval': 'vlan_id, port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain=domain, ma=ma, mip=mip, level=level, mac=mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def class_map_create(self, class_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type class_map: name
    :param class_map: Keyword argument tuple.

    :type name: unicode
    :param name: **class_map** tuple argument:  Class Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.class_map', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.class_map', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.class_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.class_map', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'class_map', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, class_map=class_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_create(self, cluster=None, client_interfaces_shutdown=None, client_isolation_strict=None, designated_forwarder_hold_time=None, deploy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_interfaces_shutdown: YANGBool
    :param client_interfaces_shutdown: Disable the cluster client interfaces

    :type client_isolation_strict: YANGBool
    :param client_isolation_strict: Configure cluster client isolation mode strict

    :type designated_forwarder_hold_time: int
    :param designated_forwarder_hold_time: Time in seconds to wait before electing a designated forwarder (Range:<1-60>, default:3)

        * range restriction: ::

            ['0..65535']

    :type deploy: YANGBool
    :param deploy: Deploy the Cluster

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cluster', 'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client_interfaces_shutdown=client_interfaces_shutdown, client_isolation_strict=client_isolation_strict, designated_forwarder_hold_time=designated_forwarder_hold_time, deploy=deploy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_client_create(self, cluster=None, client=None, esi=None, client_deploy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client: client_name, client_id
    :param client: Keyword argument tuple.

    :type client_name: unicode
    :param client_name: **client** tuple argument:  Name for the Cluster Client (MAX: 64 Characters)

        * length restriction: ::

            ['1..64']

    :type client_id: long
    :param client_id: **client** tuple argument:  Id for the Cluster Client (Range: 1 - 512)

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type esi: unicode
    :param esi: Configure cluster client ESI HH:HH:HH:HH:HH:HH:HH:HH:HH , HH - in Hexadecimal Format

        * pattern restriction: ::

            '([0-9a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})(;[0-9'
            'a-fA-F]{1,2}(:[0-9a-fA-F]{1,2}){2,8})*'

    :type client_deploy: YANGBool
    :param client_deploy:  Cluster Client Deploy

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.client', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client', 'keyval': 'client_name, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, client=client, esi=esi, client_deploy=client_deploy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cluster_peer_create(self, cluster=None, peer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cluster: cluster_name, cluster_id
    :param cluster: Keyword argument tuple.

    :type cluster_name: unicode
    :param cluster_name: **cluster** tuple argument:  Name for the Cluster (MAX: 64 Characters)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    :type cluster_id: long
    :param cluster_id: **cluster** tuple argument:  Id for the Cluster (Range: 1 - 65535

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type peer: peer_ip
    :param peer: Keyword argument tuple.

    :type peer_ip: unicode
    :param peer_ip: **peer** tuple argument:  MCT Peer node IP Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cluster', 'cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cluster.peer', 'pybind.slxos.v16r_1_00b.brocade_mct', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_name, cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer', 'keyval': 'peer_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cluster=cluster, peer=peer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def counts_state_bad_lsp_log_create(self, bad_lsp_log=None, time_stamp=None, l1_count=None, l2_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type bad_lsp_log: type_index
    :param bad_lsp_log: Keyword argument tuple.

    :type type_index: int
    :param type_index: **bad_lsp_log** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type time_stamp: long
    :param time_stamp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l1_count: long
    :param l1_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type l2_count: long
    :param l2_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.counts_state.bad_lsp_log', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bad_lsp_log', 'keyval': 'type_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bad_lsp_log=bad_lsp_log, time_stamp=time_stamp, l1_count=l1_count, l2_count=l2_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_create(self, cpu_cfg_slot=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_slot', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_data_create(self, cpu_cfg_slot=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_create(self, cpu_cfg_slot=None, cpu_cfg_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_group', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_data_create(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_create(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_prio: prio_id
    :param cpu_cfg_prio: Keyword argument tuple.

    :type prio_id: int
    :param prio_id: **cpu_cfg_prio** tuple argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_prio', 'keyval': 'prio_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_cfg_state_cpu_cfg_slot_cpu_cfg_group_cpu_cfg_prio_cpu_cfg_data_create(self, cpu_cfg_slot=None, cpu_cfg_group=None, cpu_cfg_prio=None, cpu_cfg_data=None, burst_size=None, wfq_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cpu_cfg_slot: slot_id
    :param cpu_cfg_slot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **cpu_cfg_slot** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_group: group_id
    :param cpu_cfg_group: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_cfg_group** tuple argument.

        * range restriction: ::

            ['0..255']

    :type cpu_cfg_prio: prio_id
    :param cpu_cfg_prio: Keyword argument tuple.

    :type prio_id: int
    :param prio_id: **cpu_cfg_prio** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type cpu_cfg_data: shaper_rate
    :param cpu_cfg_data: Keyword argument tuple.

    :type shaper_rate: long
    :param shaper_rate: **cpu_cfg_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type wfq_value: long
    :param wfq_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot', u'cpu_cfg_slot'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group', u'cpu_cfg_group'), ('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio', u'cpu_cfg_prio')]
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_cfg_state.cpu_cfg_slot.cpu_cfg_group.cpu_cfg_prio.cpu_cfg_data', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'prio_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cpu_cfg_data', 'keyval': 'shaper_rate', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_cfg_slot=cpu_cfg_slot, cpu_cfg_group=cpu_cfg_group, cpu_cfg_prio=cpu_cfg_prio, cpu_cfg_data=cpu_cfg_data, burst_size=burst_size, wfq_value=wfq_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_info_state_cpu_info_egid_create(self, cpu_info_egid=None, name=None, egid=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cpu_info_egid: group_id
    :param cpu_info_egid: Keyword argument tuple.

    :type group_id: int
    :param group_id: **cpu_info_egid** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type egid: long
    :param egid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type description: unicode
    :param description: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_info_state.cpu_info_egid', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cpu_info_egid', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_info_egid=cpu_info_egid, name=name, egid=egid, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def cpu_interface_state_create(self, cpu_interface_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cpu_interface_state: ifname
    :param cpu_interface_state: Keyword argument tuple.

    :type ifname: unicode
    :param ifname: **cpu_interface_state** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.cpu_interface_state', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'cpu_interface_state', 'keyval': 'ifname', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cpu_interface_state=cpu_interface_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def crypto_ca_create(self, ca=None, keypair=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ca: trustpoint
    :param ca: Keyword argument tuple.

    :type trustpoint: unicode
    :param trustpoint: **ca** tuple argument:  Trustpoint name

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type keypair: unicode
    :param keypair: Key pair association

        * length restriction: ::

            ['0..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.ca', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ca=ca, keypair=keypair)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def crypto_key_create(self, key=None, type=None, modulus=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type key: label, type, modulus
    :param key: Keyword argument tuple.

    :type label: unicode
    :param label: **key** tuple argument:  Key Label

        * length restriction: ::

            ['1..64']

    :type type: unicode
    :param type: **key** tuple argument:  Key Type

        * enumeration restriction: ::

            ['dsa', 'rsa', 'ecdsa']

    :type modulus: long
    :param modulus: **key** tuple argument:  Key Size

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Key Type

        * enumeration restriction: ::

            ['dsa', 'rsa', 'ecdsa']

    :type modulus: long
    :param modulus: Key Size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.crypto_sa.crypto.key', 'pybind.slxos.v16r_1_00b.brocade_crypto', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, key=key, type=type, modulus=modulus)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def diag_post_rbridge_id_create(self, rbridge_id=None, enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument:  Syntax: rbridgeId [rbridgeId]

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: enable - enables POST / no enable - disables POST

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.diag.post.rbridge_id', 'pybind.nos.v6_0_2c.brocade_diagnostics', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.diag.post.rbridge_id', 'pybind.nos.v7_0_1b.brocade_diagnostics', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.diag.post.rbridge_id', 'pybind.nos.v7_1_0.brocade_diagnostics', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.diag.post.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_diagnostics', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, enable=enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def dpod_port_id_create(self, port_id=None, operation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type port_id: port_id
    :param port_id: Keyword argument tuple.

    :type port_id: unicode
    :param port_id: **port_id** tuple argument:  Syntax: [rbridge-id/slot/port]

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type operation: unicode
    :param operation: release/reserve a DPOD license

        * enumeration restriction: ::

            ['release', 'reserve']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.dpod.port_id', 'pybind.nos.v6_0_2c.brocade_license', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.dpod.port_id', 'pybind.nos.v7_0_1b.brocade_license', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.dpod.port_id', 'pybind.nos.v7_1_0.brocade_license', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.dpod.port_id', 'pybind.slxos.v16r_1_00b.brocade_license', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_id', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_id=port_id, operation=operation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def dscp_exp_state_qos_mpls_create(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.dscp_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_activate_name_create(self, name=None, delay=None, iterations=None, interval=None, run_mode=None, trigger_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type delay: long
    :param delay: Delay (in seconds) that the event-handler will wait, for the initial launch of the action after the trigger has been received (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type iterations: long
    :param iterations: Number of times to launch the action after the initial trigger has been received (default = 1).

        * range restriction: ::

            ['0..4294967295']

    :type interval: long
    :param interval: Time (in seconds) that the event-handler will wait between iterations of completing the previous action (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type run_mode: unicode
    :param run_mode: Run-mode controls how the action is launched with cluster formation (default = non-exclusive).

        * enumeration restriction: ::

            ['exclusive', 'non-exclusive']

    :type trigger_mode: unicode
    :param trigger_mode: Trigger-mode controls how the action is launched with the configured event trigger (default = each-instance).

        * enumeration restriction: ::

            ['each-instance',
            'only-once',
            'on-first-instance']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.event_handler.activate.name', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, delay=delay, iterations=iterations, interval=interval, run_mode=run_mode, trigger_mode=trigger_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_event_handler_list_create(self, event_handler_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type event_handler_list: name
    :param event_handler_list: Keyword argument tuple.

    :type name: unicode
    :param name: **event_handler_list** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.event_handler.event_handler_list', 'pybind.nos.v6_0_2c.brocade_event_handler', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list', 'pybind.nos.v7_0_1b.brocade_event_handler', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.event_handler.event_handler_list', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'event_handler_list', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.event_handler.event_handler_list": {}, "pybind.nos.v7_0_1b.event_handler.event_handler_list": {}, "pybind.nos.v6_0_2c.event_handler.event_handler_list": {"name": "name"}, "pybind.slxos.v16r_1_00b.event_handler.event_handler_list": {"name": "name"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_handler_list=event_handler_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def event_handler_event_handler_list_trigger_create(self, event_handler_list=None, trigger=None, vcs=None, raslog=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type event_handler_list: name
    :param event_handler_list: Keyword argument tuple.

    :type name: unicode
    :param name: **event_handler_list** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Keyword Argument Tuple**:

    :type trigger: trigger_id, vcs, raslog
    :param trigger: Keyword argument tuple.

    :type trigger_id: long
    :param trigger_id: **trigger** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vcs: unicode
    :param vcs: **trigger** tuple argument:  VCS event type.

        * enumeration restriction: ::

            ['switch-bootup',
            'switch-ready-for-configuration']

    :type raslog: unicode
    :param raslog: **trigger** tuple argument:  RASlog Id.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type vcs: unicode
    :param vcs: VCS event type.

        * enumeration restriction: ::

            ['switch-bootup',
            'switch-ready-for-configuration']

    :type raslog: unicode
    :param raslog: RASlog Id.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v6_0_2c.event_handler.event_handler_list', u'event_handler_list'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list', u'event_handler_list'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list', u'event_handler_list')]
    bindings_list = [('pybind.nos.v6_0_2c.event_handler.event_handler_list.trigger', 'pybind.nos.v6_0_2c.brocade_event_handler', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.event_handler.event_handler_list.trigger', 'pybind.nos.v7_0_1b.brocade_event_handler', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.event_handler.event_handler_list.trigger', 'pybind.nos.v7_1_0.brocade_event_handler', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger', 'pybind.slxos.v16r_1_00b.brocade_event_handler', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'trigger', 'keyval': 'trigger_id', 'extra_keyval': 'trigger_id, vcs, raslog'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.event_handler.event_handler_list.trigger": {"vcs": "vcs", "raslog": "raslog", "trigger_id": "trigger_id"}, "pybind.slxos.v16r_1_00b.event_handler.event_handler_list.trigger": {"vcs": "vcs", "raslog": "raslog", "trigger_id": "trigger_id"}, "pybind.nos.v7_1_0.event_handler.event_handler_list.trigger": {}, "pybind.nos.v6_0_2c.event_handler.event_handler_list.trigger": {"vcs": "vcs", "raslog": "raslog", "trigger_id": "trigger_id"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_handler_list=event_handler_list, trigger=trigger, vcs=vcs, raslog=raslog)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def exp_dscp_state_qos_mpls_create(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.exp_dscp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def exp_traffic_class_state_qos_mpls_create(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.exp_traffic_class_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fabric_route_mcast_rbridge_id_create(self, rbridge_id=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument:  Syntax: rbridgeId [rbridgeId]

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Syntax: priority [priority] (default 1)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fabric.route.mcast.rbridge_id', 'pybind.nos.v6_0_2c.brocade_fabric_service', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_0_1b.brocade_fabric_service', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fabric.route.mcast.rbridge_id', 'pybind.nos.v7_1_0.brocade_fabric_service', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fabric.route.mcast.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_fabric_service', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_create(self, fcoe_fabric_map=None, fcoe_fabric_map_vlan=None, fcoe_fabric_mode=None, fcoe_fabric_map_priority=None, fcoe_fabric_map_virtual_fabric=None, fcoe_fabric_map_fcmap=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcoe_fabric_map_vlan: long
    :param fcoe_fabric_map_vlan: Configure the VLAN for the FCoE Fabric-map

        * range restriction: ::

            ['-2147483648..2147483647']

    :type fcoe_fabric_mode: unicode
    :param fcoe_fabric_mode: Configure the san mode

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            'local|remote'

    :type fcoe_fabric_map_priority: long
    :param fcoe_fabric_map_priority: Configure the priority for the FCoE Fabric-map

        * range restriction: ::

            ['-2147483648..2147483647']

    :type fcoe_fabric_map_virtual_fabric: long
    :param fcoe_fabric_map_virtual_fabric: Configure the Virtual-Fabric ID for the FCoE Fabric-map

        * range restriction: ::

            ['-2147483648..2147483647']

    :type fcoe_fabric_map_fcmap: unicode
    :param fcoe_fabric_map_fcmap: Configure the FCMAP value for a FCoE Fabric-map

        * length restriction: ::

            ['1..9']

        * pattern restriction: ::

            '[0][Ee]:[Ff][Cc]:[0-9a-fA-F]{2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe_fabric_map', 'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fabric_map_vlan=fcoe_fabric_map_vlan, fcoe_fabric_mode=fcoe_fabric_mode, fcoe_fabric_map_priority=fcoe_fabric_map_priority, fcoe_fabric_map_virtual_fabric=fcoe_fabric_map_virtual_fabric, fcoe_fabric_map_fcmap=fcoe_fabric_map_fcmap)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fabric_map_fcf_group_create(self, fcoe_fabric_map=None, fcoe_fcf_map=None, fcf_map_fcf_rbid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fcoe_fabric_map: fcoe_fabric_map_name
    :param fcoe_fabric_map: Keyword argument tuple.

    :type fcoe_fabric_map_name: unicode
    :param fcoe_fabric_map_name: **fcoe_fabric_map** tuple argument:  FCoE Fabric-map name (Max Size - 31)

        * length restriction: ::

            ['1..31']

    **Instance Keyword Argument Tuple**:

    :type fcoe_fcf_map: fcf_map_name
    :param fcoe_fcf_map: Keyword argument tuple.

    :type fcf_map_name: unicode
    :param fcf_map_name: **fcoe_fcf_map** tuple argument.

        * length restriction: ::

            ['1..31']

    **Instance Argument(s)**:

    :type fcf_map_fcf_rbid: long
    :param fcf_map_fcf_rbid: Configure FCF Box's rbridge-id in the FCF Group

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map', u'fcoe_fabric_map'), ('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map', u'fcoe_fabric_map')]
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_fabric_map.fcoe_fcf_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}, {'keyval': 'fcoe_fabric_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fcoe_fcf_map', 'keyval': 'fcf_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_fabric_map=fcoe_fabric_map, fcoe_fcf_map=fcoe_fcf_map, fcf_map_fcf_rbid=fcf_map_fcf_rbid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def fcoe_fcoe_map_create(self, fcoe_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type fcoe_map: fcoe_map_name
    :param fcoe_map: Keyword argument tuple.

    :type fcoe_map_name: unicode
    :param fcoe_map_name: **fcoe_map** tuple argument:  FCoE Map name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.fcoe.fcoe_map', 'pybind.nos.v6_0_2c.brocade_fcoe', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.fcoe.fcoe_map', 'pybind.nos.v7_0_1b.brocade_fcoe', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.fcoe.fcoe_map', 'pybind.nos.v7_1_0.brocade_fcoe', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.fcoe.fcoe_map', 'pybind.slxos.v16r_1_00b.brocade_fcoe', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe_map', 'keyval': 'fcoe_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe_map=fcoe_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def filter_change_update_delay_create(self, filter_change_update_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type filter_change_update_delay: filter_delay_value
    :param filter_change_update_delay: Keyword argument tuple.

    :type filter_delay_value: long
    :param filter_delay_value: **filter_change_update_delay** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hide_filter_change_update_delay_holder.filter_change_update_delay', 'pybind.slxos.v16r_1_00b.brocade_ip_policy', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'filter_change_update_delay', 'keyval': 'filter_delay_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, filter_change_update_delay=filter_change_update_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_connector_create(self, connector=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type connector: name
    :param connector: Keyword argument tuple.

    :type name: unicode
    :param name: **connector** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hardware.connector', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.connector', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.connector', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.connector', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'connector', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connector=connector)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_connector_breakout_create(self, connector=None, cage_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type connector: name
    :param connector: Keyword argument tuple.

    :type name: unicode
    :param name: **connector** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9]))'

    **Instance Argument(s)**:

    :type cage_mode: unicode
    :param cage_mode: Configure breakout mode

        * enumeration restriction: ::

            ['disabled', '4x10g', '2x40g', '2x50g', '4x25g']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.hardware.connector', u'connector')]
    bindings_list = [('pybind.slxos.v16r_1_00b.hardware.connector.breakout', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connector=connector, cage_mode=cage_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_connector_group_create(self, connector_group=None, speed=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type connector_group: id
    :param connector_group: Keyword argument tuple.

    :type id: unicode
    :param id: **connector_group** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type speed: unicode
    :param speed: Configure the speed of the connector group

        * enumeration restriction: ::

            ['HighMixed', 'FibreChannel', 'LowMixed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hardware.connector_group', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.connector_group', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.connector_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'connector_group', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connector_group=connector_group, speed=speed)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_custom_profile_kap_create(self, kap_custom_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type kap_custom_profile: name
    :param kap_custom_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **kap_custom_profile** tuple argument.

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.custom_profile.kap_custom_profile', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.custom_profile.kap_custom_profile', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'kap_custom_profile', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, kap_custom_profile=kap_custom_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_flexport_create(self, flexport=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type flexport: id
    :param flexport: Keyword argument tuple.

    :type id: unicode
    :param id: **flexport** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hardware.flexport', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.flexport', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.flexport', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flexport', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flexport=flexport)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def hardware_port_group_create(self, port_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type port_group: name
    :param port_group: Keyword argument tuple.

    :type name: unicode
    :param name: **port_group** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hardware.port_group', 'pybind.nos.v6_0_2c.brocade_hardware', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hardware.port_group', 'pybind.nos.v7_0_1b.brocade_hardware', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hardware.port_group', 'pybind.nos.v7_1_0.brocade_hardware', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.hardware.port_group', 'pybind.slxos.v16r_1_00b.brocade_hardware', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_group', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.hardware.port_group": {"name": "name"}, "pybind.slxos.v16r_1_00b.hardware.port_group": {}, "pybind.nos.v6_0_2c.hardware.port_group": {"name": "name"}, "pybind.nos.v7_0_1b.hardware.port_group": {"name": "name"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_group=port_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def http_server_use_vrf_create(self, use_vrf=None, http_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, http_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0..max']

    :type http_vrf_shutdown: YANGBool
    :param http_vrf_shutdown: **use_vrf** tuple argument:  Shutdown HTTP/HTTPS server on the given vrf

    **Instance Argument(s)**:

    :type http_vrf_shutdown: YANGBool
    :param http_vrf_shutdown: Shutdown HTTP/HTTPS server on the given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_http_config', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_http_config', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_http_config', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, http_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.http_sa.http.server.http_vrf_cont.use_vrf": {"http_vrf_shutdown": "http_vrf_shutdown", "use_vrf_name": "use_vrf_name"}, "pybind.slxos.v16r_1_00b.http_sa.http.server.http_vrf_cont.use_vrf": {"http_vrf_shutdown": "http_vrf_shutdown", "use_vrf_name": "use_vrf_name"}, "pybind.nos.v7_1_0.http_sa.http.server.http_vrf_cont.use_vrf": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_create(self, igmp_groups=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type igmp_groups: group_addr, interface_name
    :param igmp_groups: Keyword argument tuple.

    :type group_addr: unicode
    :param group_addr: **igmp_groups** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: **igmp_groups** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'igmp_groups', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_groups=igmp_groups)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_create(self, igmp_groups=None, igmp_groups_=None, uptime=None, expiry_time=None, last_reporter=None, filter_mode=None, member_ship=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_groups: group_addr, interface_name
    :param igmp_groups: Keyword argument tuple.

    :type group_addr: unicode
    :param group_addr: **igmp_groups** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: **igmp_groups** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type igmp_groups_: group_addr, interface_name
    :param igmp_groups_: Keyword argument tuple.

    :type group_addr: long
    :param group_addr: **igmp_groups_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_name: unicode
    :param interface_name: **igmp_groups_** tuple argument.

    **Instance Argument(s)**:

    :type uptime: unicode
    :param uptime: Keyword argument.

    :type expiry_time: unicode
    :param expiry_time: Keyword argument.

    :type last_reporter: long
    :param last_reporter: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type filter_mode: int
    :param filter_mode: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type member_ship: unicode
    :param member_ship: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_groups_', 'keyval': 'group_addr, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_groups=igmp_groups, igmp_groups_=igmp_groups_, uptime=uptime, expiry_time=expiry_time, last_reporter=last_reporter, filter_mode=filter_mode, member_ship=member_ship)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_create(self, igmp_groups=None, igmpv3_sources=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_groups: group_addr, interface_name
    :param igmp_groups: Keyword argument tuple.

    :type group_addr: unicode
    :param group_addr: **igmp_groups** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: **igmp_groups** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type igmpv3_sources: interface_name
    :param igmpv3_sources: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmpv3_sources** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmpv3_sources', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_excl_src_ip_create(self, igmp_groups=None, igmpv3_sources=None, excl_src_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_groups: group_addr, interface_name
    :param igmp_groups: Keyword argument tuple.

    :type group_addr: unicode
    :param group_addr: **igmp_groups** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: **igmp_groups** tuple argument.

    :type igmpv3_sources: interface_name
    :param igmpv3_sources: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmpv3_sources** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type excl_src_ip: ipv4_addr
    :param excl_src_ip: Keyword argument tuple.

    :type ipv4_addr: long
    :param ipv4_addr: **excl_src_ip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', u'igmpv3_sources')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources.excl_src_ip', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'excl_src_ip', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources, excl_src_ip=excl_src_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_groups_igmp_groups_igmpv3_sources_incl_src_ip_create(self, igmp_groups=None, igmpv3_sources=None, incl_src_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_groups: group_addr, interface_name
    :param igmp_groups: Keyword argument tuple.

    :type group_addr: unicode
    :param group_addr: **igmp_groups** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: **igmp_groups** tuple argument.

    :type igmpv3_sources: interface_name
    :param igmpv3_sources: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmpv3_sources** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type incl_src_ip: ipv4_addr
    :param incl_src_ip: Keyword argument tuple.

    :type ipv4_addr: long
    :param ipv4_addr: **incl_src_ip** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups', u'igmp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources', u'igmpv3_sources')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_groups.igmp_groups_.igmpv3_sources.incl_src_ip', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_addr, interface_name', 'extra_keyval': ''}, {'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'incl_src_ip', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_groups=igmp_groups, igmpv3_sources=igmpv3_sources, incl_src_ip=incl_src_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_create(self, igmp_l3_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type igmp_l3_interfaces: interface_name
    :param igmp_l3_interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'igmp_l3_interfaces', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_l3_interfaces=igmp_l3_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_l3_interfaces_igmp_l3_interfaces_create(self, igmp_l3_interfaces=None, igmp_l3_interfaces_=None, is_igmp_enabled=None, query_interval=None, other_querier_interval=None, query_reponse_time=None, last_member_query_interval=None, immediate_leave=None, igmp_querier=None, is_igmp_querier_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_l3_interfaces: interface_name
    :param igmp_l3_interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type igmp_l3_interfaces_: interface_name
    :param igmp_l3_interfaces_: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_l3_interfaces_** tuple argument.

    **Instance Argument(s)**:

    :type is_igmp_enabled: int
    :param is_igmp_enabled: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type query_interval: long
    :param query_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type other_querier_interval: long
    :param other_querier_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type query_reponse_time: long
    :param query_reponse_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type last_member_query_interval: long
    :param last_member_query_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type immediate_leave: int
    :param immediate_leave: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type igmp_querier: long
    :param igmp_querier: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_igmp_querier_local: int
    :param is_igmp_querier_local: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces', u'igmp_l3_interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_l3_interfaces.igmp_l3_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_l3_interfaces_', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_l3_interfaces=igmp_l3_interfaces, igmp_l3_interfaces_=igmp_l3_interfaces_, is_igmp_enabled=is_igmp_enabled, query_interval=query_interval, other_querier_interval=other_querier_interval, query_reponse_time=query_reponse_time, last_member_query_interval=last_member_query_interval, immediate_leave=immediate_leave, igmp_querier=igmp_querier, is_igmp_querier_local=is_igmp_querier_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_multicast_snooping_vlans_create(self, igmp_multicast_snooping_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type igmp_multicast_snooping_vlans: vlan_id
    :param igmp_multicast_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_multicast_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'igmp_multicast_snooping_vlans', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_multicast_snooping_vlans_igmp_multicast_snooping_vlans_create(self, igmp_multicast_snooping_vlans=None, igmp_multicast_snooping_vlans_=None, pim_sn_status=None, igmp_sn_status=None, igmp_version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_multicast_snooping_vlans: vlan_id
    :param igmp_multicast_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_multicast_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type igmp_multicast_snooping_vlans_: vlan_id
    :param igmp_multicast_snooping_vlans_: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_multicast_snooping_vlans_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type pim_sn_status: int
    :param pim_sn_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type igmp_sn_status: int
    :param igmp_sn_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type igmp_version: int
    :param igmp_version: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans', u'igmp_multicast_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_multicast_snooping_vlans.igmp_multicast_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_multicast_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_multicast_snooping_vlans=igmp_multicast_snooping_vlans, igmp_multicast_snooping_vlans_=igmp_multicast_snooping_vlans_, pim_sn_status=pim_sn_status, igmp_sn_status=igmp_sn_status, igmp_version=igmp_version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_mrouters_create(self, igmp_snooping_mrouters=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type igmp_snooping_mrouters: vlan_id
    :param igmp_snooping_mrouters: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_mrouters** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'igmp_snooping_mrouters', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_mrouters=igmp_snooping_mrouters)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_mrouters_igmp_snooping_mrouters_create(self, igmp_snooping_mrouters=None, igmp_snooping_mrouters_=None, interface_name=None, expiry_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_mrouters: vlan_id
    :param igmp_snooping_mrouters: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_mrouters** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type igmp_snooping_mrouters_: vlan_id
    :param igmp_snooping_mrouters_: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_mrouters_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type expiry_time: long
    :param expiry_time: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters', u'igmp_snooping_mrouters')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_mrouters.igmp_snooping_mrouters', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_snooping_mrouters_', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_mrouters=igmp_snooping_mrouters, igmp_snooping_mrouters_=igmp_snooping_mrouters_, interface_name=interface_name, expiry_time=expiry_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_create(self, igmp_snooping_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'igmp_snooping_vlans', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_create(self, igmp_snooping_vlans=None, igmp_snooping_vlans_=None, multicast_router_ports=None, is_querier=None, igmp_operation_mode=None, fast_leave=None, qmrt=None, lmqi=None, qi=None, version=None, num_of_mcast_grps=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type igmp_snooping_vlans_: vlan_id
    :param igmp_snooping_vlans_: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type multicast_router_ports: unicode
    :param multicast_router_ports: Keyword argument.

    :type is_querier: int
    :param is_querier: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type igmp_operation_mode: long
    :param igmp_operation_mode: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fast_leave: int
    :param fast_leave: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type qmrt: long
    :param qmrt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lmqi: long
    :param lmqi: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type qi: long
    :param qi: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type version: int
    :param version: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type num_of_mcast_grps: long
    :param num_of_mcast_grps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmp_snooping_vlans_', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, igmp_snooping_vlans_=igmp_snooping_vlans_, multicast_router_ports=multicast_router_ports, is_querier=is_querier, igmp_operation_mode=igmp_operation_mode, fast_leave=fast_leave, qmrt=qmrt, lmqi=lmqi, qi=qi, version=version, num_of_mcast_grps=num_of_mcast_grps)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_snooping_vlans_igmp_snooping_vlans_vlan_groups_create(self, igmp_snooping_vlans=None, vlan_groups=None, member_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type igmp_snooping_vlans: vlan_id
    :param igmp_snooping_vlans: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **igmp_snooping_vlans** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan_groups: grp_ip_addr
    :param vlan_groups: Keyword argument tuple.

    :type grp_ip_addr: long
    :param grp_ip_addr: **vlan_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type member_ports: unicode
    :param member_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans', u'igmp_snooping_vlans')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_snooping_vlans.igmp_snooping_vlans_.vlan_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan_groups', 'keyval': 'grp_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_snooping_vlans=igmp_snooping_vlans, vlan_groups=vlan_groups, member_ports=member_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_igmp_statistics_igmp_statistics_create(self, igmp_statistics=None, query_edge_recvd=None, query_edge_sent=None, query_edge_rx_errors=None, v1_report_edge_recvd=None, v1_report_edge_sent=None, v1_report_edge_rx_errors=None, v2_report_edge_recvd=None, v2_report_edge_sent=None, v2_report_edge_rx_errors=None, v3_report_edge_recvd=None, v3_report_edge_sent=None, v3_report_edge_rx_errors=None, grp_leave_edge_recvd=None, grp_leave_edge_sent=None, grp_leave_edge_rx_errors=None, pim_hello_edge_recvd=None, pim_hello_edge_sent=None, pim_hello_edge_rx_errors=None, error_unknown_types=None, error_bad_length=None, error_bad_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type igmp_statistics: interface_name
    :param igmp_statistics: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **igmp_statistics** tuple argument.

    **Instance Argument(s)**:

    :type query_edge_recvd: long
    :param query_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type query_edge_sent: long
    :param query_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type query_edge_rx_errors: long
    :param query_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v1_report_edge_recvd: long
    :param v1_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v1_report_edge_sent: long
    :param v1_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v1_report_edge_rx_errors: long
    :param v1_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v2_report_edge_recvd: long
    :param v2_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v2_report_edge_sent: long
    :param v2_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v2_report_edge_rx_errors: long
    :param v2_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v3_report_edge_recvd: long
    :param v3_report_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v3_report_edge_sent: long
    :param v3_report_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v3_report_edge_rx_errors: long
    :param v3_report_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type grp_leave_edge_recvd: long
    :param grp_leave_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type grp_leave_edge_sent: long
    :param grp_leave_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type grp_leave_edge_rx_errors: long
    :param grp_leave_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_hello_edge_recvd: long
    :param pim_hello_edge_recvd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_hello_edge_sent: long
    :param pim_hello_edge_sent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_hello_edge_rx_errors: long
    :param pim_hello_edge_rx_errors: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type error_unknown_types: long
    :param error_unknown_types: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type error_bad_length: long
    :param error_bad_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type error_bad_checksum: long
    :param error_bad_checksum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.igmp_statistics.igmp_statistics', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'igmp_statistics', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmp_statistics=igmp_statistics, query_edge_recvd=query_edge_recvd, query_edge_sent=query_edge_sent, query_edge_rx_errors=query_edge_rx_errors, v1_report_edge_recvd=v1_report_edge_recvd, v1_report_edge_sent=v1_report_edge_sent, v1_report_edge_rx_errors=v1_report_edge_rx_errors, v2_report_edge_recvd=v2_report_edge_recvd, v2_report_edge_sent=v2_report_edge_sent, v2_report_edge_rx_errors=v2_report_edge_rx_errors, v3_report_edge_recvd=v3_report_edge_recvd, v3_report_edge_sent=v3_report_edge_sent, v3_report_edge_rx_errors=v3_report_edge_rx_errors, grp_leave_edge_recvd=grp_leave_edge_recvd, grp_leave_edge_sent=grp_leave_edge_sent, grp_leave_edge_rx_errors=grp_leave_edge_rx_errors, pim_hello_edge_recvd=pim_hello_edge_recvd, pim_hello_edge_sent=pim_hello_edge_sent, pim_hello_edge_rx_errors=pim_hello_edge_rx_errors, error_unknown_types=error_unknown_types, error_bad_length=error_bad_length, error_bad_checksum=error_bad_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_multicast_ssm_mapping_ssm_maps_create(self, ssm_maps=None, src_ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ssm_maps: prefix_list_name
    :param ssm_maps: Keyword argument tuple.

    :type prefix_list_name: unicode
    :param prefix_list_name: **ssm_maps** tuple argument.

    **Instance Argument(s)**:

    :type src_ip_addr: unicode
    :param src_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.multicast_ssm_mapping.ssm_maps', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ssm_maps', 'keyval': 'prefix_list_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ssm_maps=ssm_maps, src_ip_addr=src_ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_create(self, pim_snp_groups=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'pim_snp_groups', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_create(self, pim_snp_groups=None, pim_snp_groups_=None, uptime=None, expiry_time=None, last_reporter=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_groups_: group_addr, vlan_id
    :param pim_snp_groups_: Keyword argument tuple.

    :type group_addr: long
    :param group_addr: **pim_snp_groups_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type uptime: unicode
    :param uptime: Keyword argument.

    :type expiry_time: unicode
    :param expiry_time: Keyword argument.

    :type last_reporter: long
    :param last_reporter: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_groups_', 'keyval': 'group_addr, vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_groups_=pim_snp_groups_, uptime=uptime, expiry_time=expiry_time, last_reporter=last_reporter)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_create(self, pim_snp_groups=None, pim_snp_sources=None, src_flags=None, src_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_sources: src_addr
    :param pim_snp_sources: Keyword argument tuple.

    :type src_addr: long
    :param src_addr: **pim_snp_sources** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type src_flags: int
    :param src_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type src_uptime: unicode
    :param src_uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_sources', 'keyval': 'src_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, src_flags=src_flags, src_uptime=src_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_sources_pim_snp_sg_member_ports_create(self, pim_snp_groups=None, pim_snp_sources=None, pim_snp_sg_member_ports=None, mbr_flags=None, flag_string=None, mbr_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type pim_snp_sources: src_addr
    :param pim_snp_sources: Keyword argument tuple.

    :type src_addr: long
    :param src_addr: **pim_snp_sources** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_sg_member_ports: interface_name
    :param pim_snp_sg_member_ports: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_snp_sg_member_ports** tuple argument.

    **Instance Argument(s)**:

    :type mbr_flags: int
    :param mbr_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type flag_string: unicode
    :param flag_string: Keyword argument.

    :type mbr_uptime: unicode
    :param mbr_uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups'), ('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources', u'pim_snp_sources')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_sources.pim_snp_sg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}, {'keyval': 'src_addr', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_sg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_sources=pim_snp_sources, pim_snp_sg_member_ports=pim_snp_sg_member_ports, mbr_flags=mbr_flags, flag_string=flag_string, mbr_uptime=mbr_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def igmp_snooping_state_pim_snp_groups_pim_snp_groups_pim_snp_wg_member_ports_create(self, pim_snp_groups=None, pim_snp_wg_member_ports=None, mbr_flags=None, flag_string=None, mbr_uptime=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_snp_groups: vlan_id
    :param pim_snp_groups: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **pim_snp_groups** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pim_snp_wg_member_ports: interface_name
    :param pim_snp_wg_member_ports: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_snp_wg_member_ports** tuple argument.

    **Instance Argument(s)**:

    :type mbr_flags: int
    :param mbr_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type flag_string: unicode
    :param flag_string: Keyword argument.

    :type mbr_uptime: unicode
    :param mbr_uptime: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups', u'pim_snp_groups')]
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping_state.pim_snp_groups.pim_snp_groups_.pim_snp_wg_member_ports', 'pybind.slxos.v16r_1_00b.brocade_mc_hms_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_snp_wg_member_ports', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_snp_groups=pim_snp_groups, pim_snp_wg_member_ports=pim_snp_wg_member_ports, mbr_flags=mbr_flags, flag_string=flag_string, mbr_uptime=mbr_uptime)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_intf_isis_create(self, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_access_group_create(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_address_create(self, ethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_dhcp_relay_servers_create(self, ethernet=None, servers=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  A.B.C.D;; IP address of the DHCP server

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCP server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.interface_eth_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, servers=servers)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ip_igmp_static_group_create(self, ethernet=None, igmpl3_static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type igmpl3_static_group: igmpl3_sg_addr
    :param igmpl3_static_group: Keyword argument tuple.

    :type igmpl3_sg_addr: unicode
    :param igmpl3_sg_addr: **igmpl3_static_group** tuple argument:  Multicast Address to be Joined in the format A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ip.igmp_phy_intf_cfg.igmp.igmpl3_static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmpl3_static_group', 'keyval': 'igmpl3_sg_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, igmpl3_static_group=igmpl3_static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_access_group_create(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_address_ipv6_address_create(self, ethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_dhcp_relay_servers_create(self, ethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_address_suppressing_address_create(self, ethernet=None, suppressing_address=None, suppress_per_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type suppressing_address: suppress_ipv6_address, suppress_per_address
    :param suppressing_address: Keyword argument tuple.

    :type suppress_ipv6_address: unicode
    :param suppress_ipv6_address: **suppressing_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type suppress_per_address: YANGBool
    :param suppress_per_address: **suppressing_address** tuple argument:  Suppress all IPv6 addresses in router advertisement

    **Instance Argument(s)**:

    :type suppress_per_address: YANGBool
    :param suppress_per_address: Suppress all IPv6 addresses in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_prefix_create(self, ethernet=None, prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, prefix=prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_dns_server_create(self, ethernet=None, ra_dns_server=None, dns_server_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ra_dns_server: dns_server_prefix
    :param ra_dns_server: Keyword argument tuple.

    :type dns_server_prefix: unicode
    :param dns_server_prefix: **ra_dns_server** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type dns_server_lifetime_multiplier: long
    :param dns_server_lifetime_multiplier: Lifetime multiplier for the Recursive DNS Server option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_nd_ra_domain_name_create(self, ethernet=None, ra_domain_name=None, domain_name_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ra_domain_name: domain_name_string
    :param ra_domain_name: Keyword argument tuple.

    :type domain_name_string: unicode
    :param domain_name_string: **ra_domain_name** tuple argument.

    **Instance Argument(s)**:

    :type domain_name_lifetime_multiplier: long
    :param domain_name_lifetime_multiplier: Lifetime multiplier for DNS Search List option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_neighbor_create(self, ethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_create(self, ethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Neighbor Discovery Advertisment Interval

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_track_interface_create(self, ethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_extended_group_virtual_ip_create(self, ethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_create(self, ethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_track_interface_create(self, ethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_ipv6_vrrp_group_virtual_ip_create(self, ethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_auth_key_create(self, ethernet=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_auth_key: interface_auth_key_level, interface_auth_key_str
    :param interface_auth_key: Keyword argument tuple.

    :type interface_auth_key_level: unicode
    :param interface_auth_key_level: **interface_auth_key** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: **interface_auth_key** tuple argument.

        * length restriction: ::

            ['1..63']

    **Instance Argument(s)**:

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_interval_create(self, ethernet=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_hello_interval: interface_hello_interval_level, interface_hello_interval_val
    :param interface_hello_interval: Keyword argument tuple.

    :type interface_hello_interval_level: unicode
    :param interface_hello_interval_level: **interface_hello_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: **interface_hello_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_hello_multiplier_create(self, ethernet=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_hello_multiplier: interface_hello_multiplier_level, interface_hello_multiplier_val
    :param interface_hello_multiplier: Keyword argument tuple.

    :type interface_hello_multiplier_level: unicode
    :param interface_hello_multiplier_level: **interface_hello_multiplier** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: **interface_hello_multiplier** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_ipv6_metric_create(self, ethernet=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_ipv6_metric: interface_ipv6_metric_level, interface_ipv6_metric_val
    :param interface_ipv6_metric: Keyword argument tuple.

    :type interface_ipv6_metric_level: unicode
    :param interface_ipv6_metric_level: **interface_ipv6_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: **interface_ipv6_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_metric_create(self, ethernet=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface_metric: interface_metric_level, interface_metric_val
    :param interface_metric: Keyword argument tuple.

    :type interface_metric_level: unicode
    :param interface_metric_level: **interface_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_metric_val: long
    :param interface_metric_val: **interface_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_metric_val: long
    :param interface_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_isis_reverse_metric_create(self, ethernet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.interface_eth_isis_conf.intf_isis.interface_isis.interface_reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_logical_interface_ethernet_create(self, ethernet=None, ethernet_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ethernet_: instance_id
    :param ethernet_: Keyword argument tuple.

    :type instance_id: unicode
    :param instance_id: **ethernet_** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9])(:[1-4])?)'
            '(\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-9][0-9]'
            '[0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.logical_interface.ethernet', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ethernet_', 'keyval': 'instance_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ethernet_=ethernet_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_mac_access_group_create(self, ethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_port_profile_port_profile_create(self, ethernet=None, port_to_port_profile_associations=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_to_port_profile_associations: port_to_port_profile_association
    :param port_to_port_profile_associations: Keyword argument tuple.

    :type port_to_port_profile_association: unicode
    :param port_to_port_profile_association: **port_to_port_profile_associations** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, port_to_port_profile_associations=port_to_port_profile_associations)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_flowcontrol_pfc_create(self, ethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: int
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_random_detect_traffic_class_create(self, ethernet=None, traffic_class=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: int
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, traffic_class=traffic_class, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_multicast_queue_size_create(self, ethernet=None, queue_size=None, min_queue_size=None, max_queue_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type queue_size: traffic_class, min_queue_size, max_queue_size
    :param queue_size: Keyword argument tuple.

    :type traffic_class: int
    :param traffic_class: **queue_size** tuple argument:  Traffic class to configure multicast queue size

        * range restriction: ::

            ['0..255']

    :type min_queue_size: long
    :param min_queue_size: **queue_size** tuple argument:  Configure minimum queue size

        * range restriction: ::

            ['0..4294967295']

    :type max_queue_size: long
    :param max_queue_size: **queue_size** tuple argument:  Configure maximum queue size

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_queue_size: long
    :param min_queue_size: Configure minimum queue size

        * range restriction: ::

            ['0..4294967295']

    :type max_queue_size: long
    :param max_queue_size: Configure maximum queue size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.multicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size, max_queue_size=max_queue_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_qos_rx_queue_unicast_queue_size_create(self, ethernet=None, queue_size=None, min_queue_size=None, max_queue_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type queue_size: traffic_class, min_queue_size, max_queue_size
    :param queue_size: Keyword argument tuple.

    :type traffic_class: int
    :param traffic_class: **queue_size** tuple argument:  Traffic class to configure unicast queue size

        * range restriction: ::

            ['0..255']

    :type min_queue_size: long
    :param min_queue_size: **queue_size** tuple argument:  Configure minimum queue size

        * range restriction: ::

            ['0..4294967295']

    :type max_queue_size: long
    :param max_queue_size: **queue_size** tuple argument:  Configure maximum queue size

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type min_queue_size: long
    :param min_queue_size: Configure minimum queue size

        * range restriction: ::

            ['0..4294967295']

    :type max_queue_size: long
    :param max_queue_size: Configure maximum queue size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.qos.rx_queue.unicast.queue_size', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_size', 'keyval': 'traffic_class', 'extra_keyval': 'traffic_class, min_queue_size, max_queue_size'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, queue_size=queue_size, min_queue_size=min_queue_size, max_queue_size=max_queue_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rmon_collection_history_create(self, ethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: **history_control_entry** tuple argument:  Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: **history_control_entry** tuple argument:  Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: **history_control_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.history_control_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_rmon_collection_stats_create(self, ethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index, ether_stats_owner
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type ether_stats_owner: unicode
    :param ether_stats_owner: **ether_stats_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.rmon.collection.ether_stats_entry', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_instance_create(self, ethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_spanning_tree_vlan_create(self, ethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_storm_control_ingress_create(self, ethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type, rate_format, rate_bps, rate_percent, bum_action
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    :type rate_format: unicode
    :param rate_format: **ingress** tuple argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: **ingress** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: **ingress** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: **ingress** tuple argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.storm_control.ingress', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_access_mac_group_rspan_vlan_classification_access_rspan_vlan_create(self, ethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_access_mac_group_vlan_classification_access_vlan_create(self, ethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_access_mac_rspan_vlan_classification_access_rspan_vlan_create(self, ethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_access_mac_vlan_classification_access_vlan_create(self, ethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_port_security_create(self, ethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['shutdown']

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_port_security_port_secutiry_mac_address_create(self, ethernet=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}'

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_port_security_sticky_port_secutiry_mac_address_create(self, ethernet=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}'

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_trunk_rspan_vlan_classification_rspan_vlan_add_create(self, ethernet=None, add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id, trunk_ctag_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, add=add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_allowed_trunk_rspan_vlan_classification_rspan_vlan_remove_create(self, ethernet=None, remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id, trunk_ctag_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, remove=remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_tag_create(self, ethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_create(self, ethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_create(self, ethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_track_interface_create(self, ethernet=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface: track_interface_type, track_interface_name
    :param interface: Keyword argument tuple.

    :type track_interface_type: unicode
    :param track_interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type track_interface_name: unicode
    :param track_interface_name: **interface** tuple argument:  Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]'
            ')(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5'
            '][0-9]{3}|6[0-1][0-4]{2}))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_create(self, ethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: Ipv4 session advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_track_interface_create(self, ethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ethernet_vrrp_group_virtual_ip_create(self, ethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ethernet: name
    :param ethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **ethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv4 address in dotted decimal

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.ethernet', u'ethernet'), ('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.ethernet.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ethernet=ethernet, vrrp=vrrp, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fcoe_create(self, fcoe=None, fcoe_interface_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type fcoe: fcoe_interface_name
    :param fcoe: Keyword argument tuple.

    :type fcoe_interface_name: unicode
    :param fcoe_interface_name: **fcoe** tuple argument.

        * length restriction: ::

            ['3..32']

    **Instance Argument(s)**:

    :type fcoe_interface_shutdown: YANGBool
    :param fcoe_interface_shutdown: Enable/Disable the port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.fcoe', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fcoe', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fcoe', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'fcoe', 'keyval': 'fcoe_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fcoe=fcoe, fcoe_interface_shutdown=fcoe_interface_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_access_group_create(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_address_create(self, fortygigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_dhcp_relay_servers_create(self, fortygigabitethernet=None, servers=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  A.B.C.D;; IP address of the DHCP server

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCP server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.interface_fo_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, servers=servers)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ip_igmp_static_group_create(self, fortygigabitethernet=None, static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type static_group: sg_addr
    :param static_group: Keyword argument tuple.

    :type sg_addr: unicode
    :param sg_addr: **static_group** tuple argument:  Multicast Address to be Joined in the format A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, static_group=static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_access_group_create(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_address_ipv6_address_create(self, fortygigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_dhcp_relay_servers_create(self, fortygigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_nd_prefix_create(self, fortygigabitethernet=None, prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, prefix=prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_neighbor_create(self, fortygigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_create(self, fortygigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_track_interface_create(self, fortygigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_extended_group_virtual_ip_create(self, fortygigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_create(self, fortygigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_track_interface_create(self, fortygigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_ipv6_vrrp_group_virtual_ip_create(self, fortygigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_mac_access_group_create(self, fortygigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_port_profile_port_profile_create(self, fortygigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_to_port_profile_associations: port_to_port_profile_association
    :param port_to_port_profile_associations: Keyword argument tuple.

    :type port_to_port_profile_association: unicode
    :param port_to_port_profile_association: **port_to_port_profile_associations** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_flowcontrol_pfc_create(self, fortygigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_qos_random_detect_traffic_class_create(self, fortygigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_rmon_collection_history_create(self, fortygigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: **history_control_entry** tuple argument:  Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: **history_control_entry** tuple argument:  Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: **history_control_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_rmon_collection_stats_create(self, fortygigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index, ether_stats_owner
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type ether_stats_owner: unicode
    :param ether_stats_owner: **ether_stats_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_instance_create(self, fortygigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_spanning_tree_vlan_create(self, fortygigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_storm_control_ingress_create(self, fortygigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type, rate_format, rate_bps, rate_percent, bum_action
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    :type rate_format: unicode
    :param rate_format: **ingress** tuple argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: **ingress** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: **ingress** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: **ingress** tuple argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_access_rspan_vlan_create(self, fortygigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_access_rspan_vlan_access_mac_rspan_vlan_classification_create(self, fortygigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_access_vlan_create(self, fortygigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_access_vlan_access_mac_vlan_classification_create(self, fortygigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_port_security_create(self, fortygigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['restrict', 'shutdown']

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_port_security_allowed_ouis_create(self, fortygigabitethernet=None, allowed_ouis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type allowed_ouis: oui
    :param allowed_ouis: Keyword argument tuple.

    :type oui: unicode
    :param oui: **allowed_ouis** tuple argument:  <OUI> OUI in HHHH.HH00.0000 format

        * pattern restriction: ::

            '[0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'allowed_ouis', 'keyval': 'oui', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, allowed_ouis=allowed_ouis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_port_security_port_secutiry_mac_address_create(self, fortygigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_port_security_sticky_port_secutiry_mac_address_create(self, fortygigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_association_trunk_create(self, fortygigabitethernet=None, trunk=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type trunk: trunk_pri_pvlan, trunk_sec_pvlan
    :param trunk: Keyword argument tuple.

    :type trunk_pri_pvlan: long
    :param trunk_pri_pvlan: **trunk** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type trunk_sec_pvlan: long
    :param trunk_sec_pvlan: **trunk** tuple argument:  Secondary vlan id 

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, trunk=trunk)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_mapping_create(self, fortygigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan, oper, promis_sec_pvlan_range
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type oper: unicode
    :param oper: **mapping** tuple argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: **mapping** tuple argument:  Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_create(self, fortygigabitethernet=None, add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id, trunk_ctag_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, add=add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_create(self, fortygigabitethernet=None, remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id, trunk_ctag_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, remove=remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_rspan_vlan_add_create(self, fortygigabitethernet=None, add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id, trunk_ctag_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, add=add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_create(self, fortygigabitethernet=None, remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id, trunk_ctag_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, remove=remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_add_create(self, fortygigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_allowed_vlan_remove_create(self, fortygigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_switchport_trunk_tag_create(self, fortygigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_track_interface_create(self, fortygigabitethernet=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface: track_interface_type, track_interface_name
    :param interface: Keyword argument tuple.

    :type track_interface_type: unicode
    :param track_interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type track_interface_name: unicode
    :param track_interface_name: **interface** tuple argument:  Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]'
            ')(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5'
            '][0-9]{3}|6[0-1][0-4]{2}))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vlan_classifier_activate_group_create(self, fortygigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid, vlan
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: long
    :param vlan: **group** tuple argument:  1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_create(self, fortygigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_track_interface_create(self, fortygigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_fortygigabitethernet_vrrp_group_virtual_ip_create(self, fortygigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type fortygigabitethernet: name
    :param fortygigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **fortygigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv4 address in dotted decimal

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet', u'fortygigabitethernet'), ('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.fortygigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fortygigabitethernet=fortygigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_access_group_create(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_address_create(self, gigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_dhcp_relay_servers_create(self, gigabitethernet=None, servers=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  A.B.C.D;; IP address of the DHCP server

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCP server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.interface_gi_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, servers=servers)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ip_igmp_static_group_create(self, gigabitethernet=None, static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type static_group: sg_addr
    :param static_group: Keyword argument tuple.

    :type sg_addr: unicode
    :param sg_addr: **static_group** tuple argument:  Multicast Address to be Joined in the format A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, static_group=static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_access_group_create(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_address_ipv6_address_create(self, gigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_dhcp_relay_servers_create(self, gigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_nd_prefix_create(self, gigabitethernet=None, prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, prefix=prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_neighbor_create(self, gigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_create(self, gigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_track_interface_create(self, gigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_extended_group_virtual_ip_create(self, gigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_create(self, gigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_track_interface_create(self, gigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_ipv6_vrrp_group_virtual_ip_create(self, gigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_mac_access_group_create(self, gigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_port_profile_port_profile_create(self, gigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_to_port_profile_associations: port_to_port_profile_association
    :param port_to_port_profile_associations: Keyword argument tuple.

    :type port_to_port_profile_association: unicode
    :param port_to_port_profile_association: **port_to_port_profile_associations** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_qos_random_detect_traffic_class_create(self, gigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_rmon_collection_history_create(self, gigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: **history_control_entry** tuple argument:  Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: **history_control_entry** tuple argument:  Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: **history_control_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_rmon_collection_stats_create(self, gigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index, ether_stats_owner
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type ether_stats_owner: unicode
    :param ether_stats_owner: **ether_stats_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_instance_create(self, gigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_spanning_tree_vlan_create(self, gigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_storm_control_ingress_create(self, gigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type, rate_format, rate_bps, rate_percent, bum_action
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    :type rate_format: unicode
    :param rate_format: **ingress** tuple argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: **ingress** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: **ingress** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: **ingress** tuple argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_access_rspan_vlan_create(self, gigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_access_rspan_vlan_access_mac_rspan_vlan_classification_create(self, gigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_access_vlan_create(self, gigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_access_vlan_access_mac_vlan_classification_create(self, gigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_port_security_create(self, gigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['restrict', 'shutdown']

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_port_security_allowed_ouis_create(self, gigabitethernet=None, allowed_ouis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type allowed_ouis: oui
    :param allowed_ouis: Keyword argument tuple.

    :type oui: unicode
    :param oui: **allowed_ouis** tuple argument:  <OUI> OUI in HHHH.HH00.0000 format

        * pattern restriction: ::

            '[0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'allowed_ouis', 'keyval': 'oui', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, allowed_ouis=allowed_ouis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_port_security_port_secutiry_mac_address_create(self, gigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_port_security_sticky_port_secutiry_mac_address_create(self, gigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_association_trunk_create(self, gigabitethernet=None, trunk=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type trunk: trunk_pri_pvlan, trunk_sec_pvlan
    :param trunk: Keyword argument tuple.

    :type trunk_pri_pvlan: long
    :param trunk_pri_pvlan: **trunk** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type trunk_sec_pvlan: long
    :param trunk_sec_pvlan: **trunk** tuple argument:  Secondary vlan id 

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, trunk=trunk)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_mapping_create(self, gigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan, oper, promis_sec_pvlan_range
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type oper: unicode
    :param oper: **mapping** tuple argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: **mapping** tuple argument:  Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_create(self, gigabitethernet=None, add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id, trunk_ctag_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, add=add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_create(self, gigabitethernet=None, remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id, trunk_ctag_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, remove=remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_rspan_vlan_add_create(self, gigabitethernet=None, add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id, trunk_ctag_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, add=add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_create(self, gigabitethernet=None, remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id, trunk_ctag_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, remove=remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_add_create(self, gigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_allowed_vlan_remove_create(self, gigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_switchport_trunk_tag_create(self, gigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_track_interface_create(self, gigabitethernet=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface: track_interface_type, track_interface_name
    :param interface: Keyword argument tuple.

    :type track_interface_type: unicode
    :param track_interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type track_interface_name: unicode
    :param track_interface_name: **interface** tuple argument:  Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]'
            ')(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5'
            '][0-9]{3}|6[0-1][0-4]{2}))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vlan_classifier_activate_group_create(self, gigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid, vlan
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: long
    :param vlan: **group** tuple argument:  1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_create(self, gigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_track_interface_create(self, gigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_gigabitethernet_vrrp_group_virtual_ip_create(self, gigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type gigabitethernet: name
    :param gigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **gigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv4 address in dotted decimal

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.gigabitethernet', u'gigabitethernet'), ('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.gigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, gigabitethernet=gigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_access_group_create(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_address_create(self, hundredgigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_dhcp_relay_servers_create(self, hundredgigabitethernet=None, servers=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  A.B.C.D;; IP address of the DHCP server

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCP server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.interface_hu_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ip_igmp_static_group_create(self, hundredgigabitethernet=None, static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type static_group: sg_addr
    :param static_group: Keyword argument tuple.

    :type sg_addr: unicode
    :param sg_addr: **static_group** tuple argument:  Multicast Address to be Joined in the format A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, static_group=static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_access_group_create(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_address_ipv6_address_create(self, hundredgigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_dhcp_relay_servers_create(self, hundredgigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_nd_prefix_create(self, hundredgigabitethernet=None, prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, prefix=prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_neighbor_create(self, hundredgigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_create(self, hundredgigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_track_interface_create(self, hundredgigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_extended_group_virtual_ip_create(self, hundredgigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_create(self, hundredgigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_track_interface_create(self, hundredgigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_ipv6_vrrp_group_virtual_ip_create(self, hundredgigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_mac_access_group_create(self, hundredgigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_port_profile_port_profile_create(self, hundredgigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_to_port_profile_associations: port_to_port_profile_association
    :param port_to_port_profile_associations: Keyword argument tuple.

    :type port_to_port_profile_association: unicode
    :param port_to_port_profile_association: **port_to_port_profile_associations** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_flowcontrol_pfc_create(self, hundredgigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_qos_random_detect_traffic_class_create(self, hundredgigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_rmon_collection_history_create(self, hundredgigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: **history_control_entry** tuple argument:  Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: **history_control_entry** tuple argument:  Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: **history_control_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_rmon_collection_stats_create(self, hundredgigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index, ether_stats_owner
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type ether_stats_owner: unicode
    :param ether_stats_owner: **ether_stats_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_instance_create(self, hundredgigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_spanning_tree_vlan_create(self, hundredgigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_storm_control_ingress_create(self, hundredgigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type, rate_format, rate_bps, rate_percent, bum_action
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    :type rate_format: unicode
    :param rate_format: **ingress** tuple argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: **ingress** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: **ingress** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: **ingress** tuple argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_access_rspan_vlan_create(self, hundredgigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_access_rspan_vlan_access_mac_rspan_vlan_classification_create(self, hundredgigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_access_vlan_create(self, hundredgigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_access_vlan_access_mac_vlan_classification_create(self, hundredgigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_port_security_create(self, hundredgigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['restrict', 'shutdown']

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_port_security_allowed_ouis_create(self, hundredgigabitethernet=None, allowed_ouis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type allowed_ouis: oui
    :param allowed_ouis: Keyword argument tuple.

    :type oui: unicode
    :param oui: **allowed_ouis** tuple argument:  <OUI> OUI in HHHH.HH00.0000 format

        * pattern restriction: ::

            '[0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'allowed_ouis', 'keyval': 'oui', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, allowed_ouis=allowed_ouis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_port_security_port_secutiry_mac_address_create(self, hundredgigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_port_security_sticky_port_secutiry_mac_address_create(self, hundredgigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_association_trunk_create(self, hundredgigabitethernet=None, trunk=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type trunk: trunk_pri_pvlan, trunk_sec_pvlan
    :param trunk: Keyword argument tuple.

    :type trunk_pri_pvlan: long
    :param trunk_pri_pvlan: **trunk** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type trunk_sec_pvlan: long
    :param trunk_sec_pvlan: **trunk** tuple argument:  Secondary vlan id 

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, trunk=trunk)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_mapping_create(self, hundredgigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan, oper, promis_sec_pvlan_range
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type oper: unicode
    :param oper: **mapping** tuple argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: **mapping** tuple argument:  Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_create(self, hundredgigabitethernet=None, add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id, trunk_ctag_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, add=add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_create(self, hundredgigabitethernet=None, remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id, trunk_ctag_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, remove=remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_rspan_vlan_add_create(self, hundredgigabitethernet=None, add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id, trunk_ctag_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, add=add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_create(self, hundredgigabitethernet=None, remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id, trunk_ctag_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, remove=remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_add_create(self, hundredgigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_allowed_vlan_remove_create(self, hundredgigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_switchport_trunk_tag_create(self, hundredgigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_track_interface_create(self, hundredgigabitethernet=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface: track_interface_type, track_interface_name
    :param interface: Keyword argument tuple.

    :type track_interface_type: unicode
    :param track_interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type track_interface_name: unicode
    :param track_interface_name: **interface** tuple argument:  Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]'
            ')(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5'
            '][0-9]{3}|6[0-1][0-4]{2}))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vlan_classifier_activate_group_create(self, hundredgigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid, vlan
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: long
    :param vlan: **group** tuple argument:  1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_create(self, hundredgigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_track_interface_create(self, hundredgigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_hundredgigabitethernet_vrrp_group_virtual_ip_create(self, hundredgigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type hundredgigabitethernet: name
    :param hundredgigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **hundredgigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv4 address in dotted decimal

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet', u'hundredgigabitethernet'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.hundredgigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hundredgigabitethernet=hundredgigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_create(self, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'loopback', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback": {"id": "id"}, "pybind.slxos.v16r_1_00b.routing_system.interface.loopback": {}, "pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback": {"id": "id"}, "pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback": {"id": "id"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ip_address_create(self, loopback=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/32'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_ipv6_address_ipv6_address_create(self, loopback=None, ipv6_address=None, eui64=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, eui64, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type eui64: YANGBool
    :param eui64: **ipv6_address** tuple argument:  Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback', u'loopback'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_intf_loopback', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_intf_loopback', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_intf_loopback_holder.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_intf_loopback', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_auth_key_create(self, loopback=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_auth_key: interface_auth_key_level, interface_auth_key_str
    :param interface_auth_key: Keyword argument tuple.

    :type interface_auth_key_level: unicode
    :param interface_auth_key_level: **interface_auth_key** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: **interface_auth_key** tuple argument.

        * length restriction: ::

            ['1..63']

    **Instance Argument(s)**:

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_interval_create(self, loopback=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_interval: interface_hello_interval_level, interface_hello_interval_val
    :param interface_hello_interval: Keyword argument tuple.

    :type interface_hello_interval_level: unicode
    :param interface_hello_interval_level: **interface_hello_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: **interface_hello_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_hello_multiplier_create(self, loopback=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_multiplier: interface_hello_multiplier_level, interface_hello_multiplier_val
    :param interface_hello_multiplier: Keyword argument tuple.

    :type interface_hello_multiplier_level: unicode
    :param interface_hello_multiplier_level: **interface_hello_multiplier** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: **interface_hello_multiplier** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_ipv6_metric_create(self, loopback=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_ipv6_metric: interface_ipv6_metric_level, interface_ipv6_metric_val
    :param interface_ipv6_metric: Keyword argument tuple.

    :type interface_ipv6_metric_level: unicode
    :param interface_ipv6_metric_level: **interface_ipv6_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: **interface_ipv6_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_metric_create(self, loopback=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_metric: interface_metric_level, interface_metric_val
    :param interface_metric: Keyword argument tuple.

    :type interface_metric_level: unicode
    :param interface_metric_level: **interface_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_metric_val: long
    :param interface_metric_val: **interface_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_metric_val: long
    :param interface_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_loopback_isis_reverse_metric_create(self, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback', u'loopback')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.loopback.intf_isis.interface_isis.interface_reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_management_create(self, management=None, speed=None, shutdown_management=None, shutdown_management_oper=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type management: name
    :param management: Keyword argument tuple.

    :type name: unicode
    :param name: **management** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/([0-9'
            ']|[1-9][0-9])'

    **Instance Argument(s)**:

    :type speed: unicode
    :param speed: Set interface speed parameter

        * enumeration restriction: ::

            ['auto', '100', '10']

    :type shutdown_management: YANGBool
    :param shutdown_management: Shutdown this management interface.

    :type shutdown_management_oper: unicode
    :param shutdown_management_oper: Show the status of this management interface.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.management', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.management', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.management', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.management', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'management', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, management=management, speed=speed, shutdown_management=shutdown_management, shutdown_management_oper=shutdown_management_oper)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_create(self, port_channel=None, cee=None, po_speed=None, ifindex=None, description=None, shutdown=None, minimum_links=None, mtu=None, load_balance=None, port_profile_port=None, priority_tag_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Apply default CEE map 'default'

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type po_speed: unicode
    :param po_speed: Set speed informational parameter

        * enumeration restriction: ::

            ['40000', '100', '10000', '100000', '1000']

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type minimum_links: long
    :param minimum_links: Least number of operationally UP links to declare port-channel UP

        * range restriction: ::

            ['0..4294967295']

    :type mtu: long
    :param mtu: Set mtu value to interface

        * range restriction: ::

            ['0..4294967295']

    :type load_balance: unicode
    :param load_balance: Load balancing Commands

        * enumeration restriction: ::

            ['src-dst-ip-port',
            'src-mac-vid',
            'src-dst-ip',
            'src-dst-ip-mac-vid',
            'dst-mac-vid',
            'src-dst-mac-vid',
            'src-dst-ip-mac-vid-port']

    :type port_profile_port: YANGBool
    :param port_profile_port: Set the interface to AMPP profile mode

    :type priority_tag_enable: YANGBool
    :param priority_tag_enable: Configure 802.1p priority tagging

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface.port_channel": {"cee": "cee", "minimum_links": "minimum_links", "name": "name", "priority_tag_enable": "priority_tag_enable", "mtu": "mtu", "shutdown": "shutdown", "ifindex": "ifindex", "load_balance": "load_balance", "po_speed": "po_speed", "port_profile_port": "port_profile_port", "description": "description"}, "pybind.slxos.v16r_1_00b.interface.port_channel": {"priority_tag_enable": "priority_tag_enable", "minimum_links": "minimum_links", "name": "name", "mtu": "mtu", "shutdown": "shutdown", "ifindex": "ifindex", "load_balance": "load_balance", "po_speed": "po_speed", "port_profile_port": "port_profile_port", "description": "description"}, "pybind.nos.v7_0_1b.interface.port_channel": {"cee": "cee", "minimum_links": "minimum_links", "name": "name", "priority_tag_enable": "priority_tag_enable", "mtu": "mtu", "shutdown": "shutdown", "ifindex": "ifindex", "load_balance": "load_balance", "po_speed": "po_speed", "port_profile_port": "port_profile_port", "description": "description"}, "pybind.nos.v7_1_0.interface.port_channel": {"cee": "cee", "minimum_links": "minimum_links", "name": "name", "priority_tag_enable": "priority_tag_enable", "mtu": "mtu", "shutdown": "shutdown", "ifindex": "ifindex", "load_balance": "load_balance", "po_speed": "po_speed", "port_profile_port": "port_profile_port", "description": "description"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, cee=cee, po_speed=po_speed, ifindex=ifindex, description=description, shutdown=shutdown, minimum_links=minimum_links, mtu=mtu, load_balance=load_balance, port_profile_port=port_profile_port, priority_tag_enable=priority_tag_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_access_group_create(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_address_create(self, port_channel=None, address=None, secondary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.interface.port_channel.ip.hide_ip_holder.ip_config.address": {"secondary": "secondary", "address": "address"}, "pybind.nos.v7_0_1b.interface.port_channel.ip.ip_config.address": {}, "pybind.nos.v6_0_2c.interface.port_channel.ip.hide_ip_holder.ip_config.address": {"secondary": "secondary", "address": "address"}, "pybind.nos.v7_1_0.interface.port_channel.ip.ip_config.address": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, address=address, secondary=secondary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_dhcp_relay_servers_create(self, port_channel=None, servers=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  A.B.C.D;; IP address of the DHCP server

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCP server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, servers=servers)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ip_igmp_static_group_create(self, port_channel=None, static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_group: sg_addr
    :param static_group: Keyword argument tuple.

    :type sg_addr: unicode
    :param sg_addr: **static_group** tuple argument:  Multicast Address to be Joined in the format A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ip.igmp_po_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ip.igmp_po_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, static_group=static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_access_group_create(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_address_ipv6_address_create(self, port_channel=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_dhcp_relay_servers_create(self, port_channel=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.interface_po_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_nd_prefix_create(self, port_channel=None, prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, prefix=prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_neighbor_create(self, port_channel=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v7_0_1b.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_create(self, port_channel=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_track_interface_create(self, port_channel=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_extended_group_virtual_ip_create(self, port_channel=None, vrrpv3e=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3e.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_create(self, port_channel=None, vrrpv3=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3": {}, "pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3": {"enable": "enable", "description": "description", "vrid": "vrid", "priority": "priority", "advertisement_interval": "advertisement_interval", "hold_time": "hold_time", "preempt_mode": "preempt_mode"}, "pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3": {}, "pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3": {"enable": "enable", "description": "description", "vrid": "vrid", "priority": "priority", "advertisement_interval": "advertisement_interval", "hold_time": "hold_time", "preempt_mode": "preempt_mode"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_track_interface_create(self, port_channel=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_ipv6_vrrp_group_virtual_ip_create(self, port_channel=None, vrrpv3=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.ipv6.hide_vrrpv3_holder.vrrpv3.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_logical_interface_port_channel_create(self, port_channel=None, port_channel_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_channel_: pc_instance_id
    :param port_channel_: Keyword argument tuple.

    :type pc_instance_id: unicode
    :param pc_instance_id: **port_channel_** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-6][0-9][0-'
            '9][0-9])\.([1-9]|[1-9][0-9]||[1-9][0-9][0-9]|[1-'
            '9][0-9][0-9][0-9]|1[0-2][0-2][0-8][0-8]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.logical_interface.port_channel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_channel_', 'keyval': 'pc_instance_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_channel_=port_channel_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_mac_access_group_create(self, port_channel=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_port_profile_port_profile_create(self, port_channel=None, port_to_port_profile_associations=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_to_port_profile_associations: port_to_port_profile_association
    :param port_to_port_profile_associations: Keyword argument tuple.

    :type port_to_port_profile_association: unicode
    :param port_to_port_profile_association: **port_to_port_profile_associations** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_to_port_profile_associations=port_to_port_profile_associations)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_flowcontrol_pfc_create(self, port_channel=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_qos_random_detect_traffic_class_create(self, port_channel=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.qos.random_detect.traffic_class', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.interface.port_channel.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id", "red_enable": "red_enable"}, "pybind.nos.v6_0_2c.interface.port_channel.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id", "red_enable": "red_enable"}, "pybind.slxos.v16r_1_00b.interface.port_channel.qos.random_detect.traffic_class": {}, "pybind.nos.v7_0_1b.interface.port_channel.qos.random_detect.traffic_class": {"red_tc_value": "red_tc_value", "red_profile_id": "red_profile_id", "red_enable": "red_enable"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_instance_create(self, port_channel=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_spanning_tree_vlan_create(self, port_channel=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.spanning_tree.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_access_mac_group_vlan_classification_access_vlan_create(self, port_channel=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_access_mac_vlan_classification_access_vlan_create(self, port_channel=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_access_vlan_create(self, port_channel=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_access_vlan_access_mac_vlan_classification_create(self, port_channel=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_port_security_create(self, port_channel=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['restrict', 'shutdown']

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_port_security_allowed_ouis_create(self, port_channel=None, allowed_ouis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type allowed_ouis: oui
    :param allowed_ouis: Keyword argument tuple.

    :type oui: unicode
    :param oui: **allowed_ouis** tuple argument:  <OUI> OUI in HHHH.HH00.0000 format

        * pattern restriction: ::

            '[0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'allowed_ouis', 'keyval': 'oui', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, allowed_ouis=allowed_ouis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_port_security_port_secutiry_mac_address_create(self, port_channel=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_port_security_sticky_port_secutiry_mac_address_create(self, port_channel=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_association_trunk_create(self, port_channel=None, trunk=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type trunk: trunk_pri_pvlan, trunk_sec_pvlan
    :param trunk: Keyword argument tuple.

    :type trunk_pri_pvlan: long
    :param trunk_pri_pvlan: **trunk** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type trunk_sec_pvlan: long
    :param trunk_sec_pvlan: **trunk** tuple argument:  Secondary vlan id 

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, trunk=trunk)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_mapping_create(self, port_channel=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan, oper, promis_sec_pvlan_range
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type oper: unicode
    :param oper: **mapping** tuple argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: **mapping** tuple argument:  Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_add_create(self, port_channel=None, add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id, trunk_ctag_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, add=add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_private_vlan_trunk_allowed_vlan_remove_create(self, port_channel=None, remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id, trunk_ctag_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, remove=remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_add_create(self, port_channel=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_allowed_vlan_remove_create(self, port_channel=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_tag_create(self, port_channel=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.tag', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_add_create(self, port_channel=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_switchport_trunk_trunk_vlan_classification_allowed_vlan_remove_create(self, port_channel=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.port_channel.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_track_interface_create(self, port_channel=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface: track_interface_type, track_interface_name
    :param interface: Keyword argument tuple.

    :type track_interface_type: unicode
    :param track_interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type track_interface_name: unicode
    :param track_interface_name: **interface** tuple argument:  Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]'
            ')(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5'
            '][0-9]{3}|6[0-1][0-4]{2}))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vlan_classifier_activate_group_create(self, port_channel=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group: groupid, vlan
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: long
    :param vlan: **group** tuple argument:  1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_create(self, port_channel=None, vrrp=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp": {"enable": "enable", "version": "version", "vrid": "vrid", "priority": "priority", "advertisement_interval": "advertisement_interval", "hold_time": "hold_time", "preempt_mode": "preempt_mode", "description": "description"}, "pybind.nos.v7_0_1b.interface.port_channel.vrrp": {}, "pybind.nos.v7_1_0.interface.port_channel.vrrp": {}, "pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp": {"enable": "enable", "version": "version", "vrid": "vrid", "priority": "priority", "advertisement_interval": "advertisement_interval", "hold_time": "hold_time", "preempt_mode": "preempt_mode", "description": "description"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_track_interface_create(self, port_channel=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_port_channel_vrrp_group_virtual_ip_create(self, port_channel=None, vrrp=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel: name
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv4 address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.port_channel', u'port_channel'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp', u'vrrp'), ('pybind.slxos.v16r_1_00b.interface.port_channel', u'port_channel'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.port_channel', u'port_channel'), ('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.port_channel', u'port_channel'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.port_channel.hide_vrrp_holer.vrrp.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.port_channel.vrrp.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.port_channel.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface.port_channel.hide_vrrp_holer.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel=port_channel, vrrp=vrrp, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_access_group_create(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_address_create(self, tengigabitethernet=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_dhcp_relay_servers_create(self, tengigabitethernet=None, servers=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  A.B.C.D;; IP address of the DHCP server

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCP server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.interface_te_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, servers=servers)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ip_igmp_static_group_create(self, tengigabitethernet=None, static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type static_group: sg_addr
    :param static_group: Keyword argument tuple.

    :type sg_addr: unicode
    :param sg_addr: **static_group** tuple argument:  Multicast Address to be Joined in the format A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ip.igmp_phy_intf_cfg.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, static_group=static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_access_group_create(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_address_ipv6_address_create(self, tengigabitethernet=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_dhcp_relay_servers_create(self, tengigabitethernet=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.interface_phy_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_nd_prefix_create(self, tengigabitethernet=None, prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, prefix=prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_neighbor_create(self, tengigabitethernet=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_create(self, tengigabitethernet=None, vrrpv3e_group=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_track_interface_create(self, tengigabitethernet=None, vrrpv3e_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_extended_group_virtual_ip_create(self, tengigabitethernet=None, vrrpv3e_group=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3e_group: vrid
    :param vrrpv3e_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group', u'vrrpv3e_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3e_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3e_group=vrrpv3e_group, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_create(self, tengigabitethernet=None, vrrpv3_group=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3_group', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_track_interface_create(self, tengigabitethernet=None, vrrpv3_group=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_ipv6_vrrp_group_virtual_ip_create(self, tengigabitethernet=None, vrrpv3_group=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrpv3_group: vrid
    :param vrrpv3_group: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3_group** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group', u'vrrpv3_group')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.ipv6.vrrpv3_group.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrpv3_group=vrrpv3_group, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_mac_access_group_create(self, tengigabitethernet=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_port_profile_port_profile_create(self, tengigabitethernet=None, port_to_port_profile_associations=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_to_port_profile_associations: port_to_port_profile_association
    :param port_to_port_profile_associations: Keyword argument tuple.

    :type port_to_port_profile_association: unicode
    :param port_to_port_profile_association: **port_to_port_profile_associations** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.port_profile_to_interface_associations.port_profile_port.port_to_port_profile_associations', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_to_port_profile_associations', 'keyval': 'port_to_port_profile_association', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, port_to_port_profile_associations=port_to_port_profile_associations)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_flowcontrol_pfc_create(self, tengigabitethernet=None, pfc=None, pfc_flowcontrol_tx=None, pfc_flowcontrol_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  0-7;;CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_flowcontrol_tx: unicode
    :param pfc_flowcontrol_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_flowcontrol_rx: unicode
    :param pfc_flowcontrol_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, pfc=pfc, pfc_flowcontrol_tx=pfc_flowcontrol_tx, pfc_flowcontrol_rx=pfc_flowcontrol_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_qos_random_detect_traffic_class_create(self, tengigabitethernet=None, traffic_class=None, red_enable=None, red_profile_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type traffic_class: red_tc_value
    :param traffic_class: Keyword argument tuple.

    :type red_tc_value: long
    :param red_tc_value: **traffic_class** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type red_enable: YANGBool
    :param red_enable: Keyword for VDX 6710,6720,6730,6746,2730

    :type red_profile_id: long
    :param red_profile_id: Keyword for all other VDX platforms

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.qos.random_detect.traffic_class', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'traffic_class', 'keyval': 'red_tc_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, traffic_class=traffic_class, red_enable=red_enable, red_profile_id=red_profile_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_rmon_collection_history_create(self, tengigabitethernet=None, history_control_entry=None, history_control_buckets_requested=None, history_control_interval=None, history_control_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type history_control_entry: history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner
    :param history_control_entry: Keyword argument tuple.

    :type history_control_index: long
    :param history_control_index: **history_control_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: **history_control_entry** tuple argument:  Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: **history_control_entry** tuple argument:  Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: **history_control_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type history_control_buckets_requested: long
    :param history_control_buckets_requested: Buckets (default 50)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_interval: long
    :param history_control_interval: Polling Interval (default 1800)

        * range restriction: ::

            ['-2147483648..2147483647']

    :type history_control_owner: unicode
    :param history_control_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.history_control_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'history_control_entry', 'keyval': 'history_control_index', 'extra_keyval': 'history_control_index, history_control_buckets_requested, history_control_interval, history_control_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, history_control_entry=history_control_entry, history_control_buckets_requested=history_control_buckets_requested, history_control_interval=history_control_interval, history_control_owner=history_control_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_rmon_collection_stats_create(self, tengigabitethernet=None, ether_stats_entry=None, ether_stats_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ether_stats_entry: ether_stats_index, ether_stats_owner
    :param ether_stats_entry: Keyword argument tuple.

    :type ether_stats_index: long
    :param ether_stats_index: **ether_stats_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type ether_stats_owner: unicode
    :param ether_stats_owner: **ether_stats_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type ether_stats_owner: unicode
    :param ether_stats_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.rmon.collection.ether_stats_entry', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ether_stats_entry', 'keyval': 'ether_stats_index', 'extra_keyval': 'ether_stats_index, ether_stats_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ether_stats_entry=ether_stats_entry, ether_stats_owner=ether_stats_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_instance_create(self, tengigabitethernet=None, instance=None, cost=None, priority=None, restricted_role=None, restricted_tcn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type restricted_role: YANGBool
    :param restricted_role: Restrict the role of the port

    :type restricted_tcn: YANGBool
    :param restricted_tcn: Restrict propagation of topology changenotifications from port

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, instance=instance, cost=cost, priority=priority, restricted_role=restricted_role, restricted_tcn=restricted_tcn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_spanning_tree_vlan_create(self, tengigabitethernet=None, vlan=None, cost=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type cost: long
    :param cost: Path cost for a port

        * range restriction: ::

            ['0..4294967295']

    :type priority: long
    :param priority: Port priority for a bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.spanning_tree.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan=vlan, cost=cost, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_storm_control_ingress_create(self, tengigabitethernet=None, ingress=None, rate_format=None, rate_bps=None, rate_percent=None, bum_action=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type ingress: protocol_type, rate_format, rate_bps, rate_percent, bum_action
    :param ingress: Keyword argument tuple.

    :type protocol_type: unicode
    :param protocol_type: **ingress** tuple argument.

        * enumeration restriction: ::

            ['broadcast', 'unknown-unicast', 'multicast']

    :type rate_format: unicode
    :param rate_format: **ingress** tuple argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: **ingress** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: **ingress** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: **ingress** tuple argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    **Instance Argument(s)**:

    :type rate_format: unicode
    :param rate_format: Keyword argument.

        * enumeration restriction: ::

            ['limit-bps', 'limit-percent']

    :type rate_bps: long
    :param rate_bps: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rate_percent: long
    :param rate_percent: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bum_action: unicode
    :param bum_action: Keyword argument.

        * enumeration restriction: ::

            ['monitor', 'shutdown']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.storm_control.ingress', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ingress', 'keyval': 'protocol_type', 'extra_keyval': 'protocol_type, rate_format, rate_bps, rate_percent, bum_action'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, ingress=ingress, rate_format=rate_format, rate_bps=rate_bps, rate_percent=rate_percent, bum_action=bum_action)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_access_rspan_vlan_create(self, tengigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_access_rspan_vlan_access_mac_rspan_vlan_classification_create(self, tengigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_rspan_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_access_vlan_create(self, tengigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_access_vlan_access_mac_vlan_classification_create(self, tengigabitethernet=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_port_security_create(self, tengigabitethernet=None, port_sec_max=None, port_sec_violation=None, shutdown_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type port_sec_max: long
    :param port_sec_max: Maximum number of allowed MACs

        * range restriction: ::

            ['0..4294967295']

    :type port_sec_violation: unicode
    :param port_sec_violation: Set the action on violation

        * enumeration restriction: ::

            ['restrict', 'shutdown']

    :type shutdown_time: long
    :param shutdown_time: Shutdown time for port

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, port_sec_max=port_sec_max, port_sec_violation=port_sec_violation, shutdown_time=shutdown_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_port_security_allowed_ouis_create(self, tengigabitethernet=None, allowed_ouis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type allowed_ouis: oui
    :param allowed_ouis: Keyword argument tuple.

    :type oui: unicode
    :param oui: **allowed_ouis** tuple argument:  <OUI> OUI in HHHH.HH00.0000 format

        * pattern restriction: ::

            '[0-9a-fA-F]{4}\.[0-9a-fA-F]{2}00\.0000'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.allowed_ouis', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'allowed_ouis', 'keyval': 'oui', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, allowed_ouis=allowed_ouis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_port_security_port_secutiry_mac_address_create(self, tengigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_port_security_sticky_port_secutiry_mac_address_create(self, tengigabitethernet=None, port_secutiry_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type port_secutiry_mac_address: mac_address, port_sec_vlan
    :param port_secutiry_mac_address: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **port_secutiry_mac_address** tuple argument:  Mac Address

    :type port_sec_vlan: long
    :param port_sec_vlan: **port_secutiry_mac_address** tuple argument:  Forwarding vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.port_security.sticky.port_secutiry_mac_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_secutiry_mac_address', 'keyval': 'mac_address, port_sec_vlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, port_secutiry_mac_address=port_secutiry_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_association_trunk_create(self, tengigabitethernet=None, trunk=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type trunk: trunk_pri_pvlan, trunk_sec_pvlan
    :param trunk: Keyword argument tuple.

    :type trunk_pri_pvlan: long
    :param trunk_pri_pvlan: **trunk** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type trunk_sec_pvlan: long
    :param trunk_sec_pvlan: **trunk** tuple argument:  Secondary vlan id 

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.association.trunk', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'trunk', 'keyval': 'trunk_pri_pvlan, trunk_sec_pvlan', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, trunk=trunk)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_mapping_create(self, tengigabitethernet=None, mapping=None, oper=None, promis_sec_pvlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type mapping: promis_pri_pvlan, oper, promis_sec_pvlan_range
    :param mapping: Keyword argument tuple.

    :type promis_pri_pvlan: long
    :param promis_pri_pvlan: **mapping** tuple argument:  Primary vlan id

        * range restriction: ::

            ['0..4294967295']

    :type oper: unicode
    :param oper: **mapping** tuple argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: **mapping** tuple argument:  Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    **Instance Argument(s)**:

    :type oper: unicode
    :param oper: Keyword argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type promis_sec_pvlan_range: unicode
    :param promis_sec_pvlan_range: Secondary vlan range

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-7][0-9]{3})|(80[0-9]{2})|'
            '(81[0-8][0-9])|(819[01]))(-(([2-9])|([1-9][0-9]{'
            '1,2})|([1-7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9]'
            ')|(819[01])))?((,(([2-9])|([1-9][0-9]{1,2})|([1-'
            '7][0-9]{3})|(80[0-9]{2})|(81[0-8][0-9])|(819[01]'
            '))(-(([3-9])|([1-9][0-9]{1,2})|([1-7][0-9]{3})|('
            '80[0-9]{2})|(81[0-8][0-9])|(819[01])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.private_vlan.mapping', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mapping', 'keyval': 'promis_pri_pvlan', 'extra_keyval': 'promis_pri_pvlan, oper, promis_sec_pvlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, mapping=mapping, oper=oper, promis_sec_pvlan_range=promis_sec_pvlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_add_create(self, tengigabitethernet=None, add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id, trunk_ctag_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, add=add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_private_vlan_trunk_allowed_vlan_remove_create(self, tengigabitethernet=None, remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id, trunk_ctag_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk_private_vlan_classification.private_vlan.trunk.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, remove=remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_rspan_vlan_add_create(self, tengigabitethernet=None, add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id, trunk_ctag_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, add=add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_rspan_vlan_remove_create(self, tengigabitethernet=None, remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id, trunk_ctag_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.allowed.trunk_rspan_vlan_classification.rspan_vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, remove=remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_add_create(self, tengigabitethernet=None, add=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, add=add, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_allowed_vlan_remove_create(self, tengigabitethernet=None, remove=None, trunk_ctag_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type trunk_ctag_range: unicode
    :param trunk_ctag_range: Keyword argument.

        * length restriction: ::

            ['1..1000']

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(409[0-4]))(-((1[0-9]{1,2})|([2-9][0-9]{0,2})|'
            '([1-3][0-9]{3})|(40[0-8][0-9])|(409[0-4])))?((,('
            '(1[0-9]{1,2})|([2-9][0-9]{0,2})|([1-3][0-9]{3})|'
            '(40[0-8][0-9])|(409[0-4]))(-((1[0-9]{1,2})|([2-9'
            '][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(409'
            '[0-4])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, remove=remove, trunk_ctag_range=trunk_ctag_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_switchport_trunk_tag_create(self, tengigabitethernet=None, native_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type native_vlan: YANGBool
    :param native_vlan: Set the native VLAN characteristics of the Layer2 trunk interface for classifying untagged traffic

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.switchport.trunk.tag', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, native_vlan=native_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_track_interface_create(self, tengigabitethernet=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type interface: track_interface_type, track_interface_name
    :param interface: Keyword argument tuple.

    :type track_interface_type: unicode
    :param track_interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type track_interface_name: unicode
    :param track_interface_name: **interface** tuple argument:  Interface name

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9]{2}|2[0-3][0-9])/)?(('
            '[0-9]|1[0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]'
            ')(:[1-4])?)|([1-9]|[1-9][0-9]|[1-9][0-9]{2}|[1-5'
            '][0-9]{3}|6[0-1][0-4]{2}))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'track_interface_type, track_interface_name', 'extra_keyval': 'track_interface_type, track_interface_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vlan_classifier_activate_group_create(self, tengigabitethernet=None, group=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type group: groupid, vlan
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan: long
    :param vlan: **group** tuple argument:  1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan: long
    :param vlan: 1-8191;;Vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vlan.classifier.activate.group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid', 'extra_keyval': 'groupid, vlan'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, group=group, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_create(self, tengigabitethernet=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_track_interface_create(self, tengigabitethernet=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tengigabitethernet_vrrp_group_virtual_ip_create(self, tengigabitethernet=None, vrrp=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type tengigabitethernet: name
    :param tengigabitethernet: Keyword argument tuple.

    :type name: unicode
    :param name: **tengigabitethernet** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv4 address in dotted decimal

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.interface.tengigabitethernet', u'tengigabitethernet'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface.tengigabitethernet.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tengigabitethernet=tengigabitethernet, vrrp=vrrp, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_tunnel_create(self, tunnel=None, tunnel_destination=None, tunnel_shutdown=None, gre_ttl=None, gre_dscp=None, tunnel_name=None, dscp_ttl_mode=None, statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type tunnel: identifier
    :param tunnel: Keyword argument tuple.

    :type identifier: long
    :param identifier: **tunnel** tuple argument:  Identifier value range 1 to 1024

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tunnel_destination: unicode
    :param tunnel_destination: destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_shutdown: YANGBool
    :param tunnel_shutdown: Tunnel shutdown

    :type gre_ttl: long
    :param gre_ttl: Tunnel ttl range 1 to 255

        * range restriction: ::

            ['0..4294967295']

    :type gre_dscp: long
    :param gre_dscp: Tunnel dscp range 0 to 63

        * range restriction: ::

            ['0..4294967295']

    :type tunnel_name: unicode
    :param tunnel_name: Tunnel name

        * length restriction: ::

            ['1..256']

    :type dscp_ttl_mode: unicode
    :param dscp_ttl_mode: Tunnel dscp ttl mode

        * enumeration restriction: ::

            ['pipe', 'uniform']

    :type statistics: YANGBool
    :param statistics: Tunnel statistics

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.interface.tunnel', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel', 'keyval': 'identifier', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel=tunnel, tunnel_destination=tunnel_destination, tunnel_shutdown=tunnel_shutdown, gre_ttl=gre_ttl, gre_dscp=gre_dscp, tunnel_name=tunnel_name, dscp_ttl_mode=dscp_ttl_mode, statistics=statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_create(self, ve=None, global_ve_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type global_ve_shutdown: YANGBool
    :param global_ve_shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'gve_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface_vlan.interface.ve": {"global_ve_shutdown": "global_ve_shutdown", "gve_name": "gve_name"}, "pybind.slxos.v16r_1_00b.routing_system.interface.ve": {"global_ve_shutdown": "shutdown", "gve_name": "name"}, "pybind.nos.v7_1_0.interface_vlan.interface.ve": {"global_ve_shutdown": "global_ve_shutdown", "gve_name": "gve_name"}, "pybind.nos.v7_0_1b.interface_vlan.interface.ve": {"global_ve_shutdown": "global_ve_shutdown", "gve_name": "gve_name"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, global_ve_shutdown=global_ve_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_access_group_create(self, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip_acl_interface.ip.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_address_create(self, ve=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_config.address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_dhcp_relay_servers_create(self, ve=None, servers=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  A.B.C.D;; IP address of the DHCP server

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCP server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, servers=servers)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_create(self, ve=None, ip_anycast_gateway=None, ipv4_gateway_address=None, hold_time=None, load_balancing_disable=None, enable=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_anycast_gateway: ip_gw_id
    :param ip_anycast_gateway: Keyword argument tuple.

    :type ip_gw_id: long
    :param ip_gw_id: **ip_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ipv4_gateway_address: unicode
    :param ipv4_gateway_address: A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type hold_time: long
    :param hold_time: Hold timer for Fabric Virtual Gateway

        * range restriction: ::

            ['0..4294967295']

    :type load_balancing_disable: YANGBool
    :param load_balancing_disable: Disable load balancing

    :type enable: YANGBool
    :param enable: Enable Fabric Virtual Gateway

    :type description: unicode
    :param description: Fabric Virtual Gateway specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_anycast_gateway', 'keyval': 'ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface_vlan.interface.ve.ip.ip_anycast_gateway": {"enable": "enable", "description": "description", "ipv4_gateway_address": "ipv4_gateway_address", "ip_gw_id": "ip_gw_id", "load_balancing_disable": "load_balancing_disable", "hold_time": "hold_time"}, "pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway": {}, "pybind.nos.v6_0_2c.interface_vlan.interface.ve.ip.ip_anycast_gateway": {"enable": "enable", "description": "description", "ipv4_gateway_address": "ipv4_gateway_address", "ip_gw_id": "ip_gw_id", "load_balancing_disable": "load_balancing_disable", "hold_time": "hold_time"}, "pybind.nos.v7_1_0.interface_vlan.interface.ve.ip.ip_anycast_gateway": {"enable": "enable", "description": "description", "ipv4_gateway_address": "ipv4_gateway_address", "ip_gw_id": "ip_gw_id", "load_balancing_disable": "load_balancing_disable", "hold_time": "hold_time"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_anycast_gateway=ip_anycast_gateway, ipv4_gateway_address=ipv4_gateway_address, hold_time=hold_time, load_balancing_disable=load_balancing_disable, enable=enable, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_interface_create(self, ve=None, ip_local_anycast_gateway=None, interface=None, interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_priority: long
    :param interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_network_create(self, ve=None, ip_local_anycast_gateway=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: long
    :param network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_fabric_virtual_gateway_track_next_hop_create(self, ve=None, ip_local_anycast_gateway=None, next_hop=None, next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type next_hop: next_hop_address
    :param next_hop: Keyword argument tuple.

    :type next_hop_address: unicode
    :param next_hop_address: **next_hop** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_priority: long
    :param next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ip_igmp_static_group_create(self, ve=None, ve_igmpl3_static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ve_igmpl3_static_group: igmpl3_sg_addr
    :param ve_igmpl3_static_group: Keyword argument tuple.

    :type igmpl3_sg_addr: unicode
    :param igmpl3_sg_addr: **ve_igmpl3_static_group** tuple argument:  Multicast Address to be Joined in the format A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ip.igmp.ve_igmpl3_static_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u've_igmpl3_static_group', 'keyval': 'igmpl3_sg_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ve_igmpl3_static_group=ve_igmpl3_static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_access_group_create(self, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_address_ipv6_address_create(self, ve=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_dhcp_relay_servers_create(self, ve=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_create(self, ve=None, ipv6_anycast_gateway=None, hold_time=None, load_balancing_disable=None, enable=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_anycast_gateway: ipv6_gw_id
    :param ipv6_anycast_gateway: Keyword argument tuple.

    :type ipv6_gw_id: long
    :param ipv6_gw_id: **ipv6_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hold_time: long
    :param hold_time: Hold timer for Fabric Virtual Gateway

        * range restriction: ::

            ['0..4294967295']

    :type load_balancing_disable: YANGBool
    :param load_balancing_disable: Disable load balancing

    :type enable: YANGBool
    :param enable: Enable Fabric Virtual Gateway

    :type description: unicode
    :param description: Fabric Virtual Gateway specific description

        * length restriction: ::

            ['1 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_gateway', 'keyval': 'ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway": {"ipv6_gw_id": "ipv6_gw_id", "enable": "enable", "hold_time": "hold_time", "description": "description", "load_balancing_disable": "load_balancing_disable"}, "pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway": {}, "pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway": {"ipv6_gw_id": "ipv6_gw_id", "enable": "enable", "hold_time": "hold_time", "description": "description", "load_balancing_disable": "load_balancing_disable"}, "pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway": {"ipv6_gw_id": "ipv6_gw_id", "enable": "enable", "hold_time": "hold_time", "description": "description", "load_balancing_disable": "load_balancing_disable"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, hold_time=hold_time, load_balancing_disable=load_balancing_disable, enable=enable, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_gateway_address_create(self, ve=None, ipv6_anycast_gateway=None, ipv6_gateway_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: gve_name
    :param ve: Keyword argument tuple.

    :type gve_name: long
    :param gve_name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_anycast_gateway: ipv6_gw_id
    :param ipv6_anycast_gateway: Keyword argument tuple.

    :type ipv6_gw_id: long
    :param ipv6_gw_id: **ipv6_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_gateway_address: ipv6_gw_addr
    :param ipv6_gateway_address: Keyword argument tuple.

    :type ipv6_gw_addr: unicode
    :param ipv6_gw_addr: **ipv6_gateway_address** tuple argument:  IPv6 Address/Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve', u've'), ('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve', u've'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway', u'ipv6_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.ve.ipv6.ipv6_anycast_gateway.ipv6_gateway_address', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'gve_name', 'extra_keyval': ''}, {'keyval': 'ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_gateway_address', 'keyval': 'ipv6_gw_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_anycast_gateway=ipv6_anycast_gateway, ipv6_gateway_address=ipv6_gateway_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_interface_create(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, ipv6_interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_interface: ipv6_interface_type, ipv6_interface_name
    :param ipv6_interface: Keyword argument tuple.

    :type ipv6_interface_type: unicode
    :param ipv6_interface_type: **ipv6_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type ipv6_interface_name: unicode
    :param ipv6_interface_name: **ipv6_interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_interface_priority: long
    :param ipv6_interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_network_create(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, ipv6_network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_network: ipv6_network_address
    :param ipv6_network: Keyword argument tuple.

    :type ipv6_network_address: unicode
    :param ipv6_network_address: **ipv6_network** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type ipv6_network_priority: long
    :param ipv6_network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_create(self, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, ipv6_next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_next_hop: ipv6_next_hop_address
    :param ipv6_next_hop: Keyword argument tuple.

    :type ipv6_next_hop_address: unicode
    :param ipv6_next_hop_address: **ipv6_next_hop** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ipv6_next_hop_priority: long
    :param ipv6_next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_address_suppressing_address_create(self, ve=None, suppressing_address=None, suppress_per_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type suppressing_address: suppress_ipv6_address, suppress_per_address
    :param suppressing_address: Keyword argument tuple.

    :type suppress_ipv6_address: unicode
    :param suppress_ipv6_address: **suppressing_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type suppress_per_address: YANGBool
    :param suppress_per_address: **suppressing_address** tuple argument:  Suppress all IPv6 addresses in router advertisement

    **Instance Argument(s)**:

    :type suppress_per_address: YANGBool
    :param suppress_per_address: Suppress all IPv6 addresses in router advertisement

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.address.suppressing_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'suppressing_address', 'keyval': 'suppress_ipv6_address', 'extra_keyval': 'suppress_ipv6_address, suppress_per_address'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, suppressing_address=suppressing_address, suppress_per_address=suppress_per_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_prefix_create(self, ve=None, prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, prefix=prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_dns_server_create(self, ve=None, ra_dns_server=None, dns_server_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ra_dns_server: dns_server_prefix
    :param ra_dns_server: Keyword argument tuple.

    :type dns_server_prefix: unicode
    :param dns_server_prefix: **ra_dns_server** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type dns_server_lifetime_multiplier: long
    :param dns_server_lifetime_multiplier: Lifetime multiplier for the Recursive DNS Server option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_dns_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_dns_server', 'keyval': 'dns_server_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ra_dns_server=ra_dns_server, dns_server_lifetime_multiplier=dns_server_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_nd_ra_domain_name_create(self, ve=None, ra_domain_name=None, domain_name_lifetime_multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ra_domain_name: domain_name_string
    :param ra_domain_name: Keyword argument tuple.

    :type domain_name_string: unicode
    :param domain_name_string: **ra_domain_name** tuple argument.

    **Instance Argument(s)**:

    :type domain_name_lifetime_multiplier: long
    :param domain_name_lifetime_multiplier: Lifetime multiplier for DNS Search List option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.ra_domain_name', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ra_domain_name', 'keyval': 'domain_name_string', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, ra_domain_name=ra_domain_name, domain_name_lifetime_multiplier=domain_name_lifetime_multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_neighbor_create(self, ve=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_create(self, ve=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Neighbor Discovery Advertisment Interval

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_track_interface_create(self, ve=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_track_network_create(self, ve=None, vrrpv3e=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_extended_group_virtual_ip_create(self, ve=None, vrrpv3e=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_create(self, ve=None, vrrpv3=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_track_interface_create(self, ve=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_ipv6_vrrp_group_virtual_ip_create(self, ve=None, vrrpv3=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_auth_key_create(self, ve=None, interface_auth_key=None, interface_auth_key_str=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_auth_key: interface_auth_key_level, interface_auth_key_str
    :param interface_auth_key: Keyword argument tuple.

    :type interface_auth_key_level: unicode
    :param interface_auth_key_level: **interface_auth_key** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: **interface_auth_key** tuple argument.

        * length restriction: ::

            ['1..63']

    **Instance Argument(s)**:

    :type interface_auth_key_str: unicode
    :param interface_auth_key_str: Keyword argument.

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_auth_key', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_auth_key', 'keyval': 'interface_auth_key_level', 'extra_keyval': 'interface_auth_key_level, interface_auth_key_str'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_auth_key=interface_auth_key, interface_auth_key_str=interface_auth_key_str)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_interval_create(self, ve=None, interface_hello_interval=None, interface_hello_interval_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_interval: interface_hello_interval_level, interface_hello_interval_val
    :param interface_hello_interval: Keyword argument tuple.

    :type interface_hello_interval_level: unicode
    :param interface_hello_interval_level: **interface_hello_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: **interface_hello_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_interval_val: long
    :param interface_hello_interval_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_interval', 'keyval': 'interface_hello_interval_level', 'extra_keyval': 'interface_hello_interval_level, interface_hello_interval_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_hello_interval=interface_hello_interval, interface_hello_interval_val=interface_hello_interval_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_hello_multiplier_create(self, ve=None, interface_hello_multiplier=None, interface_hello_multiplier_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_hello_multiplier: interface_hello_multiplier_level, interface_hello_multiplier_val
    :param interface_hello_multiplier: Keyword argument tuple.

    :type interface_hello_multiplier_level: unicode
    :param interface_hello_multiplier_level: **interface_hello_multiplier** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: **interface_hello_multiplier** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_hello_multiplier_val: long
    :param interface_hello_multiplier_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_hello_multiplier', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_hello_multiplier', 'keyval': 'interface_hello_multiplier_level', 'extra_keyval': 'interface_hello_multiplier_level, interface_hello_multiplier_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_hello_multiplier=interface_hello_multiplier, interface_hello_multiplier_val=interface_hello_multiplier_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_ipv6_metric_create(self, ve=None, interface_ipv6_metric=None, interface_ipv6_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_ipv6_metric: interface_ipv6_metric_level, interface_ipv6_metric_val
    :param interface_ipv6_metric: Keyword argument tuple.

    :type interface_ipv6_metric_level: unicode
    :param interface_ipv6_metric_level: **interface_ipv6_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: **interface_ipv6_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_ipv6_metric_val: long
    :param interface_ipv6_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_ipv6.interface_ipv6_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_ipv6_metric', 'keyval': 'interface_ipv6_metric_level', 'extra_keyval': 'interface_ipv6_metric_level, interface_ipv6_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_ipv6_metric=interface_ipv6_metric, interface_ipv6_metric_val=interface_ipv6_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_metric_create(self, ve=None, interface_metric=None, interface_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface_metric: interface_metric_level, interface_metric_val
    :param interface_metric: Keyword argument tuple.

    :type interface_metric_level: unicode
    :param interface_metric_level: **interface_metric** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type interface_metric_val: long
    :param interface_metric_val: **interface_metric** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_metric_val: long
    :param interface_metric_val: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface_metric', 'keyval': 'interface_metric_level', 'extra_keyval': 'interface_metric_level, interface_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, interface_metric=interface_metric, interface_metric_val=interface_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_isis_reverse_metric_create(self, ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.intf_isis.interface_isis.interface_reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_create(self, ve=None, vrrpe=None, virtual_mac=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, vrrpe_garp_timer=None, backup_advertisement_interval=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type virtual_mac: unicode
    :param virtual_mac: Virtual MAC

        * enumeration restriction: ::

            ['02e0.5200.00xx']

    :type advertisement_interval: long
    :param advertisement_interval: Ipv4 session advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type vrrpe_garp_timer: long
    :param vrrpe_garp_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv4 session advertisement interval scale factor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, vrrpe_garp_timer=vrrpe_garp_timer, backup_advertisement_interval=backup_advertisement_interval, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_track_interface_create(self, ve=None, vrrpe=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_track_network_create(self, ve=None, vrrpe=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  IPv4 global address

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-2])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.track.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_extended_group_virtual_ip_create(self, ve=None, vrrpe=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv4 address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrpe.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrpe=vrrpe, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_create(self, ve=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: Ipv4 session advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_track_interface_create(self, ve=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.track.interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_ve_vrrp_group_virtual_ip_create(self, ve=None, vrrp=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv4 address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve', u've'), ('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.interface.ve.vrrp.virtual_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ve=ve, vrrp=vrrp, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_snooping_mrouter_interface_create(self, vlan=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface: if_type, value
    :param interface: Keyword argument tuple.

    :type if_type: unicode
    :param if_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['FortyGigabitEthernet',
            'GigabitEthernet',
            'Port-channel',
            'TenGigabitEthernet',
            'HundredGigabitEthernet']

    :type value: unicode
    :param value: **interface** tuple argument.

        * length restriction: ::

            ['1..10']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.snooping.mrouter.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ip_igmp_static_group_create(self, vlan=None, static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_group: mcast_address, interface, if_type, value
    :param static_group: Keyword argument tuple.

    :type mcast_address: unicode
    :param mcast_address: **static_group** tuple argument:  Multicast Address to be Joined in the format A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface: unicode
    :param interface: **static_group** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type if_type: unicode
    :param if_type: **static_group** tuple argument.

        * enumeration restriction: ::

            ['FortyGigabitEthernet',
            'GigabitEthernet',
            'Port-channel',
            'TenGigabitEthernet',
            'HundredGigabitEthernet']

    :type value: unicode
    :param value: **static_group** tuple argument.

        * length restriction: ::

            ['1..10']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ip.igmp.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, static_group=static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_snooping_mrouter_interface_create(self, vlan=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface: if_type, value
    :param interface: Keyword argument tuple.

    :type if_type: unicode
    :param if_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['FortyGigabitEthernet',
            'GigabitEthernet',
            'Port-channel',
            'TenGigabitEthernet',
            'HundredGigabitEthernet']

    :type value: unicode
    :param value: **interface** tuple argument.

        * length restriction: ::

            ['1..10']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_ipv6_mld_static_group_create(self, vlan=None, static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_group: mcast_address, interface, if_type, value
    :param static_group: Keyword argument tuple.

    :type mcast_address: unicode
    :param mcast_address: **static_group** tuple argument:  Multicast Address to be Joined in format xxxx:xxxx/ml, xxxx:xxxx::/ml

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type interface: unicode
    :param interface: **static_group** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type if_type: unicode
    :param if_type: **static_group** tuple argument.

        * enumeration restriction: ::

            ['FortyGigabitEthernet',
            'GigabitEthernet',
            'Port-channel',
            'TenGigabitEthernet',
            'HundredGigabitEthernet']

    :type value: unicode
    :param value: **static_group** tuple argument.

        * length restriction: ::

            ['1..10']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.ipv6.mldVlan.static_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, static_group=static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def interface_vlan_mac_access_group_create(self, vlan=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', u'vlan'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', u'vlan')]
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan.mac.access_group', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_create(self, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_extended_seq_create(self, extended=None, seq=None, action=None, protocol_type=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, sport=None, sport_number_eq_neq_tcp=None, sport_number_lt_tcp=None, sport_number_gt_tcp=None, sport_number_eq_neq_udp=None, sport_number_lt_udp=None, sport_number_gt_udp=None, sport_number_range_lower_tcp=None, sport_number_range_lower_udp=None, sport_number_range_higher_tcp=None, sport_number_range_higher_udp=None, dst_host_any_dip=None, dst_host_ip=None, dst_mask=None, dport=None, dport_number_eq_neq_tcp=None, dport_number_lt_tcp=None, dport_number_gt_tcp=None, dport_number_eq_neq_udp=None, dport_number_lt_udp=None, dport_number_gt_udp=None, dport_number_range_lower_tcp=None, dport_number_range_lower_udp=None, dport_number_range_higher_tcp=None, dport_number_range_higher_udp=None, dscp=None, urg=None, ack=None, push=None, fin=None, rst=None, sync=None, vlan=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type protocol_type: unicode
    :param protocol_type: **seq** tuple argument.

        * enumeration restriction: ::

            ['ip', 'udp', 'icmp', 'tcp']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_mask: unicode
    :param src_mask: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type sport: unicode
    :param sport: **seq** tuple argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type sport_number_eq_neq_tcp: unicode
    :param sport_number_eq_neq_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_lt_tcp: unicode
    :param sport_number_lt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_gt_tcp: unicode
    :param sport_number_gt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_eq_neq_udp: unicode
    :param sport_number_eq_neq_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_lt_udp: unicode
    :param sport_number_lt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_gt_udp: unicode
    :param sport_number_gt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_lower_tcp: unicode
    :param sport_number_range_lower_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_lower_udp: unicode
    :param sport_number_range_lower_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_higher_tcp: unicode
    :param sport_number_range_higher_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_higher_udp: unicode
    :param sport_number_range_higher_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dst_host_any_dip: unicode
    :param dst_host_any_dip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type dst_host_ip: unicode
    :param dst_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_mask: unicode
    :param dst_mask: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dport: unicode
    :param dport: **seq** tuple argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type dport_number_eq_neq_tcp: unicode
    :param dport_number_eq_neq_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_lt_tcp: unicode
    :param dport_number_lt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_gt_tcp: unicode
    :param dport_number_gt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_eq_neq_udp: unicode
    :param dport_number_eq_neq_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_lt_udp: unicode
    :param dport_number_lt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_gt_udp: unicode
    :param dport_number_gt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_lower_tcp: unicode
    :param dport_number_range_lower_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_lower_udp: unicode
    :param dport_number_range_lower_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_higher_tcp: unicode
    :param dport_number_range_higher_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_higher_udp: unicode
    :param dport_number_range_higher_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dscp: unicode
    :param dscp: **seq** tuple argument:  Differentiated Service Code Point

        * enumeration restriction: ::

            ['af23',
            'af22',
            'af21',
            'af33',
            'af41',
            'af43',
            'af31',
            'default',
            'af42',
            'af12',
            'af32',
            'af13',
            'cs6',
            'cs2',
            'cs5',
            'cs4',
            'cs7',
            'af11',
            'cs1',
            'cs3',
            'ef']

    :type urg: YANGBool
    :param urg: **seq** tuple argument:  Urgent

    :type ack: YANGBool
    :param ack: **seq** tuple argument:  Acknowledgement

    :type push: YANGBool
    :param push: **seq** tuple argument:  Push

    :type fin: YANGBool
    :param fin: **seq** tuple argument:  No more data

    :type rst: YANGBool
    :param rst: **seq** tuple argument:  Reset connection

    :type sync: YANGBool
    :param sync: **seq** tuple argument:  Synchronize

    :type vlan: long
    :param vlan: **seq** tuple argument:  Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet Count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type protocol_type: unicode
    :param protocol_type: Keyword argument.

        * enumeration restriction: ::

            ['ip', 'udp', 'icmp', 'tcp']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type sport: unicode
    :param sport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type sport_number_eq_neq_tcp: unicode
    :param sport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_lt_tcp: unicode
    :param sport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_gt_tcp: unicode
    :param sport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_eq_neq_udp: unicode
    :param sport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_lt_udp: unicode
    :param sport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_gt_udp: unicode
    :param sport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_lower_tcp: unicode
    :param sport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_lower_udp: unicode
    :param sport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_higher_tcp: unicode
    :param sport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_higher_udp: unicode
    :param sport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dst_host_any_dip: unicode
    :param dst_host_any_dip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type dst_host_ip: unicode
    :param dst_host_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_mask: unicode
    :param dst_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dport: unicode
    :param dport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type dport_number_eq_neq_tcp: unicode
    :param dport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_lt_tcp: unicode
    :param dport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_gt_tcp: unicode
    :param dport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_eq_neq_udp: unicode
    :param dport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_lt_udp: unicode
    :param dport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_gt_udp: unicode
    :param dport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_lower_tcp: unicode
    :param dport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_lower_udp: unicode
    :param dport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_higher_tcp: unicode
    :param dport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_higher_udp: unicode
    :param dport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dscp: unicode
    :param dscp: Differentiated Service Code Point

        * enumeration restriction: ::

            ['af23',
            'af22',
            'af21',
            'af33',
            'af41',
            'af43',
            'af31',
            'default',
            'af42',
            'af12',
            'af32',
            'af13',
            'cs6',
            'cs2',
            'cs5',
            'cs4',
            'cs7',
            'af11',
            'cs1',
            'cs3',
            'ef']

    :type urg: YANGBool
    :param urg: Urgent

    :type ack: YANGBool
    :param ack: Acknowledgement

    :type push: YANGBool
    :param push: Push

    :type fin: YANGBool
    :param fin: No more data

    :type rst: YANGBool
    :param rst: Reset connection

    :type sync: YANGBool
    :param sync: Synchronize

    :type vlan: long
    :param vlan: Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: Packet Count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}, "pybind.nos.v7_1_0.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}, "pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq": {}, "pybind.nos.v6_0_2c.ip_acl.ip.access_list.extended.hide_ip_acl_ext.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, action=action, protocol_type=protocol_type, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, sport=sport, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp, sport_number_lt_tcp=sport_number_lt_tcp, sport_number_gt_tcp=sport_number_gt_tcp, sport_number_eq_neq_udp=sport_number_eq_neq_udp, sport_number_lt_udp=sport_number_lt_udp, sport_number_gt_udp=sport_number_gt_udp, sport_number_range_lower_tcp=sport_number_range_lower_tcp, sport_number_range_lower_udp=sport_number_range_lower_udp, sport_number_range_higher_tcp=sport_number_range_higher_tcp, sport_number_range_higher_udp=sport_number_range_higher_udp, dst_host_any_dip=dst_host_any_dip, dst_host_ip=dst_host_ip, dst_mask=dst_mask, dport=dport, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp, dport_number_lt_tcp=dport_number_lt_tcp, dport_number_gt_tcp=dport_number_gt_tcp, dport_number_eq_neq_udp=dport_number_eq_neq_udp, dport_number_lt_udp=dport_number_lt_udp, dport_number_gt_udp=dport_number_gt_udp, dport_number_range_lower_tcp=dport_number_range_lower_tcp, dport_number_range_lower_udp=dport_number_range_lower_udp, dport_number_range_higher_tcp=dport_number_range_higher_tcp, dport_number_range_higher_udp=dport_number_range_higher_udp, dscp=dscp, urg=urg, ack=ack, push=push, fin=fin, rst=rst, sync=sync, vlan=vlan, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_standard_create(self, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_access_list_standard_seq_create(self, standard=None, seq=None, action=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_mask: unicode
    :param src_mask: **seq** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type count: YANGBool
    :param count: Packet count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_ip_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_ip_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.nos.v7_1_0.brocade_ip_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_ip_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}, "pybind.nos.v7_0_1b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}, "pybind.nos.v6_0_2c.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}, "pybind.slxos.v16r_1_00b.ip_acl.ip.access_list.standard.hide_ip_acl_std.seq": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, action=action, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_as_path_access_list_create(self, access_list=None, ip_action=None, ip_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type access_list: name, seq_keyword, instance, ip_action, ip_reg_expr
    :param access_list: Keyword argument tuple.

    :type name: unicode
    :param name: **access_list** tuple argument.

        * length restriction: ::

            ['1..32']

    :type seq_keyword: unicode
    :param seq_keyword: **access_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **access_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **access_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_reg_expr: unicode
    :param ip_reg_expr: **access_list** tuple argument.

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_reg_expr: unicode
    :param ip_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_as_path_holder.as_path.access_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_as_path_holder.as_path.access_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, access_list=access_list, ip_action=ip_action, ip_reg_expr=ip_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_community_list_extended_create(self, extended=None, ip_action=None, ip_community_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended: name, seq_keyword, instance, ip_action, ip_community_reg_expr
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **extended** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **extended** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **extended** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_community_reg_expr: unicode
    :param ip_community_reg_expr: **extended** tuple argument.

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_community_reg_expr: unicode
    :param ip_community_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.extended', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ip_action=ip_action, ip_community_reg_expr=ip_community_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_community_list_standard_create(self, standard=None, ip_action=None, std_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type standard: name, seq_keyword, instance, ip_action, std_community_expr
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **standard** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **standard** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **standard** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type std_community_expr: unicode
    :param std_community_expr: **standard** tuple argument.

        * pattern restriction: ::

            '(\s*)|(\s*((local\-as)|(internet)|(no\-export)|('
            'no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4'
            '})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]['
            '0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9'
            ']{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-'
            '2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]['
            '0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429'
            '[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0'
            '-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]'
            '{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s'
            '+((local\-as)|(internet)|(no\-export)|(no\-adver'
            'tise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6['
            '0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|'
            '(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])|(429496729[0-5])))*)'

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type std_community_expr: unicode
    :param std_community_expr: Keyword argument.

        * pattern restriction: ::

            '(\s*)|(\s*((local\-as)|(internet)|(no\-export)|('
            'no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4'
            '})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]['
            '0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9'
            ']{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-'
            '2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]['
            '0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429'
            '[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0'
            '-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]'
            '{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s'
            '+((local\-as)|(internet)|(no\-export)|(no\-adver'
            'tise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6['
            '0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|'
            '(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])|(429496729[0-5])))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_community_list_holder.community_list.standard', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_community_list_holder.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, ip_action=ip_action, std_community_expr=std_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_dns_name_server_create(self, name_server=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type name_server: name_server_ip
    :param name_server: Keyword argument tuple.

    :type name_server_ip: unicode
    :param name_server_ip: **name_server** tuple argument:  IPv4ADDRESS/IPv6ADDRESS;;The IPv4 or Ipv6 Address for Name Server

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.dns.name_server', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.dns.name_server', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.dns.name_server', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.dns.name_server', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name_server', 'keyval': 'name_server_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name_server=name_server)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_extcommunity_list_create(self, extcommunity_list=None, ext_community_action=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type extcommunity_list: extcommunity_list_num, ext_community_action, ext_community_expr
    :param extcommunity_list: Keyword argument tuple.

    :type extcommunity_list_num: int
    :param extcommunity_list_num: **extcommunity_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ext_community_action: unicode
    :param ext_community_action: **extcommunity_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: **extcommunity_list** tuple argument:  Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    **Instance Argument(s)**:

    :type ext_community_action: unicode
    :param ext_community_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_expr'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.ip.hide_ext_community_list_holder.extcommunity_list": {}, "pybind.nos.v6_0_2c.ip.hide_ext_community_list_holder.extcommunity_list": {"ext_community_action": "ext_community_action", "ext_community_expr": "ext_community_expr", "extcommunity_list_num": "extcommunity_list_num"}, "pybind.nos.v7_0_1b.ip.hide_ext_community_list_holder.extcommunity_list": {"ext_community_action": "ext_community_action", "ext_community_expr": "ext_community_expr", "extcommunity_list_num": "extcommunity_list_num"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_extcommunity_list_standard_create(self, standard=None, ext_community_action=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type standard: extcommunity_list_name, ext_community_action, ext_community_expr
    :param standard: Keyword argument tuple.

    :type extcommunity_list_name: unicode
    :param extcommunity_list_name: **standard** tuple argument.

    :type ext_community_action: unicode
    :param ext_community_action: **standard** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: **standard** tuple argument:  Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    **Instance Argument(s)**:

    :type ext_community_action: unicode
    :param ext_community_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.hide_ext_community_list_holder.extcommunity_list.standard', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'extcommunity_list_name', 'extra_keyval': 'extcommunity_list_name, ext_community_action, ext_community_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_igmp_ssm_map_igmps_prefix_list_create(self, igmps_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type igmps_prefix_list: igmps_prefix_list_name, igmps_prefix_src_addr
    :param igmps_prefix_list: Keyword argument tuple.

    :type igmps_prefix_list_name: unicode
    :param igmps_prefix_list_name: **igmps_prefix_list** tuple argument:  ASCII string    Access-list name or number

    :type igmps_prefix_src_addr: unicode
    :param igmps_prefix_src_addr: **igmps_prefix_list** tuple argument:  A.B.C.D     Source address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.igmp_snooping.ip.igmp.ssm_map.igmps_prefix_list', 'pybind.slxos.v16r_1_00b.brocade_igmp_snooping', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'igmps_prefix_list', 'keyval': 'igmps_prefix_list_name, igmps_prefix_src_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, igmps_prefix_list=igmps_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_import_routes_create(self, routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type routes: src_vrf, route_map
    :param routes: Keyword argument tuple.

    :type src_vrf: unicode
    :param src_vrf: **routes** tuple argument:  ASCII string;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type route_map: unicode
    :param route_map: **routes** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ip.rtm_config.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, routes=routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_prefix_list_create(self, prefix_list=None, action_ipp=None, prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type action_ipp: unicode
    :param action_ipp: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type prefix_ipp: unicode
    :param prefix_ipp: **prefix_list** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type ge_ipp: long
    :param ge_ipp: **prefix_list** tuple argument:  Minimum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: **prefix_list** tuple argument:  Maximum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type prefix_ipp: unicode
    :param prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type ge_ipp: long
    :param ge_ipp: Minimum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: Maximum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.hide_prefix_holder.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, action_ipp=action_ipp, prefix_ipp=prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_receive_access_group_create(self, access_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type access_group: acl_name
    :param access_group: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ip.receive.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, access_group=access_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_bfd_bfd_static_route_create(self, bfd_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_static_route=bfd_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_route_nh_create(self, static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_nh', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_nh', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_route_nh', 'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_nh=static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_route_nh_vrf_create(self, static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop
    :param static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_nh_vrf** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_nh_vrf** tuple argument:  Next Hop Vrf Name

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh_vrf** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_nh_vrf=static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_route_oif_create(self, static_route_oif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_oif', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_oif', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_oif=static_route_oif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ip_route_static_route_oif_vrf_create(self, static_route_oif_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type static_route_oif_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name
    :param static_route_oif_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_oif_vrf** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_oif_vrf** tuple argument:  Next Hop Vrf Name

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ip.rtm_config.route.static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_oif_vrf=static_route_oif_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_create(self, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_extended_seq_create(self, extended=None, seq=None, action=None, protocol_type=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, sport=None, sport_number_eq_neq_tcp=None, sport_number_lt_tcp=None, sport_number_gt_tcp=None, sport_number_eq_neq_udp=None, sport_number_lt_udp=None, sport_number_gt_udp=None, sport_number_range_lower_tcp=None, sport_number_range_lower_udp=None, sport_number_range_higher_tcp=None, sport_number_range_higher_udp=None, dst_host_any_dip=None, dst_host_ip=None, dst_mask=None, dport=None, dport_number_eq_neq_tcp=None, dport_number_lt_tcp=None, dport_number_gt_tcp=None, dport_number_eq_neq_udp=None, dport_number_lt_udp=None, dport_number_gt_udp=None, dport_number_range_lower_tcp=None, dport_number_range_lower_udp=None, dport_number_range_higher_tcp=None, dport_number_range_higher_udp=None, dscp=None, urg=None, ack=None, push=None, fin=None, rst=None, sync=None, vlan=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type protocol_type: unicode
    :param protocol_type: **seq** tuple argument.

        * enumeration restriction: ::

            ['udp', 'ipv6-icmp', 'tcp', 'ipv6']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type src_mask: unicode
    :param src_mask: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type sport: unicode
    :param sport: **seq** tuple argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type sport_number_eq_neq_tcp: unicode
    :param sport_number_eq_neq_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_lt_tcp: unicode
    :param sport_number_lt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_gt_tcp: unicode
    :param sport_number_gt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_eq_neq_udp: unicode
    :param sport_number_eq_neq_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_lt_udp: unicode
    :param sport_number_lt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_gt_udp: unicode
    :param sport_number_gt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_lower_tcp: unicode
    :param sport_number_range_lower_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_lower_udp: unicode
    :param sport_number_range_lower_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_higher_tcp: unicode
    :param sport_number_range_higher_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_higher_udp: unicode
    :param sport_number_range_higher_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dst_host_any_dip: unicode
    :param dst_host_any_dip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type dst_host_ip: unicode
    :param dst_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type dst_mask: unicode
    :param dst_mask: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type dport: unicode
    :param dport: **seq** tuple argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type dport_number_eq_neq_tcp: unicode
    :param dport_number_eq_neq_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_lt_tcp: unicode
    :param dport_number_lt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_gt_tcp: unicode
    :param dport_number_gt_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_eq_neq_udp: unicode
    :param dport_number_eq_neq_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_lt_udp: unicode
    :param dport_number_lt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_gt_udp: unicode
    :param dport_number_gt_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_lower_tcp: unicode
    :param dport_number_range_lower_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_lower_udp: unicode
    :param dport_number_range_lower_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_higher_tcp: unicode
    :param dport_number_range_higher_tcp: **seq** tuple argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_higher_udp: unicode
    :param dport_number_range_higher_udp: **seq** tuple argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dscp: unicode
    :param dscp: **seq** tuple argument:  Differentiated Service Code Point

        * enumeration restriction: ::

            ['af23',
            'af22',
            'af21',
            'af33',
            'af41',
            'af43',
            'af31',
            'default',
            'af42',
            'af12',
            'af32',
            'af13',
            'cs6',
            'cs2',
            'cs5',
            'cs4',
            'cs7',
            'af11',
            'cs1',
            'cs3',
            'ef']

    :type urg: YANGBool
    :param urg: **seq** tuple argument:  Urgent

    :type ack: YANGBool
    :param ack: **seq** tuple argument:  Acknowledgement

    :type push: YANGBool
    :param push: **seq** tuple argument:  Push

    :type fin: YANGBool
    :param fin: **seq** tuple argument:  No more data

    :type rst: YANGBool
    :param rst: **seq** tuple argument:  Reset connection

    :type sync: YANGBool
    :param sync: **seq** tuple argument:  Synchronize

    :type vlan: long
    :param vlan: **seq** tuple argument:  Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet Count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type protocol_type: unicode
    :param protocol_type: Keyword argument.

        * enumeration restriction: ::

            ['udp', 'ipv6-icmp', 'tcp', 'ipv6']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type sport: unicode
    :param sport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type sport_number_eq_neq_tcp: unicode
    :param sport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_lt_tcp: unicode
    :param sport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_gt_tcp: unicode
    :param sport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_eq_neq_udp: unicode
    :param sport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_lt_udp: unicode
    :param sport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_gt_udp: unicode
    :param sport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_lower_tcp: unicode
    :param sport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_lower_udp: unicode
    :param sport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type sport_number_range_higher_tcp: unicode
    :param sport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type sport_number_range_higher_udp: unicode
    :param sport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dst_host_any_dip: unicode
    :param dst_host_any_dip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type dst_host_ip: unicode
    :param dst_host_ip: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type dst_mask: unicode
    :param dst_mask: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type dport: unicode
    :param dport: Keyword argument.

        * enumeration restriction: ::

            ['lt', 'gt', 'eq', 'range', 'neq']

    :type dport_number_eq_neq_tcp: unicode
    :param dport_number_eq_neq_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_lt_tcp: unicode
    :param dport_number_lt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_gt_tcp: unicode
    :param dport_number_gt_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_eq_neq_udp: unicode
    :param dport_number_eq_neq_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_lt_udp: unicode
    :param dport_number_lt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_gt_udp: unicode
    :param dport_number_gt_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_lower_tcp: unicode
    :param dport_number_range_lower_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_lower_udp: unicode
    :param dport_number_range_lower_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dport_number_range_higher_tcp: unicode
    :param dport_number_range_higher_tcp: Keyword argument.

        * enumeration restriction: ::

            ['ftp',
            'domain',
            'tacacs',
            'hostname',
            'smtp',
            'www',
            'telnet',
            'echo',
            'bgp',
            'syslog',
            'ftp-data',
            'daytime',
            'time',
            'pim-auto-rp',
            'login',
            'talk']

    :type dport_number_range_higher_udp: unicode
    :param dport_number_range_higher_udp: Keyword argument.

        * enumeration restriction: ::

            ['domain',
            'ntp',
            'rip',
            'echo',
            'syslog',
            'pim-auto-rp',
            'tacacs',
            'snmp',
            'bootps',
            'tftp',
            'bootpc']

    :type dscp: unicode
    :param dscp: Differentiated Service Code Point

        * enumeration restriction: ::

            ['af23',
            'af22',
            'af21',
            'af33',
            'af41',
            'af43',
            'af31',
            'default',
            'af42',
            'af12',
            'af32',
            'af13',
            'cs6',
            'cs2',
            'cs5',
            'cs4',
            'cs7',
            'af11',
            'cs1',
            'cs3',
            'ef']

    :type urg: YANGBool
    :param urg: Urgent

    :type ack: YANGBool
    :param ack: Acknowledgement

    :type push: YANGBool
    :param push: Push

    :type fin: YANGBool
    :param fin: No more data

    :type rst: YANGBool
    :param rst: Reset connection

    :type sync: YANGBool
    :param sync: Synchronize

    :type vlan: long
    :param vlan: Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: Packet Count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, protocol_type, src_host_any_sip, src_host_ip, src_mask, sport, sport_number_eq_neq_tcp, sport_number_lt_tcp, sport_number_gt_tcp, sport_number_eq_neq_udp, sport_number_lt_udp, sport_number_gt_udp, sport_number_range_lower_tcp, sport_number_range_lower_udp, sport_number_range_higher_tcp, sport_number_range_higher_udp, dst_host_any_dip, dst_host_ip, dst_mask, dport, dport_number_eq_neq_tcp, dport_number_lt_tcp, dport_number_gt_tcp, dport_number_eq_neq_udp, dport_number_lt_udp, dport_number_gt_udp, dport_number_range_lower_tcp, dport_number_range_lower_udp, dport_number_range_higher_tcp, dport_number_range_higher_udp, dscp, urg, ack, push, fin, rst, sync, vlan, count, log'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.extended.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}, "pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.extended.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}, "pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.extended.seq": {"dport_number_range_higher_udp": "dport_number_range_higher_udp", "sport_number_range_lower_tcp": "sport_number_range_lower_tcp", "push": "push", "sport_number_eq_neq_udp": "sport_number_eq_neq_udp", "sport_number_range_higher_tcp": "sport_number_range_higher_tcp", "sync": "sync", "sport": "sport", "src_mask": "src_mask", "dport_number_lt_udp": "dport_number_lt_udp", "sport_number_range_lower_udp": "sport_number_range_lower_udp", "log": "log", "seq_id": "seq_id", "dport_number_range_lower_tcp": "dport_number_range_lower_tcp", "dport_number_eq_neq_udp": "dport_number_eq_neq_udp", "src_host_ip": "src_host_ip", "sport_number_lt_tcp": "sport_number_lt_tcp", "sport_number_gt_tcp": "sport_number_gt_tcp", "dport_number_gt_udp": "dport_number_gt_udp", "fin": "fin", "dport_number_gt_tcp": "dport_number_gt_tcp", "vlan": "vlan", "dport_number_range_higher_tcp": "dport_number_range_higher_tcp", "sport_number_eq_neq_tcp": "sport_number_eq_neq_tcp", "dscp": "dscp", "sport_number_range_higher_udp": "sport_number_range_higher_udp", "action": "action", "dst_host_ip": "dst_host_ip", "rst": "rst", "dst_mask": "dst_mask", "protocol_type": "protocol_type", "count": "count", "urg": "urg", "dport_number_lt_tcp": "dport_number_lt_tcp", "ack": "ack", "dport_number_eq_neq_tcp": "dport_number_eq_neq_tcp", "dport_number_range_lower_udp": "dport_number_range_lower_udp", "dport": "dport", "src_host_any_sip": "src_host_any_sip", "dst_host_any_dip": "dst_host_any_dip", "sport_number_lt_udp": "sport_number_lt_udp", "sport_number_gt_udp": "sport_number_gt_udp"}, "pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.extended.seq": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, action=action, protocol_type=protocol_type, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, sport=sport, sport_number_eq_neq_tcp=sport_number_eq_neq_tcp, sport_number_lt_tcp=sport_number_lt_tcp, sport_number_gt_tcp=sport_number_gt_tcp, sport_number_eq_neq_udp=sport_number_eq_neq_udp, sport_number_lt_udp=sport_number_lt_udp, sport_number_gt_udp=sport_number_gt_udp, sport_number_range_lower_tcp=sport_number_range_lower_tcp, sport_number_range_lower_udp=sport_number_range_lower_udp, sport_number_range_higher_tcp=sport_number_range_higher_tcp, sport_number_range_higher_udp=sport_number_range_higher_udp, dst_host_any_dip=dst_host_any_dip, dst_host_ip=dst_host_ip, dst_mask=dst_mask, dport=dport, dport_number_eq_neq_tcp=dport_number_eq_neq_tcp, dport_number_lt_tcp=dport_number_lt_tcp, dport_number_gt_tcp=dport_number_gt_tcp, dport_number_eq_neq_udp=dport_number_eq_neq_udp, dport_number_lt_udp=dport_number_lt_udp, dport_number_gt_udp=dport_number_gt_udp, dport_number_range_lower_tcp=dport_number_range_lower_tcp, dport_number_range_lower_udp=dport_number_range_lower_udp, dport_number_range_higher_tcp=dport_number_range_higher_tcp, dport_number_range_higher_udp=dport_number_range_higher_udp, dscp=dscp, urg=urg, ack=ack, push=push, fin=fin, rst=rst, sync=sync, vlan=vlan, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_standard_create(self, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_access_list_standard_seq_create(self, standard=None, seq=None, action=None, src_host_any_sip=None, src_host_ip=None, src_mask=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: **seq** tuple argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type src_mask: unicode
    :param src_mask: **seq** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type src_host_any_sip: unicode
    :param src_host_any_sip: Keyword argument.

        * enumeration restriction: ::

            ['host', 'any']

    :type src_host_ip: unicode
    :param src_host_ip: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type src_mask: unicode
    :param src_mask: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type count: YANGBool
    :param count: Packet count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v6_0_2c.brocade_ipv6_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_0_1b.brocade_ipv6_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.nos.v7_1_0.brocade_ipv6_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_ipv6_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, src_host_any_sip, src_host_ip, src_mask, count, log, copy_sflow'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.ipv6_acl.ipv6.access_list.standard.seq": {}, "pybind.nos.v7_1_0.ipv6_acl.ipv6.access_list.standard.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}, "pybind.nos.v6_0_2c.ipv6_acl.ipv6.access_list.standard.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}, "pybind.nos.v7_0_1b.ipv6_acl.ipv6.access_list.standard.seq": {"count": "count", "log": "log", "seq_id": "seq_id", "src_host_ip": "src_host_ip", "action": "action", "src_host_any_sip": "src_host_any_sip", "src_mask": "src_mask"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, action=action, src_host_any_sip=src_host_any_sip, src_host_ip=src_host_ip, src_mask=src_mask, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_import_routes_create(self, routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type routes: src_vrf, route_map
    :param routes: Keyword argument tuple.

    :type src_vrf: unicode
    :param src_vrf: **routes** tuple argument:  ASCII string;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type route_map: unicode
    :param route_map: **routes** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, routes=routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_nd_ra_dns_server_create(self, dns_server_global=None, dns_server_lifetime_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type dns_server_global: dns_server_prefix_global
    :param dns_server_global: Keyword argument tuple.

    :type dns_server_prefix_global: unicode
    :param dns_server_prefix_global: **dns_server_global** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type dns_server_lifetime_global: long
    :param dns_server_lifetime_global: Lifetime multiplier for the Recursive DNS Server option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.dns_server_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dns_server_global', 'keyval': 'dns_server_prefix_global', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dns_server_global=dns_server_global, dns_server_lifetime_global=dns_server_lifetime_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_nd_ra_domain_name_create(self, domain_name_global=None, domain_name_lifetime_global=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type domain_name_global: domain_name_string_global
    :param domain_name_global: Keyword argument tuple.

    :type domain_name_string_global: unicode
    :param domain_name_string_global: **domain_name_global** tuple argument.

    **Instance Argument(s)**:

    :type domain_name_lifetime_global: long
    :param domain_name_lifetime_global: Lifetime multiplier for DNS Search List option

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.ipv6_global_cmds.nd_global.domain_name_global', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain_name_global', 'keyval': 'domain_name_string_global', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name_global=domain_name_global, domain_name_lifetime_global=domain_name_lifetime_global)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_prefix_list_create(self, prefix_list=None, action_ipp=None, ipv6_prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type action_ipp: unicode
    :param action_ipp: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ipv6_prefix_ipp: unicode
    :param ipv6_prefix_ipp: **prefix_list** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type ge_ipp: long
    :param ge_ipp: **prefix_list** tuple argument:  Minimum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: **prefix_list** tuple argument:  Maximum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ipv6_prefix_ipp: unicode
    :param ipv6_prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type ge_ipp: long
    :param ge_ipp: Minimum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: Maximum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6.hide_prefix_holder.prefix_list', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.prefix_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list=prefix_list, action_ipp=action_ipp, ipv6_prefix_ipp=ipv6_prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_receive_access_group_create(self, access_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type access_group: acl_name
    :param access_group: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.receive.access_group', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, access_group=access_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_create(self, route=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type route: dest
    :param route: Keyword argument tuple.

    :type dest: unicode
    :param dest: **route** tuple argument:  IPv6Address/prefix.;; Destination IPv6 address-prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type next_hop: unicode
    :param next_hop: IPv6 address.;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ipv6.ipv6route.route', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ipv6.ipv6route.route', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'dest', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_ipv6_static_route_oif_vrf_create(self, ipv6_static_route_oif_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ipv6_static_route_oif_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name
    :param ipv6_static_route_oif_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **ipv6_static_route_oif_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **ipv6_static_route_oif_vrf** tuple argument:  Next Hop Vrf Name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **ipv6_static_route_oif_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **ipv6_static_route_oif_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv6_static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_static_route_oif_vrf=ipv6_static_route_oif_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_link_local_static_route_nh_create(self, link_local_static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'management', 'null', 've']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'link_local_static_route_nh', 'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link_local_static_route_nh=link_local_static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_link_local_static_route_nh_vrf_create(self, link_local_static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type link_local_static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, link_local_next_hop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **link_local_static_route_nh_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **link_local_static_route_nh_vrf** tuple argument:  Next Hop Vrf Name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type link_local_next_hop: unicode
    :param link_local_next_hop: **link_local_static_route_nh_vrf** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'management', 'null', 've']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.link_local_static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'link_local_static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, link_local_next_hop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link_local_static_route_nh_vrf=link_local_static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_create(self, bfd_ipv6_link_local_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_bfd_bfd_ipv6_static_route_create(self, bfd_ipv6_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_static_route', 'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bfd_ipv6_static_route=bfd_ipv6_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_route_nh_create(self, static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_route_nh', 'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_nh=static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_route_nh_vrf_create(self, static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop
    :param static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_nh_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_nh_vrf** tuple argument:  Next Hop Vrf Name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh_vrf** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_nh_vrf=static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_route_static_route_oif_create(self, static_route_oif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.ipv6.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_route_oif=static_route_oif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_create(self, ospf=None, database_overflow_interval=None, default_metric=None, default_passive_interface=None, external_lsdb_limit=None, key_add_remove_interval=None, key_rollover_interval=None, log_status_change=None, global_metric_type=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated.

        * range restriction: ::

            ['0..4294967295']

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs.

        * range restriction: ::

            ['0..4294967295']

    :type key_add_remove_interval: long
    :param key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type key_rollover_interval: long
    :param key_rollover_interval: Configure OSPFv3 authentication key rollover interval

        * range restriction: ::

            ['0..4294967295']

    :type log_status_change: YANGBool
    :param log_status_change: Log status change

    :type global_metric_type: unicode
    :param global_metric_type: OSPFv3 metric type for redistributed routes

        * enumeration restriction: ::

            ['type1', 'type2']

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable nonstop-routing capability

    :type maximum_paths: long
    :param maximum_paths: Set the maximum number of paths to a destination.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, database_overflow_interval=database_overflow_interval, default_metric=default_metric, default_passive_interface=default_passive_interface, external_lsdb_limit=external_lsdb_limit, key_add_remove_interval=key_add_remove_interval, key_rollover_interval=key_rollover_interval, log_status_change=log_status_change, global_metric_type=global_metric_type, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_create(self, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_create(self, ospf=None, area=None, no_redistribution=None, nssa_area_no_summary=None, translator_always=None, translator_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type no_redistribution: YANGBool
    :param no_redistribution: Do not send redistributed LSA into nssa area

    :type nssa_area_no_summary: YANGBool
    :param nssa_area_no_summary: Do not send summary LSA into nssa area

    :type translator_always: YANGBool
    :param translator_always: Set nssa translator role

    :type translator_interval: long
    :param translator_interval: Set nssa translator stability interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_redistribution, nssa_area_no_summary, translator_always, translator_interval'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, no_redistribution=no_redistribution, nssa_area_no_summary=nssa_area_no_summary, translator_always=translator_always, translator_interval=translator_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_nssa_default_information_originate_create(self, ospf=None, area=None, area_default_information_originate_metric=None, area_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type area_default_information_originate_metric: long
    :param area_default_information_originate_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type area_default_information_originate_metric_type: unicode
    :param area_default_information_originate_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'area_default_information_originate_metric, area_default_information_originate_metric_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric, area_default_information_originate_metric_type=area_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_range_create(self, ospf=None, area=None, area_range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type area_range: range_address, range_effect, range_cost
    :param area_range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **area_range** tuple argument:  A:B::C:D/LEN;; IPv6 address to match

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type range_effect: unicode
    :param range_effect: **area_range** tuple argument:  Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: **area_range** tuple argument:  Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.area_range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_area_virtual_link_create(self, ospf=None, area=None, virtual_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_default_information_originate_create(self, ospf=None, global_default_information_originate_always=None, global_default_information_originate_metric=None, global_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type global_default_information_originate_always: YANGBool
    :param global_default_information_originate_always: Always advertise default route

    :type global_default_information_originate_metric: long
    :param global_default_information_originate_metric: OSPF metric for default route

        * range restriction: ::

            ['0..4294967295']

    :type global_default_information_originate_metric_type: unicode
    :param global_default_information_originate_metric_type: OSPF metric type for default route

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.global_default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'global_default_information_originate_always, global_default_information_originate_metric, global_default_information_originate_metric_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always, global_default_information_originate_metric=global_default_information_originate_metric, global_default_information_originate_metric_type=global_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_distance_create(self, ospf=None, distance=None, distance_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propagation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type distance_value: long
    :param distance_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distance=distance, distance_value=distance_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_adjacency_create(self, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_adjacency_dr_only: YANGBool
    :param log_adjacency_dr_only: Logging only Designated Router interfaces' adjacency changes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_log_bad_packet_create(self, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_bad_packet_checksum: YANGBool
    :param log_bad_packet_checksum: Logging bad checksum packets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.log.log_bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_create(self, ospf=None, all_lsas=None, include_stub=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type all_lsas: YANGBool
    :param all_lsas: Replace Metric in all External and Summary LSAs with default max metric value

    :type include_stub: YANGBool
    :param include_stub: Configure include-stub for max-metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, all_lsas=all_lsas, include_stub=include_stub)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_external_lsa_create(self, ospf=None, external_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type external_lsa_value: long
    :param external_lsa_value: Indicates the metric of all external type 5 and type 7 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, external_lsa_value=external_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_max_metric_router_lsa_summary_lsa_create(self, ospf=None, summary_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type summary_lsa_value: long
    :param summary_lsa_value: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, summary_lsa_value=summary_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_bgp_create(self, ospf=None, bgp_route_map=None, redistribute_bgp_metric=None, redistribute_bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type redistribute_bgp_metric: long
    :param redistribute_bgp_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_bgp_metric_type: unicode
    :param redistribute_bgp_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, bgp_route_map=bgp_route_map, redistribute_bgp_metric=redistribute_bgp_metric, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_connected_create(self, ospf=None, connected_route_map=None, redistribute_connected_metric=None, redistribute_connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type redistribute_connected_metric: long
    :param redistribute_connected_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_connected_metric_type: unicode
    :param redistribute_connected_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, connected_route_map=connected_route_map, redistribute_connected_metric=redistribute_connected_metric, redistribute_connected_metric_type=redistribute_connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_isis_create(self, ospf=None, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, redistribute_isis_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type redistribute_isis_route_map: unicode
    :param redistribute_isis_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type level_1: YANGBool
    :param level_1: Redistribution of IS-IS Level-1 routes only

    :type level_2: YANGBool
    :param level_2: Redistribution of IS-IS Level-2 routes only

    :type level_1_2: YANGBool
    :param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes

    :type redistribute_isis_metric: long
    :param redistribute_isis_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_isis_metric_type: unicode
    :param redistribute_isis_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric, redistribute_isis_metric_type=redistribute_isis_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_ospf_create(self, ospf=None, ospf_route_map=None, redistribute_ospf_metric=None, redistribute_ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type redistribute_ospf_metric: long
    :param redistribute_ospf_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_ospf_metric_type: unicode
    :param redistribute_ospf_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, ospf_route_map=ospf_route_map, redistribute_ospf_metric=redistribute_ospf_metric, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_redistribute_static_create(self, ospf=None, static_route_map=None, redistribute_static_metric=None, redistribute_static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type redistribute_static_metric: long
    :param redistribute_static_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_static_metric_type: unicode
    :param redistribute_static_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, static_route_map=static_route_map, redistribute_static_metric=redistribute_static_metric, redistribute_static_metric_type=redistribute_static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ipv6_router_ospf_summary_address_create(self, ospf=None, summary_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type summary_address: summary_address_value
    :param summary_address: Keyword argument tuple.

    :type summary_address_value: unicode
    :param summary_address_value: **summary_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.ipv6.router.ospf.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_address_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, summary_address=summary_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_create(self, database=None, isis_operation=None, detail=None, summary=None, lsp_level1_count=None, lsp_level2_count=None, lsp_level1_loading=None, lsp_level2_loading=None, lsp_level1_fragments=None, lsp_level2_fragments=None, lsp_level1_pseudo=None, lsp_level2_pseudo=None, lsp_level1_pseudo_fragments=None, lsp_level2_pseudo_fragments=None, lsp_level1_my_count=None, lsp_level2_my_count=None, lsp_level1_my_lsp_fragments=None, lsp_level2_my_lsp_fragments=None, lsp_level1_my_pseudo=None, lsp_level2_my_pseudo=None, lsp_level1_my_pseudo_fragments=None, lsp_level2_my_pseudo_fragments=None, lsp_level1_checksum=None, lsp_level2_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type isis_operation: YANGBool
    :param isis_operation: Keyword argument.

    :type detail: YANGBool
    :param detail: Keyword argument.

    :type summary: YANGBool
    :param summary: Keyword argument.

    :type lsp_level1_count: long
    :param lsp_level1_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_count: long
    :param lsp_level2_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_loading: long
    :param lsp_level1_loading: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_loading: long
    :param lsp_level2_loading: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_fragments: long
    :param lsp_level1_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_fragments: long
    :param lsp_level2_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_pseudo: long
    :param lsp_level1_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_pseudo: long
    :param lsp_level2_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_pseudo_fragments: long
    :param lsp_level1_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_pseudo_fragments: long
    :param lsp_level2_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_my_count: long
    :param lsp_level1_my_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_my_count: long
    :param lsp_level2_my_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_my_lsp_fragments: long
    :param lsp_level1_my_lsp_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_my_lsp_fragments: long
    :param lsp_level2_my_lsp_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_my_pseudo: long
    :param lsp_level1_my_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_my_pseudo: long
    :param lsp_level2_my_pseudo: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_my_pseudo_fragments: long
    :param lsp_level1_my_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_my_pseudo_fragments: long
    :param lsp_level2_my_pseudo_fragments: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level1_checksum: long
    :param lsp_level1_checksum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_level2_checksum: long
    :param lsp_level2_checksum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'database', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, isis_operation=isis_operation, detail=detail, summary=summary, lsp_level1_count=lsp_level1_count, lsp_level2_count=lsp_level2_count, lsp_level1_loading=lsp_level1_loading, lsp_level2_loading=lsp_level2_loading, lsp_level1_fragments=lsp_level1_fragments, lsp_level2_fragments=lsp_level2_fragments, lsp_level1_pseudo=lsp_level1_pseudo, lsp_level2_pseudo=lsp_level2_pseudo, lsp_level1_pseudo_fragments=lsp_level1_pseudo_fragments, lsp_level2_pseudo_fragments=lsp_level2_pseudo_fragments, lsp_level1_my_count=lsp_level1_my_count, lsp_level2_my_count=lsp_level2_my_count, lsp_level1_my_lsp_fragments=lsp_level1_my_lsp_fragments, lsp_level2_my_lsp_fragments=lsp_level2_my_lsp_fragments, lsp_level1_my_pseudo=lsp_level1_my_pseudo, lsp_level2_my_pseudo=lsp_level2_my_pseudo, lsp_level1_my_pseudo_fragments=lsp_level1_my_pseudo_fragments, lsp_level2_my_pseudo_fragments=lsp_level2_my_pseudo_fragments, lsp_level1_checksum=lsp_level1_checksum, lsp_level2_checksum=lsp_level2_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_create(self, database=None, lsp_entry=None, lsp_seq_no=None, lsp_checksum=None, lsp_holdtime=None, lsp_att=None, lsp_p=None, lsp_ol=None, lsp_area_address=None, lsp_nlpid=None, lsp_hostname=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Argument(s)**:

    :type lsp_seq_no: long
    :param lsp_seq_no: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_checksum: int
    :param lsp_checksum: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type lsp_holdtime: long
    :param lsp_holdtime: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_att: long
    :param lsp_att: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_p: long
    :param lsp_p: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_ol: long
    :param lsp_ol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_area_address: long
    :param lsp_area_address: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_nlpid: unicode
    :param lsp_nlpid: Keyword argument.

    :type lsp_hostname: unicode
    :param lsp_hostname: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_entry', 'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_seq_no=lsp_seq_no, lsp_checksum=lsp_checksum, lsp_holdtime=lsp_holdtime, lsp_att=lsp_att, lsp_p=lsp_p, lsp_ol=lsp_ol, lsp_area_address=lsp_area_address, lsp_nlpid=lsp_nlpid, lsp_hostname=lsp_hostname)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_tlv_entry_create(self, database=None, lsp_entry=None, lsp_tlv_entry=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type lsp_tlv_entry: type
    :param lsp_tlv_entry: Keyword argument tuple.

    :type type: long
    :param type: **lsp_tlv_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type length: long
    :param length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_database_lsp_entry_lsp_tlv_entry_sub_tlv_entry_create(self, database=None, lsp_entry=None, lsp_tlv_entry=None, sub_tlv_entry=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type database: level
    :param database: Keyword argument tuple.

    :type level: long
    :param level: **database** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_entry: lsp_level, lsp_id
    :param lsp_entry: Keyword argument tuple.

    :type lsp_level: long
    :param lsp_level: **lsp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: unicode
    :param lsp_id: **lsp_entry** tuple argument.

    :type lsp_tlv_entry: type
    :param lsp_tlv_entry: Keyword argument tuple.

    :type type: long
    :param type: **lsp_tlv_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type sub_tlv_entry: type
    :param sub_tlv_entry: Keyword argument tuple.

    :type type: long
    :param type: **sub_tlv_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type length: long
    :param length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.database', u'database'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry', u'lsp_entry'), ('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry', u'lsp_tlv_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.database.lsp_entry.lsp_tlv_entry.sub_tlv_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'level', 'extra_keyval': ''}, {'keyval': 'lsp_level, lsp_id', 'extra_keyval': ''}, {'keyval': 'type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_tlv_entry', 'keyval': 'type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, database=database, lsp_entry=lsp_entry, lsp_tlv_entry=lsp_tlv_entry, sub_tlv_entry=sub_tlv_entry, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_host_table_isis_router_entry_create(self, isis_router_entry=None, host_name=None, is_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type isis_router_entry: system_id
    :param isis_router_entry: Keyword argument tuple.

    :type system_id: unicode
    :param system_id: **isis_router_entry** tuple argument.

    **Instance Argument(s)**:

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type is_local: YANGBool
    :param is_local: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.host_table.isis_router_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_router_entry', 'keyval': 'system_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_router_entry=isis_router_entry, host_name=host_name, is_local=is_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_brief_isis_intf_brief_create(self, isis_intf_brief=None, circuit_type=None, is_circuit_passive=None, circuit_mode=None, circ_state=None, mtu_size=None, circ_adj_up=None, circ_changes=None, adj_changes=None, is_l1_dis=None, is_l2_dis=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type isis_intf_brief: intf_name
    :param isis_intf_brief: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf_brief** tuple argument.

    **Instance Argument(s)**:

    :type circuit_type: unicode
    :param circuit_type: Keyword argument.

        * enumeration restriction: ::

            ['is-circ-lan',
            'is-circ-ptpt',
            'is-circ-unknown']

    :type is_circuit_passive: unicode
    :param is_circuit_passive: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type circuit_mode: unicode
    :param circuit_mode: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type circ_state: YANGBool
    :param circ_state: Keyword argument.

    :type mtu_size: int
    :param mtu_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type circ_adj_up: int
    :param circ_adj_up: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type circ_changes: long
    :param circ_changes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adj_changes: long
    :param adj_changes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_l1_dis: YANGBool
    :param is_l1_dis: Keyword argument.

    :type is_l2_dis: YANGBool
    :param is_l2_dis: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_brief.isis_intf_brief', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf_brief', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf_brief=isis_intf_brief, circuit_type=circuit_type, is_circuit_passive=is_circuit_passive, circuit_mode=circuit_mode, circ_state=circ_state, mtu_size=mtu_size, circ_adj_up=circ_adj_up, circ_changes=circ_changes, adj_changes=adj_changes, is_l1_dis=is_l1_dis, is_l2_dis=is_l2_dis)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_create(self, isis_intf=None, intf_type=None, intf_index=None, v4circuit_enabled=None, v6circuit_enabled=None, circuit_id=None, circuit_ifid=None, circuit_state=None, circuit_ip_state=None, circuit_ipv6_state=None, circuit_mode=None, circuit_type=None, circuit_encap=None, is_circuit_passive=None, mtu_size=None, padding_enabled=None, bfd_enabled=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Argument(s)**:

    :type intf_type: unicode
    :param intf_type: Keyword argument.

        * enumeration restriction: ::

            ['isis-interface-type-unknown',
            'isis-interface-type-port-channel',
            'isis-interface-type-ethernet',
            'isis-interface-type-ve',
            'isis-interface-type-loopback']

    :type intf_index: long
    :param intf_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type v4circuit_enabled: unicode
    :param v4circuit_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type v6circuit_enabled: unicode
    :param v6circuit_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type circuit_id: int
    :param circuit_id: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type circuit_ifid: int
    :param circuit_ifid: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type circuit_state: YANGBool
    :param circuit_state: Keyword argument.

    :type circuit_ip_state: YANGBool
    :param circuit_ip_state: Keyword argument.

    :type circuit_ipv6_state: YANGBool
    :param circuit_ipv6_state: Keyword argument.

    :type circuit_mode: unicode
    :param circuit_mode: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type circuit_type: unicode
    :param circuit_type: Keyword argument.

        * enumeration restriction: ::

            ['is-circ-lan',
            'is-circ-ptpt',
            'is-circ-unknown']

    :type circuit_encap: unicode
    :param circuit_encap: Keyword argument.

        * enumeration restriction: ::

            ['undef', 'ppp', 'chdlc']

    :type is_circuit_passive: unicode
    :param is_circuit_passive: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type mtu_size: int
    :param mtu_size: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type padding_enabled: unicode
    :param padding_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type bfd_enabled: unicode
    :param bfd_enabled: Keyword argument.

        * enumeration restriction: ::

            ['is-disabled', 'is-enabled']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isis_intf', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, intf_type=intf_type, intf_index=intf_index, v4circuit_enabled=v4circuit_enabled, v6circuit_enabled=v6circuit_enabled, circuit_id=circuit_id, circuit_ifid=circuit_ifid, circuit_state=circuit_state, circuit_ip_state=circuit_ip_state, circuit_ipv6_state=circuit_ipv6_state, circuit_mode=circuit_mode, circuit_type=circuit_type, circuit_encap=circuit_encap, is_circuit_passive=is_circuit_passive, mtu_size=mtu_size, padding_enabled=padding_enabled, bfd_enabled=bfd_enabled)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ip6_info_create(self, isis_intf=None, ip6_info=None, ip6_prefix=None, is_link_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ip6_info: ip6_add
    :param ip6_info: Keyword argument tuple.

    :type ip6_add: unicode
    :param ip6_add: **ip6_info** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ip6_prefix: int
    :param ip6_prefix: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type is_link_local: YANGBool
    :param is_link_local: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip6_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip6_info', 'keyval': 'ip6_add', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ip6_info=ip6_info, ip6_prefix=ip6_prefix, is_link_local=is_link_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_interface_detail_isis_intf_ip_info_create(self, isis_intf=None, ip_info=None, ip_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isis_intf: intf_name
    :param isis_intf: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **isis_intf** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type ip_info: ip_add
    :param ip_info: Keyword argument tuple.

    :type ip_add: unicode
    :param ip_add: **ip_info** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ip_prefix: int
    :param ip_prefix: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf', u'isis_intf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.interface_detail.isis_intf.ip_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_info', 'keyval': 'ip_add', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isis_intf=isis_intf, ip_info=ip_info, ip_prefix=ip_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_create(self, ipv4_route_entry=None, level=None, cost=None, tag=None, flags=None, is_l1_summarized=None, is_l2_summarized=None, is_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type cost: long
    :param cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tag: long
    :param tag: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flags: int
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type is_l1_summarized: YANGBool
    :param is_l1_summarized: Keyword argument.

    :type is_l2_summarized: YANGBool
    :param is_l2_summarized: Keyword argument.

    :type is_summary: YANGBool
    :param is_summary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv4_route_entry', 'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, level=level, cost=cost, tag=tag, flags=flags, is_l1_summarized=is_l1_summarized, is_l2_summarized=is_l2_summarized, is_summary=is_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_nh_info_create(self, ipv4_route_entry=None, nh_info=None, ipv4_nh_addr=None, is_mpls_tunnel_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    **Instance Keyword Argument Tuple**:

    :type nh_info: outgoing_intf_name
    :param nh_info: Keyword argument tuple.

    :type outgoing_intf_name: unicode
    :param outgoing_intf_name: **nh_info** tuple argument.

    **Instance Argument(s)**:

    :type ipv4_nh_addr: unicode
    :param ipv4_nh_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type is_mpls_tunnel_port: YANGBool
    :param is_mpls_tunnel_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, ipv4_nh_addr=ipv4_nh_addr, is_mpls_tunnel_port=is_mpls_tunnel_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv4_routes_ipv4_route_entry_nh_info_lsp_info_create(self, ipv4_route_entry=None, nh_info=None, lsp_info=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ipv4_route_entry: ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len
    :param ipv4_route_entry: Keyword argument tuple.

    :type ipv4_dest_addr: unicode
    :param ipv4_dest_addr: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_subnet_mask: unicode
    :param ipv4_subnet_mask: **ipv4_route_entry** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ipv4_prefix_len: int
    :param ipv4_prefix_len: **ipv4_route_entry** tuple argument.

        * range restriction: ::

            ['-128..127']

    :type nh_info: outgoing_intf_name
    :param nh_info: Keyword argument tuple.

    :type outgoing_intf_name: unicode
    :param outgoing_intf_name: **nh_info** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type lsp_info: lsp_name
    :param lsp_info: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp_info** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry', u'ipv4_route_entry'), ('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info', u'nh_info')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv4_routes.ipv4_route_entry.nh_info.lsp_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ipv4_dest_addr, ipv4_subnet_mask, ipv4_prefix_len', 'extra_keyval': ''}, {'keyval': 'outgoing_intf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp_info', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv4_route_entry=ipv4_route_entry, nh_info=nh_info, lsp_info=lsp_info)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_create(self, ipv6_route_entry=None, level=None, cost=None, tag=None, flags=None, is_l1_summarized=None, is_l2_summarized=None, is_summary=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type level: int
    :param level: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type cost: long
    :param cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tag: long
    :param tag: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flags: int
    :param flags: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type is_l1_summarized: YANGBool
    :param is_l1_summarized: Keyword argument.

    :type is_l2_summarized: YANGBool
    :param is_l2_summarized: Keyword argument.

    :type is_summary: YANGBool
    :param is_summary: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ipv6_route_entry', 'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, level=level, cost=cost, tag=tag, flags=flags, is_l1_summarized=is_l1_summarized, is_l2_summarized=is_l2_summarized, is_summary=is_summary)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_ipv6_routes_ipv6_route_entry_nh_info_create(self, ipv6_route_entry=None, nh_info=None, ipv6_nh_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ipv6_route_entry: ipv6_dest_addr, ipv6_prefix_len
    :param ipv6_route_entry: Keyword argument tuple.

    :type ipv6_dest_addr: unicode
    :param ipv6_dest_addr: **ipv6_route_entry** tuple argument.

    :type ipv6_prefix_len: int
    :param ipv6_prefix_len: **ipv6_route_entry** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type nh_info: outgoing_intf_name
    :param nh_info: Keyword argument tuple.

    :type outgoing_intf_name: unicode
    :param outgoing_intf_name: **nh_info** tuple argument.

    **Instance Argument(s)**:

    :type ipv6_nh_addr: unicode
    :param ipv6_nh_addr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry', u'ipv6_route_entry')]
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.ipv6_routes.ipv6_route_entry.nh_info', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ipv6_dest_addr, ipv6_prefix_len', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nh_info', 'keyval': 'outgoing_intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ipv6_route_entry=ipv6_route_entry, nh_info=nh_info, ipv6_nh_addr=ipv6_nh_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v4_summary_address_v4_create(self, summary_address_v4=None, ipv4_mask=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type summary_address_v4: address
    :param summary_address_v4: Keyword argument tuple.

    :type address: unicode
    :param address: **summary_address_v4** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ipv4_mask: unicode
    :param ipv4_mask: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level: unicode
    :param level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v4.summary_address_v4', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_address_v4', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_address_v4=summary_address_v4, ipv4_mask=ipv4_mask, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_is_address_family_v6_summary_prefix_v6_create(self, summary_prefix_v6=None, level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type summary_prefix_v6: address
    :param summary_prefix_v6: Keyword argument tuple.

    :type address: unicode
    :param address: **summary_prefix_v6** tuple argument.

    **Instance Argument(s)**:

    :type level: unicode
    :param level: Keyword argument.

        * enumeration restriction: ::

            ['isis-level1-2', 'isis-level1', 'isis-level2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.is_address_family_v6.summary_prefix_v6', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_prefix_v6', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_prefix_v6=summary_prefix_v6, level=level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isis_state_router_isis_config_isis_system_info_nsap_create(self, nsap=None, length=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type nsap: net_addr
    :param nsap: Keyword argument tuple.

    :type net_addr: unicode
    :param net_addr: **nsap** tuple argument.

    **Instance Argument(s)**:

    :type length: int
    :param length: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.isis_state.router_isis_config.isis_system_info.nsap', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'nsap', 'keyval': 'net_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsap=nsap, length=length)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isns_vrf_forwarding_create(self, isns_vrf=None, isns_ipaddress=None, esi_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type isns_vrf: isns_vrf_instance
    :param isns_vrf: Keyword argument tuple.

    :type isns_vrf_instance: long
    :param isns_vrf_instance: **isns_vrf** tuple argument:  iSNS VRF forwarding value 1

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type isns_ipaddress: unicode
    :param isns_ipaddress: iSNS VRF forwarding IP address A.B.C.D format

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type esi_timeout: long
    :param esi_timeout: iSNS VRF forwarding esi timeout.Default esi time is 300.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'isns_vrf', 'keyval': 'isns_vrf_instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isns_vrf=isns_vrf, isns_ipaddress=isns_ipaddress, esi_timeout=esi_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isns_vrf_forwarding_discovery_domain_create(self, isns_vrf=None, isns_discovery_domain=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isns_vrf: isns_vrf_instance
    :param isns_vrf: Keyword argument tuple.

    :type isns_vrf_instance: long
    :param isns_vrf_instance: **isns_vrf** tuple argument:  iSNS VRF forwarding value 1

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type isns_discovery_domain: isns_discovery_domain_name
    :param isns_discovery_domain: Keyword argument tuple.

    :type isns_discovery_domain_name: unicode
    :param isns_discovery_domain_name: **isns_discovery_domain** tuple argument:  iSNS Discovery Domain Name (Max Size - 256)

        * length restriction: ::

            ['1..255']

        * pattern restriction: ::

            '[-_0-9a-zA-Z]{1,255}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
    bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain', 'keyval': 'isns_discovery_domain_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isns_vrf=isns_vrf, isns_discovery_domain=isns_discovery_domain)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def isns_vrf_forwarding_discovery_domain_set_create(self, isns_vrf=None, isns_discovery_domain_set=None, isns_discovery_domain_set_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type isns_vrf: isns_vrf_instance
    :param isns_vrf: Keyword argument tuple.

    :type isns_vrf_instance: long
    :param isns_vrf_instance: **isns_vrf** tuple argument:  iSNS VRF forwarding value 1

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type isns_discovery_domain_set: isns_discovery_domain_set_name
    :param isns_discovery_domain_set: Keyword argument tuple.

    :type isns_discovery_domain_set_name: unicode
    :param isns_discovery_domain_set_name: **isns_discovery_domain_set** tuple argument:  iSNS Discovery Domain Set Name (Max Size - 256)

        * length restriction: ::

            ['1..255']

        * pattern restriction: ::

            '[-_0-9a-zA-Z]{1,255}'

    **Instance Argument(s)**:

    :type isns_discovery_domain_set_enable: YANGBool
    :param isns_discovery_domain_set_enable: Enable Discovery Domain Set

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.isns.isns_vrf', u'isns_vrf')]
    bindings_list = [('pybind.nos.v7_1_0.isns.isns_vrf.isns_discovery_domain_set', 'pybind.nos.v7_1_0.brocade_isns', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'isns_vrf_instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'isns_discovery_domain_set', 'keyval': 'isns_discovery_domain_set_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, isns_vrf=isns_vrf, isns_discovery_domain_set=isns_discovery_domain_set, isns_discovery_domain_set_enable=isns_discovery_domain_set_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ldap_server_host_create(self, host=None, port=None, retries=None, timeout=None, basedn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this LDAP server

        * length restriction: ::

            ['1..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type port: int
    :param port: TCP Port for Authentication (default=389)

        * range restriction: ::

            ['0..65535']

    :type retries: int
    :param retries: Number of retries for this server connection (default=5)

        * range restriction: ::

            ['0..255']

    :type timeout: int
    :param timeout: Wait time for this server to respond (default=5 sec)

        * range restriction: ::

            ['0..255']

    :type basedn: unicode
    :param basedn: Base Domain Name (default='local')

        * length restriction: ::

            ['1..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ldap_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ldap_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ldap_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.ldap_server.host": {}, "pybind.nos.v6_0_2c.ldap_server.host": {"retries": "retries", "hostname": "hostname", "basedn": "basedn", "port": "port", "timeout": "timeout"}, "pybind.slxos.v16r_1_00b.ldap_server.host": {}, "pybind.nos.v7_1_0.ldap_server.host": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, port=port, retries=retries, timeout=timeout, basedn=basedn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ldap_server_maprole_group_create(self, group=None, switch_role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type group: ad_group, switch_role
    :param group: Keyword argument tuple.

    :type ad_group: unicode
    :param ad_group: **group** tuple argument:  AD group belongs to user on the AD Server

        * length restriction: ::

            ['1..max']

    :type switch_role: unicode
    :param switch_role: **group** tuple argument:  AD group belongs to user on the AD Server

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type switch_role: unicode
    :param switch_role: AD group belongs to user on the AD Server

        * length restriction: ::

            ['4 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ldap_server.maprole.group', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ldap_server.maprole.group', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ldap_server.maprole.group', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ldap_server.maprole.group', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'ad_group', 'extra_keyval': 'ad_group, switch_role'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group, switch_role=switch_role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def line_create(self, line=None, exec_timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type line: sessionid
    :param line: Keyword argument tuple.

    :type sessionid: unicode
    :param sessionid: **line** tuple argument:  Terminal type

        * enumeration restriction: ::

            ['vty']

    **Instance Argument(s)**:

    :type exec_timeout: long
    :param exec_timeout: CLI session maximum idle time (in minutes) before automatic logout

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.terminal_cfg.line', 'pybind.nos.v6_0_2c.brocade_terminal', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.terminal_cfg.line', 'pybind.nos.v7_0_1b.brocade_terminal', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.terminal_cfg.line', 'pybind.nos.v7_1_0.brocade_terminal', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.terminal_cfg.line', 'pybind.slxos.v16r_1_00b.brocade_terminal', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'line', 'keyval': 'sessionid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, line=line, exec_timeout=exec_timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def linecard_linecards_create(self, linecards=None, linecardType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type linecards: linecardName, linecardType
    :param linecards: Keyword argument tuple.

    :type linecardName: unicode
    :param linecardName: **linecards** tuple argument.

        * pattern restriction: ::

            '([1-9]|[1][0-6])'

    :type linecardType: unicode
    :param linecardType: **linecards** tuple argument.

        * enumeration restriction: ::

            ['LC36X100G', 'LC72X10G']

    **Instance Argument(s)**:

    :type linecardType: unicode
    :param linecardType: Keyword argument.

        * enumeration restriction: ::

            ['LC36X100G', 'LC72X10G']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.global_lc_holder.linecard.linecards', 'pybind.slxos.v16r_1_00b.brocade_linecard_management', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, linecards=linecards, linecardType=linecardType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_auditlog_class_create(self, class_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type class_: class_
    :param class_: Keyword argument tuple.

    :type class_: unicode
    :param class_: **class_** tuple argument.

        * enumeration restriction: ::

            ['CONFIGURATION', 'SECURITY', 'FIRMWARE']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.auditlog.class_', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.auditlog.class_', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.auditlog.class_', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.auditlog.class_', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'class_', 'keyval': 'class_', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, class_=class_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_raslog_message_msgid_create(self, msgid=None, severity=None, suppress=None, syslog=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type msgid: msgId
    :param msgid: Keyword argument tuple.

    :type msgId: unicode
    :param msgId: **msgid** tuple argument:  Specify the Msg ID

    **Instance Argument(s)**:

    :type severity: unicode
    :param severity: Configure raslog message severity

        * enumeration restriction: ::

            ['INFO',
            'DEFAULT',
            'CRITICAL',
            'WARNING',
            'ERROR']

    :type suppress: YANGBool
    :param suppress: Suppress raslog message

    :type syslog: YANGBool
    :param syslog: Enable syslog logging for internal raslog message

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.raslog.message.msgId', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.raslog.message.msgId', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.raslog.message.msgId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.message.msgId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'msgid', 'keyval': 'msgId', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, msgid=msgid, severity=severity, suppress=suppress, syslog=syslog)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_raslog_module_modid_create(self, modid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type modid: modId
    :param modid: Keyword argument tuple.

    :type modId: unicode
    :param modId: **modid** tuple argument:  Specify the Module ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.raslog.module.modId', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.raslog.module.modId', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.raslog.module.modId', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.raslog.module.modId', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'modid', 'keyval': 'modId', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, modid=modid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logging_syslog_server_create(self, syslog_server=None, secure=None, port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type syslog_server: syslogip, use_vrf, secure, port
    :param syslog_server: Keyword argument tuple.

    :type syslogip: unicode
    :param syslogip: **syslog_server** tuple argument:  IPADDRESS		The IPv4 or IPv6 Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type use_vrf: unicode
    :param use_vrf: **syslog_server** tuple argument:  vrf to use for sending notification to the receiver. (Default=management).

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type secure: YANGBool
    :param secure: **syslog_server** tuple argument:  Indicates if transport is secure

    :type port: int
    :param port: **syslog_server** tuple argument:  Port number on which the syslog server is listening

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type secure: YANGBool
    :param secure: Indicates if transport is secure

    :type port: int
    :param port: Port number on which the syslog server is listening

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.logging.syslog_server', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.logging.syslog_server', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.logging.syslog_server', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.logging.syslog_server', 'pybind.slxos.v16r_1_00b.brocade_ras', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'syslog_server', 'keyval': 'syslogip, use_vrf', 'extra_keyval': 'syslogip, use_vrf, secure, port'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.logging.syslog_server": {"port": "port", "syslogip": "syslogip", "use_vrf": "use_vrf", "secure": "secure"}, "pybind.slxos.v16r_1_00b.logging.syslog_server": {}, "pybind.nos.v6_0_2c.logging.syslog_server": {"port": "port", "syslogip": "syslogip", "use_vrf": "use_vrf", "secure": "secure"}, "pybind.nos.v7_1_0.logging.syslog_server": {"port": "port", "syslogip": "syslogip", "use_vrf": "use_vrf", "secure": "secure"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, syslog_server=syslog_server, secure=secure, port=port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def logical_interface_state_main_interface_physical_create(self, main_interface_physical=None, protocol_status=None, admin_status=None, interface_index=None, intf_type=None, is_tagged=None, port_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type main_interface_physical: intf_name
    :param main_interface_physical: Keyword argument tuple.

    :type intf_name: unicode
    :param intf_name: **main_interface_physical** tuple argument.

    **Instance Argument(s)**:

    :type protocol_status: YANGBool
    :param protocol_status: Keyword argument.

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type interface_index: long
    :param interface_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type intf_type: unicode
    :param intf_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 'ccep']

    :type is_tagged: YANGBool
    :param is_tagged: Keyword argument.

    :type port_mode: unicode
    :param port_mode: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.logical_interface_state.main_interface_physical', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'main_interface_physical', 'keyval': 'intf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, main_interface_physical=main_interface_physical, protocol_status=protocol_status, admin_status=admin_status, interface_index=interface_index, intf_type=intf_type, is_tagged=is_tagged, port_mode=port_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_create(self, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_extended_seq_create(self, extended=None, seq=None, action=None, source=None, srchost=None, src_mac_addr_mask=None, dst=None, dsthost=None, dst_mac_addr_mask=None, ethertype=None, vlan=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: name
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type source: unicode
    :param source: **seq** tuple argument.

    :type srchost: unicode
    :param srchost: **seq** tuple argument:  source mac address HHHH.HHHH.HHHH

    :type src_mac_addr_mask: unicode
    :param src_mac_addr_mask: **seq** tuple argument.

    :type dst: unicode
    :param dst: **seq** tuple argument.

    :type dsthost: unicode
    :param dsthost: **seq** tuple argument:  Destination mac address HHHH.HHHH.HHHH

    :type dst_mac_addr_mask: unicode
    :param dst_mac_addr_mask: **seq** tuple argument.

    :type ethertype: unicode
    :param ethertype: **seq** tuple argument.

        * enumeration restriction: ::

            ['arp', 'fcoe', 'ipv4']

    :type vlan: long
    :param vlan: **seq** tuple argument:  Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type source: unicode
    :param source: Keyword argument.

    :type srchost: unicode
    :param srchost: source mac address HHHH.HHHH.HHHH

    :type src_mac_addr_mask: unicode
    :param src_mac_addr_mask: Keyword argument.

    :type dst: unicode
    :param dst: Keyword argument.

    :type dsthost: unicode
    :param dsthost: Destination mac address HHHH.HHHH.HHHH

    :type dst_mac_addr_mask: unicode
    :param dst_mac_addr_mask: Keyword argument.

    :type ethertype: unicode
    :param ethertype: Keyword argument.

        * enumeration restriction: ::

            ['arp', 'fcoe', 'ipv4']

    :type vlan: long
    :param vlan: Vlan

        * range restriction: ::

            ['0..4294967295']

    :type count: YANGBool
    :param count: Packet count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_0_1b.mac.access_list.extended', u'extended'), ('pybind.nos.v7_1_0.mac.access_list.extended', u'extended'), ('pybind.nos.v6_0_2c.mac.access_list.extended', u'extended')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, dst, dsthost, dst_mac_addr_mask, ethertype, vlan, count, log'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.mac.access_list.extended.hide_mac_acl_ext.seq": {"dsthost": "dsthost", "count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "dst": "dst", "vlan": "vlan", "dst_mac_addr_mask": "dst_mac_addr_mask", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "ethertype": "ethertype", "action": "action"}, "pybind.nos.v6_0_2c.mac.access_list.extended.hide_mac_acl_ext.seq": {"dsthost": "dsthost", "count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "dst": "dst", "vlan": "vlan", "dst_mac_addr_mask": "dst_mac_addr_mask", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "ethertype": "ethertype", "action": "action"}, "pybind.nos.v7_1_0.mac.access_list.extended.hide_mac_acl_ext.seq": {"dsthost": "dsthost", "count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "dst": "dst", "vlan": "vlan", "dst_mac_addr_mask": "dst_mac_addr_mask", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "ethertype": "ethertype", "action": "action"}, "pybind.slxos.v16r_1_00b.mac.access_list.extended.hide_mac_acl_ext.seq": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, seq=seq, action=action, source=source, srchost=srchost, src_mac_addr_mask=src_mac_addr_mask, dst=dst, dsthost=dsthost, dst_mac_addr_mask=dst_mac_addr_mask, ethertype=ethertype, vlan=vlan, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_standard_create(self, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.standard', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.standard', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.standard', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_access_list_standard_seq_create(self, standard=None, seq=None, action=None, source=None, srchost=None, src_mac_addr_mask=None, count=None, log=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: name
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_id, action, source, srchost, src_mac_addr_mask, count, log
    :param seq: Keyword argument tuple.

    :type seq_id: long
    :param seq_id: **seq** tuple argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type action: unicode
    :param action: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type source: unicode
    :param source: **seq** tuple argument.

    :type srchost: unicode
    :param srchost: **seq** tuple argument.

    :type src_mac_addr_mask: unicode
    :param src_mac_addr_mask: **seq** tuple argument.

    :type count: YANGBool
    :param count: **seq** tuple argument:  Packet count

    :type log: YANGBool
    :param log: **seq** tuple argument:  Log Packet

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'hard-drop', 'permit']

    :type source: unicode
    :param source: Keyword argument.

    :type srchost: unicode
    :param srchost: Keyword argument.

    :type src_mac_addr_mask: unicode
    :param src_mac_addr_mask: Keyword argument.

    :type count: YANGBool
    :param count: Packet count

    :type log: YANGBool
    :param log: Log Packet

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.mac.access_list.standard', u'standard'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard', u'standard'), ('pybind.nos.v6_0_2c.mac.access_list.standard', u'standard'), ('pybind.nos.v7_0_1b.mac.access_list.standard', u'standard')]
    bindings_list = [('pybind.nos.v6_0_2c.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v6_0_2c.brocade_mac_access_list', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_0_1b.brocade_mac_access_list', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.nos.v7_1_0.brocade_mac_access_list', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq', 'pybind.slxos.v16r_1_00b.brocade_mac_access_list', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_id', 'extra_keyval': 'seq_id, action, source, srchost, src_mac_addr_mask, count, log'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.mac.access_list.standard.hide_mac_acl_std.seq": {"count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "action": "action"}, "pybind.nos.v6_0_2c.mac.access_list.standard.hide_mac_acl_std.seq": {"count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "action": "action"}, "pybind.nos.v7_1_0.mac.access_list.standard.hide_mac_acl_std.seq": {"count": "count", "log": "log", "srchost": "srchost", "seq_id": "seq_id", "source": "source", "src_mac_addr_mask": "src_mac_addr_mask", "action": "action"}, "pybind.slxos.v16r_1_00b.mac.access_list.standard.hide_mac_acl_std.seq": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, action=action, source=source, srchost=srchost, src_mac_addr_mask=src_mac_addr_mask, count=count, log=log)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_static_create(self, static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type static: mac_address, forward, interface_type, interface_name, vlan, vlanid
    :param static: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **static** tuple argument.

    :type forward: unicode
    :param forward: **static** tuple argument:  Forward

        * enumeration restriction: ::

            ['forward']

    :type interface_type: unicode
    :param interface_type: **static** tuple argument:  Interface

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **static** tuple argument:  Interface identifier

    :type vlan: unicode
    :param vlan: **static** tuple argument:  vlan

        * enumeration restriction: ::

            ['vlan']

    :type vlanid: long
    :param vlanid: **static** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_address_table.static', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_address_table.static', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_address_table.static', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static', 'keyval': 'mac_address, forward, interface_type, interface_name, vlan, vlanid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static=static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_static_static_ac_lif_create(self, static_ac_lif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type static_ac_lif: mac_address_lif, forward_lif, logical_interface, interface_type_lif, logical_interface_name
    :param static_ac_lif: Keyword argument tuple.

    :type mac_address_lif: unicode
    :param mac_address_lif: **static_ac_lif** tuple argument.

    :type forward_lif: unicode
    :param forward_lif: **static_ac_lif** tuple argument:  Forward

        * enumeration restriction: ::

            ['forward']

    :type logical_interface: unicode
    :param logical_interface: **static_ac_lif** tuple argument:  Logical Interface

        * enumeration restriction: ::

            ['logical-interface']

    :type interface_type_lif: unicode
    :param interface_type_lif: **static_ac_lif** tuple argument:  Logical Ethernet Interface

        * enumeration restriction: ::

            ['ethernet']

    :type logical_interface_name: unicode
    :param logical_interface_name: **static_ac_lif** tuple argument:  Logical interface name

        * pattern restriction: ::

            '(([0-9]|1[0-6])/([1-9]|[1-9][0-9])(:[1-4])?\.([1'
            '-9]|[1-9][0-9]+))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mac_address_table.static.static_ac_lif', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_ac_lif', 'keyval': 'mac_address_lif, forward_lif, logical_interface, interface_type_lif, logical_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_ac_lif=static_ac_lif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_address_table_static_static_mac_create(self, static_mac=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type static_mac: mac_address, forward, interface_type, interface_name, vlan, vlanid
    :param static_mac: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **static_mac** tuple argument.

    :type forward: unicode
    :param forward: **static_mac** tuple argument:  Forward

        * enumeration restriction: ::

            ['forward']

    :type interface_type: unicode
    :param interface_type: **static_mac** tuple argument:  Interface

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type interface_name: unicode
    :param interface_name: **static_mac** tuple argument:  Interface identifier

    :type vlan: unicode
    :param vlan: **static_mac** tuple argument:  vlan

        * enumeration restriction: ::

            ['vlan']

    :type vlanid: long
    :param vlanid: **static_mac** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mac_address_table.static.static_mac', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_mac', 'keyval': 'mac_address, forward, interface_type, interface_name, vlan, vlanid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_mac=static_mac)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_group_create(self, mac_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type mac_group: mac_group_id
    :param mac_group: Keyword argument tuple.

    :type mac_group_id: long
    :param mac_group_id: **mac_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.mac_group', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_group', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_group', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_group', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'mac_group', 'keyval': 'mac_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_group=mac_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mac_group_mac_create(self, mac_group=None, mac_group_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mac_group: mac_group_id
    :param mac_group: Keyword argument tuple.

    :type mac_group_id: long
    :param mac_group_id: **mac_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type mac_group_entry: entry_address
    :param mac_group_entry: Keyword argument tuple.

    :type entry_address: unicode
    :param entry_address: **mac_group_entry** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mac_group', 'mac_group'), ('pybind.nos.v7_1_0.mac_group', 'mac_group'), ('pybind.nos.v6_0_2c.mac_group', 'mac_group'), ('pybind.nos.v7_0_1b.mac_group', 'mac_group')]
    bindings_list = [('pybind.nos.v6_0_2c.mac_group.mac_group_entry', 'pybind.nos.v6_0_2c.brocade_mac_address_table', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.mac_group.mac_group_entry', 'pybind.nos.v7_0_1b.brocade_mac_address_table', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.mac_group.mac_group_entry', 'pybind.nos.v7_1_0.brocade_mac_address_table', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.mac_group.mac_group_entry', 'pybind.slxos.v16r_1_00b.brocade_mac_address_table', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}, {'keyval': 'mac_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mac_group_entry', 'keyval': 'entry_address', 'extra_keyval': 'entry_address'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mac_group=mac_group, mac_group_entry=mac_group_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_l2ys_state_show_cluster_mem_vlan_create(self, show_cluster_mem_vlan=None, num_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_vlans: long
    :param num_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_l2ys_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_l2sys_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_create(self, show_cluster=None, is_cluster_client_command=None, cluster_name=None, cluster_status=None, client_isolation_status=None, num_peers=None, num_clients=None, num_config_vlans=None, num_active_vlans=None, client_interfaces_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type is_cluster_client_command: YANGBool
    :param is_cluster_client_command: Keyword argument.

    :type cluster_name: unicode
    :param cluster_name: Keyword argument.

    :type cluster_status: YANGBool
    :param cluster_status: Keyword argument.

    :type client_isolation_status: YANGBool
    :param client_isolation_status: Keyword argument.

    :type num_peers: long
    :param num_peers: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_clients: long
    :param num_clients: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_config_vlans: long
    :param num_config_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_active_vlans: long
    :param num_active_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_interfaces_shutdown: YANGBool
    :param client_interfaces_shutdown: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, is_cluster_client_command=is_cluster_client_command, cluster_name=cluster_name, cluster_status=cluster_status, client_isolation_status=client_isolation_status, num_peers=num_peers, num_clients=num_clients, num_config_vlans=num_config_vlans, num_active_vlans=num_active_vlans, client_interfaces_shutdown=client_interfaces_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_create(self, show_cluster=None, client_info_list=None, client_name=None, client_esi=None, client_interface=None, client_state=None, num_config_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type client_info_list: cluster_id, client_id
    :param client_info_list: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_name: unicode
    :param client_name: Keyword argument.

    :type client_esi: unicode
    :param client_esi: Keyword argument.

    :type client_interface: unicode
    :param client_interface: Keyword argument.

    :type client_state: YANGBool
    :param client_state: Keyword argument.

    :type num_config_vlans: long
    :param num_config_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'client_info_list', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_info_list=client_info_list, client_name=client_name, client_esi=client_esi, client_interface=client_interface, client_state=client_state, num_config_vlans=num_config_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_client_info_list_config_vlans_create(self, show_cluster=None, client_info_list=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_info_list: cluster_id, client_id
    :param client_info_list: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **client_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster'), ('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list', u'client_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.client_info_list.config_vlans', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}, {'keyval': 'cluster_id, client_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, client_info_list=client_info_list, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_config_vlan_list_create(self, show_cluster=None, vlan_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.config_vlan_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, vlan_id=vlan_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mct_state_show_cluster_peer_info_list_create(self, show_cluster=None, peer_info_list=None, peer_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type show_cluster: cluster_id
    :param show_cluster: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type peer_info_list: peer_ip_addr
    :param peer_info_list: Keyword argument tuple.

    :type peer_ip_addr: long
    :param peer_ip_addr: **peer_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type peer_state: YANGBool
    :param peer_state: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster', u'show_cluster')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mct_state.show_cluster.peer_info_list', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cluster_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer_info_list', 'keyval': 'peer_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster=show_cluster, peer_info_list=peer_info_list, peer_state=peer_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mctd_client_create(self, show_cluster_mctd_client=None, num_clients=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type show_cluster_mctd_client: cluster_id
    :param show_cluster_mctd_client: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mctd_client** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_clients: long
    :param num_clients: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mctd_client', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster_mctd_client', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mctd_client=show_cluster_mctd_client, num_clients=num_clients)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mctd_client_state_state_show_cluster_mem_vlan_create(self, show_cluster_mem_vlan=None, num_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type show_cluster_mem_vlan: cluster_id
    :param show_cluster_mem_vlan: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_cluster_mem_vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type num_vlans: long
    :param num_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mctd_client_state_state.show_cluster_mem_vlan', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'show_cluster_mem_vlan', 'keyval': 'cluster_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_cluster_mem_vlan=show_cluster_mem_vlan, num_vlans=num_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def monitor_session_create(self, session=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type session: session_number
    :param session: Keyword argument tuple.

    :type session_number: long
    :param session_number: **session** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Description string of session

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.monitor.session', 'pybind.nos.v6_0_2c.brocade_span', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.monitor.session', 'pybind.nos.v7_0_1b.brocade_span', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.monitor.session', 'pybind.nos.v7_1_0.brocade_span', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.monitor.session', 'pybind.slxos.v16r_1_00b.brocade_span', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'session', 'keyval': 'session_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, session=session, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_create(self, auto_bandwidth_template=None, adjustment_interval=None, adjustment_threshold=None, maximum_bandwidth=None, minimum_bandwidth=None, overflow_limit=None, underflow_limit=None, mode=None, sample_recording=None, associated_paths_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adjustment_threshold: long
    :param adjustment_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type minimum_bandwidth: long
    :param minimum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type overflow_limit: long
    :param overflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type underflow_limit: long
    :param underflow_limit: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mode: YANGBool
    :param mode: Keyword argument.

    :type sample_recording: YANGBool
    :param sample_recording: Keyword argument.

    :type associated_paths_count: long
    :param associated_paths_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'auto_bandwidth_template', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, maximum_bandwidth=maximum_bandwidth, minimum_bandwidth=minimum_bandwidth, overflow_limit=overflow_limit, underflow_limit=underflow_limit, mode=mode, sample_recording=sample_recording, associated_paths_count=associated_paths_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_auto_bandwidth_template_associated_paths_create(self, auto_bandwidth_template=None, associated_paths=None, path_name=None, is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type auto_bandwidth_template: name
    :param auto_bandwidth_template: Keyword argument tuple.

    :type name: unicode
    :param name: **auto_bandwidth_template** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type associated_paths: lsp_name
    :param associated_paths: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **associated_paths** tuple argument.

    **Instance Argument(s)**:

    :type path_name: unicode
    :param path_name: Keyword argument.

    :type is_active: YANGBool
    :param is_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template', u'auto_bandwidth_template')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.auto_bandwidth_template.associated_paths', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'associated_paths', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, auto_bandwidth_template=auto_bandwidth_template, associated_paths=associated_paths, path_name=path_name, is_active=is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_autobw_threshold_table_entry_create(self, autobw_threshold_table_entry=None, threshold=None, is_percentage_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type autobw_threshold_table_entry: bandwidth
    :param autobw_threshold_table_entry: Keyword argument tuple.

    :type bandwidth: long
    :param bandwidth: **autobw_threshold_table_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type threshold: long
    :param threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_percentage_threshold: YANGBool
    :param is_percentage_threshold: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.autobw_threshold_table_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_entry', 'keyval': 'bandwidth', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_threshold_table_entry=autobw_threshold_table_entry, threshold=threshold, is_percentage_threshold=is_percentage_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_create(self, dynamic_bypass_interface=None, active_status=None, admin_type=None, admin_status=None, hop_limit=None, tie_breaking=None, cos=None, cspf_comp_mode=None, setup_priority=None, hold_priority=None, traffic_eng_max_rate=None, traffic_eng_mean_rate=None, traffic_eng_max_burst=None, from_addr=None, reoptimize_timer=None, adaptive=None, record_route=None, name_prefix=None, primary_path=None, max_bypasses_per_mp=None, bypass_count=None, exclude_any=None, include_all=None, include_any=None, status_flags=None, mp_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Argument(s)**:

    :type active_status: int
    :param active_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type admin_type: int
    :param admin_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type admin_status: int
    :param admin_status: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type hop_limit: int
    :param hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type tie_breaking: int
    :param tie_breaking: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type cos: int
    :param cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type cspf_comp_mode: int
    :param cspf_comp_mode: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type setup_priority: int
    :param setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type hold_priority: int
    :param hold_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type traffic_eng_max_rate: long
    :param traffic_eng_max_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type traffic_eng_mean_rate: long
    :param traffic_eng_mean_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type traffic_eng_max_burst: long
    :param traffic_eng_max_burst: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type from_addr: unicode
    :param from_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type reoptimize_timer: long
    :param reoptimize_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type adaptive: long
    :param adaptive: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type record_route: long
    :param record_route: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type name_prefix: unicode
    :param name_prefix: Keyword argument.

    :type primary_path: unicode
    :param primary_path: Keyword argument.

    :type max_bypasses_per_mp: int
    :param max_bypasses_per_mp: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type bypass_count: int
    :param bypass_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type exclude_any: long
    :param exclude_any: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type include_all: long
    :param include_all: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type include_any: long
    :param include_any: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type status_flags: long
    :param status_flags: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mp_count: long
    :param mp_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dynamic_bypass_interface', 'keyval': 'if_name, if_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, active_status=active_status, admin_type=admin_type, admin_status=admin_status, hop_limit=hop_limit, tie_breaking=tie_breaking, cos=cos, cspf_comp_mode=cspf_comp_mode, setup_priority=setup_priority, hold_priority=hold_priority, traffic_eng_max_rate=traffic_eng_max_rate, traffic_eng_mean_rate=traffic_eng_mean_rate, traffic_eng_max_burst=traffic_eng_max_burst, from_addr=from_addr, reoptimize_timer=reoptimize_timer, adaptive=adaptive, record_route=record_route, name_prefix=name_prefix, primary_path=primary_path, max_bypasses_per_mp=max_bypasses_per_mp, bypass_count=bypass_count, exclude_any=exclude_any, include_all=include_all, include_any=include_any, status_flags=status_flags, mp_count=mp_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_dynamic_bypass_dynamic_bypass_interface_mp_infos_create(self, dynamic_bypass_interface=None, mp_infos=None, bypass_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dynamic_bypass_interface: if_name, if_type
    :param dynamic_bypass_interface: Keyword argument tuple.

    :type if_name: unicode
    :param if_name: **dynamic_bypass_interface** tuple argument.

    :type if_type: unicode
    :param if_type: **dynamic_bypass_interface** tuple argument.

        * enumeration restriction: ::

            ['loopback-interface',
            'ethernet-interface',
            'port-channel-interface',
            'unknown-interface',
            've-interface',
            'fbr-channel-interface']

    **Instance Keyword Argument Tuple**:

    :type mp_infos: router_id
    :param mp_infos: Keyword argument tuple.

    :type router_id: unicode
    :param router_id: **mp_infos** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type bypass_count: int
    :param bypass_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface', u'dynamic_bypass_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.dynamic_bypass.dynamic_bypass_interface.mp_infos', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'if_name, if_type', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mp_infos', 'keyval': 'router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dynamic_bypass_interface=dynamic_bypass_interface, mp_infos=mp_infos, bypass_count=bypass_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_forwarding_entry_create(self, forwarding_entry=None, dest_ip_prefix=None, in_label=None, out_label=None, protocol=None, out_interface_name=None, nexthop_ip_addr=None, type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type forwarding_entry: entry_index, sync_index
    :param forwarding_entry: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type sync_index: long
    :param sync_index: **forwarding_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type dest_ip_prefix: unicode
    :param dest_ip_prefix: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type in_label: long
    :param in_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type out_interface_name: unicode
    :param out_interface_name: Keyword argument.

    :type nexthop_ip_addr: unicode
    :param nexthop_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['mpls-forwarding-entry-backup',
            'mpls-forwarding-entry-detour']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.forwarding_entry', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'forwarding_entry', 'keyval': 'entry_index, sync_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, forwarding_entry=forwarding_entry, dest_ip_prefix=dest_ip_prefix, in_label=in_label, out_label=out_label, protocol=protocol, out_interface_name=out_interface_name, nexthop_ip_addr=nexthop_ip_addr, type=type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_interface_create(self, interface=None, interface_name=None, admin_status=None, oper_status=None, mtu=None, bypass_lsp_count=None, max_lsp_priority_level=None, is_ldp_enabled=None, ldp_tunnel_count=None, ldp_transit_tunnel_count=None, is_gre_port=None, admin_group=None, admin_group_max=None, admin_group_min=None, te_metric=None, max_bandwidth=None, max_resv_bandwidth=None, max_resv_bandwidth_percentage=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type interface: interface_index
    :param interface: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type oper_status: YANGBool
    :param oper_status: Keyword argument.

    :type mtu: long
    :param mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bypass_lsp_count: long
    :param bypass_lsp_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_lsp_priority_level: long
    :param max_lsp_priority_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_ldp_enabled: YANGBool
    :param is_ldp_enabled: Keyword argument.

    :type ldp_tunnel_count: long
    :param ldp_tunnel_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_transit_tunnel_count: long
    :param ldp_transit_tunnel_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_gre_port: YANGBool
    :param is_gre_port: Keyword argument.

    :type admin_group: long
    :param admin_group: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type admin_group_max: int
    :param admin_group_max: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type admin_group_min: int
    :param admin_group_min: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type te_metric: long
    :param te_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_bandwidth: long
    :param max_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_resv_bandwidth: long
    :param max_resv_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_resv_bandwidth_percentage: long
    :param max_resv_bandwidth_percentage: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.interface', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, interface_name=interface_name, admin_status=admin_status, oper_status=oper_status, mtu=mtu, bypass_lsp_count=bypass_lsp_count, max_lsp_priority_level=max_lsp_priority_level, is_ldp_enabled=is_ldp_enabled, ldp_tunnel_count=ldp_tunnel_count, ldp_transit_tunnel_count=ldp_transit_tunnel_count, is_gre_port=is_gre_port, admin_group=admin_group, admin_group_max=admin_group_max, admin_group_min=admin_group_min, te_metric=te_metric, max_bandwidth=max_bandwidth, max_resv_bandwidth=max_resv_bandwidth, max_resv_bandwidth_percentage=max_resv_bandwidth_percentage)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_create(self, ldp_fec_prefix_longer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_prefix_longer', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_create(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_feccb=None, prefix_idx=None, prefix_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, prefix_lwd=None, prefix_lwd_started=None, prefix_is_ldp_o_rsvp=None, prefix_excess_dms=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Argument(s)**:

    :type prefix_feccb: long
    :param prefix_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_idx: long
    :param prefix_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_type: long
    :param prefix_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type prefix_state: unicode
    :param prefix_state: Keyword argument.

    :type prefix_ingress: unicode
    :param prefix_ingress: Keyword argument.

    :type prefix_egress: unicode
    :param prefix_egress: Keyword argument.

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type prefix_lwd: unicode
    :param prefix_lwd: Keyword argument.

    :type prefix_lwd_started: unicode
    :param prefix_lwd_started: Keyword argument.

    :type prefix_is_ldp_o_rsvp: YANGBool
    :param prefix_is_ldp_o_rsvp: Keyword argument.

    :type prefix_excess_dms: YANGBool
    :param prefix_excess_dms: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_prefix', 'keyval': 'prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_feccb=prefix_feccb, prefix_idx=prefix_idx, prefix_type=prefix_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, prefix_lwd=prefix_lwd, prefix_lwd_started=prefix_lwd_started, prefix_is_ldp_o_rsvp=prefix_is_ldp_o_rsvp, prefix_excess_dms=prefix_excess_dms)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_downstream_create(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_nexthops_create(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_nexthops: nexthop
    :param prefix_nexthops: Keyword argument tuple.

    :type nexthop: unicode
    :param nexthop: **prefix_nexthops** tuple argument.

    **Instance Argument(s)**:

    :type out_intf: unicode
    :param out_intf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_nexthops=prefix_nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_longer_prefix_prefix_prefix_upstream_create(self, ldp_fec_prefix_longer=None, prefix_prefix=None, prefix_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_prefix_longer: prefix
    :param ldp_fec_prefix_longer: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **ldp_fec_prefix_longer** tuple argument.

    :type prefix_prefix: prefix
    :param prefix_prefix: Keyword argument tuple.

    :type prefix: unicode
    :param prefix: **prefix_prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer', u'ldp_fec_prefix_longer'), ('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix', u'prefix_prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_longer.prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'prefix', 'extra_keyval': ''}, {'keyval': 'prefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_prefix_longer=ldp_fec_prefix_longer, prefix_prefix=prefix_prefix, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_downstream_create(self, prefix_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_downstream: local_ldp_id
    :param prefix_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_downstream=prefix_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_nexthops_create(self, prefix_nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_nexthops: nexthop
    :param prefix_nexthops: Keyword argument tuple.

    :type nexthop: unicode
    :param nexthop: **prefix_nexthops** tuple argument.

    **Instance Argument(s)**:

    :type out_intf: unicode
    :param out_intf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_nexthops=prefix_nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefix_prefix_prefix_upstream_create(self, prefix_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix_upstream: local_ldp_id
    :param prefix_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **prefix_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefix_prefix.prefix_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_upstream=prefix_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_create(self, prefix=None, state=None, ingress=None, egress=None, filtered=None, lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type prefix: destination
    :param prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **prefix** tuple argument.

    **Instance Argument(s)**:

    :type state: unicode
    :param state: Keyword argument.

    :type ingress: unicode
    :param ingress: Keyword argument.

    :type egress: unicode
    :param egress: Keyword argument.

    :type filtered: unicode
    :param filtered: Keyword argument.

    :type lwd: unicode
    :param lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'destination', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix, state=state, ingress=ingress, egress=egress, filtered=filtered, lwd=lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_prefixes_prefix_nexthops_create(self, prefix=None, nexthops=None, out_intf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type prefix: destination
    :param prefix: Keyword argument tuple.

    :type destination: unicode
    :param destination: **prefix** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type nexthops: nexthop
    :param nexthops: Keyword argument tuple.

    :type nexthop: unicode
    :param nexthop: **nexthops** tuple argument.

    **Instance Argument(s)**:

    :type out_intf: unicode
    :param out_intf: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix', u'prefix')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_prefixes.prefix.nexthops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nexthops', 'keyval': 'nexthop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix=prefix, nexthops=nexthops, out_intf=out_intf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_create(self, ldp_fec_vcid=None, vc_feccb=None, vc_idx=None, vc_fec_type=None, prefix_pend_notif=None, prefix_state=None, prefix_ingress=None, prefix_egress=None, prefix_um_dist_done=None, vc_type=None, vc_grp_id=None, vc_local_mtu=None, vc_remote_mtu=None, vc_mtu_enforcement=None, vc_agi=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_feccb: long
    :param vc_feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_idx: long
    :param vc_idx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_fec_type: long
    :param vc_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_pend_notif: unicode
    :param prefix_pend_notif: Keyword argument.

    :type prefix_state: unicode
    :param prefix_state: Keyword argument.

    :type prefix_ingress: unicode
    :param prefix_ingress: Keyword argument.

    :type prefix_egress: unicode
    :param prefix_egress: Keyword argument.

    :type prefix_um_dist_done: unicode
    :param prefix_um_dist_done: Keyword argument.

    :type vc_type: long
    :param vc_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_grp_id: long
    :param vc_grp_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_local_mtu: long
    :param vc_local_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_mtu: long
    :param vc_remote_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_mtu_enforcement: long
    :param vc_mtu_enforcement: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_agi: unicode
    :param vc_agi: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_fec_vcid', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_feccb=vc_feccb, vc_idx=vc_idx, vc_fec_type=vc_fec_type, prefix_pend_notif=prefix_pend_notif, prefix_state=prefix_state, prefix_ingress=prefix_ingress, prefix_egress=prefix_egress, prefix_um_dist_done=prefix_um_dist_done, vc_type=vc_type, vc_grp_id=vc_grp_id, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_mtu_enforcement=vc_mtu_enforcement, vc_agi=vc_agi)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_downstream_create(self, ldp_fec_vcid=None, vc_downstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_downstream: local_ldp_id
    :param vc_downstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_downstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_downstream=vc_downstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcid_vc_upstream_create(self, ldp_fec_vcid=None, vc_upstream=None, local_ldp_lblspc=None, peer_ldp_id=None, peer_ldp_lblspc=None, label=None, state=None, fec_filtered_state=None, fec_stale=None, feccb=None, fec_dm_state_dw=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_fec_vcid: vc_id
    :param ldp_fec_vcid: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **ldp_fec_vcid** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_upstream: local_ldp_id
    :param vc_upstream: Keyword argument tuple.

    :type local_ldp_id: unicode
    :param local_ldp_id: **vc_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type local_ldp_lblspc: long
    :param local_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_ldp_id: unicode
    :param peer_ldp_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type peer_ldp_lblspc: long
    :param peer_ldp_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type fec_filtered_state: long
    :param fec_filtered_state: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_stale: long
    :param fec_stale: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type feccb: long
    :param feccb: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type fec_dm_state_dw: long
    :param fec_dm_state_dw: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid', u'ldp_fec_vcid')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcid.vc_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_upstream', 'keyval': 'local_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_fec_vcid=ldp_fec_vcid, vc_upstream=vc_upstream, local_ldp_lblspc=local_ldp_lblspc, peer_ldp_id=peer_ldp_id, peer_ldp_lblspc=peer_ldp_lblspc, label=label, state=state, fec_filtered_state=fec_filtered_state, fec_stale=fec_stale, feccb=feccb, fec_dm_state_dw=fec_dm_state_dw)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_fec_ldp_fec_vcs_vc_create(self, vc=None, peer_lblspc=None, state=None, vc_id=None, peer_vc_type=None, peer_fec_type=None, ingress=None, egress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vc: peer_id
    :param vc: Keyword argument tuple.

    :type peer_id: unicode
    :param peer_id: **vc** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type peer_lblspc: long
    :param peer_lblspc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type state: unicode
    :param state: Keyword argument.

    :type vc_id: long
    :param vc_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_vc_type: long
    :param peer_vc_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_fec_type: long
    :param peer_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ingress: unicode
    :param ingress: Keyword argument.

    :type egress: unicode
    :param egress: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.fec.ldp_fec_vcs.vc', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc', 'keyval': 'peer_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc=vc, peer_lblspc=peer_lblspc, state=state, vc_id=vc_id, peer_vc_type=peer_vc_type, peer_fec_type=peer_fec_type, ingress=ingress, egress=egress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_interface_ldp_interface_data_create(self, ldp_interface_data=None, ldp_interface_lbpsp=None, ldp_interface_nbr_cnt=None, ldp_interface_hello_intl=None, ldp_interface_hello_timeout=None, ldp_interface_hello_next=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_interface_data: ldp_interface_name, ldp_interface_type
    :param ldp_interface_data: Keyword argument tuple.

    :type ldp_interface_name: unicode
    :param ldp_interface_name: **ldp_interface_data** tuple argument.

    :type ldp_interface_type: unicode
    :param ldp_interface_type: **ldp_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type ldp_interface_lbpsp: long
    :param ldp_interface_lbpsp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_interface_nbr_cnt: long
    :param ldp_interface_nbr_cnt: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_interface_hello_intl: long
    :param ldp_interface_hello_intl: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_interface_hello_timeout: long
    :param ldp_interface_hello_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ldp_interface_hello_next: long
    :param ldp_interface_hello_next: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.interface.ldp_interface_data', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_interface_data', 'keyval': 'ldp_interface_name, ldp_interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_interface_data=ldp_interface_data, ldp_interface_lbpsp=ldp_interface_lbpsp, ldp_interface_nbr_cnt=ldp_interface_nbr_cnt, ldp_interface_hello_intl=ldp_interface_hello_intl, ldp_interface_hello_timeout=ldp_interface_hello_timeout, ldp_interface_hello_next=ldp_interface_hello_next)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_create(self, ldp_database=None, ldp_database_own_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ldp_database_own_ip: unicode
    :param ldp_database_own_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_database', 'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, ldp_database_own_ip=ldp_database_own_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_downstream_create(self, ldp_database=None, mpls_ldp_database_downstream=None, mpls_ldp_database_ds_fec_label=None, mpls_ldp_database_ds_fec_prefix_length=None, mpls_ldp_database_ds_fec_type=None, mpls_ldp_database_ds_fec_state=None, mpls_ldp_database_ds_fec_filtered=None, mpls_ldp_database_ds_fec_stale=None, mpls_ldp_database_ds_fec_lwd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_downstream: mpls_ldp_database_ds_fec_prefix
    :param mpls_ldp_database_downstream: Keyword argument tuple.

    :type mpls_ldp_database_ds_fec_prefix: unicode
    :param mpls_ldp_database_ds_fec_prefix: **mpls_ldp_database_downstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_ds_fec_label: long
    :param mpls_ldp_database_ds_fec_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_ds_fec_prefix_length: long
    :param mpls_ldp_database_ds_fec_prefix_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_ds_fec_type: long
    :param mpls_ldp_database_ds_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_ds_fec_state: unicode
    :param mpls_ldp_database_ds_fec_state: Keyword argument.

    :type mpls_ldp_database_ds_fec_filtered: YANGBool
    :param mpls_ldp_database_ds_fec_filtered: Keyword argument.

    :type mpls_ldp_database_ds_fec_stale: YANGBool
    :param mpls_ldp_database_ds_fec_stale: Keyword argument.

    :type mpls_ldp_database_ds_fec_lwd: YANGBool
    :param mpls_ldp_database_ds_fec_lwd: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_downstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_downstream', 'keyval': 'mpls_ldp_database_ds_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_downstream=mpls_ldp_database_downstream, mpls_ldp_database_ds_fec_label=mpls_ldp_database_ds_fec_label, mpls_ldp_database_ds_fec_prefix_length=mpls_ldp_database_ds_fec_prefix_length, mpls_ldp_database_ds_fec_type=mpls_ldp_database_ds_fec_type, mpls_ldp_database_ds_fec_state=mpls_ldp_database_ds_fec_state, mpls_ldp_database_ds_fec_filtered=mpls_ldp_database_ds_fec_filtered, mpls_ldp_database_ds_fec_stale=mpls_ldp_database_ds_fec_stale, mpls_ldp_database_ds_fec_lwd=mpls_ldp_database_ds_fec_lwd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_database_mpls_ldp_database_upstream_create(self, ldp_database=None, mpls_ldp_database_upstream=None, mpls_ldp_database_us_fec_label=None, mpls_ldp_database_us_fec_prefix_length=None, mpls_ldp_database_us_fec_type=None, mpls_ldp_database_us_fec_stale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_database: ldp_database_peer_ip
    :param ldp_database: Keyword argument tuple.

    :type ldp_database_peer_ip: unicode
    :param ldp_database_peer_ip: **ldp_database** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type mpls_ldp_database_upstream: mpls_ldp_database_us_fec_prefix
    :param mpls_ldp_database_upstream: Keyword argument tuple.

    :type mpls_ldp_database_us_fec_prefix: unicode
    :param mpls_ldp_database_us_fec_prefix: **mpls_ldp_database_upstream** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type mpls_ldp_database_us_fec_label: long
    :param mpls_ldp_database_us_fec_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_us_fec_prefix_length: long
    :param mpls_ldp_database_us_fec_prefix_length: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_us_fec_type: long
    :param mpls_ldp_database_us_fec_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mpls_ldp_database_us_fec_stale: YANGBool
    :param mpls_ldp_database_us_fec_stale: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database', u'ldp_database')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_database.mpls_ldp_database_upstream', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ldp_database_peer_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mpls_ldp_database_upstream', 'keyval': 'mpls_ldp_database_us_fec_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_database=ldp_database, mpls_ldp_database_upstream=mpls_ldp_database_upstream, mpls_ldp_database_us_fec_label=mpls_ldp_database_us_fec_label, mpls_ldp_database_us_fec_prefix_length=mpls_ldp_database_us_fec_prefix_length, mpls_ldp_database_us_fec_type=mpls_ldp_database_us_fec_type, mpls_ldp_database_us_fec_stale=mpls_ldp_database_us_fec_stale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_neighbors_neighbor_create(self, neighbor=None, neighbor_transport=None, interface_name=None, max_hold_time=None, time_left=None, up_time=None, configured_hold_time=None, neighbor_proposed_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor: neighbor_ldpid, labelspaceid
    :param neighbor: Keyword argument tuple.

    :type neighbor_ldpid: unicode
    :param neighbor_ldpid: **neighbor** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type labelspaceid: int
    :param labelspaceid: **neighbor** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type neighbor_transport: unicode
    :param neighbor_transport: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type max_hold_time: long
    :param max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type time_left: long
    :param time_left: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type up_time: unicode
    :param up_time: Keyword argument.

    :type configured_hold_time: long
    :param configured_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_proposed_hold_time: long
    :param neighbor_proposed_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_neighbors.neighbor', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_ldpid, labelspaceid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor=neighbor, neighbor_transport=neighbor_transport, interface_name=interface_name, max_hold_time=max_hold_time, time_left=time_left, up_time=up_time, configured_hold_time=configured_hold_time, neighbor_proposed_hold_time=neighbor_proposed_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_create(self, ldp_session=None, peer_lblspc_id=None, state=None, adjacency=None, role=None, max_hold=None, time_left=None, session_status=None, local_ldp_id=None, local_lblspc_id=None, next_keepalive=None, entity_index=None, targeted_adj_added=None, is_retry=None, next_retry=None, keepalive_interval=None, local_keepalive_timeout=None, peer_proposed_keepalive_timeout=None, session_up_time=None, md5_auth_key=None, tcp_conn_local=None, tcp_conn_remote=None, tcp_state=None, num_fecs_received_from_peer=None, num_fecs_installed_from_peer=None, is_fecs_pending_uninstall=None, num_fecs_filtered_out=None, num_fecs_filtered_in=None, filter_prefix_list_name=None, filter_prefix_list_exists=None, is_only_gr_valid=None, gr_enabled=None, peer_reconnect_time=None, peer_recovery_time=None, reconnect_time_in_use=None, reconnect_time_remaining=None, recovery_time_in_use=None, recovery_time_remaining=None, gr_state=None, local_eol_unrecognized_notification=None, remote_eol_unrecognized_notification=None, does_session_support_eol=None, local_state=None, remote_state=None, eol_notification_time=None, eol_notification_time_remaining=None, eol_tx_label_silence_time=None, eol_tx_label_silence_time_remaining=None, eol_rx_label_silence_time=None, eol_rx_label_silence_time_remaining=None, filtered=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Argument(s)**:

    :type peer_lblspc_id: unicode
    :param peer_lblspc_id: Keyword argument.

    :type state: unicode
    :param state: Keyword argument.

    :type adjacency: unicode
    :param adjacency: Keyword argument.

    :type role: unicode
    :param role: Keyword argument.

    :type max_hold: long
    :param max_hold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type time_left: long
    :param time_left: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_status: unicode
    :param session_status: Keyword argument.

    :type local_ldp_id: unicode
    :param local_ldp_id: Keyword argument.

    :type local_lblspc_id: unicode
    :param local_lblspc_id: Keyword argument.

    :type next_keepalive: long
    :param next_keepalive: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type entity_index: long
    :param entity_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type targeted_adj_added: unicode
    :param targeted_adj_added: Keyword argument.

    :type is_retry: YANGBool
    :param is_retry: Keyword argument.

    :type next_retry: long
    :param next_retry: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type keepalive_interval: long
    :param keepalive_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type local_keepalive_timeout: long
    :param local_keepalive_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_proposed_keepalive_timeout: long
    :param peer_proposed_keepalive_timeout: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_up_time: unicode
    :param session_up_time: Keyword argument.

    :type md5_auth_key: unicode
    :param md5_auth_key: Keyword argument.

    :type tcp_conn_local: unicode
    :param tcp_conn_local: Keyword argument.

    :type tcp_conn_remote: unicode
    :param tcp_conn_remote: Keyword argument.

    :type tcp_state: unicode
    :param tcp_state: Keyword argument.

    :type num_fecs_received_from_peer: long
    :param num_fecs_received_from_peer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_fecs_installed_from_peer: long
    :param num_fecs_installed_from_peer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_fecs_pending_uninstall: YANGBool
    :param is_fecs_pending_uninstall: Keyword argument.

    :type num_fecs_filtered_out: long
    :param num_fecs_filtered_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_fecs_filtered_in: long
    :param num_fecs_filtered_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type filter_prefix_list_name: unicode
    :param filter_prefix_list_name: Keyword argument.

    :type filter_prefix_list_exists: YANGBool
    :param filter_prefix_list_exists: Keyword argument.

    :type is_only_gr_valid: YANGBool
    :param is_only_gr_valid: Keyword argument.

    :type gr_enabled: YANGBool
    :param gr_enabled: Keyword argument.

    :type peer_reconnect_time: long
    :param peer_reconnect_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peer_recovery_time: long
    :param peer_recovery_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type reconnect_time_in_use: long
    :param reconnect_time_in_use: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type reconnect_time_remaining: long
    :param reconnect_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type recovery_time_in_use: long
    :param recovery_time_in_use: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type recovery_time_remaining: long
    :param recovery_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gr_state: unicode
    :param gr_state: Keyword argument.

    :type local_eol_unrecognized_notification: YANGBool
    :param local_eol_unrecognized_notification: Keyword argument.

    :type remote_eol_unrecognized_notification: YANGBool
    :param remote_eol_unrecognized_notification: Keyword argument.

    :type does_session_support_eol: YANGBool
    :param does_session_support_eol: Keyword argument.

    :type local_state: YANGBool
    :param local_state: Keyword argument.

    :type remote_state: YANGBool
    :param remote_state: Keyword argument.

    :type eol_notification_time: long
    :param eol_notification_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type eol_notification_time_remaining: long
    :param eol_notification_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type eol_tx_label_silence_time: long
    :param eol_tx_label_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type eol_tx_label_silence_time_remaining: long
    :param eol_tx_label_silence_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type eol_rx_label_silence_time: long
    :param eol_rx_label_silence_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type eol_rx_label_silence_time_remaining: long
    :param eol_rx_label_silence_time_remaining: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type filtered: unicode
    :param filtered: Keyword argument.

        * enumeration restriction: ::

            ['sess-filtered-out',
            'sess-filtered-in',
            'sess-filtered']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'peer_ldp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, peer_lblspc_id=peer_lblspc_id, state=state, adjacency=adjacency, role=role, max_hold=max_hold, time_left=time_left, session_status=session_status, local_ldp_id=local_ldp_id, local_lblspc_id=local_lblspc_id, next_keepalive=next_keepalive, entity_index=entity_index, targeted_adj_added=targeted_adj_added, is_retry=is_retry, next_retry=next_retry, keepalive_interval=keepalive_interval, local_keepalive_timeout=local_keepalive_timeout, peer_proposed_keepalive_timeout=peer_proposed_keepalive_timeout, session_up_time=session_up_time, md5_auth_key=md5_auth_key, tcp_conn_local=tcp_conn_local, tcp_conn_remote=tcp_conn_remote, tcp_state=tcp_state, num_fecs_received_from_peer=num_fecs_received_from_peer, num_fecs_installed_from_peer=num_fecs_installed_from_peer, is_fecs_pending_uninstall=is_fecs_pending_uninstall, num_fecs_filtered_out=num_fecs_filtered_out, num_fecs_filtered_in=num_fecs_filtered_in, filter_prefix_list_name=filter_prefix_list_name, filter_prefix_list_exists=filter_prefix_list_exists, is_only_gr_valid=is_only_gr_valid, gr_enabled=gr_enabled, peer_reconnect_time=peer_reconnect_time, peer_recovery_time=peer_recovery_time, reconnect_time_in_use=reconnect_time_in_use, reconnect_time_remaining=reconnect_time_remaining, recovery_time_in_use=recovery_time_in_use, recovery_time_remaining=recovery_time_remaining, gr_state=gr_state, local_eol_unrecognized_notification=local_eol_unrecognized_notification, remote_eol_unrecognized_notification=remote_eol_unrecognized_notification, does_session_support_eol=does_session_support_eol, local_state=local_state, remote_state=remote_state, eol_notification_time=eol_notification_time, eol_notification_time_remaining=eol_notification_time_remaining, eol_tx_label_silence_time=eol_tx_label_silence_time, eol_tx_label_silence_time_remaining=eol_tx_label_silence_time_remaining, eol_rx_label_silence_time=eol_rx_label_silence_time, eol_rx_label_silence_time_remaining=eol_rx_label_silence_time_remaining, filtered=filtered)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filtered_fecs_in_create(self, ldp_session=None, filtered_fecs_in=None, label=None, prefix_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type filtered_fecs_in: fec_addr
    :param filtered_fecs_in: Keyword argument tuple.

    :type fec_addr: unicode
    :param fec_addr: **filtered_fecs_in** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_in', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'filtered_fecs_in', 'keyval': 'fec_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, filtered_fecs_in=filtered_fecs_in, label=label, prefix_len=prefix_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_filtered_fecs_out_create(self, ldp_session=None, filtered_fecs_out=None, label=None, prefix_len=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type filtered_fecs_out: fec_addr
    :param filtered_fecs_out: Keyword argument tuple.

    :type fec_addr: unicode
    :param fec_addr: **filtered_fecs_out** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefix_len: int
    :param prefix_len: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.filtered_fecs_out', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'filtered_fecs_out', 'keyval': 'fec_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, filtered_fecs_out=filtered_fecs_out, label=label, prefix_len=prefix_len)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_errors_instance_total_protocol_errors_create(self, ldp_session=None, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type protocol_errors: error_type
    :param protocol_errors: Keyword argument tuple.

    :type error_type: long
    :param error_type: **protocol_errors** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_ldp_session_session_ldp_stats_ldp_protocol_stats_instance_total_protocol_stats_create(self, ldp_session=None, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_session: peer_ldp_id
    :param ldp_session: Keyword argument tuple.

    :type peer_ldp_id: unicode
    :param peer_ldp_id: **ldp_session** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session', u'ldp_session')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.ldp_session.session_ldp_stats.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'peer_ldp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_create(self, path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type path: destination_route
    :param path: Keyword argument tuple.

    :type destination_route: unicode
    :param destination_route: **path** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'destination_route', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_downstream_sessions_create(self, path=None, downstream_sessions=None, labelspace=None, label=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: destination_route
    :param path: Keyword argument tuple.

    :type destination_route: unicode
    :param destination_route: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type downstream_sessions: ip
    :param downstream_sessions: Keyword argument tuple.

    :type ip: unicode
    :param ip: **downstream_sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type labelspace: long
    :param labelspace: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface: unicode
    :param interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.downstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'downstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, downstream_sessions=downstream_sessions, labelspace=labelspace, label=label, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_path_upstream_sessions_create(self, path=None, upstream_sessions=None, labelspace=None, label=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: destination_route
    :param path: Keyword argument tuple.

    :type destination_route: unicode
    :param destination_route: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type upstream_sessions: ip
    :param upstream_sessions: Keyword argument tuple.

    :type ip: unicode
    :param ip: **upstream_sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type labelspace: long
    :param labelspace: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type label: long
    :param label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface: unicode
    :param interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.path.upstream_sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destination_route', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'upstream_sessions', 'keyval': 'ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, upstream_sessions=upstream_sessions, labelspace=labelspace, label=label, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_errors_instance_since_clear_protocol_errors_create(self, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type protocol_errors: error_type
    :param protocol_errors: Keyword argument tuple.

    :type error_type: long
    :param error_type: **protocol_errors** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_since_clear.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_errors_instance_total_protocol_errors_create(self, protocol_errors=None, count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type protocol_errors: error_type
    :param protocol_errors: Keyword argument tuple.

    :type error_type: long
    :param error_type: **protocol_errors** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_errors_instance_total.protocol_errors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_errors', 'keyval': 'error_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_errors=protocol_errors, count=count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_stats_instance_since_clear_protocol_stats_create(self, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_since_clear.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_statistics_ldp_protocol_stats_instance_total_protocol_stats_create(self, protocol_stats=None, rx_count=None, tx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type protocol_stats: stat_type
    :param protocol_stats: Keyword argument tuple.

    :type stat_type: long
    :param stat_type: **protocol_stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.statistics.ldp_protocol_stats_instance_total.protocol_stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'protocol_stats', 'keyval': 'stat_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, protocol_stats=protocol_stats, rx_count=rx_count, tx_count=tx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_targeted_peer_create(self, targeted_peer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type targeted_peer: mpls_ldp_targeted_peer_id
    :param targeted_peer: Keyword argument tuple.

    :type mpls_ldp_targeted_peer_id: unicode
    :param mpls_ldp_targeted_peer_id: **targeted_peer** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.targeted_peer', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'targeted_peer', 'keyval': 'mpls_ldp_targeted_peer_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, targeted_peer=targeted_peer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_create(self, ldp_tunnels=None, tunnel_interface_index=None, tunnel_metric=None, name=None, tunnel_vif=None, protocol_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_tunnels: tunnel_destination, prefix_length
    :param ldp_tunnels: Keyword argument tuple.

    :type tunnel_destination: unicode
    :param tunnel_destination: **ldp_tunnels** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_length: long
    :param prefix_length: **ldp_tunnels** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tunnel_interface_index: long
    :param tunnel_interface_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tunnel_metric: long
    :param tunnel_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type name: unicode
    :param name: Keyword argument.

    :type tunnel_vif: long
    :param tunnel_vif: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type protocol_type: unicode
    :param protocol_type: Keyword argument.

        * enumeration restriction: ::

            ['staticp', 'ldp', 'rsvp']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_tunnels', 'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_tunnels=ldp_tunnels, tunnel_interface_index=tunnel_interface_index, tunnel_metric=tunnel_metric, name=name, tunnel_vif=tunnel_vif, protocol_type=protocol_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_ldp_tunnels_ldp_tunnels_out_segments_create(self, ldp_tunnels=None, out_segments=None, next_hop_ipaddress=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ldp_tunnels: tunnel_destination, prefix_length
    :param ldp_tunnels: Keyword argument tuple.

    :type tunnel_destination: unicode
    :param tunnel_destination: **ldp_tunnels** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_length: long
    :param prefix_length: **ldp_tunnels** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type out_segments: outgoing_interface
    :param out_segments: Keyword argument tuple.

    :type outgoing_interface: unicode
    :param outgoing_interface: **out_segments** tuple argument.

    **Instance Argument(s)**:

    :type next_hop_ipaddress: unicode
    :param next_hop_ipaddress: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels', u'ldp_tunnels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.ldp.tunnels.ldp_tunnels.out_segments', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'tunnel_destination, prefix_length', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'out_segments', 'keyval': 'outgoing_interface', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_tunnels=ldp_tunnels, out_segments=out_segments, next_hop_ipaddress=next_hop_ipaddress)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_create(self, lsp=None, lsp_type=None, bypass_lsp_type=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type lsp_type: unicode
    :param lsp_type: Keyword argument.

        * enumeration restriction: ::

            ['regular', 'bypass']

    :type bypass_lsp_type: unicode
    :param bypass_lsp_type: Keyword argument.

        * enumeration restriction: ::

            ['dynamic-bypass', 'static-bypass']

    :type interface: unicode
    :param interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_type=lsp_type, bypass_lsp_type=bypass_lsp_type, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_ingress_create(self, lsp=None, backup_ingress=None, backup_type_ingress=None, backup_type_transit=None, backup_is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type backup_ingress: backup_from_address, backup_to_address, backup_name
    :param backup_ingress: Keyword argument tuple.

    :type backup_from_address: unicode
    :param backup_from_address: **backup_ingress** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_to_address: unicode
    :param backup_to_address: **backup_ingress** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_name: unicode
    :param backup_name: **backup_ingress** tuple argument.

    **Instance Argument(s)**:

    :type backup_type_ingress: YANGBool
    :param backup_type_ingress: Keyword argument.

    :type backup_type_transit: YANGBool
    :param backup_type_transit: Keyword argument.

    :type backup_is_active: YANGBool
    :param backup_is_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_ingress', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_ingress', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_ingress=backup_ingress, backup_type_ingress=backup_type_ingress, backup_type_transit=backup_type_transit, backup_is_active=backup_is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_backup_backup_transit_create(self, lsp=None, backup_transit=None, backup_type_ingress=None, backup_type_transit=None, backup_is_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type backup_transit: backup_from_address, backup_to_address, backup_name
    :param backup_transit: Keyword argument tuple.

    :type backup_from_address: unicode
    :param backup_from_address: **backup_transit** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_to_address: unicode
    :param backup_to_address: **backup_transit** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type backup_name: unicode
    :param backup_name: **backup_transit** tuple argument.

    **Instance Argument(s)**:

    :type backup_type_ingress: YANGBool
    :param backup_type_ingress: Keyword argument.

    :type backup_type_transit: YANGBool
    :param backup_type_transit: Keyword argument.

    :type backup_is_active: YANGBool
    :param backup_is_active: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.backup.backup_transit', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'backup_transit', 'keyval': 'backup_from_address, backup_to_address, backup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, backup_transit=backup_transit, backup_type_ingress=backup_type_ingress, backup_type_transit=backup_type_transit, backup_is_active=backup_is_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_exclude_any_create(self, lsp=None, exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type exclude_any: admin_group_id
    :param exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, exclude_any=exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_include_all_create(self, lsp=None, include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type include_all: admin_group_id
    :param include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, include_all=include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_frr_include_any_create(self, lsp=None, include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type include_any: admin_group_id
    :param include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.frr.include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, include_any=include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_create(self, lsp=None, instances=None, current_instance=None, new_instance=None, old_instance=None, is_primary=None, is_current_secondary=None, is_selected_secondary=None, instance_admin_up=None, instance_is_up=None, instance_is_active=None, is_adaptive=None, is_bypass=None, is_dynamic_bypass=None, config_admin_up=None, config_from_address_configured=None, config_from_address=None, config_to_address=None, config_type_bypass=None, config_type_dynamic=None, config_adaptive=None, config_ospf_area=None, config_isis_level=None, config_number_of_retries_configured=None, config_number_of_retries=None, config_path_select_mode=None, config_path_selected_path=None, config_path_selected_secondary_name=None, config_revert_time_configured=None, config_revert_time=None, config_retry_count_configured=None, config_retry_count=None, config_enable_ldp_tunnelling=None, config_shortcut_ospf=None, config_shortcut_area_configured=None, config_shortcut_area=None, config_notify_ospf=None, config_shortcut_isis=None, config_isis_shortcut_level_configured=None, config_isis_shortcut_level=None, config_notify_isis=None, config_metric_configured=None, config_metric=None, config_ospf_ignore_metric=None, config_ospf_relative_metric=None, config_ospf_announce_metric=None, config_ospf_aaf=None, config_isis_ignore_metric=None, config_isis_relative_metric=None, config_isis_announce_configured=None, config_isis_announce_metric=None, config_path_configured=None, config_path=None, config_reoptimize_timer_configured=None, config_reoptimize_time=None, config_tspec_mtu_configured=None, config_tspec_mtu=None, config_cos_configured=None, config_cos=None, config_mtu_configured=None, config_mtu=None, config_tie_breaking_configured=None, config_tie_break_random=None, config_tie_break_least_fill=None, config_tie_break_most_fill=None, config_cspf_disabled=None, config_rro_disabled=None, config_hot_standby=None, config_pinned=None, config_persistenct=None, config_frr_global_revertive=None, config_frr_hold_time=None, config_soft_prempt=None, config_exclude_interface_change=None, config_prority_configured=None, config_setup_prority=None, config_holding_prority=None, config_hop_limit_configured=None, config_hop_limit=None, config_traffic_eng_rate_configured=None, config_traffic_eng_mean_rate=None, config_traffic_eng_max_rate=None, config_traffic_eng_max_burst=None, config_abw_configured=None, config_bfd_configured=None, config_admin_group_configured=None, config_cspf_computation_mode=None, path_computed_by_cspf=None, path_computed_by_interface_constraint=None, cspf_computation_mode=None, cspf_group_computation_mode_default=None, cspf_group_computation_mode_add_penalty=None, cspf_group_computation_mode_exclude_groups=None, cspf_group_computation_mode_high_cost=None, cspf_path_cost=None, cspf_path_area=None, cspf_computation_error=None, cspf_exclude_hops_present=None, rsvp_session_present=None, rsvp_session_state_up=None, rsvp_session_state=None, rsvp_session_path_error_code=None, rsvp_session_path_error_value=None, rsvp_session_path_error_node_address=None, rsvp_session_rro_hops_present=None, config_exclude_interface_configured=None, maximum_bandwidth=None, unreserved_priority_0_bandwidth=None, unreserved_priority_1_bandwidth=None, unreserved_priority_2_bandwidth=None, unreserved_priority_3_bandwidth=None, unreserved_priority_4_bandwidth=None, unreserved_priority_5_bandwidth=None, unreserved_priority_6_bandwidth=None, unreserved_priority_7_bandwidth=None, config_frr_configured=None, config_frr_one_to_one=None, config_frr_one_to_many=None, config_frr_priority_configured=None, config_frr_setup_priority=None, config_frr_holding_priority=None, config_frr_hop_limit_configured=None, config_frr_hop_limit=None, config_frr_bandwidth_configured=None, config_frr_bandwidth=None, config_frr_admin_group_configured=None, reoptimize_ignore_count=None, reoptimize_time_count=None, instance_frr_configured=None, instance_frr_up=None, instance_frr_active=None, instance_out_port_id=None, instance_out_port_name=None, instance_out_label=None, instance_revert_time=None, instance_retry_count=None, instance_up_down_count=None, instance_metric=None, instance_down_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type current_instance: YANGBool
    :param current_instance: Keyword argument.

    :type new_instance: YANGBool
    :param new_instance: Keyword argument.

    :type old_instance: YANGBool
    :param old_instance: Keyword argument.

    :type is_primary: YANGBool
    :param is_primary: Keyword argument.

    :type is_current_secondary: YANGBool
    :param is_current_secondary: Keyword argument.

    :type is_selected_secondary: YANGBool
    :param is_selected_secondary: Keyword argument.

    :type instance_admin_up: YANGBool
    :param instance_admin_up: Keyword argument.

    :type instance_is_up: YANGBool
    :param instance_is_up: Keyword argument.

    :type instance_is_active: YANGBool
    :param instance_is_active: Keyword argument.

    :type is_adaptive: YANGBool
    :param is_adaptive: Keyword argument.

    :type is_bypass: YANGBool
    :param is_bypass: Keyword argument.

    :type is_dynamic_bypass: YANGBool
    :param is_dynamic_bypass: Keyword argument.

    :type config_admin_up: YANGBool
    :param config_admin_up: Keyword argument.

    :type config_from_address_configured: YANGBool
    :param config_from_address_configured: Keyword argument.

    :type config_from_address: unicode
    :param config_from_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type config_to_address: unicode
    :param config_to_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type config_type_bypass: YANGBool
    :param config_type_bypass: Keyword argument.

    :type config_type_dynamic: YANGBool
    :param config_type_dynamic: Keyword argument.

    :type config_adaptive: YANGBool
    :param config_adaptive: Keyword argument.

    :type config_ospf_area: unicode
    :param config_ospf_area: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type config_isis_level: long
    :param config_isis_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_number_of_retries_configured: YANGBool
    :param config_number_of_retries_configured: Keyword argument.

    :type config_number_of_retries: long
    :param config_number_of_retries: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_path_select_mode: unicode
    :param config_path_select_mode: Keyword argument.

        * enumeration restriction: ::

            ['manual', 'unconditional']

    :type config_path_selected_path: unicode
    :param config_path_selected_path: Keyword argument.

        * enumeration restriction: ::

            ['primary-path', 'secondary-path']

    :type config_path_selected_secondary_name: unicode
    :param config_path_selected_secondary_name: Keyword argument.

    :type config_revert_time_configured: YANGBool
    :param config_revert_time_configured: Keyword argument.

    :type config_revert_time: long
    :param config_revert_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_retry_count_configured: YANGBool
    :param config_retry_count_configured: Keyword argument.

    :type config_retry_count: long
    :param config_retry_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_enable_ldp_tunnelling: YANGBool
    :param config_enable_ldp_tunnelling: Keyword argument.

    :type config_shortcut_ospf: YANGBool
    :param config_shortcut_ospf: Keyword argument.

    :type config_shortcut_area_configured: YANGBool
    :param config_shortcut_area_configured: Keyword argument.

    :type config_shortcut_area: long
    :param config_shortcut_area: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_notify_ospf: YANGBool
    :param config_notify_ospf: Keyword argument.

    :type config_shortcut_isis: YANGBool
    :param config_shortcut_isis: Keyword argument.

    :type config_isis_shortcut_level_configured: YANGBool
    :param config_isis_shortcut_level_configured: Keyword argument.

    :type config_isis_shortcut_level: long
    :param config_isis_shortcut_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_notify_isis: YANGBool
    :param config_notify_isis: Keyword argument.

    :type config_metric_configured: YANGBool
    :param config_metric_configured: Keyword argument.

    :type config_metric: long
    :param config_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_ospf_ignore_metric: YANGBool
    :param config_ospf_ignore_metric: Keyword argument.

    :type config_ospf_relative_metric: long
    :param config_ospf_relative_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_ospf_announce_metric: YANGBool
    :param config_ospf_announce_metric: Keyword argument.

    :type config_ospf_aaf: long
    :param config_ospf_aaf: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_isis_ignore_metric: YANGBool
    :param config_isis_ignore_metric: Keyword argument.

    :type config_isis_relative_metric: long
    :param config_isis_relative_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_isis_announce_configured: YANGBool
    :param config_isis_announce_configured: Keyword argument.

    :type config_isis_announce_metric: long
    :param config_isis_announce_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_path_configured: YANGBool
    :param config_path_configured: Keyword argument.

    :type config_path: unicode
    :param config_path: Keyword argument.

    :type config_reoptimize_timer_configured: YANGBool
    :param config_reoptimize_timer_configured: Keyword argument.

    :type config_reoptimize_time: long
    :param config_reoptimize_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_tspec_mtu_configured: YANGBool
    :param config_tspec_mtu_configured: Keyword argument.

    :type config_tspec_mtu: long
    :param config_tspec_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_cos_configured: YANGBool
    :param config_cos_configured: Keyword argument.

    :type config_cos: int
    :param config_cos: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_mtu_configured: YANGBool
    :param config_mtu_configured: Keyword argument.

    :type config_mtu: long
    :param config_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_tie_breaking_configured: YANGBool
    :param config_tie_breaking_configured: Keyword argument.

    :type config_tie_break_random: YANGBool
    :param config_tie_break_random: Keyword argument.

    :type config_tie_break_least_fill: YANGBool
    :param config_tie_break_least_fill: Keyword argument.

    :type config_tie_break_most_fill: YANGBool
    :param config_tie_break_most_fill: Keyword argument.

    :type config_cspf_disabled: YANGBool
    :param config_cspf_disabled: Keyword argument.

    :type config_rro_disabled: YANGBool
    :param config_rro_disabled: Keyword argument.

    :type config_hot_standby: YANGBool
    :param config_hot_standby: Keyword argument.

    :type config_pinned: YANGBool
    :param config_pinned: Keyword argument.

    :type config_persistenct: YANGBool
    :param config_persistenct: Keyword argument.

    :type config_frr_global_revertive: YANGBool
    :param config_frr_global_revertive: Keyword argument.

    :type config_frr_hold_time: long
    :param config_frr_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_soft_prempt: YANGBool
    :param config_soft_prempt: Keyword argument.

    :type config_exclude_interface_change: YANGBool
    :param config_exclude_interface_change: Keyword argument.

    :type config_prority_configured: YANGBool
    :param config_prority_configured: Keyword argument.

    :type config_setup_prority: int
    :param config_setup_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_holding_prority: int
    :param config_holding_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_hop_limit_configured: YANGBool
    :param config_hop_limit_configured: Keyword argument.

    :type config_hop_limit: int
    :param config_hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_traffic_eng_rate_configured: YANGBool
    :param config_traffic_eng_rate_configured: Keyword argument.

    :type config_traffic_eng_mean_rate: long
    :param config_traffic_eng_mean_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_traffic_eng_max_rate: long
    :param config_traffic_eng_max_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_traffic_eng_max_burst: long
    :param config_traffic_eng_max_burst: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_abw_configured: YANGBool
    :param config_abw_configured: Keyword argument.

    :type config_bfd_configured: YANGBool
    :param config_bfd_configured: Keyword argument.

    :type config_admin_group_configured: YANGBool
    :param config_admin_group_configured: Keyword argument.

    :type config_cspf_computation_mode: unicode
    :param config_cspf_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['cspf-computation-mode-use-igp-metric-global',
            'cspf-computation-mode-use-bypass-metric',
            'cspf-computation-mode-default',
            'cspf-computation-mode-use-igp-metric',
            'cspf-computation-mode-use-te-metric',
            'cspf-computation-mode-use-bypass-liberal',
            'cspf-computation-mode-use-te-metric-global']

    :type path_computed_by_cspf: YANGBool
    :param path_computed_by_cspf: Keyword argument.

    :type path_computed_by_interface_constraint: YANGBool
    :param path_computed_by_interface_constraint: Keyword argument.

    :type cspf_computation_mode: unicode
    :param cspf_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['cspf-computation-mode-use-igp-metric-global',
            'cspf-computation-mode-use-bypass-metric',
            'cspf-computation-mode-default',
            'cspf-computation-mode-use-igp-metric',
            'cspf-computation-mode-use-te-metric',
            'cspf-computation-mode-use-bypass-liberal',
            'cspf-computation-mode-use-te-metric-global']

    :type cspf_group_computation_mode_default: YANGBool
    :param cspf_group_computation_mode_default: Keyword argument.

    :type cspf_group_computation_mode_add_penalty: YANGBool
    :param cspf_group_computation_mode_add_penalty: Keyword argument.

    :type cspf_group_computation_mode_exclude_groups: YANGBool
    :param cspf_group_computation_mode_exclude_groups: Keyword argument.

    :type cspf_group_computation_mode_high_cost: YANGBool
    :param cspf_group_computation_mode_high_cost: Keyword argument.

    :type cspf_path_cost: long
    :param cspf_path_cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cspf_path_area: long
    :param cspf_path_area: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cspf_computation_error: long
    :param cspf_computation_error: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type cspf_exclude_hops_present: YANGBool
    :param cspf_exclude_hops_present: Keyword argument.

    :type rsvp_session_present: YANGBool
    :param rsvp_session_present: Keyword argument.

    :type rsvp_session_state_up: YANGBool
    :param rsvp_session_state_up: Keyword argument.

    :type rsvp_session_state: int
    :param rsvp_session_state: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type rsvp_session_path_error_code: long
    :param rsvp_session_path_error_code: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_session_path_error_value: long
    :param rsvp_session_path_error_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_session_path_error_node_address: unicode
    :param rsvp_session_path_error_node_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type rsvp_session_rro_hops_present: YANGBool
    :param rsvp_session_rro_hops_present: Keyword argument.

    :type config_exclude_interface_configured: YANGBool
    :param config_exclude_interface_configured: Keyword argument.

    :type maximum_bandwidth: long
    :param maximum_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_0_bandwidth: long
    :param unreserved_priority_0_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_1_bandwidth: long
    :param unreserved_priority_1_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_2_bandwidth: long
    :param unreserved_priority_2_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_3_bandwidth: long
    :param unreserved_priority_3_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_4_bandwidth: long
    :param unreserved_priority_4_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_5_bandwidth: long
    :param unreserved_priority_5_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_6_bandwidth: long
    :param unreserved_priority_6_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_7_bandwidth: long
    :param unreserved_priority_7_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_frr_configured: YANGBool
    :param config_frr_configured: Keyword argument.

    :type config_frr_one_to_one: YANGBool
    :param config_frr_one_to_one: Keyword argument.

    :type config_frr_one_to_many: YANGBool
    :param config_frr_one_to_many: Keyword argument.

    :type config_frr_priority_configured: YANGBool
    :param config_frr_priority_configured: Keyword argument.

    :type config_frr_setup_priority: int
    :param config_frr_setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_frr_holding_priority: int
    :param config_frr_holding_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_frr_hop_limit_configured: YANGBool
    :param config_frr_hop_limit_configured: Keyword argument.

    :type config_frr_hop_limit: int
    :param config_frr_hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_frr_bandwidth_configured: YANGBool
    :param config_frr_bandwidth_configured: Keyword argument.

    :type config_frr_bandwidth: long
    :param config_frr_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_frr_admin_group_configured: YANGBool
    :param config_frr_admin_group_configured: Keyword argument.

    :type reoptimize_ignore_count: long
    :param reoptimize_ignore_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type reoptimize_time_count: long
    :param reoptimize_time_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_frr_configured: long
    :param instance_frr_configured: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_frr_up: long
    :param instance_frr_up: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_frr_active: long
    :param instance_frr_active: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_out_port_id: long
    :param instance_out_port_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_out_port_name: unicode
    :param instance_out_port_name: Keyword argument.

    :type instance_out_label: long
    :param instance_out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_revert_time: long
    :param instance_revert_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_retry_count: long
    :param instance_retry_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_up_down_count: long
    :param instance_up_down_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type instance_metric: int
    :param instance_metric: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type instance_down_reason: unicode
    :param instance_down_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'instances', 'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, current_instance=current_instance, new_instance=new_instance, old_instance=old_instance, is_primary=is_primary, is_current_secondary=is_current_secondary, is_selected_secondary=is_selected_secondary, instance_admin_up=instance_admin_up, instance_is_up=instance_is_up, instance_is_active=instance_is_active, is_adaptive=is_adaptive, is_bypass=is_bypass, is_dynamic_bypass=is_dynamic_bypass, config_admin_up=config_admin_up, config_from_address_configured=config_from_address_configured, config_from_address=config_from_address, config_to_address=config_to_address, config_type_bypass=config_type_bypass, config_type_dynamic=config_type_dynamic, config_adaptive=config_adaptive, config_ospf_area=config_ospf_area, config_isis_level=config_isis_level, config_number_of_retries_configured=config_number_of_retries_configured, config_number_of_retries=config_number_of_retries, config_path_select_mode=config_path_select_mode, config_path_selected_path=config_path_selected_path, config_path_selected_secondary_name=config_path_selected_secondary_name, config_revert_time_configured=config_revert_time_configured, config_revert_time=config_revert_time, config_retry_count_configured=config_retry_count_configured, config_retry_count=config_retry_count, config_enable_ldp_tunnelling=config_enable_ldp_tunnelling, config_shortcut_ospf=config_shortcut_ospf, config_shortcut_area_configured=config_shortcut_area_configured, config_shortcut_area=config_shortcut_area, config_notify_ospf=config_notify_ospf, config_shortcut_isis=config_shortcut_isis, config_isis_shortcut_level_configured=config_isis_shortcut_level_configured, config_isis_shortcut_level=config_isis_shortcut_level, config_notify_isis=config_notify_isis, config_metric_configured=config_metric_configured, config_metric=config_metric, config_ospf_ignore_metric=config_ospf_ignore_metric, config_ospf_relative_metric=config_ospf_relative_metric, config_ospf_announce_metric=config_ospf_announce_metric, config_ospf_aaf=config_ospf_aaf, config_isis_ignore_metric=config_isis_ignore_metric, config_isis_relative_metric=config_isis_relative_metric, config_isis_announce_configured=config_isis_announce_configured, config_isis_announce_metric=config_isis_announce_metric, config_path_configured=config_path_configured, config_path=config_path, config_reoptimize_timer_configured=config_reoptimize_timer_configured, config_reoptimize_time=config_reoptimize_time, config_tspec_mtu_configured=config_tspec_mtu_configured, config_tspec_mtu=config_tspec_mtu, config_cos_configured=config_cos_configured, config_cos=config_cos, config_mtu_configured=config_mtu_configured, config_mtu=config_mtu, config_tie_breaking_configured=config_tie_breaking_configured, config_tie_break_random=config_tie_break_random, config_tie_break_least_fill=config_tie_break_least_fill, config_tie_break_most_fill=config_tie_break_most_fill, config_cspf_disabled=config_cspf_disabled, config_rro_disabled=config_rro_disabled, config_hot_standby=config_hot_standby, config_pinned=config_pinned, config_persistenct=config_persistenct, config_frr_global_revertive=config_frr_global_revertive, config_frr_hold_time=config_frr_hold_time, config_soft_prempt=config_soft_prempt, config_exclude_interface_change=config_exclude_interface_change, config_prority_configured=config_prority_configured, config_setup_prority=config_setup_prority, config_holding_prority=config_holding_prority, config_hop_limit_configured=config_hop_limit_configured, config_hop_limit=config_hop_limit, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate, config_traffic_eng_max_rate=config_traffic_eng_max_rate, config_traffic_eng_max_burst=config_traffic_eng_max_burst, config_abw_configured=config_abw_configured, config_bfd_configured=config_bfd_configured, config_admin_group_configured=config_admin_group_configured, config_cspf_computation_mode=config_cspf_computation_mode, path_computed_by_cspf=path_computed_by_cspf, path_computed_by_interface_constraint=path_computed_by_interface_constraint, cspf_computation_mode=cspf_computation_mode, cspf_group_computation_mode_default=cspf_group_computation_mode_default, cspf_group_computation_mode_add_penalty=cspf_group_computation_mode_add_penalty, cspf_group_computation_mode_exclude_groups=cspf_group_computation_mode_exclude_groups, cspf_group_computation_mode_high_cost=cspf_group_computation_mode_high_cost, cspf_path_cost=cspf_path_cost, cspf_path_area=cspf_path_area, cspf_computation_error=cspf_computation_error, cspf_exclude_hops_present=cspf_exclude_hops_present, rsvp_session_present=rsvp_session_present, rsvp_session_state_up=rsvp_session_state_up, rsvp_session_state=rsvp_session_state, rsvp_session_path_error_code=rsvp_session_path_error_code, rsvp_session_path_error_value=rsvp_session_path_error_value, rsvp_session_path_error_node_address=rsvp_session_path_error_node_address, rsvp_session_rro_hops_present=rsvp_session_rro_hops_present, config_exclude_interface_configured=config_exclude_interface_configured, maximum_bandwidth=maximum_bandwidth, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth, config_frr_configured=config_frr_configured, config_frr_one_to_one=config_frr_one_to_one, config_frr_one_to_many=config_frr_one_to_many, config_frr_priority_configured=config_frr_priority_configured, config_frr_setup_priority=config_frr_setup_priority, config_frr_holding_priority=config_frr_holding_priority, config_frr_hop_limit_configured=config_frr_hop_limit_configured, config_frr_hop_limit=config_frr_hop_limit, config_frr_bandwidth_configured=config_frr_bandwidth_configured, config_frr_bandwidth=config_frr_bandwidth, config_frr_admin_group_configured=config_frr_admin_group_configured, reoptimize_ignore_count=reoptimize_ignore_count, reoptimize_time_count=reoptimize_time_count, instance_frr_configured=instance_frr_configured, instance_frr_up=instance_frr_up, instance_frr_active=instance_frr_active, instance_out_port_id=instance_out_port_id, instance_out_port_name=instance_out_port_name, instance_out_label=instance_out_label, instance_revert_time=instance_revert_time, instance_retry_count=instance_retry_count, instance_up_down_count=instance_up_down_count, instance_metric=instance_metric, instance_down_reason=instance_down_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_exclude_any_create(self, lsp=None, instances=None, config_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_exclude_any: admin_group_id
    :param config_exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_exclude_interfaces_create(self, lsp=None, instances=None, config_exclude_interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_exclude_interfaces: exclude_interface_name
    :param config_exclude_interfaces: Keyword argument tuple.

    :type exclude_interface_name: unicode
    :param exclude_interface_name: **config_exclude_interfaces** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_exclude_interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_exclude_interfaces', 'keyval': 'exclude_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_exclude_interfaces=config_exclude_interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_exclude_any_create(self, lsp=None, instances=None, config_frr_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_frr_exclude_any: admin_group_id
    :param config_frr_exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_frr_exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_exclude_any=config_frr_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_include_all_create(self, lsp=None, instances=None, config_frr_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_frr_include_all: admin_group_id
    :param config_frr_include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_frr_include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_include_all=config_frr_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_frr_include_any_create(self, lsp=None, instances=None, config_frr_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_frr_include_any: admin_group_id
    :param config_frr_include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_frr_include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_frr_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_frr_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_frr_include_any=config_frr_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_include_all_create(self, lsp=None, instances=None, config_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_include_all: admin_group_id
    :param config_include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_include_all=config_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_config_include_any_create(self, lsp=None, instances=None, config_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type config_include_any: admin_group_id
    :param config_include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, config_include_any=config_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_exclude_hops_create(self, lsp=None, instances=None, cspf_exclude_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_exclude_hops: hop_index, hop_address
    :param cspf_exclude_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_exclude_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_exclude_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type hop_is_router_id: YANGBool
    :param hop_is_router_id: Keyword argument.

    :type protection: YANGBool
    :param protection: Keyword argument.

    :type node_protection: YANGBool
    :param node_protection: Keyword argument.

    :type bandwidth_protection: YANGBool
    :param bandwidth_protection: Keyword argument.

    :type protection_in_use: YANGBool
    :param protection_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_exclude_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_exclude_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_exclude_hops=cspf_exclude_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_cspf_path_hops_create(self, lsp=None, instances=None, cspf_path_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type cspf_path_hops: hop_index, hop_address
    :param cspf_path_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **cspf_path_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **cspf_path_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type hop_is_router_id: YANGBool
    :param hop_is_router_id: Keyword argument.

    :type protection: YANGBool
    :param protection: Keyword argument.

    :type node_protection: YANGBool
    :param node_protection: Keyword argument.

    :type bandwidth_protection: YANGBool
    :param bandwidth_protection: Keyword argument.

    :type protection_in_use: YANGBool
    :param protection_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.cspf_path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_path_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, cspf_path_hops=cspf_path_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_instances_rsvp_session_rro_hops_create(self, lsp=None, instances=None, rsvp_session_rro_hops=None, type=None, hop_is_router_id=None, protection=None, node_protection=None, bandwidth_protection=None, protection_in_use=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type instances: instance_id, lsp_id
    :param instances: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsp_id: long
    :param lsp_id: **instances** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rsvp_session_rro_hops: hop_index, hop_address
    :param rsvp_session_rro_hops: Keyword argument tuple.

    :type hop_index: long
    :param hop_index: **rsvp_session_rro_hops** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type hop_address: unicode
    :param hop_address: **rsvp_session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['strict', 'loose']

    :type hop_is_router_id: YANGBool
    :param hop_is_router_id: Keyword argument.

    :type protection: YANGBool
    :param protection: Keyword argument.

    :type node_protection: YANGBool
    :param node_protection: Keyword argument.

    :type bandwidth_protection: YANGBool
    :param bandwidth_protection: Keyword argument.

    :type protection_in_use: YANGBool
    :param protection_in_use: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances', u'instances')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.instances.rsvp_session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'instance_id, lsp_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rsvp_session_rro_hops', 'keyval': 'hop_index, hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, instances=instances, rsvp_session_rro_hops=rsvp_session_rro_hops, type=type, hop_is_router_id=hop_is_router_id, protection=protection, node_protection=node_protection, bandwidth_protection=bandwidth_protection, protection_in_use=protection_in_use)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_create(self, lsp=None, secondary_path=None, path_up=None, active=None, instance_id=None, committed=None, is_new_instance=None, is_current_secondary=None, is_selected_secondary=None, config_adaptive=None, config_reoptimize_timer_configured=None, config_reoptimize_timer=None, config_reoptimize_timer_count=None, config_tspec_mtu_configured=None, config_tspec_mtu=None, config_cos_configured=None, config_cos=None, config_mtu_configured=None, config_mtu=None, config_tie_breaking_configured=None, config_tie_break_random=None, config_tie_break_least_fill=None, config_tie_break_most_fill=None, config_cspf_disabled=None, config_rro_disabled=None, config_hot_standby=None, config_pinned=None, config_persistent=None, config_soft_prempt=None, config_priority_configured=None, config_setup_prority=None, config_holding_prority=None, config_hop_limit_configured=None, config_hop_limit=None, config_traffic_eng_rate_configured=None, config_traffic_eng_mean_rate=None, config_traffic_eng_max_rate=None, config_traffic_eng_max_burst=None, config_abw_configured=None, config_cspf_computation_mode=None, config_admin_group_configured=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Argument(s)**:

    :type path_up: YANGBool
    :param path_up: Keyword argument.

    :type active: YANGBool
    :param active: Keyword argument.

    :type instance_id: YANGBool
    :param instance_id: Keyword argument.

    :type committed: YANGBool
    :param committed: Keyword argument.

    :type is_new_instance: YANGBool
    :param is_new_instance: Keyword argument.

    :type is_current_secondary: YANGBool
    :param is_current_secondary: Keyword argument.

    :type is_selected_secondary: YANGBool
    :param is_selected_secondary: Keyword argument.

    :type config_adaptive: YANGBool
    :param config_adaptive: Keyword argument.

    :type config_reoptimize_timer_configured: YANGBool
    :param config_reoptimize_timer_configured: Keyword argument.

    :type config_reoptimize_timer: long
    :param config_reoptimize_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_reoptimize_timer_count: long
    :param config_reoptimize_timer_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_tspec_mtu_configured: YANGBool
    :param config_tspec_mtu_configured: Keyword argument.

    :type config_tspec_mtu: long
    :param config_tspec_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_cos_configured: YANGBool
    :param config_cos_configured: Keyword argument.

    :type config_cos: long
    :param config_cos: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_mtu_configured: YANGBool
    :param config_mtu_configured: Keyword argument.

    :type config_mtu: long
    :param config_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_tie_breaking_configured: YANGBool
    :param config_tie_breaking_configured: Keyword argument.

    :type config_tie_break_random: YANGBool
    :param config_tie_break_random: Keyword argument.

    :type config_tie_break_least_fill: YANGBool
    :param config_tie_break_least_fill: Keyword argument.

    :type config_tie_break_most_fill: YANGBool
    :param config_tie_break_most_fill: Keyword argument.

    :type config_cspf_disabled: YANGBool
    :param config_cspf_disabled: Keyword argument.

    :type config_rro_disabled: YANGBool
    :param config_rro_disabled: Keyword argument.

    :type config_hot_standby: YANGBool
    :param config_hot_standby: Keyword argument.

    :type config_pinned: YANGBool
    :param config_pinned: Keyword argument.

    :type config_persistent: YANGBool
    :param config_persistent: Keyword argument.

    :type config_soft_prempt: YANGBool
    :param config_soft_prempt: Keyword argument.

    :type config_priority_configured: YANGBool
    :param config_priority_configured: Keyword argument.

    :type config_setup_prority: int
    :param config_setup_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_holding_prority: int
    :param config_holding_prority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_hop_limit_configured: YANGBool
    :param config_hop_limit_configured: Keyword argument.

    :type config_hop_limit: int
    :param config_hop_limit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type config_traffic_eng_rate_configured: YANGBool
    :param config_traffic_eng_rate_configured: Keyword argument.

    :type config_traffic_eng_mean_rate: long
    :param config_traffic_eng_mean_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_traffic_eng_max_rate: long
    :param config_traffic_eng_max_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_traffic_eng_max_burst: long
    :param config_traffic_eng_max_burst: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type config_abw_configured: YANGBool
    :param config_abw_configured: Keyword argument.

    :type config_cspf_computation_mode: unicode
    :param config_cspf_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['cspf-computation-mode-use-igp-metric-global',
            'cspf-computation-mode-use-bypass-metric',
            'cspf-computation-mode-default',
            'cspf-computation-mode-use-igp-metric',
            'cspf-computation-mode-use-te-metric',
            'cspf-computation-mode-use-bypass-liberal',
            'cspf-computation-mode-use-te-metric-global']

    :type config_admin_group_configured: YANGBool
    :param config_admin_group_configured: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, path_up=path_up, active=active, instance_id=instance_id, committed=committed, is_new_instance=is_new_instance, is_current_secondary=is_current_secondary, is_selected_secondary=is_selected_secondary, config_adaptive=config_adaptive, config_reoptimize_timer_configured=config_reoptimize_timer_configured, config_reoptimize_timer=config_reoptimize_timer, config_reoptimize_timer_count=config_reoptimize_timer_count, config_tspec_mtu_configured=config_tspec_mtu_configured, config_tspec_mtu=config_tspec_mtu, config_cos_configured=config_cos_configured, config_cos=config_cos, config_mtu_configured=config_mtu_configured, config_mtu=config_mtu, config_tie_breaking_configured=config_tie_breaking_configured, config_tie_break_random=config_tie_break_random, config_tie_break_least_fill=config_tie_break_least_fill, config_tie_break_most_fill=config_tie_break_most_fill, config_cspf_disabled=config_cspf_disabled, config_rro_disabled=config_rro_disabled, config_hot_standby=config_hot_standby, config_pinned=config_pinned, config_persistent=config_persistent, config_soft_prempt=config_soft_prempt, config_priority_configured=config_priority_configured, config_setup_prority=config_setup_prority, config_holding_prority=config_holding_prority, config_hop_limit_configured=config_hop_limit_configured, config_hop_limit=config_hop_limit, config_traffic_eng_rate_configured=config_traffic_eng_rate_configured, config_traffic_eng_mean_rate=config_traffic_eng_mean_rate, config_traffic_eng_max_rate=config_traffic_eng_max_rate, config_traffic_eng_max_burst=config_traffic_eng_max_burst, config_abw_configured=config_abw_configured, config_cspf_computation_mode=config_cspf_computation_mode, config_admin_group_configured=config_admin_group_configured)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_exclude_any_create(self, lsp=None, secondary_path=None, config_exclude_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type config_exclude_any: admin_group_id
    :param config_exclude_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_exclude_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_exclude_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_exclude_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_exclude_any=config_exclude_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_include_all_create(self, lsp=None, secondary_path=None, config_include_all=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type config_include_all: admin_group_id
    :param config_include_all: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_all** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_all', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_all', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_include_all=config_include_all, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_lsp_secondary_path_config_include_any_create(self, lsp=None, secondary_path=None, config_include_any=None, admin_group_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type secondary_path: path_name
    :param secondary_path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **secondary_path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type config_include_any: admin_group_id
    :param config_include_any: Keyword argument tuple.

    :type admin_group_id: long
    :param admin_group_id: **config_include_any** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type admin_group_name: unicode
    :param admin_group_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.lsp.secondary_path.config_include_any', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'config_include_any', 'keyval': 'admin_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, config_include_any=config_include_any, admin_group_name=admin_group_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_pools_create(self, pools=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type pools: pool_index
    :param pools: Keyword argument tuple.

    :type pool_index: long
    :param pool_index: **pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'pools', 'keyval': 'pool_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pools=pools)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_pools_sub_pools_create(self, pools=None, sub_pools=None, gen_size=None, block_size=None, gen_blocks=None, current_gens=None, current_blocks=None, free_blocks=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pools: pool_index
    :param pools: Keyword argument tuple.

    :type pool_index: long
    :param pool_index: **pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type sub_pools: sub_pool_index
    :param sub_pools: Keyword argument tuple.

    :type sub_pool_index: long
    :param sub_pool_index: **sub_pools** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type gen_size: long
    :param gen_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type block_size: long
    :param block_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gen_blocks: long
    :param gen_blocks: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type current_gens: long
    :param current_gens: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type current_blocks: long
    :param current_blocks: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type free_blocks: long
    :param free_blocks: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools', u'pools')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.pools.sub_pools', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'pool_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sub_pools', 'keyval': 'sub_pool_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pools=pools, sub_pools=sub_pools, gen_size=gen_size, block_size=block_size, gen_blocks=gen_blocks, current_gens=current_gens, current_blocks=current_blocks, free_blocks=free_blocks)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_memory_stats_create(self, stats=None, mem_type=None, num_alloc=None, total_bytes=None, total_allocs=None, total_frees=None, peak_alloc=None, alloc_fails=None, free_fails=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type stats: mem_stats_index
    :param stats: Keyword argument tuple.

    :type mem_stats_index: long
    :param mem_stats_index: **stats** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mem_type: unicode
    :param mem_type: Keyword argument.

    :type num_alloc: long
    :param num_alloc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_bytes: long
    :param total_bytes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_allocs: long
    :param total_allocs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_frees: long
    :param total_frees: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type peak_alloc: long
    :param peak_alloc: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type alloc_fails: long
    :param alloc_fails: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type free_fails: long
    :param free_fails: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.memory.stats', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'stats', 'keyval': 'mem_stats_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, stats=stats, mem_type=mem_type, num_alloc=num_alloc, total_bytes=total_bytes, total_allocs=total_allocs, total_frees=total_frees, peak_alloc=peak_alloc, alloc_fails=alloc_fails, free_fails=free_fails)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_path_create(self, path=None, usage_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument.

    **Instance Argument(s)**:

    :type usage_count: long
    :param usage_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, usage_count=usage_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_path_path_hops_create(self, path=None, path_hops=None, hop_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type path_hops: hop_address
    :param path_hops: Keyword argument tuple.

    :type hop_address: unicode
    :param hop_address: **path_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hop_type: int
    :param hop_type: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_hops', 'keyval': 'hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_hops=path_hops, hop_type=hop_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_path_path_lsps_create(self, path=None, path_lsps=None, lsp_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type path_lsps: lsp_name
    :param path_lsps: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **path_lsps** tuple argument.

    **Instance Argument(s)**:

    :type lsp_type: long
    :param lsp_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.path.path_lsps', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_lsps', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_lsps=path_lsps, lsp_type=lsp_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_admin_groups_create(self, admin_groups=None, group_number=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type admin_groups: name
    :param admin_groups: Keyword argument tuple.

    :type name: unicode
    :param name: **admin_groups** tuple argument.

    **Instance Argument(s)**:

    :type group_number: int
    :param group_number: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.admin_groups', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'admin_groups', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, admin_groups=admin_groups, group_number=group_number)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_policy_rsvp_flooding_thresholds_create(self, rsvp_flooding_thresholds=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type rsvp_flooding_thresholds: threshold_type
    :param rsvp_flooding_thresholds: Keyword argument tuple.

    :type threshold_type: unicode
    :param threshold_type: **rsvp_flooding_thresholds** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.policy.rsvp_flooding_thresholds', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rsvp_flooding_thresholds', 'keyval': 'threshold_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rsvp_flooding_thresholds=rsvp_flooding_thresholds)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_route_create(self, route=None, outseg_index=None, dest_ip_prefix=None, gateway_ip_addr=None, out_interface_name=None, out_label=None, protocol=None, vif_index=None, metric=None, use_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type route: entry_index
    :param route: Keyword argument tuple.

    :type entry_index: long
    :param entry_index: **route** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type outseg_index: long
    :param outseg_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dest_ip_prefix: unicode
    :param dest_ip_prefix: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type gateway_ip_addr: unicode
    :param gateway_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type out_interface_name: unicode
    :param out_interface_name: Keyword argument.

    :type out_label: long
    :param out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type vif_index: long
    :param vif_index: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type metric: long
    :param metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type use_count: long
    :param use_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.route', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'entry_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, outseg_index=outseg_index, dest_ip_prefix=dest_ip_prefix, gateway_ip_addr=gateway_ip_addr, out_interface_name=out_interface_name, out_label=out_label, protocol=protocol, vif_index=vif_index, metric=metric, use_count=use_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_create(self, link=None, remote_ip=None, lsp_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_ip: unicode
    :param remote_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp_count: long
    :param lsp_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, remote_ip=remote_ip, lsp_count=lsp_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_create(self, link=None, lsp=None, cspf_enabled=None, rro_enabled=None, frr_enabled=None, nbr_down_enabled=None, link_count=None, nbr_down_inprogress=None, cspf_hop_count=None, rro_hop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type cspf_enabled: YANGBool
    :param cspf_enabled: Keyword argument.

    :type rro_enabled: YANGBool
    :param rro_enabled: Keyword argument.

    :type frr_enabled: YANGBool
    :param frr_enabled: Keyword argument.

    :type nbr_down_enabled: YANGBool
    :param nbr_down_enabled: Keyword argument.

    :type link_count: long
    :param link_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type nbr_down_inprogress: YANGBool
    :param nbr_down_inprogress: Keyword argument.

    :type cspf_hop_count: long
    :param cspf_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rro_hop_count: long
    :param rro_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, cspf_enabled=cspf_enabled, rro_enabled=rro_enabled, frr_enabled=frr_enabled, nbr_down_enabled=nbr_down_enabled, link_count=link_count, nbr_down_inprogress=nbr_down_inprogress, cspf_hop_count=cspf_hop_count, rro_hop_count=rro_hop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_cspf_hop_create(self, link=None, lsp=None, cspf_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type cspf_hop: index
    :param cspf_hop: Keyword argument tuple.

    :type index: long
    :param index: **cspf_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_link_create(self, link=None, lsp=None, link_=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type link_: index
    :param link_: Keyword argument tuple.

    :type index: long
    :param index: **link_** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link_', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, link_=link_, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_link_lsp_rro_hop_create(self, link=None, lsp=None, rro_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type link: ip_address, nbr_ip_address
    :param link: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type rro_hop: index
    :param rro_hop: Keyword argument tuple.

    :type index: long
    :param index: **rro_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link', u'link'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.link.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ip_address, nbr_ip_address', 'extra_keyval': ''}, {'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, link=link, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_create(self, lsp=None, cspf_enabled=None, rro_enabled=None, frr_enabled=None, nbr_down_enabled=None, link_count=None, nbr_down_inprogress=None, cspf_hop_count=None, rro_hop_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Argument(s)**:

    :type cspf_enabled: YANGBool
    :param cspf_enabled: Keyword argument.

    :type rro_enabled: YANGBool
    :param rro_enabled: Keyword argument.

    :type frr_enabled: YANGBool
    :param frr_enabled: Keyword argument.

    :type nbr_down_enabled: YANGBool
    :param nbr_down_enabled: Keyword argument.

    :type link_count: long
    :param link_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type nbr_down_inprogress: YANGBool
    :param nbr_down_inprogress: Keyword argument.

    :type cspf_hop_count: long
    :param cspf_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rro_hop_count: long
    :param rro_hop_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name, path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, cspf_enabled=cspf_enabled, rro_enabled=rro_enabled, frr_enabled=frr_enabled, nbr_down_enabled=nbr_down_enabled, link_count=link_count, nbr_down_inprogress=nbr_down_inprogress, cspf_hop_count=cspf_hop_count, rro_hop_count=rro_hop_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_cspf_hop_create(self, lsp=None, cspf_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type cspf_hop: index
    :param cspf_hop: Keyword argument tuple.

    :type index: long
    :param index: **cspf_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.cspf_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, cspf_hop=cspf_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_link_create(self, lsp=None, link=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type link: index
    :param link: Keyword argument tuple.

    :type index: long
    :param index: **link** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, link=link, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_igp_sync_lsp_rro_hop_create(self, lsp=None, rro_hop=None, ip_address=None, nbr_ip_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name, path_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument.

    :type path_name: unicode
    :param path_name: **lsp** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type rro_hop: index
    :param rro_hop: Keyword argument tuple.

    :type index: long
    :param index: **rro_hop** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type ip_address: unicode
    :param ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type nbr_ip_address: unicode
    :param nbr_ip_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.igp_sync.lsp.rro_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name, path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rro_hop', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, rro_hop=rro_hop, ip_address=ip_address, nbr_ip_address=nbr_ip_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_interfaces_create(self, interfaces=None, interface_name=None, interface_type=None, admin_status=None, oper_status=None, is_tunnel_interface=None, hello_interval=None, hello_tolerance=None, hello_status=None, is_md5_auth_enabled=None, reliable_messages=None, bundle_messages=None, summary_refresh=None, active_outsegs=None, inactive_outsegs=None, bandwith_resv_outsegs=None, active_backup_outsegs=None, inactive_backup_outsegs=None, interface_preempts=None, interface_resv_soft_preempts=None, interface_flooding_up_threshold=None, interface_flooding_down_threshold=None, duplicate_preempts_dropped=None, bypass_interface=None, interface_tunnel_name=None, bypass_tunnel_interface_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_index
    :param interfaces: Keyword argument tuple.

    :type interface_index: long
    :param interface_index: **interfaces** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type interface_type: unicode
    :param interface_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-interface-type-unknown',
            'dcm-interface-type-loopback',
            'dcm-interface-type-ethernet',
            'dcm-interface-type-ve',
            'dcm-interface-type-fiber-channel',
            'dcm-interface-type-port-channel']

    :type admin_status: YANGBool
    :param admin_status: Keyword argument.

    :type oper_status: YANGBool
    :param oper_status: Keyword argument.

    :type is_tunnel_interface: YANGBool
    :param is_tunnel_interface: Keyword argument.

    :type hello_interval: long
    :param hello_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_tolerance: long
    :param hello_tolerance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type hello_status: unicode
    :param hello_status: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type is_md5_auth_enabled: YANGBool
    :param is_md5_auth_enabled: Keyword argument.

    :type reliable_messages: unicode
    :param reliable_messages: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type bundle_messages: unicode
    :param bundle_messages: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type summary_refresh: unicode
    :param summary_refresh: Keyword argument.

        * enumeration restriction: ::

            ['disabled',
            'enabled-local',
            'disabled-global',
            'disabled-local',
            'enabled-global']

    :type active_outsegs: long
    :param active_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type inactive_outsegs: long
    :param inactive_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bandwith_resv_outsegs: long
    :param bandwith_resv_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type active_backup_outsegs: long
    :param active_backup_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type inactive_backup_outsegs: long
    :param inactive_backup_outsegs: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_preempts: long
    :param interface_preempts: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_resv_soft_preempts: long
    :param interface_resv_soft_preempts: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_flooding_up_threshold: unicode
    :param interface_flooding_up_threshold: Keyword argument.

        * enumeration restriction: ::

            ['local-config',
            'default-config',
            'global-config']

    :type interface_flooding_down_threshold: unicode
    :param interface_flooding_down_threshold: Keyword argument.

        * enumeration restriction: ::

            ['local-config',
            'default-config',
            'global-config']

    :type duplicate_preempts_dropped: long
    :param duplicate_preempts_dropped: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type bypass_interface: YANGBool
    :param bypass_interface: Keyword argument.

    :type interface_tunnel_name: unicode
    :param interface_tunnel_name: Keyword argument.

    :type bypass_tunnel_interface_name: unicode
    :param bypass_tunnel_interface_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.interfaces', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, interface_name=interface_name, interface_type=interface_type, admin_status=admin_status, oper_status=oper_status, is_tunnel_interface=is_tunnel_interface, hello_interval=hello_interval, hello_tolerance=hello_tolerance, hello_status=hello_status, is_md5_auth_enabled=is_md5_auth_enabled, reliable_messages=reliable_messages, bundle_messages=bundle_messages, summary_refresh=summary_refresh, active_outsegs=active_outsegs, inactive_outsegs=inactive_outsegs, bandwith_resv_outsegs=bandwith_resv_outsegs, active_backup_outsegs=active_backup_outsegs, inactive_backup_outsegs=inactive_backup_outsegs, interface_preempts=interface_preempts, interface_resv_soft_preempts=interface_resv_soft_preempts, interface_flooding_up_threshold=interface_flooding_up_threshold, interface_flooding_down_threshold=interface_flooding_down_threshold, duplicate_preempts_dropped=duplicate_preempts_dropped, bypass_interface=bypass_interface, interface_tunnel_name=interface_tunnel_name, bypass_tunnel_interface_name=bypass_tunnel_interface_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_neighbors_create(self, neighbors=None, neighbor_interface=None, neighbor_status=None, neighbor_last_status_change=None, rsvp_hello_tx=None, rsvp_hello_rx=None, refresh_reduction_support=None, msg_id_support=None, active_lsps=None, rsvp_hello_interval=None, rsvp_hello_tolerance=None, neighbor_remote_instance=None, neighbor_local_instance=None, last_hello_rx=None, next_hello_req_tx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbors: neighbor_ip_addr
    :param neighbors: Keyword argument tuple.

    :type neighbor_ip_addr: unicode
    :param neighbor_ip_addr: **neighbors** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type neighbor_interface: unicode
    :param neighbor_interface: Keyword argument.

    :type neighbor_status: unicode
    :param neighbor_status: Keyword argument.

    :type neighbor_last_status_change: unicode
    :param neighbor_last_status_change: Keyword argument.

    :type rsvp_hello_tx: long
    :param rsvp_hello_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_hello_rx: long
    :param rsvp_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type refresh_reduction_support: YANGBool
    :param refresh_reduction_support: Keyword argument.

    :type msg_id_support: YANGBool
    :param msg_id_support: Keyword argument.

    :type active_lsps: long
    :param active_lsps: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_hello_interval: long
    :param rsvp_hello_interval: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_hello_tolerance: long
    :param rsvp_hello_tolerance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_remote_instance: long
    :param neighbor_remote_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type neighbor_local_instance: long
    :param neighbor_local_instance: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type last_hello_rx: long
    :param last_hello_rx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type next_hello_req_tx: long
    :param next_hello_req_tx: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.neighbors', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbors', 'keyval': 'neighbor_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbors=neighbors, neighbor_interface=neighbor_interface, neighbor_status=neighbor_status, neighbor_last_status_change=neighbor_last_status_change, rsvp_hello_tx=rsvp_hello_tx, rsvp_hello_rx=rsvp_hello_rx, refresh_reduction_support=refresh_reduction_support, msg_id_support=msg_id_support, active_lsps=active_lsps, rsvp_hello_interval=rsvp_hello_interval, rsvp_hello_tolerance=rsvp_hello_tolerance, neighbor_remote_instance=neighbor_remote_instance, neighbor_local_instance=neighbor_local_instance, last_hello_rx=last_hello_rx, next_hello_req_tx=next_hello_req_tx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_create(self, sessions=None, session_operational_status=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Argument(s)**:

    :type session_operational_status: YANGBool
    :param session_operational_status: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'sessions', 'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, session_operational_status=session_operational_status)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_create(self, sessions=None, psbs=None, session_name=None, session_type=None, path_operational_status=None, session_in_label=None, session_out_label=None, session_out_interface=None, lsp_id=None, flap_lock=None, path_refresh=None, path_refresh_ttd=None, resv_refresh=None, resv_refresh_ttd=None, tspec_peak=None, tspec_rate=None, tspec_size=None, tspec_minimum=None, tspec_m=None, psb_setup_priority=None, psb_hold_priority=None, session_attribute_all_flags=None, sa_flag_label_recording=None, sa_flag_soft_preemption_desired=None, sa_flag_se_style=None, sa_flag_local_protect=None, sa_flag_bandwidth_protect=None, sa_flag_session_protection_type=None, session_soft_preemption_wait_timer=None, session_preemption_wait_timer=None, frr_detour=None, frr_facility=None, frr_unknown_backup_mode_desired=None, frr_unknown_flags=None, frr_psb_setup_priority=None, frr_psb_hold_priority=None, frr_bandwidth=None, frr_hoplimit=None, frr_facility_method=None, frr_nh_node_protection_available=None, frr_nh_node_protection_in_use=None, frr_nh_link_protection_available=None, frr_nh_link_protection_in_use=None, frr_bandwidth_protection_available=None, frr_lsp_bringup_abandoned=None, frr_updown_transitions=None, frr_retries=None, frr_session_protection_available=None, frr_next_retry=None, frr_cost=None, frr_cspf_group_computation_mode=None, frr_cspf_group_computation_mode_use_bypass_liberal=None, is_downstream_backup_psb=None, is_backup_psb=None, is_upstream_psb=None, is_ps_frr_detour_sent=None, is_ps_frr_backup_sent=None, is_ps_frr_detour_received=None, is_ps_frr_backup_received=None, path_received_from_ip=None, path_received_interface=None, path_received_auth_on=None, path_received_message_id=None, path_downstream_only=None, path_sent_to_ip=None, path_sent_interface=None, path_sent_auth_on=None, path_sent_message_id=None, resv_received_from_ip=None, resv_received_interface=None, resv_received_auth_on=None, resv_received_message_id=None, session_riding_bypass_name=None, session_style=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    **Instance Keyword Argument Tuple**:

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type session_name: unicode
    :param session_name: Keyword argument.

    :type session_type: unicode
    :param session_type: Keyword argument.

        * enumeration restriction: ::

            ['egress-detour',
            'merged-detour',
            'transit-detour',
            'bypass-ingress',
            'session-type-none',
            'merged-backup',
            'ingress-detour',
            'egress-backup',
            'ingress-backup',
            'repaired-session']

    :type path_operational_status: YANGBool
    :param path_operational_status: Keyword argument.

    :type session_in_label: long
    :param session_in_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_out_label: long
    :param session_out_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_out_interface: unicode
    :param session_out_interface: Keyword argument.

    :type lsp_id: long
    :param lsp_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flap_lock: long
    :param flap_lock: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type path_refresh: long
    :param path_refresh: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type path_refresh_ttd: long
    :param path_refresh_ttd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type resv_refresh: long
    :param resv_refresh: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type resv_refresh_ttd: long
    :param resv_refresh_ttd: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tspec_peak: long
    :param tspec_peak: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tspec_rate: long
    :param tspec_rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tspec_size: long
    :param tspec_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tspec_minimum: long
    :param tspec_minimum: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type tspec_m: long
    :param tspec_m: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type psb_setup_priority: int
    :param psb_setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type psb_hold_priority: int
    :param psb_hold_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type session_attribute_all_flags: int
    :param session_attribute_all_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type sa_flag_label_recording: YANGBool
    :param sa_flag_label_recording: Keyword argument.

    :type sa_flag_soft_preemption_desired: YANGBool
    :param sa_flag_soft_preemption_desired: Keyword argument.

    :type sa_flag_se_style: YANGBool
    :param sa_flag_se_style: Keyword argument.

    :type sa_flag_local_protect: YANGBool
    :param sa_flag_local_protect: Keyword argument.

    :type sa_flag_bandwidth_protect: YANGBool
    :param sa_flag_bandwidth_protect: Keyword argument.

    :type sa_flag_session_protection_type: unicode
    :param sa_flag_session_protection_type: Keyword argument.

        * enumeration restriction: ::

            ['session-protection-type-link',
            'session-protection-type-node']

    :type session_soft_preemption_wait_timer: long
    :param session_soft_preemption_wait_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_preemption_wait_timer: long
    :param session_preemption_wait_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_detour: YANGBool
    :param frr_detour: Keyword argument.

    :type frr_facility: YANGBool
    :param frr_facility: Keyword argument.

    :type frr_unknown_backup_mode_desired: YANGBool
    :param frr_unknown_backup_mode_desired: Keyword argument.

    :type frr_unknown_flags: int
    :param frr_unknown_flags: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type frr_psb_setup_priority: int
    :param frr_psb_setup_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type frr_psb_hold_priority: int
    :param frr_psb_hold_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type frr_bandwidth: long
    :param frr_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_hoplimit: int
    :param frr_hoplimit: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type frr_facility_method: unicode
    :param frr_facility_method: Keyword argument.

        * enumeration restriction: ::

            ['frr-method-detour-lsps',
            'frr-method-backup-lsps']

    :type frr_nh_node_protection_available: YANGBool
    :param frr_nh_node_protection_available: Keyword argument.

    :type frr_nh_node_protection_in_use: YANGBool
    :param frr_nh_node_protection_in_use: Keyword argument.

    :type frr_nh_link_protection_available: YANGBool
    :param frr_nh_link_protection_available: Keyword argument.

    :type frr_nh_link_protection_in_use: YANGBool
    :param frr_nh_link_protection_in_use: Keyword argument.

    :type frr_bandwidth_protection_available: YANGBool
    :param frr_bandwidth_protection_available: Keyword argument.

    :type frr_lsp_bringup_abandoned: YANGBool
    :param frr_lsp_bringup_abandoned: Keyword argument.

    :type frr_updown_transitions: long
    :param frr_updown_transitions: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_retries: long
    :param frr_retries: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_session_protection_available: YANGBool
    :param frr_session_protection_available: Keyword argument.

    :type frr_next_retry: long
    :param frr_next_retry: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_cost: long
    :param frr_cost: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type frr_cspf_group_computation_mode: unicode
    :param frr_cspf_group_computation_mode: Keyword argument.

        * enumeration restriction: ::

            ['frr-cspf-group-comp-mode-high-penalty',
            'frr-cspf-group-comp-mode-disabled',
            'frr-cspf-group-comp-mode-exclude-groups',
            'frr-cspf-group-comp-mode-add-penalty']

    :type frr_cspf_group_computation_mode_use_bypass_liberal: YANGBool
    :param frr_cspf_group_computation_mode_use_bypass_liberal: Keyword argument.

    :type is_downstream_backup_psb: YANGBool
    :param is_downstream_backup_psb: Keyword argument.

    :type is_backup_psb: YANGBool
    :param is_backup_psb: Keyword argument.

    :type is_upstream_psb: YANGBool
    :param is_upstream_psb: Keyword argument.

    :type is_ps_frr_detour_sent: YANGBool
    :param is_ps_frr_detour_sent: Keyword argument.

    :type is_ps_frr_backup_sent: YANGBool
    :param is_ps_frr_backup_sent: Keyword argument.

    :type is_ps_frr_detour_received: YANGBool
    :param is_ps_frr_detour_received: Keyword argument.

    :type is_ps_frr_backup_received: YANGBool
    :param is_ps_frr_backup_received: Keyword argument.

    :type path_received_from_ip: unicode
    :param path_received_from_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type path_received_interface: unicode
    :param path_received_interface: Keyword argument.

    :type path_received_auth_on: YANGBool
    :param path_received_auth_on: Keyword argument.

    :type path_received_message_id: long
    :param path_received_message_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type path_downstream_only: YANGBool
    :param path_downstream_only: Keyword argument.

    :type path_sent_to_ip: unicode
    :param path_sent_to_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type path_sent_interface: unicode
    :param path_sent_interface: Keyword argument.

    :type path_sent_auth_on: YANGBool
    :param path_sent_auth_on: Keyword argument.

    :type path_sent_message_id: long
    :param path_sent_message_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type resv_received_from_ip: unicode
    :param resv_received_from_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type resv_received_interface: unicode
    :param resv_received_interface: Keyword argument.

    :type resv_received_auth_on: YANGBool
    :param resv_received_auth_on: Keyword argument.

    :type resv_received_message_id: long
    :param resv_received_message_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type session_riding_bypass_name: unicode
    :param session_riding_bypass_name: Keyword argument.

    :type session_style: unicode
    :param session_style: Keyword argument.

        * enumeration restriction: ::

            ['reservation-style-shared-explicit',
            'reservation-style-wildcard-filter',
            'reservation-style-unknown',
            'reservation-style-fixed-filter']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'psbs', 'keyval': 'path_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_name=session_name, session_type=session_type, path_operational_status=path_operational_status, session_in_label=session_in_label, session_out_label=session_out_label, session_out_interface=session_out_interface, lsp_id=lsp_id, flap_lock=flap_lock, path_refresh=path_refresh, path_refresh_ttd=path_refresh_ttd, resv_refresh=resv_refresh, resv_refresh_ttd=resv_refresh_ttd, tspec_peak=tspec_peak, tspec_rate=tspec_rate, tspec_size=tspec_size, tspec_minimum=tspec_minimum, tspec_m=tspec_m, psb_setup_priority=psb_setup_priority, psb_hold_priority=psb_hold_priority, session_attribute_all_flags=session_attribute_all_flags, sa_flag_label_recording=sa_flag_label_recording, sa_flag_soft_preemption_desired=sa_flag_soft_preemption_desired, sa_flag_se_style=sa_flag_se_style, sa_flag_local_protect=sa_flag_local_protect, sa_flag_bandwidth_protect=sa_flag_bandwidth_protect, sa_flag_session_protection_type=sa_flag_session_protection_type, session_soft_preemption_wait_timer=session_soft_preemption_wait_timer, session_preemption_wait_timer=session_preemption_wait_timer, frr_detour=frr_detour, frr_facility=frr_facility, frr_unknown_backup_mode_desired=frr_unknown_backup_mode_desired, frr_unknown_flags=frr_unknown_flags, frr_psb_setup_priority=frr_psb_setup_priority, frr_psb_hold_priority=frr_psb_hold_priority, frr_bandwidth=frr_bandwidth, frr_hoplimit=frr_hoplimit, frr_facility_method=frr_facility_method, frr_nh_node_protection_available=frr_nh_node_protection_available, frr_nh_node_protection_in_use=frr_nh_node_protection_in_use, frr_nh_link_protection_available=frr_nh_link_protection_available, frr_nh_link_protection_in_use=frr_nh_link_protection_in_use, frr_bandwidth_protection_available=frr_bandwidth_protection_available, frr_lsp_bringup_abandoned=frr_lsp_bringup_abandoned, frr_updown_transitions=frr_updown_transitions, frr_retries=frr_retries, frr_session_protection_available=frr_session_protection_available, frr_next_retry=frr_next_retry, frr_cost=frr_cost, frr_cspf_group_computation_mode=frr_cspf_group_computation_mode, frr_cspf_group_computation_mode_use_bypass_liberal=frr_cspf_group_computation_mode_use_bypass_liberal, is_downstream_backup_psb=is_downstream_backup_psb, is_backup_psb=is_backup_psb, is_upstream_psb=is_upstream_psb, is_ps_frr_detour_sent=is_ps_frr_detour_sent, is_ps_frr_backup_sent=is_ps_frr_backup_sent, is_ps_frr_detour_received=is_ps_frr_detour_received, is_ps_frr_backup_received=is_ps_frr_backup_received, path_received_from_ip=path_received_from_ip, path_received_interface=path_received_interface, path_received_auth_on=path_received_auth_on, path_received_message_id=path_received_message_id, path_downstream_only=path_downstream_only, path_sent_to_ip=path_sent_to_ip, path_sent_interface=path_sent_interface, path_sent_auth_on=path_sent_auth_on, path_sent_message_id=path_sent_message_id, resv_received_from_ip=resv_received_from_ip, resv_received_interface=resv_received_interface, resv_received_auth_on=resv_received_auth_on, resv_received_message_id=resv_received_message_id, session_riding_bypass_name=session_riding_bypass_name, session_style=session_style)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_ero_hops_create(self, sessions=None, psbs=None, session_ero_hops=None, ero_flag_is_strict_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type session_ero_hops: ip_addr
    :param session_ero_hops: Keyword argument tuple.

    :type ip_addr: unicode
    :param ip_addr: **session_ero_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ero_flag_is_strict_hop: YANGBool
    :param ero_flag_is_strict_hop: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_ero_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_ero_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_ero_hops=session_ero_hops, ero_flag_is_strict_hop=ero_flag_is_strict_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_rsvp_sessions_psbs_session_rro_hops_create(self, sessions=None, psbs=None, session_rro_hops=None, rro_flag_is_local_protect_available=None, rro_flag_is_local_protect_in_use=None, rro_flag_rro_is_router_id=None, rro_flag_rro_node_protect=None, rro_flag_rro_bandwidth_protect=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type sessions: dest_ip_addr, src_ip_addr, tunnel_id, session_role
    :param sessions: Keyword argument tuple.

    :type dest_ip_addr: unicode
    :param dest_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_addr: unicode
    :param src_ip_addr: **sessions** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type tunnel_id: int
    :param tunnel_id: **sessions** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type session_role: unicode
    :param session_role: **sessions** tuple argument.

        * enumeration restriction: ::

            ['session-role-transit',
            'session-role-ingress',
            'session-role-egress',
            'session-role-unspecified']

    :type psbs: path_index
    :param psbs: Keyword argument tuple.

    :type path_index: long
    :param path_index: **psbs** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type session_rro_hops: ip_addr
    :param session_rro_hops: Keyword argument tuple.

    :type ip_addr: unicode
    :param ip_addr: **session_rro_hops** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type rro_flag_is_local_protect_available: YANGBool
    :param rro_flag_is_local_protect_available: Keyword argument.

    :type rro_flag_is_local_protect_in_use: YANGBool
    :param rro_flag_is_local_protect_in_use: Keyword argument.

    :type rro_flag_rro_is_router_id: YANGBool
    :param rro_flag_rro_is_router_id: Keyword argument.

    :type rro_flag_rro_node_protect: YANGBool
    :param rro_flag_rro_node_protect: Keyword argument.

    :type rro_flag_rro_bandwidth_protect: YANGBool
    :param rro_flag_rro_bandwidth_protect: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions', u'sessions'), ('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs', u'psbs')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.rsvp.sessions.psbs.session_rro_hops', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dest_ip_addr, src_ip_addr, tunnel_id, session_role', 'extra_keyval': ''}, {'keyval': 'path_index', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'session_rro_hops', 'keyval': 'ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sessions=sessions, psbs=psbs, session_rro_hops=session_rro_hops, rro_flag_is_local_protect_available=rro_flag_is_local_protect_available, rro_flag_is_local_protect_in_use=rro_flag_is_local_protect_in_use, rro_flag_rro_is_router_id=rro_flag_rro_is_router_id, rro_flag_rro_node_protect=rro_flag_rro_node_protect, rro_flag_rro_bandwidth_protect=rro_flag_rro_bandwidth_protect)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_statistics_oam_return_codes_create(self, return_codes=None, name=None, tx_count=None, rx_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type return_codes: number
    :param return_codes: Keyword argument tuple.

    :type number: long
    :param number: **return_codes** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type name: unicode
    :param name: Keyword argument.

    :type tx_count: long
    :param tx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type rx_count: long
    :param rx_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.statistics_oam.return_codes', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'return_codes', 'keyval': 'number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, return_codes=return_codes, name=name, tx_count=tx_count, rx_count=rx_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_create(self, area=None, igp_isis=None, igp_ospf=None, host_name=None, router_id=None, total_network_nodes=None, total_router_nodes=None, total_p2p_links=None, total_p2mp_links=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type router_id: unicode
    :param router_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type total_network_nodes: long
    :param total_network_nodes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_router_nodes: long
    :param total_router_nodes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_p2p_links: long
    :param total_p2p_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_p2mp_links: long
    :param total_p2mp_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id, level_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, igp_isis=igp_isis, igp_ospf=igp_ospf, host_name=host_name, router_id=router_id, total_network_nodes=total_network_nodes, total_router_nodes=total_router_nodes, total_p2p_links=total_p2p_links, total_p2mp_links=total_p2mp_links)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_create(self, area=None, node=None, igp_isis=None, igp_ospf=None, area_id=None, level_id=None, router=None, network=None, host_name=None, gen_code=None, lsa_id=None, total_p2p_links=None, total_p2mp_links=None, overloaded=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type area_id: unicode
    :param area_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type router: YANGBool
    :param router: Keyword argument.

    :type network: YANGBool
    :param network: Keyword argument.

    :type host_name: unicode
    :param host_name: Keyword argument.

    :type gen_code: long
    :param gen_code: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsa_id: long
    :param lsa_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_p2p_links: long
    :param total_p2p_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_p2mp_links: long
    :param total_p2mp_links: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type overloaded: long
    :param overloaded: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'node', 'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, igp_isis=igp_isis, igp_ospf=igp_ospf, area_id=area_id, level_id=level_id, router=router, network=network, host_name=host_name, gen_code=gen_code, lsa_id=lsa_id, total_p2p_links=total_p2p_links, total_p2mp_links=total_p2mp_links, overloaded=overloaded)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_create(self, area=None, node=None, link=None, igp_isis=None, igp_ospf=None, area_id=None, level_id=None, local_host_name=None, remote_host_name=None, router=None, network=None, p2p=None, p2mp=None, gen_code=None, lsa_id=None, pending_delete=None, igp_metric=None, te_metric=None, admin_group=None, max_bandwidth=None, max_reservable_bandwidth=None, unreserved_priority_0_bandwidth=None, unreserved_priority_1_bandwidth=None, unreserved_priority_2_bandwidth=None, unreserved_priority_3_bandwidth=None, unreserved_priority_4_bandwidth=None, unreserved_priority_5_bandwidth=None, unreserved_priority_6_bandwidth=None, unreserved_priority_7_bandwidth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type area_id: unicode
    :param area_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type local_host_name: unicode
    :param local_host_name: Keyword argument.

    :type remote_host_name: unicode
    :param remote_host_name: Keyword argument.

    :type router: YANGBool
    :param router: Keyword argument.

    :type network: YANGBool
    :param network: Keyword argument.

    :type p2p: YANGBool
    :param p2p: Keyword argument.

    :type p2mp: YANGBool
    :param p2mp: Keyword argument.

    :type gen_code: long
    :param gen_code: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type lsa_id: long
    :param lsa_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type pending_delete: long
    :param pending_delete: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type igp_metric: long
    :param igp_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type te_metric: long
    :param te_metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type admin_group: long
    :param admin_group: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_bandwidth: long
    :param max_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_reservable_bandwidth: long
    :param max_reservable_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_0_bandwidth: long
    :param unreserved_priority_0_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_1_bandwidth: long
    :param unreserved_priority_1_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_2_bandwidth: long
    :param unreserved_priority_2_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_3_bandwidth: long
    :param unreserved_priority_3_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_4_bandwidth: long
    :param unreserved_priority_4_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_5_bandwidth: long
    :param unreserved_priority_5_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_6_bandwidth: long
    :param unreserved_priority_6_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type unreserved_priority_7_bandwidth: long
    :param unreserved_priority_7_bandwidth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link', 'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, igp_isis=igp_isis, igp_ospf=igp_ospf, area_id=area_id, level_id=level_id, local_host_name=local_host_name, remote_host_name=remote_host_name, router=router, network=network, p2p=p2p, p2mp=p2mp, gen_code=gen_code, lsa_id=lsa_id, pending_delete=pending_delete, igp_metric=igp_metric, te_metric=te_metric, admin_group=admin_group, max_bandwidth=max_bandwidth, max_reservable_bandwidth=max_reservable_bandwidth, unreserved_priority_0_bandwidth=unreserved_priority_0_bandwidth, unreserved_priority_1_bandwidth=unreserved_priority_1_bandwidth, unreserved_priority_2_bandwidth=unreserved_priority_2_bandwidth, unreserved_priority_3_bandwidth=unreserved_priority_3_bandwidth, unreserved_priority_4_bandwidth=unreserved_priority_4_bandwidth, unreserved_priority_5_bandwidth=unreserved_priority_5_bandwidth, unreserved_priority_6_bandwidth=unreserved_priority_6_bandwidth, unreserved_priority_7_bandwidth=unreserved_priority_7_bandwidth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_link_srlg_create(self, area=None, node=None, link=None, srlg=None, penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type link: local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip
    :param link: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **link** tuple argument.

    :type remote_node_id: unicode
    :param remote_node_id: **link** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_router_id: unicode
    :param remote_router_id: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type local_ip: unicode
    :param local_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type remote_ip: unicode
    :param remote_ip: **link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type srlg: name
    :param srlg: Keyword argument tuple.

    :type name: unicode
    :param name: **srlg** tuple argument.

    **Instance Argument(s)**:

    :type penalty: long
    :param penalty: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link', u'link')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.link.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, remote_node_id, local_router_id, remote_router_id, local_ip, remote_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, link=link, srlg=srlg, penalty=penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_database_area_node_srlg_create(self, area=None, node=None, srlg=None, penalty=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type area: area_id, level_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type level_id: long
    :param level_id: **area** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type node: local_node_id, local_router_id
    :param node: Keyword argument tuple.

    :type local_node_id: unicode
    :param local_node_id: **node** tuple argument.

    :type local_router_id: unicode
    :param local_router_id: **node** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type srlg: name
    :param srlg: Keyword argument tuple.

    :type name: unicode
    :param name: **srlg** tuple argument.

    **Instance Argument(s)**:

    :type penalty: long
    :param penalty: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area', u'area'), ('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node', u'node')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.database.area.node.srlg', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'area_id, level_id', 'extra_keyval': ''}, {'keyval': 'local_node_id, local_router_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'srlg', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, area=area, node=node, srlg=srlg, penalty=penalty)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_te_router_id_map_create(self, router_id_map=None, router_id=None, resolved=None, igp_isis=None, igp_ospf=None, isis_level=None, ospf_area=None, origin_ted=None, origin_path=None, origin_lsp=None, origin_other=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type router_id_map: ip_address
    :param router_id_map: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **router_id_map** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type router_id: unicode
    :param router_id: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type resolved: YANGBool
    :param resolved: Keyword argument.

    :type igp_isis: YANGBool
    :param igp_isis: Keyword argument.

    :type igp_ospf: YANGBool
    :param igp_ospf: Keyword argument.

    :type isis_level: long
    :param isis_level: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf_area: unicode
    :param ospf_area: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type origin_ted: YANGBool
    :param origin_ted: Keyword argument.

    :type origin_path: long
    :param origin_path: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type origin_lsp: long
    :param origin_lsp: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type origin_other: YANGBool
    :param origin_other: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.te.router_id_map', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'router_id_map', 'keyval': 'ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, router_id_map=router_id_map, router_id=router_id, resolved=resolved, igp_isis=igp_isis, igp_ospf=igp_ospf, isis_level=isis_level, ospf_area=ospf_area, origin_ted=origin_ted, origin_path=origin_path, origin_lsp=origin_lsp, origin_other=origin_other)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_transit_traffic_statistics_create(self, transit_traffic_statistics=None, protocol=None, statistics_valid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type transit_traffic_statistics: in_label
    :param transit_traffic_statistics: Keyword argument tuple.

    :type in_label: long
    :param in_label: **transit_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type statistics_valid: YANGBool
    :param statistics_valid: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.transit_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'transit_traffic_statistics', 'keyval': 'in_label', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, transit_traffic_statistics=transit_traffic_statistics, protocol=protocol, statistics_valid=statistics_valid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def mpls_state_tunnel_traffic_statistics_create(self, tunnel_traffic_statistics=None, protocol=None, name=None, is_bypass=None, statistics_valid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type tunnel_traffic_statistics: index
    :param tunnel_traffic_statistics: Keyword argument tuple.

    :type index: long
    :param index: **tunnel_traffic_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type protocol: unicode
    :param protocol: Keyword argument.

        * enumeration restriction: ::

            ['mpls-protocol-none',
            'mpls-protocol-ldp',
            'mpls-protocol-rsvp']

    :type name: unicode
    :param name: Keyword argument.

    :type is_bypass: YANGBool
    :param is_bypass: Keyword argument.

    :type statistics_valid: YANGBool
    :param statistics_valid: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_state.tunnel_traffic_statistics', 'pybind.slxos.v16r_1_00b.brocade_mpls_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tunnel_traffic_statistics', 'keyval': 'index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tunnel_traffic_statistics=tunnel_traffic_statistics, protocol=protocol, name=name, is_bypass=is_bypass, statistics_valid=statistics_valid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nas_auto_qos_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.nas.auto_qos', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nas.auto_qos', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nas.auto_qos', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.auto_qos', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nas_server_ip_create(self, server_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type server_ip: server_ip
    :param server_ip: Keyword argument tuple.

    :type server_ip: unicode
    :param server_ip: **server_ip** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.nas.server_ip', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nas.server_ip', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nas.server_ip', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'server_ip', 'keyval': 'server_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server_ip=server_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nas_server_ip_vlan_create(self, server_ip=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type server_ip: server_ip
    :param server_ip: Keyword argument tuple.

    :type server_ip: unicode
    :param server_ip: **server_ip** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Keyword Argument Tuple**:

    :type vlan: vlan_number
    :param vlan: Keyword argument tuple.

    :type vlan_number: long
    :param vlan_number: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.nas.server_ip', u'server_ip'), ('pybind.nos.v7_0_1b.nas.server_ip', u'server_ip'), ('pybind.nos.v6_0_2c.nas.server_ip', u'server_ip'), ('pybind.nos.v7_1_0.nas.server_ip', u'server_ip')]
    bindings_list = [('pybind.nos.v6_0_2c.nas.server_ip.vlan', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nas.server_ip.vlan', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nas.server_ip.vlan', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip.vlan', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'vlan_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server_ip=server_ip, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nas_server_ip_vrf_create(self, server_ip=None, vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type server_ip: server_ip
    :param server_ip: Keyword argument tuple.

    :type server_ip: unicode
    :param server_ip: **server_ip** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Keyword Argument Tuple**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument.

        * length restriction: ::

            ['1..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.nas.server_ip', u'server_ip'), ('pybind.nos.v7_1_0.nas.server_ip', u'server_ip'), ('pybind.nos.v7_0_1b.nas.server_ip', u'server_ip'), ('pybind.nos.v6_0_2c.nas.server_ip', u'server_ip')]
    bindings_list = [('pybind.nos.v6_0_2c.nas.server_ip.vrf', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nas.server_ip.vrf', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nas.server_ip.vrf', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nas.server_ip.vrf', 'pybind.slxos.v16r_1_00b.brocade_qos_cee', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}, {'keyval': 'server_ip', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server_ip=server_ip, vrf=vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def nsx_controller_create(self, nsx_controller=None, reconnect_interval=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type nsx_controller: name
    :param nsx_controller: Keyword argument tuple.

    :type name: unicode
    :param name: **nsx_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type reconnect_interval: long
    :param reconnect_interval: Reconnect interval

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Activate the connection

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.nsx_controller', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.nsx_controller', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.nsx_controller', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.nsx_controller', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'nsx_controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, nsx_controller=nsx_controller, reconnect_interval=reconnect_interval, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ntp_authentication_key_create(self, authentication_key=None, md5=None, sha1=None, encryption_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type authentication_key: keyid, md5, sha1, encryption_level
    :param authentication_key: Keyword argument tuple.

    :type keyid: long
    :param keyid: **authentication_key** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type md5: unicode
    :param md5: **authentication_key** tuple argument:  MD5 Encryption

        * length restriction: ::

            ['1 .. max']

    :type sha1: unicode
    :param sha1: **authentication_key** tuple argument:  SHA1 Encryption

        * length restriction: ::

            ['1 .. max']

    :type encryption_level: unicode
    :param encryption_level: **authentication_key** tuple argument:  Level of encryption of the md5 key (default=7)

        * enumeration restriction: ::

            ['0', '7']

    **Instance Argument(s)**:

    :type md5: unicode
    :param md5: MD5 Encryption

        * length restriction: ::

            ['1 .. max']

    :type sha1: unicode
    :param sha1: SHA1 Encryption

        * length restriction: ::

            ['1 .. max']

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the md5 key (default=7)

        * enumeration restriction: ::

            ['0', '7']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ntp.authentication_key', 'pybind.nos.v6_0_2c.brocade_ntp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ntp.authentication_key', 'pybind.nos.v7_0_1b.brocade_ntp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ntp.authentication_key', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.authentication_key', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'authentication_key', 'keyval': 'keyid', 'extra_keyval': 'keyid, md5, sha1, encryption_level'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.ntp.authentication_key": {"encryption_level": "encryption_level", "sha1": "sha1", "keyid": "keyid", "md5": "md5"}, "pybind.nos.v7_0_1b.ntp.authentication_key": {"encryption_level": "encryption_level", "sha1": "sha1", "keyid": "keyid", "md5": "md5"}, "pybind.slxos.v16r_1_00b.ntp.authentication_key": {}, "pybind.nos.v7_1_0.ntp.authentication_key": {"encryption_level": "encryption_level", "sha1": "sha1", "keyid": "keyid", "md5": "md5"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, authentication_key=authentication_key, md5=md5, sha1=sha1, encryption_level=encryption_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ntp_server_create(self, server=None, key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type server: ip
    :param server: Keyword argument tuple.

    :type ip: unicode
    :param ip: **server** tuple argument:  Network Time Protocol server ip address(es)

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type key: long
    :param key: authentication key

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ntp.server', 'pybind.nos.v6_0_2c.brocade_ntp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ntp.server', 'pybind.nos.v7_0_1b.brocade_ntp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ntp.server', 'pybind.nos.v7_1_0.brocade_ntp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ntp.server', 'pybind.slxos.v16r_1_00b.brocade_ntp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'server', 'keyval': 'ip, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.ntp.server": {"ip": "ip"}, "pybind.nos.v6_0_2c.ntp.server": {"ip": "ip", "key": "key"}, "pybind.nos.v7_1_0.ntp.server": {}, "pybind.nos.v7_0_1b.ntp.server": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, server=server, key=key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_controller_create(self, openflow_controller=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type openflow_controller: controller_name
    :param openflow_controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **openflow_controller** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.openflow_controller', 'pybind.nos.v6_0_2c.brocade_openflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.openflow_controller', 'pybind.nos.v7_0_1b.brocade_openflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.openflow_controller', 'pybind.nos.v7_1_0.brocade_openflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.openflow_global.openflow.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'openflow_controller', 'keyval': 'controller_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, openflow_controller=openflow_controller)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_controller_create(self, controller=None, mode=None, type=None, connection_type=None, ip_addr=None, port=None, vrf_name=None, status=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type controller: name
    :param controller: Keyword argument tuple.

    :type name: unicode
    :param name: **controller** tuple argument.

    **Instance Argument(s)**:

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['dcm-connection-mode-active',
            'dcm-connection-mode-passive']

    :type type: unicode
    :param type: Keyword argument.

        * enumeration restriction: ::

            ['ofv100', 'ofv130']

    :type connection_type: unicode
    :param connection_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-connection-type-tcp',
            'dcm-connection-type-ssl']

    :type ip_addr: unicode
    :param ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type port: long
    :param port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf_name: unicode
    :param vrf_name: Keyword argument.

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-ctrlr-status-close',
            'dcm-ctrlr-status-tcp-connecting',
            'dcm-ctrlr-status-tcp-listening',
            'dcm-ctrlr-status-openf-established',
            'dcm-ctrlr-status-max',
            'dcm-ctrlr-status-openf-handshake',
            'dcm-ctrlr-status-init',
            'dcm-ctrlr-status-tcp-established',
            'dcm-ctrlr-status-unknown']

    :type role: unicode
    :param role: Keyword argument.

        * enumeration restriction: ::

            ['dcm-ctrlr-role-invalid',
            'dcm-ctrlr-role-equal',
            'dcm-ctrlr-role-slave',
            'dcm-ctrlr-role-master']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.controller', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller=controller, mode=mode, type=type, connection_type=connection_type, ip_addr=ip_addr, port=port, vrf_name=vrf_name, status=status, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_create(self, controller_detail_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'controller_detail_list', 'keyval': 'controller_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_controller_detail_list_controller_async_list_create(self, controller_detail_list=None, controller_async_list=None, config_data=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type controller_detail_list: controller_idx
    :param controller_detail_list: Keyword argument tuple.

    :type controller_idx: long
    :param controller_idx: **controller_detail_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type controller_async_list: async_type
    :param controller_async_list: Keyword argument tuple.

    :type async_type: unicode
    :param async_type: **controller_async_list** tuple argument.

        * enumeration restriction: ::

            ['dcm-async-invalid',
            'dcm-packet-in',
            'dcm-port-status',
            'dcm-flow-removed']

    **Instance Argument(s)**:

    :type config_data: unicode
    :param config_data: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list', u'controller_detail_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.controller_detail_list.controller_async_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'controller_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'controller_async_list', 'keyval': 'async_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, controller_detail_list=controller_detail_list, controller_async_list=controller_async_list, config_data=config_data)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_detail_hybrid_interfaces_create(self, hybrid_interfaces=None, protected_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type hybrid_interfaces: hybrid_interface
    :param hybrid_interfaces: Keyword argument tuple.

    :type hybrid_interface: unicode
    :param hybrid_interface: **hybrid_interfaces** tuple argument.

    **Instance Argument(s)**:

    :type protected_vlans: unicode
    :param protected_vlans: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.detail.hybrid_interfaces', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'hybrid_interfaces', 'keyval': 'hybrid_interface', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hybrid_interfaces=hybrid_interfaces, protected_vlans=protected_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_create(self, flow_info_list=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-flow-pending-add',
            'dcm-flow-not-programmed',
            'dcm-flow-pending-modify',
            'dcm-flow-pending-delete',
            'dcm-flow-programmed']

    :type in_port: unicode
    :param in_port: Keyword argument.

    :type in_vlan: unicode
    :param in_vlan: Keyword argument.

    :type source_mac: unicode
    :param source_mac: Keyword argument.

    :type destination_mac: unicode
    :param destination_mac: Keyword argument.

    :type ether_type: unicode
    :param ether_type: Keyword argument.

    :type ip_protocol: long
    :param ip_protocol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_protocol_source_port: long
    :param ip_protocol_source_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_protocol_destination_port: long
    :param ip_protocol_destination_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type source_ip: unicode
    :param source_ip: Keyword argument.

    :type destination_ip: unicode
    :param destination_ip: Keyword argument.

    :type instructions: unicode
    :param instructions: Keyword argument.

    :type action_data: unicode
    :param action_data: Keyword argument.

    :type meter_id: long
    :param meter_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan_upbits: long
    :param vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type nw_tos: long
    :param nw_tos: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type source_ip_mask: unicode
    :param source_ip_mask: Keyword argument.

    :type destination_ip_mask: unicode
    :param destination_ip_mask: Keyword argument.

    :type total_packets: long
    :param total_packets: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_bytes: long
    :param total_bytes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_flow_info_list_flow_action_list_create(self, flow_info_list=None, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type group_id: long
    :param group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_id: long
    :param queue_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_ports: unicode
    :param out_ports: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type action_vlan_upbits: long
    :param action_vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_id_flow_action_list_create(self, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type group_id: long
    :param group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_id: long
    :param queue_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_ports: unicode
    :param out_ports: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type action_vlan_upbits: long
    :param action_vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_id.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_create(self, flow_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'flow_interface', 'keyval': 'interface_type, interface_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_create(self, flow_interface=None, flow_info_list=None, priority=None, status=None, in_port=None, in_vlan=None, source_mac=None, destination_mac=None, ether_type=None, ip_protocol=None, ip_protocol_source_port=None, ip_protocol_destination_port=None, source_ip=None, destination_ip=None, instructions=None, action_data=None, meter_id=None, vlan_upbits=None, nw_tos=None, source_ip_mask=None, destination_ip_mask=None, total_packets=None, total_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type status: unicode
    :param status: Keyword argument.

        * enumeration restriction: ::

            ['dcm-flow-pending-add',
            'dcm-flow-not-programmed',
            'dcm-flow-pending-modify',
            'dcm-flow-pending-delete',
            'dcm-flow-programmed']

    :type in_port: unicode
    :param in_port: Keyword argument.

    :type in_vlan: unicode
    :param in_vlan: Keyword argument.

    :type source_mac: unicode
    :param source_mac: Keyword argument.

    :type destination_mac: unicode
    :param destination_mac: Keyword argument.

    :type ether_type: unicode
    :param ether_type: Keyword argument.

    :type ip_protocol: long
    :param ip_protocol: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_protocol_source_port: long
    :param ip_protocol_source_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_protocol_destination_port: long
    :param ip_protocol_destination_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type source_ip: unicode
    :param source_ip: Keyword argument.

    :type destination_ip: unicode
    :param destination_ip: Keyword argument.

    :type instructions: unicode
    :param instructions: Keyword argument.

    :type action_data: unicode
    :param action_data: Keyword argument.

    :type meter_id: long
    :param meter_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vlan_upbits: long
    :param vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type nw_tos: long
    :param nw_tos: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type source_ip_mask: unicode
    :param source_ip_mask: Keyword argument.

    :type destination_ip_mask: unicode
    :param destination_ip_mask: Keyword argument.

    :type total_packets: long
    :param total_packets: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type total_bytes: long
    :param total_bytes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_info_list', 'keyval': 'flow_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, priority=priority, status=status, in_port=in_port, in_vlan=in_vlan, source_mac=source_mac, destination_mac=destination_mac, ether_type=ether_type, ip_protocol=ip_protocol, ip_protocol_source_port=ip_protocol_source_port, ip_protocol_destination_port=ip_protocol_destination_port, source_ip=source_ip, destination_ip=destination_ip, instructions=instructions, action_data=action_data, meter_id=meter_id, vlan_upbits=vlan_upbits, nw_tos=nw_tos, source_ip_mask=source_ip_mask, destination_ip_mask=destination_ip_mask, total_packets=total_packets, total_bytes=total_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_flow_interface_flow_info_list_flow_action_list_create(self, flow_interface=None, flow_info_list=None, flow_action_list=None, group_id=None, queue_id=None, out_ports=None, vlan_id=None, action_vlan_upbits=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type flow_interface: interface_type, interface_value
    :param flow_interface: Keyword argument tuple.

    :type interface_type: long
    :param interface_type: **flow_interface** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type interface_value: unicode
    :param interface_value: **flow_interface** tuple argument.

    :type flow_info_list: flow_id
    :param flow_info_list: Keyword argument tuple.

    :type flow_id: long
    :param flow_id: **flow_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type flow_action_list: action_idx
    :param flow_action_list: Keyword argument tuple.

    :type action_idx: long
    :param action_idx: **flow_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type group_id: long
    :param group_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_id: long
    :param queue_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_ports: unicode
    :param out_ports: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type action_vlan_upbits: long
    :param action_vlan_upbits: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface', u'flow_interface'), ('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list', u'flow_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.flow_interface.flow_info_list.flow_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_value', 'extra_keyval': ''}, {'keyval': 'flow_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'flow_action_list', 'keyval': 'action_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, flow_interface=flow_interface, flow_info_list=flow_info_list, flow_action_list=flow_action_list, group_id=group_id, queue_id=queue_id, out_ports=out_ports, vlan_id=vlan_id, action_vlan_upbits=action_vlan_upbits, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_create(self, group_info_list=None, transaction_id=None, group_type=None, packet_count=None, byte_count=None, flow_count=None, num_of_bkts=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transaction_id: unicode
    :param transaction_id: Keyword argument.

    :type group_type: unicode
    :param group_type: Keyword argument.

        * enumeration restriction: ::

            ['dcm-group-type-all',
            'dcm-group-type-select',
            'dcm-group-type-invalid',
            'dcm-group-type-indirect',
            'dcm-group-type-fast-failover']

    :type packet_count: long
    :param packet_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type flow_count: long
    :param flow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_of_bkts: long
    :param num_of_bkts: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_info_list', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, transaction_id=transaction_id, group_type=group_type, packet_count=packet_count, byte_count=byte_count, flow_count=flow_count, num_of_bkts=num_of_bkts)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_create(self, group_info_list=None, group_bucket_list=None, weight=None, watch_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type weight: long
    :param weight: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type watch_port: unicode
    :param watch_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, weight=weight, watch_port=watch_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_group_info_list_group_bucket_list_group_action_list_create(self, group_info_list=None, group_bucket_list=None, group_action_list=None, out_port=None, vlan_id=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_info_list: group_id
    :param group_info_list: Keyword argument tuple.

    :type group_id: long
    :param group_id: **group_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_port: unicode
    :param out_port: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list', u'group_info_list'), ('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group.group_info_list.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_info_list=group_info_list, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port, vlan_id=vlan_id, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_create(self, group_bucket_list=None, weight=None, watch_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type weight: long
    :param weight: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type watch_port: unicode
    :param watch_port: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_bucket_list', 'keyval': 'bucket_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_bucket_list=group_bucket_list, weight=weight, watch_port=watch_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_group_id_group_bucket_list_group_action_list_create(self, group_bucket_list=None, group_action_list=None, out_port=None, vlan_id=None, out_vlan_tag=None, out_vlan_etype=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type group_bucket_list: bucket_id
    :param group_bucket_list: Keyword argument tuple.

    :type bucket_id: long
    :param bucket_id: **group_bucket_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type group_action_list: action_id
    :param group_action_list: Keyword argument tuple.

    :type action_id: long
    :param action_id: **group_action_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type out_port: unicode
    :param out_port: Keyword argument.

    :type vlan_id: long
    :param vlan_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type out_vlan_tag: unicode
    :param out_vlan_tag: Keyword argument.

        * enumeration restriction: ::

            ['dcm-vlan-action-pop',
            'dcm-vlan-action-push',
            'dcm-vlan-action-set']

    :type out_vlan_etype: unicode
    :param out_vlan_etype: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list', u'group_bucket_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.group_id.group_bucket_list.group_action_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bucket_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_action_list', 'keyval': 'action_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_bucket_list=group_bucket_list, group_action_list=group_action_list, out_port=out_port, vlan_id=vlan_id, out_vlan_tag=out_vlan_tag, out_vlan_etype=out_vlan_etype)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_interface_create(self, interface=None, link=None, port_state=None, speed=None, mac=None, port_id=None, mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type interface: port
    :param interface: Keyword argument tuple.

    :type port: unicode
    :param port: **interface** tuple argument.

    **Instance Argument(s)**:

    :type link: YANGBool
    :param link: Keyword argument.

    :type port_state: unicode
    :param port_state: Keyword argument.

        * enumeration restriction: ::

            ['dcm-port-state-invalid',
            'dcm-port-state-forward',
            'dcm-port-state-live',
            'dcm-port-state-blocked',
            'dcm-port-state-link-down']

    :type speed: unicode
    :param speed: Keyword argument.

        * enumeration restriction: ::

            ['dcm-port-speed-gig',
            'dcm-port-speed-hundredgig',
            'dcm-port-speed-tengig',
            'dcm-port-speed-fortygig',
            'dcm-port-speed-unknown']

    :type mac: unicode
    :param mac: Keyword argument.

    :type port_id: long
    :param port_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: Keyword argument.

        * enumeration restriction: ::

            ['dcm-port-mode-unknown',
            'dcm-port-mode-hybrid-l3',
            'dcm-port-mode-hybrid-l2',
            'dcm-port-mode-l23',
            'dcm-port-mode-hybrid-l23',
            'dcm-port-mode-l3',
            'dcm-port-mode-l2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.interface', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interface=interface, link=link, port_state=port_state, speed=speed, mac=mac, port_id=port_id, mode=mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_id_meterband_info_list_create(self, meterband_info_list=None, rate=None, burst_size=None, in_packet_band_count=None, in_byte_band_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate: long
    :param rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_packet_band_count: long
    :param in_packet_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_byte_band_count: long
    :param in_byte_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter_id.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meterband_info_list=meterband_info_list, rate=rate, burst_size=burst_size, in_packet_band_count=in_packet_band_count, in_byte_band_count=in_byte_band_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_create(self, meter_info_list=None, transaction_id=None, meterflags_type=None, flow_count=None, num_of_bands=None, in_packet_count=None, in_byte_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transaction_id: unicode
    :param transaction_id: Keyword argument.

    :type meterflags_type: unicode
    :param meterflags_type: Keyword argument.

    :type flow_count: long
    :param flow_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_of_bands: long
    :param num_of_bands: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_packet_count: long
    :param in_packet_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_byte_count: long
    :param in_byte_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'meter_info_list', 'keyval': 'meter_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, transaction_id=transaction_id, meterflags_type=meterflags_type, flow_count=flow_count, num_of_bands=num_of_bands, in_packet_count=in_packet_count, in_byte_count=in_byte_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_meter_meter_info_list_meterband_info_list_create(self, meter_info_list=None, meterband_info_list=None, rate=None, burst_size=None, in_packet_band_count=None, in_byte_band_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type meter_info_list: meter_id
    :param meter_info_list: Keyword argument tuple.

    :type meter_id: long
    :param meter_id: **meter_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type meterband_info_list: band_type
    :param meterband_info_list: Keyword argument tuple.

    :type band_type: long
    :param band_type: **meterband_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rate: long
    :param rate: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type burst_size: long
    :param burst_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_packet_band_count: long
    :param in_packet_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type in_byte_band_count: long
    :param in_byte_band_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list', u'meter_info_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.meter.meter_info_list.meterband_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'meter_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'meterband_info_list', 'keyval': 'band_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, meter_info_list=meter_info_list, meterband_info_list=meterband_info_list, rate=rate, burst_size=burst_size, in_packet_band_count=in_packet_band_count, in_byte_band_count=in_byte_band_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_queues_interface_queue_info_list_create(self, queue_info_list=None, tx_packets=None, tx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type queue_info_list: interface, num
    :param queue_info_list: Keyword argument tuple.

    :type interface: unicode
    :param interface: **queue_info_list** tuple argument.

    :type num: long
    :param num: **queue_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.queues_interface.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue_info_list=queue_info_list, tx_packets=tx_packets, tx_bytes=tx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_group_resouces_list_create(self, group_resouces_list=None, max_=None, used=None, free=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type group_resouces_list: group_type
    :param group_resouces_list: Keyword argument tuple.

    :type group_type: unicode
    :param group_type: **group_resouces_list** tuple argument.

        * enumeration restriction: ::

            ['dcm-group-type-all',
            'dcm-group-type-select',
            'dcm-group-type-invalid',
            'dcm-group-type-indirect',
            'dcm-group-type-fast-failover']

    **Instance Argument(s)**:

    :type max_: long
    :param max_: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type used: long
    :param used: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type free: long
    :param free: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.group_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group_resouces_list', 'keyval': 'group_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group_resouces_list=group_resouces_list, max_=max_, used=used, free=free)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_create(self, slot_resouces_list=None, module=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type module: unicode
    :param module: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slot_resouces_list', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, module=module)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_create(self, slot_resouces_list=None, slot_match_profile_list=None, max_flows=None, used_flows=None, free_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slot_match_profile_list: slot_match_profile_idx
    :param slot_match_profile_list: Keyword argument tuple.

    :type slot_match_profile_idx: long
    :param slot_match_profile_idx: **slot_match_profile_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_flows: long
    :param max_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type used_flows: long
    :param used_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type free_flows: long
    :param free_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_match_profile_list', 'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, max_flows=max_flows, used_flows=used_flows, free_flows=free_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def openflow_state_resources_slot_resouces_list_slot_match_profile_list_slot_chip_resource_list_create(self, slot_resouces_list=None, slot_match_profile_list=None, slot_chip_resource_list=None, max_flows=None, used_flows=None, free_flows=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot_resouces_list: slot_id
    :param slot_resouces_list: Keyword argument tuple.

    :type slot_id: long
    :param slot_id: **slot_resouces_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type slot_match_profile_list: slot_match_profile_idx
    :param slot_match_profile_list: Keyword argument tuple.

    :type slot_match_profile_idx: long
    :param slot_match_profile_idx: **slot_match_profile_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type slot_chip_resource_list: slot_chip_idx
    :param slot_chip_resource_list: Keyword argument tuple.

    :type slot_chip_idx: long
    :param slot_chip_idx: **slot_chip_resource_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_flows: long
    :param max_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type used_flows: long
    :param used_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type free_flows: long
    :param free_flows: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list', u'slot_resouces_list'), ('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list', u'slot_match_profile_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.openflow_state.resources.slot_resouces_list.slot_match_profile_list.slot_chip_resource_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'slot_match_profile_idx', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'slot_chip_resource_list', 'keyval': 'slot_chip_idx', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot_resouces_list=slot_resouces_list, slot_match_profile_list=slot_match_profile_list, slot_chip_resource_list=slot_chip_resource_list, max_flows=max_flows, used_flows=used_flows, free_flows=free_flows)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_arpentries_arpe_create(self, arpe=None, hwaddr=None, permanent=None, published=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type arpe: ip, ifname
    :param arpe: Keyword argument tuple.

    :type ip: unicode
    :param ip: **arpe** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ifname: unicode
    :param ifname: **arpe** tuple argument.

    **Instance Argument(s)**:

    :type hwaddr: unicode
    :param hwaddr: Keyword argument.

    :type permanent: YANGBool
    :param permanent: Keyword argument.

    :type published: YANGBool
    :param published: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.arpentries.arpe', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'arpe', 'keyval': 'ip, ifname', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, arpe=arpe, hwaddr=hwaddr, permanent=permanent, published=published)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_create(self, route=None, entryMultipathIndex=None, prefixLength=None, gateway=None, outInterfaceName=None, outLabel=None, protocol=None, vifIndex=None, metric=None, useCount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type entryMultipathIndex: long
    :param entryMultipathIndex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type prefixLength: long
    :param prefixLength: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type gateway: unicode
    :param gateway: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type outInterfaceName: unicode
    :param outInterfaceName: Keyword argument.

    :type outLabel: long
    :param outLabel: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type protocol: unicode
    :param protocol: Keyword argument.

    :type vifIndex: long
    :param vifIndex: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type metric: long
    :param metric: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type useCount: long
    :param useCount: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'destPrefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, entryMultipathIndex=entryMultipathIndex, prefixLength=prefixLength, gateway=gateway, outInterfaceName=outInterfaceName, outLabel=outLabel, protocol=protocol, vifIndex=vifIndex, metric=metric, useCount=useCount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_create(self, route=None, children=None, parentKey=None, attr1=None, attr2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type children: keyid
    :param children: Keyword argument tuple.

    :type keyid: long
    :param keyid: **children** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type parentKey: unicode
    :param parentKey: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type attr1: long
    :param attr1: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type attr2: long
    :param attr2: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'children', 'keyval': 'keyid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, children=children, parentKey=parentKey, attr1=attr1, attr2=attr2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def opstest_state_routes_route_children_layer2_create(self, route=None, children=None, layer2=None, parentkeyid=None, grandparentKey=None, attr3=None, attr4=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route: destPrefix
    :param route: Keyword argument tuple.

    :type destPrefix: unicode
    :param destPrefix: **route** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type children: keyid
    :param children: Keyword argument tuple.

    :type keyid: long
    :param keyid: **children** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type layer2: layer2id
    :param layer2: Keyword argument tuple.

    :type layer2id: long
    :param layer2id: **layer2** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type parentkeyid: long
    :param parentkeyid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type grandparentKey: unicode
    :param grandparentKey: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type attr3: long
    :param attr3: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type attr4: long
    :param attr4: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route', u'route'), ('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children', u'children')]
    bindings_list = [('pybind.slxos.v16r_1_00b.opstest_state.routes.route.children.layer2', 'pybind.slxos.v16r_1_00b.brocade_opstest', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'destPrefix', 'extra_keyval': ''}, {'keyval': 'keyid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'layer2', 'keyval': 'layer2id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route=route, children=children, layer2=layer2, parentkeyid=parentkeyid, grandparentKey=grandparentKey, attr3=attr3, attr4=attr4)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_create(self, extended=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'ext_user_acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_extended_seq_create(self, extended=None, ext_seq=None, ext_permit_deny=None, ext_dst_vtep_ip=None, ext_dst_vtep_ip_any=None, ext_src_vtep_ip=None, ext_src_vtep_ip_any=None, ext_vni=None, ext_vni_any=None, ext_vni_mask=None, ext_count=None, ext_mirror=None, ext_redirect=None, ext_sflow=None, native=None, tag=None, dst_ip_host=None, dst_ip=None, dst_ip_any=None, src_ip_host=None, src_ip=None, src_ip_any=None, dst_port=None, dst_port_any=None, src_port=None, src_port_any=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type extended: ext_user_acl_name
    :param extended: Keyword argument tuple.

    :type ext_user_acl_name: unicode
    :param ext_user_acl_name: **extended** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type ext_seq: ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any
    :param ext_seq: Keyword argument tuple.

    :type ext_seq_num: long
    :param ext_seq_num: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ext_permit_deny: unicode
    :param ext_permit_deny: **ext_seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_dst_vtep_ip: unicode
    :param ext_dst_vtep_ip: **ext_seq** tuple argument:  dst vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ext_dst_vtep_ip_any: YANGBool
    :param ext_dst_vtep_ip_any: **ext_seq** tuple argument:  dst vtep ip address: any

    :type ext_src_vtep_ip: unicode
    :param ext_src_vtep_ip: **ext_seq** tuple argument:  src vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ext_src_vtep_ip_any: YANGBool
    :param ext_src_vtep_ip_any: **ext_seq** tuple argument:  src vtep ip address: any

    :type ext_vni: long
    :param ext_vni: **ext_seq** tuple argument:  vni number: 1..16777215

        * range restriction: ::

            ['0..4294967295']

    :type ext_vni_any: YANGBool
    :param ext_vni_any: **ext_seq** tuple argument:  vni any

    :type ext_vni_mask: unicode
    :param ext_vni_mask: **ext_seq** tuple argument:  vni mask:Hexadecimal 0..FFFFFF

        * pattern restriction: ::

            '0|[1-9a-fA-F][0-9a-fA-F]{0,5}'

    :type ext_count: YANGBool
    :param ext_count: **ext_seq** tuple argument:  count

    :type ext_mirror: unicode
    :param ext_mirror: **ext_seq** tuple argument:  mirror <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ext_redirect: unicode
    :param ext_redirect: **ext_seq** tuple argument:  redirect <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ext_sflow: YANGBool
    :param ext_sflow: **ext_seq** tuple argument:  sflow

    :type native: YANGBool
    :param native: **ext_seq** tuple argument.

    :type tag: unicode
    :param tag: **ext_seq** tuple argument.

        * enumeration restriction: ::

            ['none', 'single', 'any']

    :type dst_ip_host: unicode
    :param dst_ip_host: **ext_seq** tuple argument:  dst ip host: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_ip: unicode
    :param dst_ip: **ext_seq** tuple argument:  dst ip: A.B.C.D/mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type dst_ip_any: YANGBool
    :param dst_ip_any: **ext_seq** tuple argument:  dst ip address: any

    :type src_ip_host: unicode
    :param src_ip_host: **ext_seq** tuple argument:  src ip host: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip: unicode
    :param src_ip: **ext_seq** tuple argument:  src ip: A.B.C.D/mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type src_ip_any: YANGBool
    :param src_ip_any: **ext_seq** tuple argument:  src ip address: any

    :type dst_port: long
    :param dst_port: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type dst_port_any: YANGBool
    :param dst_port_any: **ext_seq** tuple argument:  dst-port-any

    :type src_port: long
    :param src_port: **ext_seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type src_port_any: YANGBool
    :param src_port_any: **ext_seq** tuple argument:  src-port-any

    **Instance Argument(s)**:

    :type ext_permit_deny: unicode
    :param ext_permit_deny: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_dst_vtep_ip: unicode
    :param ext_dst_vtep_ip: dst vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ext_dst_vtep_ip_any: YANGBool
    :param ext_dst_vtep_ip_any: dst vtep ip address: any

    :type ext_src_vtep_ip: unicode
    :param ext_src_vtep_ip: src vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type ext_src_vtep_ip_any: YANGBool
    :param ext_src_vtep_ip_any: src vtep ip address: any

    :type ext_vni: long
    :param ext_vni: vni number: 1..16777215

        * range restriction: ::

            ['0..4294967295']

    :type ext_vni_any: YANGBool
    :param ext_vni_any: vni any

    :type ext_vni_mask: unicode
    :param ext_vni_mask: vni mask:Hexadecimal 0..FFFFFF

        * pattern restriction: ::

            '0|[1-9a-fA-F][0-9a-fA-F]{0,5}'

    :type ext_count: YANGBool
    :param ext_count: count

    :type ext_mirror: unicode
    :param ext_mirror: mirror <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ext_redirect: unicode
    :param ext_redirect: redirect <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type ext_sflow: YANGBool
    :param ext_sflow: sflow

    :type native: YANGBool
    :param native: Keyword argument.

    :type tag: unicode
    :param tag: Keyword argument.

        * enumeration restriction: ::

            ['none', 'single', 'any']

    :type dst_ip_host: unicode
    :param dst_ip_host: dst ip host: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_ip: unicode
    :param dst_ip: dst ip: A.B.C.D/mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type dst_ip_any: YANGBool
    :param dst_ip_any: dst ip address: any

    :type src_ip_host: unicode
    :param src_ip_host: src ip host: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip: unicode
    :param src_ip: src ip: A.B.C.D/mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type src_ip_any: YANGBool
    :param src_ip_any: src ip address: any

    :type dst_port: long
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type dst_port_any: YANGBool
    :param dst_port_any: dst-port-any

    :type src_port: long
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type src_port_any: YANGBool
    :param src_port_any: src-port-any

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended', u'extended')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.extended.ext_seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'ext_user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ext_seq', 'keyval': 'ext_seq_num', 'extra_keyval': 'ext_seq_num, ext_permit_deny, ext_dst_vtep_ip, ext_dst_vtep_ip_any, ext_src_vtep_ip, ext_src_vtep_ip_any, ext_vni, ext_vni_any, ext_vni_mask, ext_count, ext_mirror, ext_redirect, ext_sflow, native, tag, dst_ip_host, dst_ip, dst_ip_any, src_ip_host, src_ip, src_ip_any, dst_port, dst_port_any, src_port, src_port_any'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended=extended, ext_seq=ext_seq, ext_permit_deny=ext_permit_deny, ext_dst_vtep_ip=ext_dst_vtep_ip, ext_dst_vtep_ip_any=ext_dst_vtep_ip_any, ext_src_vtep_ip=ext_src_vtep_ip, ext_src_vtep_ip_any=ext_src_vtep_ip_any, ext_vni=ext_vni, ext_vni_any=ext_vni_any, ext_vni_mask=ext_vni_mask, ext_count=ext_count, ext_mirror=ext_mirror, ext_redirect=ext_redirect, ext_sflow=ext_sflow, native=native, tag=tag, dst_ip_host=dst_ip_host, dst_ip=dst_ip, dst_ip_any=dst_ip_any, src_ip_host=src_ip_host, src_ip=src_ip, src_ip_any=src_ip_any, dst_port=dst_port, dst_port_any=dst_port_any, src_port=src_port, src_port_any=src_port_any)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_create(self, standard=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'user_acl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_access_list_type_vxlan_standard_seq_create(self, standard=None, seq=None, permit_deny=None, dst_vtep_ip=None, dst_vtep_ip_any=None, src_vtep_ip=None, src_vtep_ip_any=None, vni=None, vni_any=None, vni_mask=None, count=None, redirect=None, sflow=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type standard: user_acl_name
    :param standard: Keyword argument tuple.

    :type user_acl_name: unicode
    :param user_acl_name: **standard** tuple argument:  Access List Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type seq: seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow
    :param seq: Keyword argument tuple.

    :type seq_num: long
    :param seq_num: **seq** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type permit_deny: unicode
    :param permit_deny: **seq** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: **seq** tuple argument:  dst vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_vtep_ip_any: YANGBool
    :param dst_vtep_ip_any: **seq** tuple argument:  dst vtep ip address: any

    :type src_vtep_ip: unicode
    :param src_vtep_ip: **seq** tuple argument:  src vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_vtep_ip_any: YANGBool
    :param src_vtep_ip_any: **seq** tuple argument:  src vtep ip address: any

    :type vni: long
    :param vni: **seq** tuple argument:  vni number: 1..16777215

        * range restriction: ::

            ['0..4294967295']

    :type vni_any: YANGBool
    :param vni_any: **seq** tuple argument:  vni any

    :type vni_mask: unicode
    :param vni_mask: **seq** tuple argument:  vni mask:Hexadecimal 0..FFFFFF

        * pattern restriction: ::

            '0|[1-9a-fA-F][0-9a-fA-F]{0,5}'

    :type count: YANGBool
    :param count: **seq** tuple argument:  count

    :type redirect: unicode
    :param redirect: **seq** tuple argument:  redirect <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type sflow: YANGBool
    :param sflow: **seq** tuple argument:  sflow

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: dst vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_vtep_ip_any: YANGBool
    :param dst_vtep_ip_any: dst vtep ip address: any

    :type src_vtep_ip: unicode
    :param src_vtep_ip: src vtep ip address: A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_vtep_ip_any: YANGBool
    :param src_vtep_ip_any: src vtep ip address: any

    :type vni: long
    :param vni: vni number: 1..16777215

        * range restriction: ::

            ['0..4294967295']

    :type vni_any: YANGBool
    :param vni_any: vni any

    :type vni_mask: unicode
    :param vni_mask: vni mask:Hexadecimal 0..FFFFFF

        * pattern restriction: ::

            '0|[1-9a-fA-F][0-9a-fA-F]{0,5}'

    :type count: YANGBool
    :param count: count

    :type redirect: unicode
    :param redirect: redirect <interface-name>

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type sflow: YANGBool
    :param sflow: sflow

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard', u'standard')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay.access_list.type.vxlan.standard.seq', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_acl_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'seq', 'keyval': 'seq_num', 'extra_keyval': 'seq_num, permit_deny, dst_vtep_ip, dst_vtep_ip_any, src_vtep_ip, src_vtep_ip_any, vni, vni_any, vni_mask, count, redirect, sflow'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, standard=standard, seq=seq, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, dst_vtep_ip_any=dst_vtep_ip_any, src_vtep_ip=src_vtep_ip, src_vtep_ip_any=src_vtep_ip_any, vni=vni, vni_any=vni_any, vni_mask=vni_mask, count=count, redirect=redirect, sflow=sflow)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_create(self, overlay_gateway=None, gw_type=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type gw_type: unicode
    :param gw_type: Configure the type of Overlay Gateway.

        * enumeration restriction: ::

            ['nsx', 'layer2-extension']

    :type activate: YANGBool
    :param activate: Activate the Overlay Gateway instance

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'overlay_gateway', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, gw_type=gw_type, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_attach_vlan_create(self, overlay_gateway=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type vlan: vid, mac
    :param vlan: Keyword argument tuple.

    :type vid: long
    :param vid: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type mac: unicode
    :param mac: **vlan** tuple argument:  Configure VLAN-MAC attachment

        * pattern restriction: ::

            '[0-9a-fA-F]{4}(\.[0-9a-fA-F]{4}){2}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.attach.vlan', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.attach.vlan', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.attach.vlan', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.attach.vlan', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'vid, mac', 'extra_keyval': 'vid, mac'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_map_vlan_vni_mapping_create(self, overlay_gateway=None, vlan_vni_mapping=None, vni=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type vlan_vni_mapping: vid
    :param vlan_vni_mapping: Keyword argument tuple.

    :type vid: long
    :param vid: **vlan_vni_mapping** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vni: long
    :param vni: Specify VNI mapping for the VLAN.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.map_.vlan_vni_mapping', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.map_.vlan_vni_mapping', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan_vni_mapping', 'keyval': 'vid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, vlan_vni_mapping=vlan_vni_mapping, vni=vni)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_monitor_create(self, overlay_gateway=None, monitor=None, direction=None, remote_endpoint=None, vlan_leaf=None, vlan_add_remove=None, vlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type monitor: session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range
    :param monitor: Keyword argument tuple.

    :type session: long
    :param session: **monitor** tuple argument:  Session number

        * range restriction: ::

            ['0..4294967295']

    :type direction: unicode
    :param direction: **monitor** tuple argument:  Specify flow direction

        * enumeration restriction: ::

            ['both', 'rx', 'tx']

    :type remote_endpoint: unicode
    :param remote_endpoint: **monitor** tuple argument:  Tunnel destination end point address

        * enumeration restriction: ::

            ['any']

    :type vlan_leaf: unicode
    :param vlan_leaf: **monitor** tuple argument:  Target VLAN IDs

        * enumeration restriction: ::

            ['vlan']

    :type vlan_add_remove: unicode
    :param vlan_add_remove: **monitor** tuple argument.

        * enumeration restriction: ::

            ['add', 'remove']

    :type vlan_range: unicode
    :param vlan_range: **monitor** tuple argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    **Instance Argument(s)**:

    :type direction: unicode
    :param direction: Specify flow direction

        * enumeration restriction: ::

            ['both', 'rx', 'tx']

    :type remote_endpoint: unicode
    :param remote_endpoint: Tunnel destination end point address

        * enumeration restriction: ::

            ['any']

    :type vlan_leaf: unicode
    :param vlan_leaf: Target VLAN IDs

        * enumeration restriction: ::

            ['vlan']

    :type vlan_add_remove: unicode
    :param vlan_add_remove: Keyword argument.

        * enumeration restriction: ::

            ['add', 'remove']

    :type vlan_range: unicode
    :param vlan_range: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.monitor', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.monitor', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.monitor', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.monitor', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'monitor', 'keyval': 'session', 'extra_keyval': 'session, direction, remote_endpoint, vlan_leaf, vlan_add_remove, vlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, monitor=monitor, direction=direction, remote_endpoint=remote_endpoint, vlan_leaf=vlan_leaf, vlan_add_remove=vlan_add_remove, vlan_range=vlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_sflow_create(self, overlay_gateway=None, sflow=None, sflow_remote_endpoint=None, sflow_vlan_action=None, sflow_vlan_range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type sflow: sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range
    :param sflow: Keyword argument tuple.

    :type sflow_profile_name: unicode
    :param sflow_profile_name: **sflow** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type sflow_remote_endpoint: unicode
    :param sflow_remote_endpoint: **sflow** tuple argument:  Tunnel destination end point address

        * enumeration restriction: ::

            ['any']

    :type sflow_vlan_action: unicode
    :param sflow_vlan_action: **sflow** tuple argument:  Target VLAN IDs

        * enumeration restriction: ::

            ['add', 'remove']

    :type sflow_vlan_range: unicode
    :param sflow_vlan_range: **sflow** tuple argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    **Instance Argument(s)**:

    :type sflow_remote_endpoint: unicode
    :param sflow_remote_endpoint: Tunnel destination end point address

        * enumeration restriction: ::

            ['any']

    :type sflow_vlan_action: unicode
    :param sflow_vlan_action: Target VLAN IDs

        * enumeration restriction: ::

            ['add', 'remove']

    :type sflow_vlan_range: unicode
    :param sflow_vlan_range: Keyword argument.

        * pattern restriction: ::

            '[0-9]+(-[0-9]+)?(,[0-9]+(-[0-9]+)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.sflow', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.sflow', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.sflow', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.sflow', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'sflow', 'keyval': 'sflow_profile_name', 'extra_keyval': 'sflow_profile_name, sflow_remote_endpoint, sflow_vlan_action, sflow_vlan_range'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, sflow=sflow, sflow_remote_endpoint=sflow_remote_endpoint, sflow_vlan_action=sflow_vlan_action, sflow_vlan_range=sflow_vlan_range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_create(self, overlay_gateway=None, site=None, bfd_enable=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Keyword Argument Tuple**:

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Argument(s)**:

    :type bfd_enable: YANGBool
    :param bfd_enable: Create BFD session for the tunnels to the remote site.

    :type shutdown: YANGBool
    :param shutdown: Admin disable tunnels to the remote site

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'site', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, bfd_enable=bfd_enable, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_gateway_site_ip_create(self, overlay_gateway=None, site=None, tunnel_dst=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_gateway: name
    :param overlay_gateway: Keyword argument tuple.

    :type name: unicode
    :param name: **overlay_gateway** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type site: name
    :param site: Keyword argument tuple.

    :type name: unicode
    :param name: **site** tuple argument.

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,63}'

    **Instance Keyword Argument Tuple**:

    :type tunnel_dst: address
    :param tunnel_dst: Keyword argument tuple.

    :type address: unicode
    :param address: **tunnel_dst** tuple argument:  Tunnel destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_gateway', 'overlay_gateway'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site', u'site'), ('pybind.nos.v7_1_0.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_1_0.overlay_gateway.site', u'site'), ('pybind.nos.v6_0_2c.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v6_0_2c.overlay_gateway.site', u'site'), ('pybind.nos.v7_0_1b.overlay_gateway', 'overlay_gateway'), ('pybind.nos.v7_0_1b.overlay_gateway.site', u'site')]
    bindings_list = [('pybind.nos.v6_0_2c.overlay_gateway.site.tunnel_dst', 'pybind.nos.v6_0_2c.brocade_tunnels', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.overlay_gateway.site.tunnel_dst', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.overlay_gateway.site.tunnel_dst', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.overlay_gateway.site.tunnel_dst', 'pybind.slxos.v16r_1_00b.brocade_tunnels', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tunnel_dst', 'keyval': 'address', 'extra_keyval': 'address'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_gateway=overlay_gateway, site=site, tunnel_dst=tunnel_dst)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_create(self, overlay_transit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type overlay_transit: user_transit_name
    :param overlay_transit: Keyword argument tuple.

    :type user_transit_name: unicode
    :param user_transit_name: **overlay_transit** tuple argument:  User Transit Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'overlay_transit', 'keyval': 'user_transit_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_transit=overlay_transit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_overlay_create(self, overlay_transit=None, transit_overlay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type overlay_transit: user_transit_name
    :param overlay_transit: Keyword argument tuple.

    :type user_transit_name: unicode
    :param user_transit_name: **overlay_transit** tuple argument:  User Transit Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    **Instance Keyword Argument Tuple**:

    :type transit_overlay: access_group, in_out
    :param transit_overlay: Keyword argument tuple.

    :type access_group: unicode
    :param access_group: **transit_overlay** tuple argument:  Access Group Name (Max 63)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,62})'

    :type in_out: unicode
    :param in_out: **transit_overlay** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.overlay_transit', 'overlay_transit')]
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit.transit_overlay', 'pybind.slxos.v16r_1_00b.brocade_vxlan_visibility', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'user_transit_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'transit_overlay', 'keyval': 'access_group, in_out', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, overlay_transit=overlay_transit, transit_overlay=transit_overlay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def overlay_transit_state_extended_data_create(self, extended_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, transit_name=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_data: acl_name, seq_num
    :param extended_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_vtep_ip: unicode
    :param src_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type vni: unicode
    :param vni: Keyword argument.

    :type vni_mask: unicode
    :param vni_mask: Keyword argument.

    :type native_tag: unicode
    :param native_tag: Keyword argument.

    :type dst_ip: unicode
    :param dst_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_ip_mask: int
    :param dst_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_ip: unicode
    :param src_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_mask: int
    :param src_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type dst_port: int
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_port: int
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type transit_name: unicode
    :param transit_name: Keyword argument.

    :type sflow: YANGBool
    :param sflow: Keyword argument.

    :type redir_interface: unicode
    :param redir_interface: Keyword argument.

    :type mirror_interface: unicode
    :param mirror_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.overlay_transit_state.extended_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_data=extended_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, transit_name=transit_name, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ovsdb_server_create(self, ovsdb_server=None, port=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type ovsdb_server: name
    :param ovsdb_server: Keyword argument tuple.

    :type name: unicode
    :param name: **ovsdb_server** tuple argument:  Ovsdb server name

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    **Instance Argument(s)**:

    :type port: long
    :param port: OVSDB server port number

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Activate the server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.ovsdb_server', 'pybind.nos.v7_0_1b.brocade_tunnels', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ovsdb_server', 'pybind.nos.v7_1_0.brocade_tunnels', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'ovsdb_server', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.ovsdb_server": {}, "pybind.nos.v7_0_1b.ovsdb_server": {"activate": "activate", "name": "name", "port": "port"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ovsdb_server=ovsdb_server, port=port, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_anycast_state_create(self, pim_anycast_state=None, prefix_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type pim_anycast_state: anycast_rp
    :param pim_anycast_state: Keyword argument tuple.

    :type anycast_rp: unicode
    :param anycast_rp: **pim_anycast_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type prefix_name: unicode
    :param prefix_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_anycast_state', 'keyval': 'anycast_rp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_anycast_state=pim_anycast_state, prefix_name=prefix_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_anycast_state_peer_list_create(self, pim_anycast_state=None, peer_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_anycast_state: anycast_rp
    :param pim_anycast_state: Keyword argument tuple.

    :type anycast_rp: unicode
    :param anycast_rp: **pim_anycast_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type peer_list: ipv4_addr
    :param peer_list: Keyword argument tuple.

    :type ipv4_addr: long
    :param ipv4_addr: **peer_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state', 'pim_anycast_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_anycast_state.peer_list', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'anycast_rp', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'peer_list', 'keyval': 'ipv4_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_anycast_state=pim_anycast_state, peer_list=peer_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_ecmp_state_create(self, pim_ecmp_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type pim_ecmp_state: addr_filter
    :param pim_ecmp_state: Keyword argument tuple.

    :type addr_filter: unicode
    :param addr_filter: **pim_ecmp_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pim_ecmp_state', 'keyval': 'addr_filter', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_ecmp_state=pim_ecmp_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_ecmp_state_pim_ecmp_create(self, pim_ecmp_state=None, pim_ecmp=None, upstream_nbr=None, interface_name=None, interface_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type pim_ecmp_state: addr_filter
    :param pim_ecmp_state: Keyword argument tuple.

    :type addr_filter: unicode
    :param addr_filter: **pim_ecmp_state** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Keyword Argument Tuple**:

    :type pim_ecmp: src_ip, rp_addr
    :param pim_ecmp: Keyword argument tuple.

    :type src_ip: unicode
    :param src_ip: **pim_ecmp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type rp_addr: unicode
    :param rp_addr: **pim_ecmp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type upstream_nbr: unicode
    :param upstream_nbr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type interface_name: unicode
    :param interface_name: Keyword argument.

    :type interface_count: long
    :param interface_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state', 'pim_ecmp_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_ecmp_state.pim_ecmp', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'addr_filter', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_ecmp', 'keyval': 'src_ip, rp_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pim_ecmp_state=pim_ecmp_state, pim_ecmp=pim_ecmp, upstream_nbr=upstream_nbr, interface_name=interface_name, interface_count=interface_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_create(self, interfaces=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type interfaces: interface_name
    :param interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **interfaces** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'interfaces', 'keyval': 'interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pim_global_state_interfaces_pim_interface_data_create(self, interfaces=None, pim_interface_data=None, enable_status=None, local_ip_addr=None, pim_version=None, mode=None, dr_info=None, ttl_threshold=None, multicast_boundry=None, dr_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type interfaces: interface_name
    :param interfaces: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **interfaces** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type pim_interface_data: interface_name, interface_type
    :param pim_interface_data: Keyword argument tuple.

    :type interface_name: unicode
    :param interface_name: **pim_interface_data** tuple argument.

    :type interface_type: unicode
    :param interface_type: **pim_interface_data** tuple argument.

    **Instance Argument(s)**:

    :type enable_status: YANGBool
    :param enable_status: Keyword argument.

    :type local_ip_addr: unicode
    :param local_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type pim_version: int
    :param pim_version: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type mode: unicode
    :param mode: Keyword argument.

    :type dr_info: unicode
    :param dr_info: Keyword argument.

    :type ttl_threshold: int
    :param ttl_threshold: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type multicast_boundry: unicode
    :param multicast_boundry: Keyword argument.

    :type dr_priority: long
    :param dr_priority: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces', u'interfaces')]
    bindings_list = [('pybind.slxos.v16r_1_00b.pim_global_state.interfaces.pim_interface_data', 'pybind.slxos.v16r_1_00b.brocade_pim_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pim_interface_data', 'keyval': 'interface_name, interface_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, interfaces=interfaces, pim_interface_data=pim_interface_data, enable_status=enable_status, local_ip_addr=local_ip_addr, pim_version=pim_version, mode=mode, dr_info=dr_info, ttl_threshold=ttl_threshold, multicast_boundry=multicast_boundry, dr_priority=dr_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def police_priority_map_create(self, police_priority_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type police_priority_map: name
    :param police_priority_map: Keyword argument tuple.

    :type name: unicode
    :param name: **police_priority_map** tuple argument:  Policer Priority Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.police_priority_map', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.police_priority_map', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.police_priority_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'police_priority_map', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, police_priority_map=police_priority_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_create(self, policy_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.policy_map', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'policy_map', 'keyval': 'po_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.policy_map": {"po_name": "po_name"}, "pybind.nos.v7_1_0.policy_map": {"po_name": "po_name"}, "pybind.slxos.v16r_1_00b.policy_map": {"po_name": "name"}, "pybind.nos.v6_0_2c.policy_map": {"po_name": "po_name"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def policy_map_class_create(self, policy_map=None, class_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy_map: po_name
    :param policy_map: Keyword argument tuple.

    :type po_name: unicode
    :param po_name: **policy_map** tuple argument:  Policy Map Name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type class_: cl_name
    :param class_: Keyword argument tuple.

    :type cl_name: unicode
    :param cl_name: **class_** tuple argument:  Policy Map Class Name (Max Size -64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.policy_map', 'policy_map'), ('pybind.nos.v7_0_1b.policy_map', 'policy_map'), ('pybind.nos.v6_0_2c.policy_map', 'policy_map'), ('pybind.slxos.v16r_1_00b.policy_map', 'policy_map')]
    bindings_list = [('pybind.nos.v6_0_2c.policy_map.class_', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.policy_map.class_', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.policy_map.class_', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.policy_map.class_', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'po_name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'class_', 'keyval': 'cl_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.policy_map.class_": {"cl_name": "cl_name"}, "pybind.slxos.v16r_1_00b.policy_map.class_": {}, "pybind.nos.v7_0_1b.policy_map.class_": {"cl_name": "cl_name"}, "pybind.nos.v7_1_0.policy_map.class_": {"cl_name": "cl_name"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_map=policy_map, class_=class_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_channel_redundancy_group_create(self, port_channel_redundancy_group=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type port_channel_redundancy_group: group_id
    :param port_channel_redundancy_group: Keyword argument tuple.

    :type group_id: long
    :param group_id: **port_channel_redundancy_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the port-channel redundancy group

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.port_channel_redundancy_group', 'pybind.nos.v6_0_2c.brocade_lag', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_channel_redundancy_group', 'pybind.nos.v7_0_1b.brocade_lag', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'port_channel_redundancy_group', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel_redundancy_group=port_channel_redundancy_group, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_channel_redundancy_group_port_channel_create(self, port_channel_redundancy_group=None, port_channel=None, port_channel_active=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_channel_redundancy_group: group_id
    :param port_channel_redundancy_group: Keyword argument tuple.

    :type group_id: long
    :param group_id: **port_channel_redundancy_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_channel: name, port_channel_active
    :param port_channel: Keyword argument tuple.

    :type name: long
    :param name: **port_channel** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type port_channel_active: YANGBool
    :param port_channel_active: **port_channel** tuple argument:  Select port-channel as active in port-channel redundancy group.

    **Instance Argument(s)**:

    :type port_channel_active: YANGBool
    :param port_channel_active: Select port-channel as active in port-channel redundancy group.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v7_0_1b.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.nos.v7_1_0.port_channel_redundancy_group', 'port_channel_redundancy_group'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group', 'port_channel_redundancy_group')]
    bindings_list = [('pybind.nos.v6_0_2c.port_channel_redundancy_group.port_channel', 'pybind.nos.v6_0_2c.brocade_lag', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_0_1b.brocade_lag', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_channel_redundancy_group.port_channel', 'pybind.nos.v7_1_0.brocade_lag', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_channel_redundancy_group.port_channel', 'pybind.slxos.v16r_1_00b.brocade_lag', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'name', 'extra_keyval': 'name, port_channel_active'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_channel_redundancy_group=port_channel_redundancy_group, port_channel=port_channel, port_channel_active=port_channel_active)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_create(self, port_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.port_profile', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'port_profile', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_domain_create(self, port_profile_domain=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type port_profile_domain: port_profile_domain_name
    :param port_profile_domain: Keyword argument tuple.

    :type port_profile_domain_name: unicode
    :param port_profile_domain_name: **port_profile_domain** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.port_profile_domain', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile_domain', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile_domain', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_domain', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'port_profile_domain', 'keyval': 'port_profile_domain_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile_domain=port_profile_domain)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_domain_port_profile_create(self, port_profile_domain=None, profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile_domain: port_profile_domain_name
    :param port_profile_domain: Keyword argument tuple.

    :type port_profile_domain_name: unicode
    :param port_profile_domain_name: **port_profile_domain** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Keyword Argument Tuple**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v6_0_2c.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v7_1_0.port_profile_domain', 'port_profile_domain'), ('pybind.nos.v7_0_1b.port_profile_domain', 'port_profile_domain')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile_domain.profile', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile_domain.profile', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile_domain.profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_domain.profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}, {'keyval': 'port_profile_domain_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile_domain=port_profile_domain, profile=profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_fcoe_profile_create(self, port_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.fcoe_profile', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.fcoe_profile', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.fcoe_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.fcoe_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_port_profile_global_create(self, port_profile=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the profile

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.port_profile_global.port_profile', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile_global.port_profile', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile_global.port_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'port_profile', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_create(self, port_profile=None, cee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Argument(s)**:

    :type cee: unicode
    :param cee: Configure QoS CEE map (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, cee=cee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_qos_profile_qos_flowcontrol_pfc_create(self, port_profile=None, pfc=None, pfc_tx=None, pfc_rx=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Keyword Argument Tuple**:

    :type pfc: pfc_cos
    :param pfc: Keyword argument tuple.

    :type pfc_cos: long
    :param pfc_cos: **pfc** tuple argument:  CoS value

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type pfc_tx: unicode
    :param pfc_tx: Configure Pause generation

        * enumeration restriction: ::

            ['on', 'off']

    :type pfc_rx: unicode
    :param pfc_rx: Configure Pause reception

        * enumeration restriction: ::

            ['on', 'off']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.qos_profile.qos.flowcontrol.pfc', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pfc', 'keyval': 'pfc_cos', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, pfc=pfc, pfc_tx=pfc_tx, pfc_rx=pfc_rx)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_security_profile_create(self, port_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.security_profile', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.security_profile', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.security_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.security_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_static_create(self, port_profile=None, static=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Keyword Argument Tuple**:

    :type static: mac_address
    :param static: Keyword argument tuple.

    :type mac_address: unicode
    :param mac_address: **static** tuple argument:  mac address in HHHH.HHHH.HHHH format

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.port_profile_global.port_profile', u'port_profile'), ('pybind.nos.v7_1_0.port_profile_global.port_profile', u'port_profile'), ('pybind.nos.v7_0_1b.port_profile_global.port_profile', u'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile', u'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile_global.port_profile.static', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile_global.port_profile.static', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile_global.port_profile.static', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile_global.port_profile.static', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static', 'keyval': 'mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, static=static)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_create(self, port_profile=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_access_vlan_create(self, port_profile=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_group
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_group: long
    :param access_mac_group: **vlan** tuple argument:  Associate a Mac group with a vlan

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.access_mac_group_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_group', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_access_vlan_access_mac_vlan_classification_create(self, port_profile=None, vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Keyword Argument Tuple**:

    :type vlan: access_vlan_id, access_mac_address
    :param vlan: Keyword argument tuple.

    :type access_vlan_id: long
    :param access_vlan_id: **vlan** tuple argument:  Set the default VLAN for the interface

        * range restriction: ::

            ['0..4294967295']

    :type access_mac_address: unicode
    :param access_mac_address: **vlan** tuple argument:  Associate the Mac address with a vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.access_mac_vlan_classification.access.vlan', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'access_vlan_id, access_mac_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, vlan=vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_allowed_vlan_add_create(self, port_profile=None, add=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Keyword Argument Tuple**:

    :type add: trunk_vlan_id, trunk_ctag_id
    :param add: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **add** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.add_', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'add', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, add=add)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def port_profile_vlan_profile_switchport_trunk_allowed_vlan_remove_create(self, port_profile=None, remove=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type port_profile: name
    :param port_profile: Keyword argument tuple.

    :type name: unicode
    :param name: **port_profile** tuple argument:  Port-profile name (Max Size - 128)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,127})'

    **Instance Keyword Argument Tuple**:

    :type remove: trunk_vlan_id, trunk_ctag_id
    :param remove: Keyword argument tuple.

    :type trunk_vlan_id: long
    :param trunk_vlan_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type trunk_ctag_id: long
    :param trunk_ctag_id: **remove** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.port_profile', 'port_profile'), ('pybind.nos.v6_0_2c.port_profile', 'port_profile'), ('pybind.nos.v7_0_1b.port_profile', 'port_profile'), ('pybind.slxos.v16r_1_00b.port_profile', 'port_profile')]
    bindings_list = [('pybind.nos.v6_0_2c.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v6_0_2c.brocade_port_profile', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_0_1b.brocade_port_profile', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.nos.v7_1_0.brocade_port_profile', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.port_profile.vlan_profile.switchport.trunk.trunk_vlan_classification.allowed.vlan.remove_', 'pybind.slxos.v16r_1_00b.brocade_port_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remove', 'keyval': 'trunk_vlan_id, trunk_ctag_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, port_profile=port_profile, remove=remove)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def preprovision_rbridge_id_create(self, rbridge_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id, wwn
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type wwn: unicode
    :param wwn: **rbridge_id** tuple argument:  World Wide Name (WWN)

        * pattern restriction: ::

            '[0-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0'
            '-9a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9'
            'a-fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]:[0-9a-'
            'fA-F][0-9a-fA-F]:[0-9a-fA-F][0-9a-fA-F]'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.preprovision.rbridge_id', 'pybind.nos.v6_0_2c.brocade_preprovision', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.preprovision.rbridge_id', 'pybind.nos.v7_0_1b.brocade_preprovision', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.preprovision.rbridge_id', 'pybind.nos.v7_1_0.brocade_preprovision', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.preprovision.rbridge_id', 'pybind.slxos.v16r_1_00b.brocade_preprovision', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id, wwn', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_create(self, domain_name=None, domain_level=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type domain_level: long
    :param domain_level: Maintanance Domain Level

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'domain_name', 'keyval': 'domain_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, domain_level=domain_level)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_create(self, domain_name=None, ma_name=None, ma_id=None, ma_vlan_vid=None, ma_bd_vid=None, ma_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Argument(s)**:

    :type ma_id: long
    :param ma_id: MA ID used for short-MAID

        * range restriction: ::

            ['0..4294967295']

    :type ma_vlan_vid: long
    :param ma_vlan_vid: Vlan association

        * range restriction: ::

            ['0..4294967295']

    :type ma_bd_vid: long
    :param ma_bd_vid: bridge-domain association

        * range restriction: ::

            ['0..4294967295']

    :type ma_priority: long
    :param ma_priority: Set Priority for this MA

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ma_name', 'keyval': 'ma_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, ma_id=ma_id, ma_vlan_vid=ma_vlan_vid, ma_bd_vid=ma_bd_vid, ma_priority=ma_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_create(self, domain_name=None, ma_name=None, mep=None, mep_down_up=None, vlan=None, mep_intf_type=None, mep_intf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    **Instance Keyword Argument Tuple**:

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: long
    :param mep_id: **mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mep_down_up: unicode
    :param mep_down_up: Keyword argument.

        * enumeration restriction: ::

            ['down', 'up']

    :type vlan: long
    :param vlan: Enter Vlan-id

        * range restriction: ::

            ['0..4294967295']

    :type mep_intf_type: unicode
    :param mep_intf_type: Keyword argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type mep_intf_name: unicode
    :param mep_intf_name: Keyword argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mep', 'keyval': 'mep_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mep=mep, mep_down_up=mep_down_up, vlan=vlan, mep_intf_type=mep_intf_type, mep_intf_name=mep_intf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_cfm_domain_name_ma_name_mep_remote_mep_create(self, domain_name=None, ma_name=None, mep=None, remote_mep=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type domain_name: domain_name
    :param domain_name: Keyword argument tuple.

    :type domain_name: unicode
    :param domain_name: **domain_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type ma_name: ma_name
    :param ma_name: Keyword argument tuple.

    :type ma_name: unicode
    :param ma_name: **ma_name** tuple argument:  String length 21 char

        * length restriction: ::

            ['1..21']

    :type mep: mep_id
    :param mep: Keyword argument tuple.

    :type mep_id: long
    :param mep_id: **mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type remote_mep: remote_mep
    :param remote_mep: Keyword argument tuple.

    :type remote_mep: long
    :param remote_mep: **remote_mep** tuple argument:  DECIMAL :: <1-8191>

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name', u'domain_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name', u'ma_name'), ('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep', u'mep')]
    bindings_list = [('pybind.slxos.v16r_1_00b.protocol.cfm.domain_name.ma_name.cfm_ma_sub_commands.mep.cfm_mep_sub_commands.remote_mep', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'domain_name', 'extra_keyval': ''}, {'keyval': 'ma_name', 'extra_keyval': ''}, {'keyval': 'mep_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'remote_mep', 'keyval': 'remote_mep', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, domain_name=domain_name, ma_name=ma_name, mep=mep, remote_mep=remote_mep)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_create(self, description=None, hello=None, mode=None, multiplier=None, system_name=None, system_description=None, iscsi_priority=None, disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: The User description

        * length restriction: ::

            ['1 .. 50']

    :type hello: long
    :param hello: The Hello Transmit interval.

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: The LLDP mode.

        * enumeration restriction: ::

            ['rx', 'tx']

    :type multiplier: long
    :param multiplier: The Timeout Multiplier

        * range restriction: ::

            ['0..4294967295']

    :type system_name: unicode
    :param system_name: The System Name

        * length restriction: ::

            ['0..32']

        * pattern restriction: ::

            '(([a-zA-Z]{1}([-a-zA-Z0-9\s\.\\\\@#\+\*\(\)=\{~\'
            '}%<>=$_\[\]\|]{0,31}))|(\s)*)'

    :type system_description: unicode
    :param system_description: The System Description.

        * length restriction: ::

            ['1..50']

    :type iscsi_priority: long
    :param iscsi_priority: Configure the Ethernet priority to advertise for iSCSI

        * range restriction: ::

            ['0..4294967295']

    :type disable: YANGBool
    :param disable: Disable LLDP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description, hello=hello, mode=mode, multiplier=multiplier, system_name=system_name, system_description=system_description, iscsi_priority=iscsi_priority, disable=disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_lldp_profile_create(self, profile=None, description=None, hello=None, mode=None, multiplier=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type profile: profile_name
    :param profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **profile** tuple argument.

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '(\S)+'

    **Instance Argument(s)**:

    :type description: unicode
    :param description: The User description

        * length restriction: ::

            ['1 .. 50']

    :type hello: long
    :param hello: The Hello Transmit interval.

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: The LLDP mode.

        * enumeration restriction: ::

            ['rx', 'tx']

    :type multiplier: long
    :param multiplier: The Timeout Multiplier

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.lldp.profile', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.lldp.profile', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.lldp.profile', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.lldp.profile', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'profile', 'keyval': 'profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, profile=profile, description=description, hello=hello, mode=mode, multiplier=multiplier)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_create(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, cisco_interoperability=None, region=None, revision=None, max_hops=None, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Spanning tree description

        * length restriction: ::

            ['0..64']

    :type bridge_priority: long
    :param bridge_priority: Bridge priority commands

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type cisco_interoperability: unicode
    :param cisco_interoperability: Configure Cisco Interoperability

        * enumeration restriction: ::

            ['enable', 'disable']

    :type region: unicode
    :param region: MST Region

        * length restriction: ::

            ['0..32']

    :type revision: int
    :param revision: Revision Number for configuration information

        * range restriction: ::

            ['0..65535']

    :type max_hops: long
    :param max_hops: MST max hop count

        * range restriction: ::

            ['0..4294967295']

    :type transmit_holdcount: long
    :param transmit_holdcount: Set Transmit hold count of the bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.protocol.spanning_tree.mstp": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "region": "region", "max_hops": "max_hops", "cisco_interoperability": "cisco_interoperability", "shutdown": "shutdown", "transmit_holdcount": "transmit_holdcount", "forward_delay": "forward_delay", "revision": "revision"}, "pybind.nos.v7_1_0.protocol.spanning_tree.mstp": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "region": "region", "max_hops": "max_hops", "cisco_interoperability": "cisco_interoperability", "shutdown": "shutdown", "transmit_holdcount": "transmit_holdcount", "forward_delay": "forward_delay", "revision": "revision"}, "pybind.nos.v7_0_1b.protocol.spanning_tree.mstp": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "region": "region", "max_hops": "max_hops", "cisco_interoperability": "cisco_interoperability", "shutdown": "shutdown", "transmit_holdcount": "transmit_holdcount", "forward_delay": "forward_delay", "revision": "revision"}, "pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, cisco_interoperability=cisco_interoperability, region=region, revision=revision, max_hops=max_hops, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_mstp_instance_create(self, instance=None, vlan=None, priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type instance: id
    :param instance: Keyword argument tuple.

    :type id: int
    :param id: **instance** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type vlan: unicode
    :param vlan: Vlan

        * pattern restriction: ::

            '(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(40[0-8][0-9]'
            ')|(4090))(-(([1-9][0-9]{0,2})|([1-3][0-9]{3})|(4'
            '0[0-8][0-9])|(4090)))?((,(([1-9][0-9]{0,2})|([1-'
            '3][0-9]{3})|(40[0-8][0-9])|(4090))(-(([1-9][0-9]'
            '{0,2})|([1-3][0-9]{3})|(40[0-8][0-9])|(4090)))?)'
            '?)*'

    :type priority: long
    :param priority: Priority - bridge priority for the common instance

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.mstp.instance', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.mstp.instance', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.mstp.instance', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'instance', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, instance=instance, vlan=vlan, priority=priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_create(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Spanning tree description

        * length restriction: ::

            ['0..64']

    :type bridge_priority: long
    :param bridge_priority: Bridge priority commands

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst": {}, "pybind.nos.v6_0_2c.protocol.spanning_tree.pvst": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "forward_delay": "forward_delay"}, "pybind.nos.v7_0_1b.protocol.spanning_tree.pvst": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "forward_delay": "forward_delay"}, "pybind.nos.v7_1_0.protocol.spanning_tree.pvst": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "forward_delay": "forward_delay"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_pvst_vlan_create(self, vlan=None, priority=None, forward_delay=None, max_age=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Bridge priority in increments of 4096

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.protocol.spanning_tree.pvst.vlan": {}, "pybind.nos.v7_1_0.protocol.spanning_tree.pvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v7_0_1b.protocol.spanning_tree.pvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v6_0_2c.protocol.spanning_tree.pvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, priority=priority, forward_delay=forward_delay, max_age=max_age, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_create(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Spanning tree description

        * length restriction: ::

            ['0..64']

    :type bridge_priority: long
    :param bridge_priority: Bridge priority commands

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type transmit_holdcount: long
    :param transmit_holdcount: Set Transmit hold count of the bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "transmit_holdcount": "transmit_holdcount", "forward_delay": "forward_delay"}, "pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst": {}, "pybind.nos.v7_1_0.protocol.spanning_tree.rpvst": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "transmit_holdcount": "transmit_holdcount", "forward_delay": "forward_delay"}, "pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "transmit_holdcount": "transmit_holdcount", "forward_delay": "forward_delay"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rpvst_vlan_create(self, vlan=None, priority=None, forward_delay=None, max_age=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vlan: id
    :param vlan: Keyword argument tuple.

    :type id: long
    :param id: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type priority: long
    :param priority: Bridge priority in increments of 4096

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.protocol.spanning_tree.rpvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v6_0_2c.protocol.spanning_tree.rpvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}, "pybind.nos.v7_1_0.protocol.spanning_tree.rpvst.vlan": {"priority": "priority", "max_age": "max_age", "hello_time": "hello_time", "id": "id", "forward_delay": "forward_delay"}, "pybind.slxos.v16r_1_00b.protocol.spanning_tree.rpvst.vlan": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, priority=priority, forward_delay=forward_delay, max_age=max_age, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_rstp_create(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, transmit_holdcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Spanning tree description

        * length restriction: ::

            ['0..64']

    :type bridge_priority: long
    :param bridge_priority: Bridge priority commands

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type transmit_holdcount: long
    :param transmit_holdcount: Set Transmit hold count of the bridge

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.rstp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.rstp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.rstp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.protocol.spanning_tree.rstp": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "transmit_holdcount": "transmit_holdcount", "forward_delay": "forward_delay"}, "pybind.slxos.v16r_1_00b.protocol.spanning_tree.rstp": {}, "pybind.nos.v6_0_2c.protocol.spanning_tree.rstp": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "transmit_holdcount": "transmit_holdcount", "forward_delay": "forward_delay"}, "pybind.nos.v7_1_0.protocol.spanning_tree.rstp": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "transmit_holdcount": "transmit_holdcount", "forward_delay": "forward_delay"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time, transmit_holdcount=transmit_holdcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_spanning_tree_stp_create(self, description=None, bridge_priority=None, forward_delay=None, max_age=None, shutdown=None, hello_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type description: unicode
    :param description: Spanning tree description

        * length restriction: ::

            ['0..64']

    :type bridge_priority: long
    :param bridge_priority: Bridge priority commands

        * range restriction: ::

            ['0..4294967295']

    :type forward_delay: long
    :param forward_delay: Set the forward delay for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type max_age: long
    :param max_age: Set the max age for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type shutdown: YANGBool
    :param shutdown: Turn off the spanning-tree protocol

    :type hello_time: long
    :param hello_time: Set the hello interval for the spanning tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.spanning_tree.stp', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.spanning_tree.stp', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.spanning_tree.stp', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.slxos.v16r_1_00b.protocol.spanning_tree.stp": {}, "pybind.nos.v7_0_1b.protocol.spanning_tree.stp": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "forward_delay": "forward_delay"}, "pybind.nos.v7_1_0.protocol.spanning_tree.stp": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "forward_delay": "forward_delay"}, "pybind.nos.v6_0_2c.protocol.spanning_tree.stp": {"max_age": "max_age", "description": "description", "hello_time": "hello_time", "bridge_priority": "bridge_priority", "shutdown": "shutdown", "forward_delay": "forward_delay"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, description=description, bridge_priority=bridge_priority, forward_delay=forward_delay, max_age=max_age, shutdown=shutdown, hello_time=hello_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def protocol_udld_create(self, hello=None, multiplier=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type hello: long
    :param hello: Hello transmit interval

        * range restriction: ::

            ['0..4294967295']

    :type multiplier: long
    :param multiplier: Timeout multiplier

        * range restriction: ::

            ['0..4294967295']

    :type shutdown: YANGBool
    :param shutdown: Disable UDLD protocol

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.protocol.udld', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.protocol.udld', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.protocol.udld', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.protocol.udld', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, hello=hello, multiplier=multiplier, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def pw_profile_create(self, pw_profile=None, mtu_enforce=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type pw_profile: pw_profile_name
    :param pw_profile: Keyword argument tuple.

    :type pw_profile_name: unicode
    :param pw_profile_name: **pw_profile** tuple argument:  Pw-profile name (Max Size - 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,63})'

    **Instance Argument(s)**:

    :type mtu_enforce: YANGBool
    :param mtu_enforce: Whether to enforce mtu check during PW signalling

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.pw_profile', 'pybind.slxos.v16r_1_00b.brocade_pw_profile', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'pw_profile', 'keyval': 'pw_profile_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, pw_profile=pw_profile, mtu_enforce=mtu_enforce)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_create(self, slot=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'slot', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_create(self, slot=None, group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Keyword Argument Tuple**:

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_cpu_slot_group_prio_create(self, slot=None, group=None, group_prio=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type slot: slot_id
    :param slot: Keyword argument tuple.

    :type slot_id: unicode
    :param slot_id: **slot** tuple argument.

        * length restriction: ::

            ['1..3']

    :type group: group_id
    :param group: Keyword argument tuple.

    :type group_id: unicode
    :param group_id: **group** tuple argument.

        * length restriction: ::

            ['1..3']

    **Instance Keyword Argument Tuple**:

    :type group_prio: group_prio_id
    :param group_prio: Keyword argument tuple.

    :type group_prio_id: unicode
    :param group_prio_id: **group_prio** tuple argument.

        * length restriction: ::

            ['1..3']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot', u'slot'), ('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group', u'group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.cpu.slot.port_group.group.group_config_shaper_wfq.group_prio', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'slot_id', 'extra_keyval': ''}, {'keyval': 'group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'group_prio', 'keyval': 'group_prio_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, slot=slot, group=group, group_prio=group_prio)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_create(self, cos_mutation=None, cos0=None, cos1=None, cos2=None, cos3=None, cos4=None, cos5=None, cos6=None, cos7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cos_mutation: name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos0: long
    :param cos0: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos1: long
    :param cos1: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos2: long
    :param cos2: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos3: long
    :param cos3: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos4: long
    :param cos4: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos5: long
    :param cos5: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos6: long
    :param cos6: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos7: long
    :param cos7: **cos_mutation** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type cos0: long
    :param cos0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos1: long
    :param cos1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos2: long
    :param cos2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos3: long
    :param cos3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos4: long
    :param cos4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos5: long
    :param cos5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos6: long
    :param cos6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos7: long
    :param cos7: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_mutation', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_mutation', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_mutation', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.qos.map_.cos_mutation": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}, "pybind.nos.v7_0_1b.qos.map_.cos_mutation": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}, "pybind.nos.v6_0_2c.qos.map_.cos_mutation": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}, "pybind.slxos.v16r_1_00b.qos.map_.cos_mutation": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos0=cos0, cos1=cos1, cos2=cos2, cos3=cos3, cos4=cos4, cos5=cos5, cos6=cos6, cos7=cos7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_mutation_map_create(self, cos_mutation=None, cos_to_cos_mappings=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cos_mutation: name
    :param cos_mutation: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type cos_to_cos_mappings: from_cos
    :param cos_to_cos_mappings: Keyword argument tuple.

    :type from_cos: int
    :param from_cos: **cos_to_cos_mappings** tuple argument:  In CoS

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation', u'cos_mutation')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_mutation.cos_to_cos_mappings', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cos_to_cos_mappings', 'keyval': 'from_cos', 'extra_keyval': 'from_cos'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_mutation=cos_mutation, cos_to_cos_mappings=cos_to_cos_mappings)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_create(self, cos_traffic_class=None, cos0=None, cos1=None, cos2=None, cos3=None, cos4=None, cos5=None, cos6=None, cos7=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cos_traffic_class: name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type cos0: long
    :param cos0: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos1: long
    :param cos1: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos2: long
    :param cos2: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos3: long
    :param cos3: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos4: long
    :param cos4: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos5: long
    :param cos5: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos6: long
    :param cos6: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos7: long
    :param cos7: **cos_traffic_class** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type cos0: long
    :param cos0: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos1: long
    :param cos1: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos2: long
    :param cos2: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos3: long
    :param cos3: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos4: long
    :param cos4: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos5: long
    :param cos5: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos6: long
    :param cos6: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type cos7: long
    :param cos7: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.cos_traffic_class', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.cos_traffic_class', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.cos_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cos_traffic_class', 'keyval': 'name', 'extra_keyval': 'name, cos0, cos1, cos2, cos3, cos4, cos5, cos6, cos7'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.qos.map_.cos_traffic_class": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}, "pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class": {}, "pybind.nos.v6_0_2c.qos.map_.cos_traffic_class": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}, "pybind.nos.v7_0_1b.qos.map_.cos_traffic_class": {"name": "name", "cos7": "cos7", "cos6": "cos6", "cos5": "cos5", "cos4": "cos4", "cos3": "cos3", "cos2": "cos2", "cos1": "cos1", "cos0": "cos0"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos0=cos0, cos1=cos1, cos2=cos2, cos3=cos3, cos4=cos4, cos5=cos5, cos6=cos6, cos7=cos7)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_cos_traffic_class_map_create(self, cos_traffic_class=None, cos_to_tc_dp_mappings=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cos_traffic_class: name
    :param cos_traffic_class: Keyword argument tuple.

    :type name: unicode
    :param name: **cos_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type cos_to_tc_dp_mappings: from_cos
    :param cos_to_tc_dp_mappings: Keyword argument tuple.

    :type from_cos: int
    :param from_cos: **cos_to_tc_dp_mappings** tuple argument:  In CoS

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class', u'cos_traffic_class')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.cos_traffic_class.cos_to_tc_dp_mappings', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cos_to_tc_dp_mappings', 'keyval': 'from_cos', 'extra_keyval': 'from_cos'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cos_traffic_class=cos_traffic_class, cos_to_tc_dp_mappings=cos_to_tc_dp_mappings)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_cos_create(self, dscp_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type dscp_cos: dscp_cos_map_name
    :param dscp_cos: Keyword argument tuple.

    :type dscp_cos_map_name: unicode
    :param dscp_cos_map_name: **dscp_cos** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_cos', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_cos', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dscp_cos', 'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_cos=dscp_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_cos_map_create(self, dscp_cos=None, dscp_to_cos_mapping=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_cos: dscp_cos_map_name
    :param dscp_cos: Keyword argument tuple.

    :type dscp_cos_map_name: unicode
    :param dscp_cos_map_name: **dscp_cos** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type dscp_to_cos_mapping: dscp_in_values
    :param dscp_to_cos_mapping: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **dscp_to_cos_mapping** tuple argument:  In DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos', u'dscp_cos')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_cos.dscp_to_cos_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dscp_to_cos_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_cos=dscp_cos, dscp_to_cos_mapping=dscp_to_cos_mapping)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_cos_mark_create(self, dscp_cos=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_cos: dscp_cos_map_name
    :param dscp_cos: Keyword argument tuple.

    :type dscp_cos_map_name: unicode
    :param dscp_cos_map_name: **dscp_cos** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type mark: dscp_in_values
    :param mark: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **mark** tuple argument:  0-63;;Incoming DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to: long
    :param to: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_0_1b.qos.map_.dscp_cos', u'dscp_cos'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos', u'dscp_cos')]
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_cos.mark', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_cos.mark', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_cos.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_cos_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_cos=dscp_cos, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_mutation_create(self, dscp_mutation=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type dscp_mutation: dscp_mutation_map_name
    :param dscp_mutation: Keyword argument tuple.

    :type dscp_mutation_map_name: unicode
    :param dscp_mutation_map_name: **dscp_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_mutation', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_mutation', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dscp_mutation', 'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_mutation=dscp_mutation)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_mutation_map_create(self, dscp_mutation=None, dscp_to_dscp_mapping=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_mutation: dscp_mutation_map_name
    :param dscp_mutation: Keyword argument tuple.

    :type dscp_mutation_map_name: unicode
    :param dscp_mutation_map_name: **dscp_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type dscp_to_dscp_mapping: dscp_in_values
    :param dscp_to_dscp_mapping: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **dscp_to_dscp_mapping** tuple argument:  In DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation', u'dscp_mutation')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_mutation.dscp_to_dscp_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dscp_to_dscp_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_mutation=dscp_mutation, dscp_to_dscp_mapping=dscp_to_dscp_mapping)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_mutation_mark_create(self, dscp_mutation=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_mutation: dscp_mutation_map_name
    :param dscp_mutation: Keyword argument tuple.

    :type dscp_mutation_map_name: unicode
    :param dscp_mutation_map_name: **dscp_mutation** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type mark: dscp_in_values
    :param mark: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **mark** tuple argument:  0-63;;Incoming DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to: long
    :param to: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v6_0_2c.qos.map_.dscp_mutation', u'dscp_mutation'), ('pybind.nos.v7_0_1b.qos.map_.dscp_mutation', u'dscp_mutation')]
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_mutation.mark', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_mutation.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_mutation_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_mutation=dscp_mutation, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_traffic_class_create(self, dscp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type dscp_traffic_class: dscp_traffic_class_map_name
    :param dscp_traffic_class: Keyword argument tuple.

    :type dscp_traffic_class_map_name: unicode
    :param dscp_traffic_class_map_name: **dscp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_traffic_class', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_traffic_class', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dscp_traffic_class', 'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_traffic_class=dscp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_traffic_class_map_create(self, dscp_traffic_class=None, dscp_to_tc_dp_mapping=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_traffic_class: dscp_traffic_class_map_name
    :param dscp_traffic_class: Keyword argument tuple.

    :type dscp_traffic_class_map_name: unicode
    :param dscp_traffic_class_map_name: **dscp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type dscp_to_tc_dp_mapping: dscp_in_values
    :param dscp_to_tc_dp_mapping: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **dscp_to_tc_dp_mapping** tuple argument:  In DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.dscp_traffic_class.dscp_to_tc_dp_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dscp_to_tc_dp_mapping', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_traffic_class=dscp_traffic_class, dscp_to_tc_dp_mapping=dscp_to_tc_dp_mapping)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_dscp_traffic_class_mark_create(self, dscp_traffic_class=None, mark=None, to=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_traffic_class: dscp_traffic_class_map_name
    :param dscp_traffic_class: Keyword argument tuple.

    :type dscp_traffic_class_map_name: unicode
    :param dscp_traffic_class_map_name: **dscp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type mark: dscp_in_values
    :param mark: Keyword argument tuple.

    :type dscp_in_values: unicode
    :param dscp_in_values: **mark** tuple argument:  0-63;;Incoming DSCP

        * pattern restriction: ::

            '(([0-9])|([1-5][0-9])|(6[0-3]))(-(([0-9])|([1-5]'
            '[0-9])|(6[0-3])))?((,(([0-9])|([1-5][0-9])|(6[0-'
            '3]))(-(([0-9])|([1-5][0-9])|(6[0-3])))?)?)*'

    **Instance Argument(s)**:

    :type to: long
    :param to: Keyword argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v6_0_2c.qos.map_.dscp_traffic_class', u'dscp_traffic_class'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class', u'dscp_traffic_class')]
    bindings_list = [('pybind.nos.v6_0_2c.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.map_.dscp_traffic_class.mark', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}, {'keyval': 'dscp_traffic_class_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'mark', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_traffic_class=dscp_traffic_class, mark=mark, to=to)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_traffic_class_cos_create(self, traffic_class_cos=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type traffic_class_cos: traffic_class_cos_map_name
    :param traffic_class_cos: Keyword argument tuple.

    :type traffic_class_cos_map_name: unicode
    :param traffic_class_cos_map_name: **traffic_class_cos** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'traffic_class_cos', 'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class_cos=traffic_class_cos)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_map_traffic_class_cos_map_create(self, traffic_class_cos=None, tc_dp_to_cos_mapping=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type traffic_class_cos: traffic_class_cos_map_name
    :param traffic_class_cos: Keyword argument tuple.

    :type traffic_class_cos_map_name: unicode
    :param traffic_class_cos_map_name: **traffic_class_cos** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type tc_dp_to_cos_mapping: from_traffic_class, from_drop_precedence
    :param tc_dp_to_cos_mapping: Keyword argument tuple.

    :type from_traffic_class: int
    :param from_traffic_class: **tc_dp_to_cos_mapping** tuple argument:  In Traffic-Class

        * range restriction: ::

            ['0..255']

    :type from_drop_precedence: int
    :param from_drop_precedence: **tc_dp_to_cos_mapping** tuple argument:  In Drop-Precedence

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos', u'traffic_class_cos')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos.map_.traffic_class_cos.tc_dp_to_cos_mapping', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_cos_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'tc_dp_to_cos_mapping', 'keyval': 'from_traffic_class, from_drop_precedence', 'extra_keyval': 'from_traffic_class, from_drop_precedence'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class_cos=traffic_class_cos, tc_dp_to_cos_mapping=tc_dp_to_cos_mapping)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_dscp_exp_create(self, dscp_exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type dscp_exp: dscp_exp_map_name
    :param dscp_exp: Keyword argument tuple.

    :type dscp_exp_map_name: unicode
    :param dscp_exp_map_name: **dscp_exp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'dscp_exp', 'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_exp=dscp_exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_dscp_exp_dscp_create(self, dscp_exp=None, dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type dscp_exp: dscp_exp_map_name
    :param dscp_exp: Keyword argument tuple.

    :type dscp_exp_map_name: unicode
    :param dscp_exp_map_name: **dscp_exp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type dscp: dscp_in_values
    :param dscp: Keyword argument tuple.

    :type dscp_in_values: long
    :param dscp_in_values: **dscp** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp', u'dscp_exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.dscp_exp.dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'dscp_exp_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'dscp', 'keyval': 'dscp_in_values', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, dscp_exp=dscp_exp, dscp=dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_dscp_create(self, exp_dscp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type exp_dscp: exp_dscp_map_name
    :param exp_dscp: Keyword argument tuple.

    :type exp_dscp_map_name: unicode
    :param exp_dscp_map_name: **exp_dscp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'exp_dscp', 'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, exp_dscp=exp_dscp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_dscp_exp_create(self, exp_dscp=None, exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type exp_dscp: exp_dscp_map_name
    :param exp_dscp: Keyword argument tuple.

    :type exp_dscp_map_name: unicode
    :param exp_dscp_map_name: **exp_dscp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type exp: exp_in_values
    :param exp: Keyword argument tuple.

    :type exp_in_values: long
    :param exp_in_values: **exp** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp', u'exp_dscp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_dscp.exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'exp_dscp_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'exp', 'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, exp_dscp=exp_dscp, exp=exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_traffic_class_create(self, exp_traffic_class=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type exp_traffic_class: exp_traffic_class_map_name
    :param exp_traffic_class: Keyword argument tuple.

    :type exp_traffic_class_map_name: unicode
    :param exp_traffic_class_map_name: **exp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'exp_traffic_class', 'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, exp_traffic_class=exp_traffic_class)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_exp_traffic_class_exp_create(self, exp_traffic_class=None, exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type exp_traffic_class: exp_traffic_class_map_name
    :param exp_traffic_class: Keyword argument tuple.

    :type exp_traffic_class_map_name: unicode
    :param exp_traffic_class_map_name: **exp_traffic_class** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type exp: exp_in_values
    :param exp: Keyword argument tuple.

    :type exp_in_values: long
    :param exp_in_values: **exp** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class', u'exp_traffic_class')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.exp_traffic_class.exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'exp_traffic_class_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'exp', 'keyval': 'exp_in_values', 'extra_keyval': 'exp_in_values'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, exp_traffic_class=exp_traffic_class, exp=exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_inexp_outexp_create(self, inexp_outexp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type inexp_outexp: inexp_outexp_map_name
    :param inexp_outexp: Keyword argument tuple.

    :type inexp_outexp_map_name: unicode
    :param inexp_outexp_map_name: **inexp_outexp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'inexp_outexp', 'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inexp_outexp=inexp_outexp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_inexp_outexp_in_exp_create(self, inexp_outexp=None, in_exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type inexp_outexp: inexp_outexp_map_name
    :param inexp_outexp: Keyword argument tuple.

    :type inexp_outexp_map_name: unicode
    :param inexp_outexp_map_name: **inexp_outexp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type in_exp: in_exp_in_values
    :param in_exp: Keyword argument tuple.

    :type in_exp_in_values: long
    :param in_exp_in_values: **in_exp** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp', u'inexp_outexp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.inexp_outexp.in_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'inexp_outexp_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'in_exp', 'keyval': 'in_exp_in_values', 'extra_keyval': 'in_exp_in_values'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, inexp_outexp=inexp_outexp, in_exp=in_exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_traffic_class_exp_create(self, traffic_class_exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type traffic_class_exp: traffic_class_exp_map_name
    :param traffic_class_exp: Keyword argument tuple.

    :type traffic_class_exp_map_name: unicode
    :param traffic_class_exp_map_name: **traffic_class_exp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'traffic_class_exp', 'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class_exp=traffic_class_exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_mpls_map_traffic_class_exp_traffic_class_create(self, traffic_class_exp=None, priority=None, drop_precedence=None, to=None, exp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type traffic_class_exp: traffic_class_exp_map_name
    :param traffic_class_exp: Keyword argument tuple.

    :type traffic_class_exp_map_name: unicode
    :param traffic_class_exp_map_name: **traffic_class_exp** tuple argument:  Name for the MAP(Max 64)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type priority: priority_in_values, drop_precedence, to, exp
    :param priority: Keyword argument tuple.

    :type priority_in_values: long
    :param priority_in_values: **priority** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type drop_precedence: long
    :param drop_precedence: **priority** tuple argument:  drop-precedence value 0-3

        * range restriction: ::

            ['0..4294967295']

    :type to: YANGBool
    :param to: **priority** tuple argument:  to

    :type exp: long
    :param exp: **priority** tuple argument:  exp value 0-7

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type drop_precedence: long
    :param drop_precedence: drop-precedence value 0-3

        * range restriction: ::

            ['0..4294967295']

    :type to: YANGBool
    :param to: to

    :type exp: long
    :param exp: exp value 0-7

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp', u'traffic_class_exp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.qos_mpls.map_.traffic_class_exp.priority', 'pybind.slxos.v16r_1_00b.brocade_qos_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'traffic_class_exp_map_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'priority', 'keyval': 'priority_in_values', 'extra_keyval': 'priority_in_values, drop_precedence, to, exp'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, traffic_class_exp=traffic_class_exp, priority=priority, drop_precedence=drop_precedence, to=to, exp=exp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_red_profile_create(self, red_profile=None, min_threshold=None, max_threshold=None, drop_probability=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type red_profile: profile_id, min_threshold, max_threshold, drop_probability
    :param red_profile: Keyword argument tuple.

    :type profile_id: long
    :param profile_id: **red_profile** tuple argument:  0-383;;Profile Id

        * range restriction: ::

            ['-2147483648..2147483647']

    :type min_threshold: long
    :param min_threshold: **red_profile** tuple argument:  Minimum Threshold in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type max_threshold: long
    :param max_threshold: **red_profile** tuple argument:  Maximum Threshold in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type drop_probability: long
    :param drop_probability: **red_profile** tuple argument:  Drop Probability in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    **Instance Argument(s)**:

    :type min_threshold: long
    :param min_threshold: Minimum Threshold in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type max_threshold: long
    :param max_threshold: Maximum Threshold in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type drop_probability: long
    :param drop_probability: Drop Probability in Percentage

        * range restriction: ::

            ['-2147483648..2147483647']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.qos.red_profile', 'pybind.nos.v6_0_2c.brocade_qos', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.qos.red_profile', 'pybind.nos.v7_0_1b.brocade_qos', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.qos.red_profile', 'pybind.nos.v7_1_0.brocade_qos', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.qos.red_profile', 'pybind.slxos.v16r_1_00b.brocade_qos_mls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'red_profile', 'keyval': 'profile_id', 'extra_keyval': 'profile_id, min_threshold, max_threshold, drop_probability'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, red_profile=red_profile, min_threshold=min_threshold, max_threshold=max_threshold, drop_probability=drop_probability)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def qos_service_policy_create(self, service_policy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type service_policy: direction, policy_map_name
    :param service_policy: Keyword argument tuple.

    :type direction: unicode
    :param direction: **service_policy** tuple argument.

        * enumeration restriction: ::

            ['in']

    :type policy_map_name: unicode
    :param policy_map_name: **service_policy** tuple argument:  MAP_NAME;;Qos Policy map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_qos.qos.service_policy', 'pybind.nos.v6_0_2c.brocade_policer', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_qos.qos.service_policy', 'pybind.nos.v7_0_1b.brocade_policer', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_qos.qos.service_policy', 'pybind.nos.v7_1_0.brocade_policer', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_qos.qos.service_policy', 'pybind.slxos.v16r_1_00b.brocade_qos_mqc', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'service_policy', 'keyval': 'direction, policy_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, service_policy=service_policy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def queues_state_queue_interface_list_create(self, queue_interface_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type queue_interface_list: interface_value
    :param queue_interface_list: Keyword argument tuple.

    :type interface_value: unicode
    :param interface_value: **queue_interface_list** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue_interface_list', 'keyval': 'interface_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue_interface_list=queue_interface_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def queues_state_queue_interface_list_queue_info_list_create(self, queue_interface_list=None, queue_info_list=None, tx_packets=None, tx_bytes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type queue_interface_list: interface_value
    :param queue_interface_list: Keyword argument tuple.

    :type interface_value: unicode
    :param interface_value: **queue_interface_list** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type queue_info_list: interface, num
    :param queue_info_list: Keyword argument tuple.

    :type interface: unicode
    :param interface: **queue_info_list** tuple argument.

    :type num: long
    :param num: **queue_info_list** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list', u'queue_interface_list')]
    bindings_list = [('pybind.slxos.v16r_1_00b.queues_state.queue_interface_list.queue_info_list', 'pybind.slxos.v16r_1_00b.brocade_openflow_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_value', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue_info_list', 'keyval': 'interface, num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue_interface_list=queue_interface_list, queue_info_list=queue_info_list, tx_packets=tx_packets, tx_bytes=tx_bytes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def radius_server_host_create(self, host=None, auth_port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this RADIUS server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type auth_port: int
    :param auth_port: UDP Port for Authentication (default=1812)

        * range restriction: ::

            ['0..65535']

    :type protocol: unicode
    :param protocol: Authentication protocol to be used (default=CHAP)

        * enumeration restriction: ::

            ['pap', 'chap', 'peap-mschap']

    :type key: unicode
    :param key: Secret shared with this server (default='sharedsecret')

        * length restriction: ::

            ['8 .. max']

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the key (default=7)

        * enumeration restriction: ::

            ['0', '7']

    :type retries: long
    :param retries: Number of retries for this server connection (default=5)

        * range restriction: ::

            ['0..4294967295']

    :type timeout: long
    :param timeout: Wait time for this server to respond (default=5 sec)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.radius_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.radius_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.radius_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.radius_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': 'hostname, use_vrf, auth_port, protocol, key, encryption_level, retries, timeout'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.radius_server.host": {}, "pybind.nos.v6_0_2c.radius_server.host": {"encryption_level": "encryption_level", "retries": "retries", "protocol": "protocol", "timeout": "timeout", "hostname": "hostname", "auth_port": "auth_port", "key": "key"}, "pybind.nos.v7_1_0.radius_server.host": {}, "pybind.slxos.v16r_1_00b.radius_server.host": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, auth_port=auth_port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_nport_interface_fiberchannel_create(self, rbridge_id=None, nport=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type nport: agNPortNb
    :param nport: Keyword argument tuple.

    :type agNPortNb: unicode
    :param agNPortNb: **nport** tuple argument.

        * length restriction: ::

            ['1..250']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.nport_menu.nport_interface.nport', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'nport', 'keyval': 'agNPortNb', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, nport=nport)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ag_pg_create(self, rbridge_id=None, pg=None, rename=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type pg: pgid
    :param pg: Keyword argument tuple.

    :type pgid: long
    :param pgid: **pg** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rename: unicode
    :param rename: Renames the PG

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ag.pg', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ag.pg', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ag.pg', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ag.pg', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'pg', 'keyval': 'pgid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, pg=pg, rename=rename)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_arp_create(self, rbridge_id=None, arp_entry=None, mac_address_value=None, interfacename=None, GigabitEthernet=None, TenGigabitEthernet=None, FortyGigabitEthernet=None, HundredGigabitEthernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mac_address_value: unicode
    :param mac_address_value: **arp_entry** tuple argument.

    :type interfacename: unicode
    :param interfacename: **arp_entry** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: **arp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Port_channel, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.arp_entry": {}, "pybind.nos.v6_0_2c.rbridge_id.arp_entry": {"mac_address_value": "mac_address_value", "interfacename": "interfacename", "FortyGigabitEthernet": "FortyGigabitEthernet", "GigabitEthernet": "GigabitEthernet", "TenGigabitEthernet": "TenGigabitEthernet", "arp_ip_address": "arp_ip_address", "HundredGigabitEthernet": "HundredGigabitEthernet", "Ve": "Ve"}, "pybind.nos.v7_1_0.rbridge_id.arp_entry": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_bp_rate_limit_queue_create(self, rbridge_id=None, queue=None, limit_percent=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type queue: queue_id
    :param queue: Keyword argument tuple.

    :type queue_id: long
    :param queue_id: **queue** tuple argument:  BP queue number (only queue 0 is supported)

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit_percent: long
    :param limit_percent: BP queue limit in percentage

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.bp_rate_limit.queue', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, queue=queue, limit_percent=limit_percent)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_crypto_ca_create(self, rbridge_id=None, ca=None, keypair=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ca: trustpoint
    :param ca: Keyword argument tuple.

    :type trustpoint: unicode
    :param trustpoint: **ca** tuple argument:  Trustpoint name

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type keypair: unicode
    :param keypair: Key pair association

        * length restriction: ::

            ['0..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.crypto.ca', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.crypto.ca', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.crypto.ca', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ca', 'keyval': 'trustpoint', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ca=ca, keypair=keypair)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_crypto_key_create(self, rbridge_id=None, key=None, type=None, modulus=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type key: label, type, modulus
    :param key: Keyword argument tuple.

    :type label: unicode
    :param label: **key** tuple argument:  Key Label

        * length restriction: ::

            ['1..64']

    :type type: unicode
    :param type: **key** tuple argument:  Key Type

        * enumeration restriction: ::

            ['dsa', 'rsa', 'ecdsa']

    :type modulus: long
    :param modulus: **key** tuple argument:  Key Size

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type type: unicode
    :param type: Key Type

        * enumeration restriction: ::

            ['dsa', 'rsa', 'ecdsa']

    :type modulus: long
    :param modulus: Key Size

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.crypto.key', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.crypto.key', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.crypto.key', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'key', 'keyval': 'label', 'extra_keyval': 'label, type, modulus'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, key=key, type=type, modulus=modulus)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_event_handler_activate_name_create(self, rbridge_id=None, name=None, delay=None, iterations=None, interval=None, run_mode=None, trigger_mode=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type name: name
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument:  Event handler name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type delay: long
    :param delay: Delay (in seconds) that the event-handler will wait, for the initial launch of the action after the trigger has been received (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type iterations: long
    :param iterations: Number of times to launch the action after the initial trigger has been received (default = 1).

        * range restriction: ::

            ['0..4294967295']

    :type interval: long
    :param interval: Time (in seconds) that the event-handler will wait between iterations of completing the previous action (default = 0).

        * range restriction: ::

            ['0..4294967295']

    :type run_mode: unicode
    :param run_mode: Run-mode controls how the action is launched with cluster formation (default = non-exclusive).

        * enumeration restriction: ::

            ['exclusive', 'non-exclusive']

    :type trigger_mode: unicode
    :param trigger_mode: Trigger-mode controls how the action is launched with the configured event trigger (default = each-instance).

        * enumeration restriction: ::

            ['each-instance',
            'only-once',
            'on-first-instance']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.event_handler.activate.name": {"name": "name", "interval": "interval", "trigger_mode": "trigger_mode", "delay": "delay", "iterations": "iterations", "run_mode": "run_mode"}, "pybind.nos.v7_1_0.rbridge_id.event_handler.activate.name": {}, "pybind.nos.v7_0_1b.rbridge_id.event_handler.activate.name": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, name=name, delay=delay, iterations=iterations, interval=interval, run_mode=run_mode, trigger_mode=trigger_mode)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_create(self, rbridge_id=None, evpn_instance=None, df_delay_timer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Argument(s)**:

    :type df_delay_timer: long
    :param df_delay_timer: DF delay timer

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_instance', 'keyval': 'instance_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, df_delay_timer=df_delay_timer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_route_target_both_create(self, rbridge_id=None, evpn_instance=None, both=None, ignore_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type both: target_community
    :param both: Keyword argument tuple.

    :type target_community: unicode
    :param target_community: **both** tuple argument:  auto;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type ignore_as: YANGBool
    :param ignore_as: Ignore-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, both=both, ignore_as=ignore_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_route_target_export_create(self, rbridge_id=None, evpn_instance=None, export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type export: target_community
    :param export: Keyword argument tuple.

    :type target_community: unicode
    :param target_community: **export** tuple argument:  auto;; Target VPN Extended Community

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.route_target.export', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'export', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, export=export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_route_target_import_create(self, rbridge_id=None, evpn_instance=None, import_=None, ignore_as=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type import_: target_community
    :param import_: Keyword argument tuple.

    :type target_community: unicode
    :param target_community: **import_** tuple argument:  auto ;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type ignore_as: YANGBool
    :param ignore_as: Ignore-as

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, import_=import_, ignore_as=ignore_as)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_vni_evpn_vni_create(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, rd=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    **Instance Keyword Argument Tuple**:

    :type evpn_vni: vni_number
    :param evpn_vni: Keyword argument tuple.

    :type vni_number: long
    :param vni_number: **evpn_vni** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rd: unicode
    :param rd: Configure RD for the VNI.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_vni', 'keyval': 'vni_number', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, rd=rd)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_vni_evpn_vni_route_target_both_create(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, both=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type evpn_vni: vni_number
    :param evpn_vni: Keyword argument tuple.

    :type vni_number: long
    :param vni_number: **evpn_vni** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type both: target_community
    :param both: Keyword argument tuple.

    :type target_community: unicode
    :param target_community: **both** tuple argument:  ASN:nn;; Target VPN Extended Community

        * pattern restriction: ::

            '(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9'
            ']{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-'
            '5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1]['
            '0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4'
            '294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0'
            '-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-'
            '8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]'
            '{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2'
            '][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9'
            ']{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9]['
            '0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9'
            ']{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4'
            '][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.evpn_vni.route_target.both', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.both', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'both', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, both=both)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_vni_evpn_vni_route_target_export_create(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, export=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type evpn_vni: vni_number
    :param evpn_vni: Keyword argument tuple.

    :type vni_number: long
    :param vni_number: **evpn_vni** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type export: target_community
    :param export: Keyword argument tuple.

    :type target_community: unicode
    :param target_community: **export** tuple argument:  ASN:nn;; Target VPN Extended Community

        * pattern restriction: ::

            '(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9'
            ']{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-'
            '5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1]['
            '0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4'
            '294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0'
            '-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-'
            '8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]'
            '{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2'
            '][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9'
            ']{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9]['
            '0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9'
            ']{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4'
            '][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.evpn_vni.route_target.export', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.export', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'export', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, export=export)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_evpn_instance_vni_evpn_vni_route_target_import_create(self, rbridge_id=None, evpn_instance=None, evpn_vni=None, import_=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type evpn_instance: instance_name
    :param evpn_instance: Keyword argument tuple.

    :type instance_name: unicode
    :param instance_name: **evpn_instance** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type evpn_vni: vni_number
    :param evpn_vni: Keyword argument tuple.

    :type vni_number: long
    :param vni_number: **evpn_vni** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type import_: target_community
    :param import_: Keyword argument tuple.

    :type target_community: unicode
    :param target_community: **import_** tuple argument:  ASN:nn;; Target VPN Extended Community

        * pattern restriction: ::

            '(((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9'
            ']{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-'
            '5])):(([0-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1]['
            '0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4'
            '294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(429496[0'
            '-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672[0-'
            '8][0-9])|(429496729[0-5])))|((([1-9][0-9]{0,8})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])):(([1-9][0-9]{0,3})|([1-5][0-9]'
            '{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2'
            '][0-9])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9'
            ']{2}|2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9]['
            '0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9'
            ']{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4'
            '][0-9]{2})|(655[0-2][0-9])|(6553[0-5]))))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance', u'evpn_instance'), ('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.evpn_vni', u'evpn_vni')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.evpn_instance.vni.evpn_vni.route_target.import_', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.evpn_instance.vni.evpn_vni.route_target.import_', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_name', 'extra_keyval': ''}, {'keyval': 'vni_number', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'import_', 'keyval': 'target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_instance=evpn_instance, evpn_vni=evpn_vni, import_=import_)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fabric_port_channel_create(self, rbridge_id=None, port_channel=None, vlag_load_balance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_channel: po_id
    :param port_channel: Keyword argument tuple.

    :type po_id: long
    :param po_id: **port_channel** tuple argument:  Port-channel id

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vlag_load_balance: unicode
    :param vlag_load_balance: Load balancing Commands

        * enumeration restriction: ::

            ['src-dst-ip-port',
            'src-mac-vid',
            'src-dst-ip',
            'src-dst-ip-mac-vid',
            'dst-mac-vid',
            'src-dst-mac-vid',
            'src-dst-ip-mac-vid-port']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fabric.port_channel', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fabric.port_channel', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fabric.port_channel', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fabric.port_channel', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_channel', 'keyval': 'po_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, port_channel=port_channel, vlag_load_balance=vlag_load_balance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_fcoe_fabric_map_create(self, rbridge_id=None, fcoe_enode_fabric_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type fcoe_enode_fabric_map: fcoe_enode_fabric_map_name
    :param fcoe_enode_fabric_map: Keyword argument tuple.

    :type fcoe_enode_fabric_map_name: unicode
    :param fcoe_enode_fabric_map_name: **fcoe_enode_fabric_map** tuple argument:  Configure an FCoE Fabric-map 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            'default'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.fcoe_config.fcoe_enode_fabric_map', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'fcoe_enode_fabric_map', 'keyval': 'fcoe_enode_fabric_map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, fcoe_enode_fabric_map=fcoe_enode_fabric_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_filter_change_update_delay_create(self, rbridge_id=None, filter_change_update_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type filter_change_update_delay: filter_delay_value
    :param filter_change_update_delay: Keyword argument tuple.

    :type filter_delay_value: long
    :param filter_delay_value: **filter_change_update_delay** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.filter_change_update_delay', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.filter_change_update_delay', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.filter_change_update_delay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'filter_change_update_delay', 'keyval': 'filter_delay_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, filter_change_update_delay=filter_change_update_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_http_server_use_vrf_create(self, rbridge_id=None, use_vrf=None, http_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, http_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0..max']

    :type http_vrf_shutdown: YANGBool
    :param http_vrf_shutdown: **use_vrf** tuple argument:  Shutdown HTTP/HTTPS server on the given vrf

    **Instance Argument(s)**:

    :type http_vrf_shutdown: YANGBool
    :param http_vrf_shutdown: Shutdown HTTP/HTTPS server on the given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, secure_and_plain, http_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.http.server.http_vrf_cont.use_vrf": {"http_vrf_shutdown": "http_vrf_shutdown", "use_vrf_name": "use_vrf_name"}, "pybind.nos.v7_1_0.rbridge_id.http.server.http_vrf_cont.use_vrf": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_vrf=use_vrf, http_vrf_shutdown=http_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_create(self, rbridge_id=None, loopback=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'loopback', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ip_address_create(self, rbridge_id=None, loopback=None, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/32'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_loopback_ipv6_address_ipv6_address_create(self, rbridge_id=None, loopback=None, ipv6_address=None, eui64=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type loopback: id
    :param loopback: Keyword argument tuple.

    :type id: long
    :param id: **loopback** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, eui64, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type eui64: YANGBool
    :param eui64: **ipv6_address** tuple argument:  Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type eui64: YANGBool
    :param eui64: Configure ipv6 address with an automatically computed EUI-64 interface Id

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback', u'loopback'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.loopback', u'loopback')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.loopback.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, eui64, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, loopback=loopback, ipv6_address=ipv6_address, eui64=eui64, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_create(self, rbridge_id=None, ve=None, shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type shutdown: YANGBool
    :param shutdown: Shutdown the selected interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u've', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, shutdown=shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_access_group_create(self, rbridge_id=None, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ip_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ip_access_list: unicode
    :param ip_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip_acl_interface.ip.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ip_access_list, ip_direction', 'extra_keyval': 'ip_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_address_create(self, rbridge_id=None, ve=None, address=None, secondary=None, ospf_passive=None, ospf_ignore=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type address: address, secondary, ospf_passive, ospf_ignore
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type secondary: YANGBool
    :param secondary: **address** tuple argument:  Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: **address** tuple argument:  ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: **address** tuple argument:  ospf active address on the specific interface

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Secondary ip address on the specific interface

    :type ospf_passive: YANGBool
    :param ospf_passive: ospf pasive address on the specific interface

    :type ospf_ignore: YANGBool
    :param ospf_ignore: ospf active address on the specific interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_config.address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': 'address, secondary, ospf_passive, ospf_ignore'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, address=address, secondary=secondary, ospf_passive=ospf_passive, ospf_ignore=ospf_ignore)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_anycast_address_create(self, rbridge_id=None, ve=None, ip_anycast_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_anycast_address: ip_address
    :param ip_anycast_address: Keyword argument tuple.

    :type ip_address: unicode
    :param ip_address: **ip_anycast_address** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_anycast_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_anycast_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_anycast_address', 'keyval': 'ip_address', 'extra_keyval': 'ip_address'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_anycast_address=ip_anycast_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_dhcp_relay_servers_create(self, rbridge_id=None, ve=None, servers=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  A.B.C.D;; IP address of the DHCP server

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCP server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr, server_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, servers=servers)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_create(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, enable_local=None, disable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_local: YANGBool
    :param enable_local: Enable Fabric Virtual Gateway

    :type disable_local: YANGBool
    :param disable_local: Disable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ip_local_anycast_gateway', 'keyval': 'local_ip_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, enable_local=enable_local, disable_local=disable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_interface_create(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, interface=None, interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type interface_priority: long
    :param interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, interface=interface, interface_priority=interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_network_create(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument.

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: long
    :param network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_fabric_virtual_gateway_track_next_hop_create(self, rbridge_id=None, ve=None, ip_local_anycast_gateway=None, next_hop=None, next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ip_local_anycast_gateway: local_ip_gw_id
    :param ip_local_anycast_gateway: Keyword argument tuple.

    :type local_ip_gw_id: long
    :param local_ip_gw_id: **ip_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type next_hop: next_hop_address
    :param next_hop: Keyword argument tuple.

    :type next_hop_address: unicode
    :param next_hop_address: **next_hop** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type next_hop_priority: long
    :param next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway', u'ip_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.ip_local_anycast_gateway.track.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ip_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ip_local_anycast_gateway=ip_local_anycast_gateway, next_hop=next_hop, next_hop_priority=next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ip_igmp_static_group_create(self, rbridge_id=None, ve=None, static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_group: sg_addr
    :param static_group: Keyword argument tuple.

    :type sg_addr: unicode
    :param sg_addr: **static_group** tuple argument:  Multicast Address to be Joined in the format A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ip.igmp.static_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'sg_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, static_group=static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_access_group_create(self, rbridge_id=None, ve=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: ipv6_access_list, ip_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type ipv6_access_list: unicode
    :param ipv6_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type ip_direction: unicode
    :param ip_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.access_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'ipv6_access_list, ip_direction', 'extra_keyval': 'ipv6_access_list, ip_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_address_ipv6_address_create(self, rbridge_id=None, ve=None, ipv6_address=None, secondary=None, anycast=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_address: address, secondary, anycast
    :param ipv6_address: Keyword argument tuple.

    :type address: unicode
    :param address: **ipv6_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type secondary: YANGBool
    :param secondary: **ipv6_address** tuple argument:  Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: **ipv6_address** tuple argument:  Configure ipv6 address as anycast

    **Instance Argument(s)**:

    :type secondary: YANGBool
    :param secondary: Configure Secondary ipv6 address on an interface

    :type anycast: YANGBool
    :param anycast: Configure ipv6 address as anycast

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_config.address.ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_address', 'keyval': 'address', 'extra_keyval': 'address, secondary, anycast'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_address=ipv6_address, secondary=secondary, anycast=anycast)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_anycast_address_create(self, rbridge_id=None, ve=None, ipv6_anycast_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_anycast_address: ipv6_address
    :param ipv6_anycast_address: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **ipv6_anycast_address** tuple argument:  A:B::C:D/LEN;; IPv6 prefix format: xxxx:xxxx/ml, xxxx:xxxx::/ml, xxxx::xx/128

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_anycast_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_anycast_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_anycast_address', 'keyval': 'ipv6_address', 'extra_keyval': 'ipv6_address'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_anycast_address=ipv6_anycast_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_dhcp_relay_servers_create(self, rbridge_id=None, ve=None, servers=None, server_vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type servers: relay_ip_addr, server_vrf_name
    :param servers: Keyword argument tuple.

    :type relay_ip_addr: unicode
    :param relay_ip_addr: **servers** tuple argument:  IPv6 address of the DHCPv6 server

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type server_vrf_name: unicode
    :param server_vrf_name: **servers** tuple argument:  VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type server_vrf_name: unicode
    :param server_vrf_name: VRF name of the DHCPv6 server

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.interface_ve_dhcp_conf.dhcp.relay.servers', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'servers', 'keyval': 'relay_ip_addr', 'extra_keyval': 'relay_ip_addr, server_vrf_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, servers=servers, server_vrf_name=server_vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_create(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, enable_local=None, disable_local=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type enable_local: YANGBool
    :param enable_local: Enable Fabric Virtual Gateway

    :type disable_local: YANGBool
    :param disable_local: Disable Fabric Virtual Gateway

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_local_anycast_gateway', 'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, enable_local=enable_local, disable_local=disable_local)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_interface_create(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_interface=None, ipv6_interface_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_interface: ipv6_interface_type, ipv6_interface_name
    :param ipv6_interface: Keyword argument tuple.

    :type ipv6_interface_type: unicode
    :param ipv6_interface_type: **ipv6_interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type ipv6_interface_name: unicode
    :param ipv6_interface_name: **ipv6_interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type ipv6_interface_priority: long
    :param ipv6_interface_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_interface', 'keyval': 'ipv6_interface_type, ipv6_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_interface=ipv6_interface, ipv6_interface_priority=ipv6_interface_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_network_create(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_network=None, ipv6_network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_network: ipv6_network_address
    :param ipv6_network: Keyword argument tuple.

    :type ipv6_network_address: unicode
    :param ipv6_network_address: **ipv6_network** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type ipv6_network_priority: long
    :param ipv6_network_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_network', 'keyval': 'ipv6_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_network=ipv6_network, ipv6_network_priority=ipv6_network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_fabric_virtual_gateway_track_next_hop_create(self, rbridge_id=None, ve=None, ipv6_local_anycast_gateway=None, ipv6_next_hop=None, ipv6_next_hop_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_local_anycast_gateway: local_ipv6_gw_id
    :param ipv6_local_anycast_gateway: Keyword argument tuple.

    :type local_ipv6_gw_id: long
    :param local_ipv6_gw_id: **ipv6_local_anycast_gateway** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_next_hop: ipv6_next_hop_address
    :param ipv6_next_hop: Keyword argument tuple.

    :type ipv6_next_hop_address: unicode
    :param ipv6_next_hop_address: **ipv6_next_hop** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type ipv6_next_hop_priority: long
    :param ipv6_next_hop_priority: Track Priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway', u'ipv6_local_anycast_gateway')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_local_anycast_gateway.ipv6_track.ipv6_next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'local_ipv6_gw_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_next_hop', 'keyval': 'ipv6_next_hop_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, ipv6_local_anycast_gateway=ipv6_local_anycast_gateway, ipv6_next_hop=ipv6_next_hop, ipv6_next_hop_priority=ipv6_next_hop_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_nd_prefix_create(self, rbridge_id=None, ve=None, prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix: prefix_ipv6_address
    :param prefix: Keyword argument tuple.

    :type prefix_ipv6_address: unicode
    :param prefix_ipv6_address: **prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.nd.prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix', 'keyval': 'prefix_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, prefix=prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_neighbor_create(self, rbridge_id=None, ve=None, neighbor=None, hardware_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor: ipv6_address
    :param neighbor: Keyword argument tuple.

    :type ipv6_address: unicode
    :param ipv6_address: **neighbor** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type hardware_address: unicode
    :param hardware_address: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.ipv6_nd_ra.ipv6_intf_cmds.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, neighbor=neighbor, hardware_address=hardware_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_create(self, rbridge_id=None, ve=None, vrrpv3e=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, nd_advertisement_timer=None, advertisement_interval_scale=None, backup_advertisement_interval=None, vrrpe_advertisement_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type nd_advertisement_timer: long
    :param nd_advertisement_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv6 session advertisement interval scale factor <1|2|5|10>

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe_advertisement_interval: long
    :param vrrpe_advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3e', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, nd_advertisement_timer=nd_advertisement_timer, advertisement_interval_scale=advertisement_interval_scale, backup_advertisement_interval=backup_advertisement_interval, vrrpe_advertisement_interval=vrrpe_advertisement_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_interface_create(self, rbridge_id=None, ve=None, vrrpv3e=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_track_network_create(self, rbridge_id=None, ve=None, vrrpv3e=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  XXXX::YYYY/L;;IPv6 global address prefix in ipv6-address/Prefix length format

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_extended_group_virtual_ip_create(self, rbridge_id=None, ve=None, vrrpv3e=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3e: vrid
    :param vrrpv3e: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3e** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e', u'vrrpv3e')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3e.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3e=vrrpv3e, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_create(self, rbridge_id=None, ve=None, vrrpv3=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Use v2 checksum

    :type advertisement_interval: long
    :param advertisement_interval: Set advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpv3', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_track_interface_create(self, rbridge_id=None, ve=None, vrrpv3=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_ipv6_vrrp_group_virtual_ip_create(self, rbridge_id=None, ve=None, vrrpv3=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpv3: vrid
    :param vrrpv3: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpv3** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3', u'vrrpv3')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.ipv6.vrrpv3.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpv3=vrrpv3, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_create(self, rbridge_id=None, ve=None, vrrpe=None, virtual_mac=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, advertise_backup=None, vrrpe_garp_timer=None, backup_advertisement_interval=None, advertisement_interval_scale=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type virtual_mac: unicode
    :param virtual_mac: Virtual MAC

        * enumeration restriction: ::

            ['02e0.5200.00xx']

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type advertise_backup: YANGBool
    :param advertise_backup: Enable periodic backup advertisement messages

    :type vrrpe_garp_timer: long
    :param vrrpe_garp_timer: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type backup_advertisement_interval: long
    :param backup_advertisement_interval: Set Backup advertisement interval

        * range restriction: ::

            ['0..4294967295']

    :type advertisement_interval_scale: long
    :param advertisement_interval_scale: Ipv4 session advertisement interval scale factor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrpe', 'keyval': 'vrid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, virtual_mac=virtual_mac, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description, advertise_backup=advertise_backup, vrrpe_garp_timer=vrrpe_garp_timer, backup_advertisement_interval=backup_advertisement_interval, advertisement_interval_scale=advertisement_interval_scale)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_track_interface_create(self, rbridge_id=None, ve=None, vrrpe=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_track_network_create(self, rbridge_id=None, ve=None, vrrpe=None, network=None, network_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_address
    :param network: Keyword argument tuple.

    :type network_address: unicode
    :param network_address: **network** tuple argument:  IPv4 global address

        * pattern restriction: ::

            '(([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]'
            '|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0'
            '-4][0-9]|25[0-5])/(([1-9])|([1-2][0-9])|(3[0-1])'
            ')'

    **Instance Argument(s)**:

    :type network_priority: int
    :param network_priority: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.track.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, network=network, network_priority=network_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_extended_group_virtual_ip_create(self, rbridge_id=None, ve=None, vrrpe=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrpe: vrid
    :param vrrpe: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrpe** tuple argument.

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv4 address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe', u'vrrpe'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe', u'vrrpe')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrpe.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrpe=vrrpe, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_create(self, rbridge_id=None, ve=None, vrrp=None, use_v2_checksum=None, advertisement_interval=None, enable=None, hold_time=None, preempt_mode=None, priority=None, description=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Argument(s)**:

    :type use_v2_checksum: YANGBool
    :param use_v2_checksum: Enables v2 checksum computation method for VRRPv3 session

    :type advertisement_interval: long
    :param advertisement_interval: 1-255(sec) for VRRPv2, VRRPE and 100-40900(mili sec) for VRRPv3

        * range restriction: ::

            ['0..4294967295']

    :type enable: YANGBool
    :param enable: Enable Session

    :type hold_time: long
    :param hold_time: Configure hold time for this session

        * range restriction: ::

            ['0..4294967295']

    :type preempt_mode: YANGBool
    :param preempt_mode: Set preempt mode for the session

    :type priority: int
    :param priority: Set router priority within virtual router

        * range restriction: ::

            ['0..255']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrrp', 'keyval': 'vrid, version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, use_v2_checksum=use_v2_checksum, advertisement_interval=advertisement_interval, enable=enable, hold_time=hold_time, preempt_mode=preempt_mode, priority=priority, description=description)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_track_interface_create(self, rbridge_id=None, ve=None, vrrp=None, interface=None, track_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type interface: interface_type, interface_name
    :param interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'port-channel']

    :type interface_name: unicode
    :param interface_name: **interface** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    **Instance Argument(s)**:

    :type track_priority: int
    :param track_priority: Track Priority

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.track.interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, interface=interface, track_priority=track_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_interface_ve_vrrp_group_virtual_ip_create(self, rbridge_id=None, ve=None, vrrp=None, virtual_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ve: name
    :param ve: Keyword argument tuple.

    :type name: long
    :param name: **ve** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrrp: vrid, version
    :param vrrp: Keyword argument tuple.

    :type vrid: int
    :param vrid: **vrrp** tuple argument.

        * range restriction: ::

            ['0..255']

    :type version: int
    :param version: **vrrp** tuple argument:  Set VRRP version 2/3

        * range restriction: ::

            ['0..255']

    **Instance Keyword Argument Tuple**:

    :type virtual_ip: virtual_ipaddr
    :param virtual_ip: Keyword argument tuple.

    :type virtual_ipaddr: unicode
    :param virtual_ipaddr: **virtual_ip** tuple argument:  Virtual IPv4 address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve', u've'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp', u'vrrp'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve', u've'), ('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp', u'vrrp')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.interface.ve.vrrp.virtual_ip', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name', 'extra_keyval': ''}, {'keyval': 'vrid, version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_ip', 'keyval': 'virtual_ipaddr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ve=ve, vrrp=vrrp, virtual_ip=virtual_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_as_path_access_list_create(self, rbridge_id=None, access_list=None, ip_action=None, ip_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_list: name, seq_keyword, instance, ip_action, ip_reg_expr
    :param access_list: Keyword argument tuple.

    :type name: unicode
    :param name: **access_list** tuple argument.

        * length restriction: ::

            ['1..32']

    :type seq_keyword: unicode
    :param seq_keyword: **access_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **access_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **access_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_reg_expr: unicode
    :param ip_reg_expr: **access_list** tuple argument.

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_reg_expr: unicode
    :param ip_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.as_path.access_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.as_path.access_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_reg_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, access_list=access_list, ip_action=ip_action, ip_reg_expr=ip_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_community_list_extended_create(self, rbridge_id=None, extended=None, ip_action=None, ip_community_reg_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type extended: name, seq_keyword, instance, ip_action, ip_community_reg_expr
    :param extended: Keyword argument tuple.

    :type name: unicode
    :param name: **extended** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **extended** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **extended** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **extended** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_community_reg_expr: unicode
    :param ip_community_reg_expr: **extended** tuple argument.

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ip_community_reg_expr: unicode
    :param ip_community_reg_expr: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.community_list.extended', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.extended', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.extended', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extended', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, ip_community_reg_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, extended=extended, ip_action=ip_action, ip_community_reg_expr=ip_community_reg_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_community_list_standard_create(self, rbridge_id=None, standard=None, ip_action=None, std_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type standard: name, seq_keyword, instance, ip_action, std_community_expr
    :param standard: Keyword argument tuple.

    :type name: unicode
    :param name: **standard** tuple argument.

    :type seq_keyword: unicode
    :param seq_keyword: **standard** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **standard** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ip_action: unicode
    :param ip_action: **standard** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type std_community_expr: unicode
    :param std_community_expr: **standard** tuple argument.

        * pattern restriction: ::

            '(\s*)|(\s*((local\-as)|(internet)|(no\-export)|('
            'no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4'
            '})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]['
            '0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9'
            ']{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-'
            '2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]['
            '0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429'
            '[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0'
            '-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]'
            '{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s'
            '+((local\-as)|(internet)|(no\-export)|(no\-adver'
            'tise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6['
            '0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|'
            '(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])|(429496729[0-5])))*)'

    **Instance Argument(s)**:

    :type ip_action: unicode
    :param ip_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type std_community_expr: unicode
    :param std_community_expr: Keyword argument.

        * pattern restriction: ::

            '(\s*)|(\s*((local\-as)|(internet)|(no\-export)|('
            'no\-advertise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4'
            '})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2]['
            '0-9])|(6553[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9'
            ']{4})|(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-'
            '2][0-9])|(6553[0-5])))|([1-9][0-9]{0,8})|([1-3]['
            '0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429'
            '[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5][0'
            '-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9]'
            '{2})|(42949672[0-8][0-9])|(429496729[0-5])))((\s'
            '+((local\-as)|(internet)|(no\-export)|(no\-adver'
            'tise)|((([1-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4'
            '][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(65'
            '53[0-5])):(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6['
            '0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|'
            '(6553[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|'
            '(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9'
            ']{6})|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|('
            '429496[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(429'
            '49672[0-8][0-9])|(429496729[0-5])))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.community_list.standard', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.community_list.standard', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ip.community_list.standard', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'standard', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, ip_action, std_community_expr'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, standard=standard, ip_action=ip_action, std_community_expr=std_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_extcommunity_list_create(self, rbridge_id=None, extcommunity_list=None, ext_community_action=None, ext_community_expr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type extcommunity_list: extcommunity_list_num, ext_community_action, ext_community_expr
    :param extcommunity_list: Keyword argument tuple.

    :type extcommunity_list_num: int
    :param extcommunity_list_num: **extcommunity_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ext_community_action: unicode
    :param ext_community_action: **extcommunity_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: **extcommunity_list** tuple argument:  Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    **Instance Argument(s)**:

    :type ext_community_action: unicode
    :param ext_community_action: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ext_community_expr: unicode
    :param ext_community_expr: Ext-community-list

        * pattern restriction: ::

            '(\s*)|(\s*((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|((([0-9]|[1-9][0-9]|1[0-9]{2'
            '}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1['
            '0-9]{2}|2[0-4][0-9]|25[0-5]):(([1-9][0-9]{0,8})|'
            '([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7'
            '})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949'
            '[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-'
            '1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-5]'
            ')))))((\s+((rt)|(soo)|((([1-9][0-9]{0,8})|([1-3]'
            '[0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]{7})|(42'
            '9[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(42949[0-5]['
            '0-9]{4})|(429496[0-6][0-9]{3})|(4294967[0-1][0-9'
            ']{2})|(42949672[0-8][0-9])|(429496729[0-5])):((['
            '1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-1][0-9]{8})'
            '|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8]'
            '[0-9]{5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]'
            '{3})|(4294967[0-1][0-9]{2})|(42949672[0-8][0-9])'
            '|(429496729[0-5])))|(((([0-9]|[1-9][0-9]|1[0-9]{'
            '2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1'
            '[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,8}'
            ')|([1-3][0-9]{9})|(4[0-1][0-9]{8})|(42[0-8][0-9]'
            '{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{5})|(429'
            '49[0-5][0-9]{4})|(429496[0-6][0-9]{3})|(4294967['
            '0-1][0-9]{2})|(42949672[0-8][0-9])|(429496729[0-'
            '5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.extcommunity_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'extcommunity_list', 'keyval': 'extcommunity_list_num', 'extra_keyval': 'extcommunity_list_num, ext_community_action, ext_community_expr'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.ip.extcommunity_list": {"ext_community_action": "ext_community_action", "ext_community_expr": "ext_community_expr", "extcommunity_list_num": "extcommunity_list_num"}, "pybind.nos.v7_1_0.rbridge_id.ip.extcommunity_list": {}, "pybind.nos.v7_0_1b.rbridge_id.ip.extcommunity_list": {"ext_community_action": "ext_community_action", "ext_community_expr": "ext_community_expr", "extcommunity_list_num": "extcommunity_list_num"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, extcommunity_list=extcommunity_list, ext_community_action=ext_community_action, ext_community_expr=ext_community_expr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_import_routes_create(self, rbridge_id=None, routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type routes: src_vrf, route_map
    :param routes: Keyword argument tuple.

    :type src_vrf: unicode
    :param src_vrf: **routes** tuple argument:  ASCII string;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type route_map: unicode
    :param route_map: **routes** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.import_.routes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.import_.routes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, routes=routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_prefix_list_create(self, rbridge_id=None, prefix_list=None, action_ipp=None, prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type action_ipp: unicode
    :param action_ipp: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type prefix_ipp: unicode
    :param prefix_ipp: **prefix_list** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type ge_ipp: long
    :param ge_ipp: **prefix_list** tuple argument:  Minimum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: **prefix_list** tuple argument:  Maximum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type prefix_ipp: unicode
    :param prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type ge_ipp: long
    :param ge_ipp: Minimum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: Maximum IP prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp, prefix_ipp=prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_bfd_bfd_static_route_create(self, rbridge_id=None, bfd_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_static_route=bfd_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_route_nh_create(self, rbridge_id=None, static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_nh', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_nh', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh', 'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_route_nh_vrf_create(self, rbridge_id=None, static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop
    :param static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_nh_vrf** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_nh_vrf** tuple argument:  Next Hop Vrf Name

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh_vrf** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_nh_vrf=static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_route_oif_create(self, rbridge_id=None, static_route_oif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_oif', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_oif', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ip_route_static_route_oif_vrf_create(self, rbridge_id=None, static_route_oif_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_route_oif_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name
    :param static_route_oif_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_oif_vrf** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_oif_vrf** tuple argument:  Next Hop Vrf Name

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ip.rtm_config.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_oif_vrf=static_route_oif_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_import_routes_create(self, rbridge_id=None, routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type routes: src_vrf, route_map
    :param routes: Keyword argument tuple.

    :type src_vrf: unicode
    :param src_vrf: **routes** tuple argument:  ASCII string;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type route_map: unicode
    :param route_map: **routes** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.import_.routes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.import_.routes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, routes=routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_prefix_list_create(self, rbridge_id=None, prefix_list=None, action_ipp=None, ipv6_prefix_ipp=None, ge_ipp=None, le_ipp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type prefix_list: name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp
    :param prefix_list: Keyword argument tuple.

    :type name: unicode
    :param name: **prefix_list** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type seq_keyword: unicode
    :param seq_keyword: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['seq']

    :type instance: int
    :param instance: **prefix_list** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type action_ipp: unicode
    :param action_ipp: **prefix_list** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ipv6_prefix_ipp: unicode
    :param ipv6_prefix_ipp: **prefix_list** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type ge_ipp: long
    :param ge_ipp: **prefix_list** tuple argument:  Minimum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: **prefix_list** tuple argument:  Maximum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type action_ipp: unicode
    :param action_ipp: Keyword argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type ipv6_prefix_ipp: unicode
    :param ipv6_prefix_ipp: Keyword argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type ge_ipp: long
    :param ge_ipp: Minimum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type le_ipp: long
    :param le_ipp: Maximum IPv6 prefix length.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.prefix_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.prefix_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'prefix_list', 'keyval': 'name, seq_keyword, instance', 'extra_keyval': 'name, seq_keyword, instance, action_ipp, ipv6_prefix_ipp, ge_ipp, le_ipp'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, prefix_list=prefix_list, action_ipp=action_ipp, ipv6_prefix_ipp=ipv6_prefix_ipp, ge_ipp=ge_ipp, le_ipp=le_ipp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_create(self, rbridge_id=None, route=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type route: dest
    :param route: Keyword argument tuple.

    :type dest: unicode
    :param dest: **route** tuple argument:  IPv6Address/prefix.;; Destination IPv6 address-prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type next_hop: unicode
    :param next_hop: IPv6 address.;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.ipv6route.route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.ipv6.ipv6route.route', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route', 'keyval': 'dest', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route=route, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_ipv6_static_route_oif_vrf_create(self, rbridge_id=None, ipv6_static_route_oif_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ipv6_static_route_oif_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name
    :param ipv6_static_route_oif_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **ipv6_static_route_oif_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **ipv6_static_route_oif_vrf** tuple argument:  Next Hop Vrf Name

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **ipv6_static_route_oif_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **ipv6_static_route_oif_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ipv6_static_route_oif_vrf=ipv6_static_route_oif_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_link_local_static_route_nh_create(self, rbridge_id=None, link_local_static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['management',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.link_local_static_route_nh', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.link_local_static_route_nh', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link_local_static_route_nh', 'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, link_local_static_route_nh=link_local_static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_link_local_static_route_nh_vrf_create(self, rbridge_id=None, link_local_static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type link_local_static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, link_local_next_hop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **link_local_static_route_nh_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **link_local_static_route_nh_vrf** tuple argument:  WORD 1-63;;Next Hop Vrf Name

    :type link_local_next_hop: unicode
    :param link_local_next_hop: **link_local_static_route_nh_vrf** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['management',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link_local_static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, link_local_next_hop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, link_local_static_route_nh_vrf=link_local_static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_create(self, rbridge_id=None, bfd_ipv6_link_local_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_bfd_bfd_ipv6_static_route_create(self, rbridge_id=None, bfd_ipv6_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_static_route', 'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bfd_ipv6_static_route=bfd_ipv6_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_route_nh_create(self, rbridge_id=None, static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_nh', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_nh', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh', 'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_nh=static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_route_nh_vrf_create(self, rbridge_id=None, static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop
    :param static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_nh_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_nh_vrf** tuple argument:  Next Hop Vrf Name

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh_vrf** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_nh_vrf=static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_route_static_route_oif_create(self, rbridge_id=None, static_route_oif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_route_oif=static_route_oif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_create(self, rbridge_id=None, ospf=None, database_overflow_interval=None, default_metric=None, default_passive_interface=None, external_lsdb_limit=None, key_add_remove_interval=None, key_rollover_interval=None, log_status_change=None, global_metric_type=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated.

        * range restriction: ::

            ['0..4294967295']

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs.

        * range restriction: ::

            ['0..4294967295']

    :type key_add_remove_interval: long
    :param key_add_remove_interval: Configure OSPFv3 authentication key add/remove interval

        * range restriction: ::

            ['0..4294967295']

    :type key_rollover_interval: long
    :param key_rollover_interval: Configure OSPFv3 authentication key rollover interval

        * range restriction: ::

            ['0..4294967295']

    :type log_status_change: YANGBool
    :param log_status_change: Log status change

    :type global_metric_type: unicode
    :param global_metric_type: OSPFv3 metric type for redistributed routes

        * enumeration restriction: ::

            ['type1', 'type2']

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable nonstop-routing capability

    :type maximum_paths: long
    :param maximum_paths: Set the maximum number of paths to a destination.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval, default_metric=default_metric, default_passive_interface=default_passive_interface, external_lsdb_limit=external_lsdb_limit, key_add_remove_interval=key_add_remove_interval, key_rollover_interval=key_rollover_interval, log_status_change=log_status_change, global_metric_type=global_metric_type, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_create(self, rbridge_id=None, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_create(self, rbridge_id=None, ospf=None, area=None, no_redistribution=None, nssa_area_no_summary=None, translator_always=None, translator_interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type no_redistribution: YANGBool
    :param no_redistribution: Do not send redistributed LSA into nssa area

    :type nssa_area_no_summary: YANGBool
    :param nssa_area_no_summary: Do not send summary LSA into nssa area

    :type translator_always: YANGBool
    :param translator_always: Set nssa translator role

    :type translator_interval: long
    :param translator_interval: Set nssa translator stability interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'no_redistribution, nssa_area_no_summary, translator_always, translator_interval'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, no_redistribution=no_redistribution, nssa_area_no_summary=nssa_area_no_summary, translator_always=translator_always, translator_interval=translator_interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_nssa_default_information_originate_create(self, rbridge_id=None, ospf=None, area=None, area_default_information_originate_metric=None, area_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type area_default_information_originate_metric: long
    :param area_default_information_originate_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type area_default_information_originate_metric_type: unicode
    :param area_default_information_originate_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.nssa.area_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'area_default_information_originate_metric, area_default_information_originate_metric_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_default_information_originate_metric=area_default_information_originate_metric, area_default_information_originate_metric_type=area_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_range_create(self, rbridge_id=None, ospf=None, area=None, area_range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type area_range: range_address, range_effect, range_cost
    :param area_range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **area_range** tuple argument:  A:B::C:D/LEN;; IPv6 address to match

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type range_effect: unicode
    :param range_effect: **area_range** tuple argument:  Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: **area_range** tuple argument:  Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.area_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area_range', 'keyval': 'range_address', 'extra_keyval': 'range_address, range_effect, range_cost'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, area_range=area_range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_area_virtual_link_create(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virtual_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virtual_link_neighbor: unicode
    :param virtual_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area', u'area'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virtual_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_default_information_originate_create(self, rbridge_id=None, ospf=None, global_default_information_originate_always=None, global_default_information_originate_metric=None, global_default_information_originate_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type global_default_information_originate_always: YANGBool
    :param global_default_information_originate_always: Always advertise default route

    :type global_default_information_originate_metric: long
    :param global_default_information_originate_metric: OSPF metric for default route

        * range restriction: ::

            ['0..4294967295']

    :type global_default_information_originate_metric_type: unicode
    :param global_default_information_originate_metric_type: OSPF metric type for default route

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.global_default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'global_default_information_originate_always, global_default_information_originate_metric, global_default_information_originate_metric_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, global_default_information_originate_always=global_default_information_originate_always, global_default_information_originate_metric=global_default_information_originate_metric, global_default_information_originate_metric_type=global_default_information_originate_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_distance_create(self, rbridge_id=None, ospf=None, distance=None, distance_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propagation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type distance_value: long
    :param distance_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distance=distance, distance_value=distance_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_adjacency_create(self, rbridge_id=None, ospf=None, log_adjacency_dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_adjacency_dr_only: YANGBool
    :param log_adjacency_dr_only: Logging only Designated Router interfaces' adjacency changes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_adjacency_dr_only=log_adjacency_dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_log_bad_packet_create(self, rbridge_id=None, ospf=None, log_bad_packet_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type log_bad_packet_checksum: YANGBool
    :param log_bad_packet_checksum: Logging bad checksum packets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.log.log_bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_bad_packet_checksum=log_bad_packet_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_create(self, rbridge_id=None, ospf=None, all_lsas=None, include_stub=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type all_lsas: YANGBool
    :param all_lsas: Replace Metric in all External and Summary LSAs with default max metric value

    :type include_stub: YANGBool
    :param include_stub: Configure include-stub for max-metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, all_lsas=all_lsas, include_stub=include_stub)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_external_lsa_create(self, rbridge_id=None, ospf=None, external_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type external_lsa_value: long
    :param external_lsa_value: Indicates the metric of all external type 5 and type 7 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, external_lsa_value=external_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_max_metric_router_lsa_summary_lsa_create(self, rbridge_id=None, ospf=None, summary_lsa_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type summary_lsa_value: long
    :param summary_lsa_value: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_value=summary_lsa_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_bgp_create(self, rbridge_id=None, ospf=None, bgp_route_map=None, redistribute_bgp_metric=None, redistribute_bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type redistribute_bgp_metric: long
    :param redistribute_bgp_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_bgp_metric_type: unicode
    :param redistribute_bgp_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map, redistribute_bgp_metric=redistribute_bgp_metric, redistribute_bgp_metric_type=redistribute_bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_connected_create(self, rbridge_id=None, ospf=None, connected_route_map=None, redistribute_connected_metric=None, redistribute_connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type redistribute_connected_metric: long
    :param redistribute_connected_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_connected_metric_type: unicode
    :param redistribute_connected_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map, redistribute_connected_metric=redistribute_connected_metric, redistribute_connected_metric_type=redistribute_connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_ospf_create(self, rbridge_id=None, ospf=None, ospf_route_map=None, redistribute_ospf_metric=None, redistribute_ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type redistribute_ospf_metric: long
    :param redistribute_ospf_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_ospf_metric_type: unicode
    :param redistribute_ospf_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map, redistribute_ospf_metric=redistribute_ospf_metric, redistribute_ospf_metric_type=redistribute_ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_redistribute_static_create(self, rbridge_id=None, ospf=None, static_route_map=None, redistribute_static_metric=None, redistribute_static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type redistribute_static_metric: long
    :param redistribute_static_metric: Route metric

        * range restriction: ::

            ['0..4294967295']

    :type redistribute_static_metric_type: unicode
    :param redistribute_static_metric_type: Type of the metric

        * enumeration restriction: ::

            ['type1', 'type2']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.redistribute.redistribute_static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map, redistribute_static_metric=redistribute_static_metric, redistribute_static_metric_type=redistribute_static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ipv6_router_ospf_summary_address_create(self, rbridge_id=None, ospf=None, summary_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  OSPF instance for the VRF 

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type summary_address: summary_address_value
    :param summary_address: Keyword argument tuple.

    :type summary_address_value: unicode
    :param summary_address_value: **summary_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ipv6.router.ospf.summary_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_address_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, summary_address=summary_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_linecard_linecards_create(self, rbridge_id=None, linecards=None, linecardType=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type linecards: linecardName, linecardType
    :param linecards: Keyword argument tuple.

    :type linecardName: unicode
    :param linecardName: **linecards** tuple argument.

        * pattern restriction: ::

            '([1-9]|[1][0-6])'

    :type linecardType: unicode
    :param linecardType: **linecards** tuple argument.

        * enumeration restriction: ::

            ['LC27X40G',
            'LC48X10G',
            'LC6X100G',
            'LC48X10GT',
            'LC12X40G',
            'LC48X1G']

    **Instance Argument(s)**:

    :type linecardType: unicode
    :param linecardType: Keyword argument.

        * enumeration restriction: ::

            ['LC27X40G',
            'LC48X10G',
            'LC6X100G',
            'LC48X10GT',
            'LC12X40G',
            'LC48X1G']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.global_lc_holder.linecard.linecards', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'linecards', 'keyval': 'linecardName', 'extra_keyval': 'linecardName, linecardType'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, linecards=linecards, linecardType=linecardType)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_email_email_list_create(self, rbridge_id=None, email_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type email_list: email
    :param email_list: Keyword argument tuple.

    :type email: unicode
    :param email: **email_list** tuple argument:  <email:string>  e-mail address for MAPS alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.maps.email.email_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.maps.email.email_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.email.email_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.email.email_list', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, email_list=email_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_group_create(self, rbridge_id=None, logicalgroup=None, elementtype=None, members=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type logicalgroup: logicalgroupname, elementtype, members
    :param logicalgroup: Keyword argument tuple.

    :type logicalgroupname: unicode
    :param logicalgroupname: **logicalgroup** tuple argument:  Configure group name

    :type elementtype: unicode
    :param elementtype: **logicalgroup** tuple argument.

        * enumeration restriction: ::

            ['interface', 'sfp']

    :type members: unicode
    :param members: **logicalgroup** tuple argument:  Configure memberlist

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?'
            '(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(('
            '(,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-'
            '9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9]['
            '0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]'
            '))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|['
            '1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-'
            '9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))'
            '/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-'
            '([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])('
            '-([1-4]))))))*)(,(((([1-9]|[1-9][0-9]|1[0-9][0-9'
            ']|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9]'
            '[0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9'
            '][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})'
            '+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)'
            '?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|'
            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))'
            '?){1})+)|([1-4])(-([1-4]))))))*))*'

    **Instance Argument(s)**:

    :type elementtype: unicode
    :param elementtype: Keyword argument.

        * enumeration restriction: ::

            ['interface', 'sfp']

    :type members: unicode
    :param members: Configure memberlist

        * length restriction: ::

            ['1..253']

        * pattern restriction: ::

            '(((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?'
            '(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9]))((-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?)(('
            '(,([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(-([1-9]|[1-'
            '9][0-9]|[1-9][0-9][0-9]))?){1})+|((([1-9]|[1-9]['
            '0-9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]'
            '))/([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))(-([1-9]|['
            '1-9][0-9]|[1-9][0-9][0-9])){1}|((([1-9]|[1-9][0-'
            '9]|1[0-9][0-9]|2[0-3][0-9])/)?(([0-9]|[1][0-6]))'
            '/([1-9]|[1-9][0-9]|[1-9][0-9][0-9])(:((([1-4])(-'
            '([1-4]))?)(((,([1-4])(-([1-4]))?){1})+)|([1-4])('
            '-([1-4]))))))*)(,(((([1-9]|[1-9][0-9]|1[0-9][0-9'
            ']|2[0-3][0-9])/)?(([0-9]|[1][0-6]))/([1-9]|[1-9]'
            '[0-9]|[1-9][0-9][0-9]))((-([1-9]|[1-9][0-9]|[1-9'
            '][0-9][0-9]))?)(((,([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9]))?){1})'
            '+|((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)'
            '?(([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9]))(-([1-9]|[1-9][0-9]|[1-9][0-9][0-9])){1}|'
            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:((([1-4])(-([1-4]))?)(((,([1-4])(-([1-4]))'
            '?){1})+)|([1-4])(-([1-4]))))))*))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.logicalgroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logicalgroup', 'keyval': 'logicalgroupname', 'extra_keyval': 'logicalgroupname, elementtype, members'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logicalgroup=logicalgroup, elementtype=elementtype, members=members)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_policy_create(self, rbridge_id=None, policy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type policy: policyname
    :param policy: Keyword argument tuple.

    :type policyname: unicode
    :param policyname: **policy** tuple argument:  Configure policy name

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.policy', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'policy', 'keyval': 'policyname', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_policy_rule_create(self, rbridge_id=None, policy=None, ruleaction=None, policyaction=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policyname
    :param policy: Keyword argument tuple.

    :type policyname: unicode
    :param policyname: **policy** tuple argument:  Configure policy name

    **Instance Keyword Argument Tuple**:

    :type ruleaction: policyrule, policyaction
    :param ruleaction: Keyword argument tuple.

    :type policyrule: unicode
    :param policyrule: **ruleaction** tuple argument:  rule name

    :type policyaction: unicode
    :param policyaction: **ruleaction** tuple argument:  rule actions

        * enumeration restriction: ::

            ['NONE',
            'SNMP',
            'RASLOG',
            'SW_CRITICAL',
            'SFP_MARGINAL',
            'EMAIL',
            'SW_MARGINAL']

    **Instance Argument(s)**:

    :type policyaction: unicode
    :param policyaction: rule actions

        * enumeration restriction: ::

            ['NONE',
            'SNMP',
            'RASLOG',
            'SW_CRITICAL',
            'SFP_MARGINAL',
            'EMAIL',
            'SW_MARGINAL']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.maps.policy', u'policy')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.policy.ruleaction', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policyname', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ruleaction', 'keyval': 'policyrule', 'extra_keyval': 'policyrule, policyaction'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, ruleaction=ruleaction, policyaction=policyaction)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_relay_create(self, rbridge_id=None, relay=None, domainname=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type relay: hostip
    :param relay: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **relay** tuple argument:  <IP:Address> IP address of Relay Host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type domainname: unicode
    :param domainname: Domain name server

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.maps.relay', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.maps.relay', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.relay', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.maps.relay', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'hostip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, relay=relay, domainname=domainname)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_maps_rule_create(self, rbridge_id=None, rule=None, targetgroup=None, monitor=None, timebase=None, op=None, threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rule: rulename, targetgroup, monitor, timebase, op, threshold
    :param rule: Keyword argument tuple.

    :type rulename: unicode
    :param rulename: **rule** tuple argument:  Configure rule name

    :type targetgroup: unicode
    :param targetgroup: **rule** tuple argument:  target group for rule

    :type monitor: unicode
    :param monitor: **rule** tuple argument.

        * enumeration restriction: ::

            ['MEMORY_USAGE',
            'FLASH_USAGE',
            'HA_SYNC',
            'BAD_PWR',
            'ETH_MGMT_PORT_STATE',
            'BAD_FAN',
            'CPU',
            'SFP_TEMP',
            'SEC_TELNET',
            'TXP',
            'TEMP',
            'RX_SYM_ERR',
            'CRCALN',
            'VOLTAGE',
            'SFP_STATE',
            'WWN_DOWN',
            'FAN_STATE',
            'CURRENT',
            'RX_ABN_FRAME',
            'RXP',
            'FAULTY_BLADE',
            'WWN',
            'BAD_TEMP',
            'PS_STATE',
            'SEC_LV',
            'BLADE_STATE',
            'DOWN_SFM']

    :type timebase: unicode
    :param timebase: **rule** tuple argument.

        * enumeration restriction: ::

            ['none', 'day', 'hour', 'min']

    :type op: unicode
    :param op: **rule** tuple argument.

        * enumeration restriction: ::

            ['gt', 'lt', 'le', 'eq', 'ge']

    :type threshold: unicode
    :param threshold: **rule** tuple argument:  threshold value

    **Instance Argument(s)**:

    :type targetgroup: unicode
    :param targetgroup: target group for rule

    :type monitor: unicode
    :param monitor: Keyword argument.

        * enumeration restriction: ::

            ['MEMORY_USAGE',
            'FLASH_USAGE',
            'HA_SYNC',
            'BAD_PWR',
            'ETH_MGMT_PORT_STATE',
            'BAD_FAN',
            'CPU',
            'SFP_TEMP',
            'SEC_TELNET',
            'TXP',
            'TEMP',
            'RX_SYM_ERR',
            'CRCALN',
            'VOLTAGE',
            'SFP_STATE',
            'WWN_DOWN',
            'FAN_STATE',
            'CURRENT',
            'RX_ABN_FRAME',
            'RXP',
            'FAULTY_BLADE',
            'WWN',
            'BAD_TEMP',
            'PS_STATE',
            'SEC_LV',
            'BLADE_STATE',
            'DOWN_SFM']

    :type timebase: unicode
    :param timebase: Keyword argument.

        * enumeration restriction: ::

            ['none', 'day', 'hour', 'min']

    :type op: unicode
    :param op: Keyword argument.

        * enumeration restriction: ::

            ['gt', 'lt', 'le', 'eq', 'ge']

    :type threshold: unicode
    :param threshold: threshold value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.maps.rule', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.maps.rule', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'rulename', 'extra_keyval': 'rulename, targetgroup, monitor, timebase, op, threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rule=rule, targetgroup=targetgroup, monitor=monitor, timebase=timebase, op=op, threshold=threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_create(self, rbridge_id=None, logical_instance=None, default_forwarding_action=None, activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type logical_instance: instance_id
    :param logical_instance: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **logical_instance** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type default_forwarding_action: unicode
    :param default_forwarding_action: Default MISS behavior for this logical instance

        * enumeration restriction: ::

            ['send-to-controller', 'drop']

    :type activate: YANGBool
    :param activate: Activate this logical instance

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'logical_instance', 'keyval': 'instance_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logical_instance=logical_instance, default_forwarding_action=default_forwarding_action, activate=activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_controller_create(self, rbridge_id=None, logical_instance=None, controller=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type logical_instance: instance_id
    :param logical_instance: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **logical_instance** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type controller: controller_name
    :param controller: Keyword argument tuple.

    :type controller_name: unicode
    :param controller_name: **controller** tuple argument:  OpenFlow controller name

        * pattern restriction: ::

            '[-_a-zA-Z0-9]{1,32}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.controller', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'controller', 'keyval': 'controller_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logical_instance=logical_instance, controller=controller)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_openflow_logical_instance_version_create(self, rbridge_id=None, logical_instance=None, version=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type logical_instance: instance_id
    :param logical_instance: Keyword argument tuple.

    :type instance_id: long
    :param instance_id: **logical_instance** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type version: version_name
    :param version: Keyword argument tuple.

    :type version_name: unicode
    :param version_name: **version** tuple argument.

        * enumeration restriction: ::

            ['ofv130']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance', u'logical_instance'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance', u'logical_instance')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.openflow.logical_instance.version', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'instance_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'version', 'keyval': 'version_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, logical_instance=logical_instance, version=version)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_create(self, rbridge_id=None, route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route_map', 'keyval': 'name, action_rm, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_global_next_global_hop_create(self, rbridge_id=None, route_map=None, next_global_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_global_hop: next_hop
    :param next_global_hop: Keyword argument tuple.

    :type next_hop: unicode
    :param next_hop: **next_global_hop** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, next_global_hop=next_global_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_next_hop_create(self, rbridge_id=None, route_map=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_hop: next_hop
    :param next_hop: Keyword argument tuple.

    :type next_hop: unicode
    :param next_hop: **next_hop** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ip_next_vrf_list_create(self, rbridge_id=None, route_map=None, next_vrf_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_vrf_list: vrf, next_hop
    :param next_vrf_list: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **next_vrf_list** tuple argument:  Next Hop Vrf Name

    :type next_hop: unicode
    :param next_hop: **next_vrf_list** tuple argument:  A.B.C.D;;IP address of next hop

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_vrf_list', 'keyval': 'vrf, next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, next_vrf_list=next_vrf_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ipv6_global_next_global_hop_create(self, rbridge_id=None, route_map=None, next_global_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_global_hop: next_hop
    :param next_global_hop: Keyword argument tuple.

    :type next_hop: unicode
    :param next_hop: **next_global_hop** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, next_global_hop=next_global_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ipv6_next_hop_create(self, rbridge_id=None, route_map=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_hop: next_hop
    :param next_hop: Keyword argument tuple.

    :type next_hop: unicode
    :param next_hop: **next_hop** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_route_map_set_ipv6_next_vrf_list_create(self, rbridge_id=None, route_map=None, next_vrf_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_vrf_list: vrf, next_hop
    :param next_vrf_list: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **next_vrf_list** tuple argument:  WORD 1-63;;Next Hop Vrf Name

    :type next_hop: unicode
    :param next_hop: **next_vrf_list** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.route_map', u'route_map'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.route_map', u'route_map'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_vrf_list', 'keyval': 'vrf, next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, route_map=route_map, next_vrf_list=next_vrf_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_create(self, rbridge_id=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_aggregate_address_create(self, rbridge_id=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_create(self, rbridge_id=None, af_ipv4_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address": {"af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_address": "af_ipv4_neighbor_address", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address": {}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_create(self, rbridge_id=None, af_ipv4_neighbor_peergroup=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup": {"af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_peergroup_name": "af_ipv4_neighbor_peergroup_name", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup": {}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_network_create(self, rbridge_id=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_static_network_create(self, rbridge_id=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_create(self, rbridge_id=None, af_vrf=None, local_as=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type local_as: unicode
    :param local_as: Configure local AS number

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, local_as=local_as, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_create(self, rbridge_id=None, af_vrf=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_listen_range_create(self, rbridge_id=None, af_vrf=None, listen_range=None, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type listen_range: listen_range_prefix, peer_group, limit
    :param listen_range: Keyword argument tuple.

    :type listen_range_prefix: unicode
    :param listen_range_prefix: **listen_range** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type peer_group: unicode
    :param peer_group: **listen_range** tuple argument:  Peer group name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type limit: long
    :param limit: **listen_range** tuple argument:  Limit the neighbor

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit: long
    :param limit: Limit the neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, listen_range=listen_range, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_create(self, rbridge_id=None, af_vrf=None, af_ipv4_neighbor_addr=None, associate_peer_group=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr": {}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr": {}, "pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr": {"static_network_edge": "static_network_edge", "activate": "activate", "remote_as": "remote_as", "associate_peer_group": "associate_peer_group", "ebgp_btsh": "ebgp_btsh", "allowas_in": "allowas_in", "af_nei_weight": "af_nei_weight", "af_ipv4_neighbor_address": "af_ipv4_neighbor_address", "route_reflector_client": "route_reflector_client", "remove_private_as": "remove_private_as", "password": "password", "as_override": "as_override", "description": "description"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, associate_peer_group=associate_peer_group, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_network_create(self, rbridge_id=None, af_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv4_unicast_vrf_static_network_create(self, rbridge_id=None, af_vrf=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_aggregate_address_create(self, rbridge_id=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_create(self, rbridge_id=None, af_ipv6_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address": {"af_ipv6_neighbor_address": "af_ipv6_neighbor_address", "af_nei_weight": "af_nei_weight", "activate": "activate", "allowas_in": "allowas_in", "route_reflector_client": "route_reflector_client"}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address": {}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_create(self, rbridge_id=None, af_ipv6_neighbor_peergroup=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup": {"af_nei_weight": "af_nei_weight", "activate": "activate", "af_ipv6_neighbor_peergroup_name": "af_ipv6_neighbor_peergroup_name", "route_reflector_client": "route_reflector_client", "allowas_in": "allowas_in"}, "pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup": {}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_network_create(self, rbridge_id=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_create(self, rbridge_id=None, af_ipv6_vrf=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_create(self, rbridge_id=None, af_ipv6_vrf=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_create(self, rbridge_id=None, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, associate_peer_group=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr": {}, "pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr": {}, "pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr": {"static_network_edge": "static_network_edge", "activate": "activate", "remote_as": "remote_as", "associate_peer_group": "associate_peer_group", "af_ipv6_neighbor_address": "af_ipv6_neighbor_address", "allowas_in": "allowas_in", "af_nei_weight": "af_nei_weight", "route_reflector_client": "route_reflector_client", "ebgp_btsh": "ebgp_btsh", "remove_private_as": "remove_private_as", "password": "password", "as_override": "as_override", "description": "description"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, associate_peer_group=associate_peer_group, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_ipv6_unicast_vrf_network_create(self, rbridge_id=None, af_ipv6_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_create(self, rbridge_id=None, client_to_client_reflection=None, vtep_discovery=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type vtep_discovery: YANGBool
    :param vtep_discovery: Enable VTEP discovery

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, client_to_client_reflection=client_to_client_reflection, vtep_discovery=vtep_discovery)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv4_create(self, rbridge_id=None, evpn_neighbor_ipv4=None, activate=None, maximum_prefix=None, route_reflector_client=None, allowas_in=None, next_hop_unchanged=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv4: evpn_neighbor_ipv4_address
    :param evpn_neighbor_ipv4: Keyword argument tuple.

    :type evpn_neighbor_ipv4_address: unicode
    :param evpn_neighbor_ipv4_address: **evpn_neighbor_ipv4** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv4', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv4', 'keyval': 'evpn_neighbor_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv4=evpn_neighbor_ipv4, activate=activate, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_neighbor_ipv6_create(self, rbridge_id=None, evpn_neighbor_ipv6=None, activate=None, maximum_prefix=None, route_reflector_client=None, allowas_in=None, next_hop_unchanged=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_neighbor_ipv6: evpn_neighbor_ipv6_address
    :param evpn_neighbor_ipv6: Keyword argument tuple.

    :type evpn_neighbor_ipv6_address: unicode
    :param evpn_neighbor_ipv6_address: **evpn_neighbor_ipv6** tuple argument:  A:B::C:D;;Neighbor Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_neighbor_ipv6', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_neighbor_ipv6', 'keyval': 'evpn_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_neighbor_ipv6=evpn_neighbor_ipv6, activate=activate, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_address_family_l2vpn_evpn_neighbor_evpn_peer_group_create(self, rbridge_id=None, evpn_peer_group=None, activate=None, maximum_prefix=None, route_reflector_client=None, allowas_in=None, next_hop_unchanged=None, enable_peer_as_check=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type evpn_peer_group: evpn_neighbor_peergroup_name
    :param evpn_peer_group: Keyword argument tuple.

    :type evpn_neighbor_peergroup_name: unicode
    :param evpn_neighbor_peergroup_name: **evpn_peer_group** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type maximum_prefix: long
    :param maximum_prefix: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_unchanged: YANGBool
    :param next_hop_unchanged: Next hop unchanged

    :type enable_peer_as_check: YANGBool
    :param enable_peer_as_check: Disable routes advertise between peers in same AS

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.address_family.l2vpn.evpn.neighbor.evpn_peer_group', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'evpn_peer_group', 'keyval': 'evpn_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, evpn_peer_group=evpn_peer_group, activate=activate, maximum_prefix=maximum_prefix, route_reflector_client=route_reflector_client, allowas_in=allowas_in, next_hop_unchanged=next_hop_unchanged, enable_peer_as_check=enable_peer_as_check)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_listen_range_create(self, rbridge_id=None, listen_range=None, limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type listen_range: listen_range_prefix, peer_group, limit
    :param listen_range: Keyword argument tuple.

    :type listen_range_prefix: unicode
    :param listen_range_prefix: **listen_range** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type peer_group: unicode
    :param peer_group: **listen_range** tuple argument:  Peer group name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type limit: long
    :param limit: **listen_range** tuple argument:  Limit the neighbor

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type limit: long
    :param limit: Limit the neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.listen_range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'listen_range', 'keyval': 'listen_range_prefix, peer_group', 'extra_keyval': 'listen_range_prefix, peer_group, limit'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, listen_range=listen_range, limit=limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_addr_create(self, rbridge_id=None, neighbor_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_addr=neighbor_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_ipv6_addr_create(self, rbridge_id=None, neighbor_ipv6_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type associate_peer_group: unicode
    :param associate_peer_group: Create Peer Group

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_ipv6_addr=neighbor_ipv6_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_bgp_neighbor_neighbor_peer_grp_create(self, rbridge_id=None, neighbor_peer_grp=None, peer_group_name=None, remote_as=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type peer_group_name: YANGBool
    :param peer_group_name: Create Peer Group

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, neighbor_peer_grp=neighbor_peer_grp, peer_group_name=peer_group_name, remote_as=remote_as, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_create(self, rbridge_id=None, ospf=None, database_overflow_interval=None, default_passive_interface=None, default_metric=None, external_lsdb_limit=None, ospf_metric_type=None, vrf_lite_capability=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated

        * range restriction: ::

            ['0..4294967295']

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs

        * range restriction: ::

            ['0..4294967295']

    :type ospf_metric_type: unicode
    :param ospf_metric_type: Set Type 1 or Type 2

        * enumeration restriction: ::

            ['type1', 'type2']

    :type vrf_lite_capability: YANGBool
    :param vrf_lite_capability: Configure vrf-lite-capability (disable DN bit checks)

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable OSPF nonstop routing capability

    :type maximum_paths: int
    :param maximum_paths: The maximum number of paths to a destination.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, database_overflow_interval=database_overflow_interval, default_passive_interface=default_passive_interface, default_metric=default_metric, external_lsdb_limit=external_lsdb_limit, ospf_metric_type=ospf_metric_type, vrf_lite_capability=vrf_lite_capability, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_create(self, rbridge_id=None, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_range_create(self, rbridge_id=None, ospf=None, area=None, range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type range: range_address, range_mask, range_effect, range_cost
    :param range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **range** tuple argument:  A.B.C.D   IP address to match

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_mask: unicode
    :param range_mask: **range** tuple argument:  A.B.C.D   IP mask for address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_effect: unicode
    :param range_effect: **range** tuple argument:  Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: **range** tuple argument:  Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.range', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.range', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, range=range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_area_virtual_link_create(self, rbridge_id=None, ospf=None, area=None, virtual_link=None, dead_interval=None, hello_interval=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area', u'area'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area', u'area')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.area.virtual_link', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, area=area, virtual_link=virtual_link, dead_interval=dead_interval, hello_interval=hello_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_default_information_originate_create(self, rbridge_id=None, ospf=None, always=None, def_orig_metric=None, def_orig_metric_type=None, def_orig_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type always: YANGBool
    :param always: Always advertise default route

    :type def_orig_metric: long
    :param def_orig_metric: OSPF metric for default route

        * range restriction: ::

            ['0..4294967295']

    :type def_orig_metric_type: unicode
    :param def_orig_metric_type: OSPF metric type for default route

        * enumeration restriction: ::

            ['type1', 'type2']

    :type def_orig_route_map: unicode
    :param def_orig_route_map: Route-map reference

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.default_information_originate', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'always, def_orig_metric, def_orig_metric_type, def_orig_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, always=always, def_orig_metric=def_orig_metric, def_orig_metric_type=def_orig_metric_type, def_orig_route_map=def_orig_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_deny_redistribute_create(self, rbridge_id=None, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option, address, mask, set_metric_val, match_metric_val
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    :type address: unicode
    :param address: **redistribute** tuple argument:  IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: **redistribute** tuple argument:  Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.deny.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_distance_create(self, rbridge_id=None, ospf=None, distance=None, dist_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propogation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type dist_value: long
    :param dist_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.distance', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.distance', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.distance', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, distance=distance, dist_value=dist_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_adjacency_create(self, rbridge_id=None, ospf=None, dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type dr_only: YANGBool
    :param dr_only: Logging only Designated Router interfaces' adjacency changes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.adjacency', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, dr_only=dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_log_bad_packet_create(self, rbridge_id=None, ospf=None, log_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_checksum: YANGBool
    :param log_checksum: Logging bad checksum packets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.log.bad_packet', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, log_checksum=log_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_create(self, rbridge_id=None, ospf=None, all_vrfs=None, all_lsas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_vrfs: YANGBool
    :param all_vrfs: Apply this to all the current OSPF instances

    :type all_lsas: YANGBool
    :param all_lsas: Replace Metric in all External and SummaryLSAs with default max metric value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, all_vrfs=all_vrfs, all_lsas=all_lsas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_external_lsa_create(self, rbridge_id=None, ospf=None, external_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type external_lsa_val: long
    :param external_lsa_val: Indicates the metric of all external type 5 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, external_lsa_val=external_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_external_lsa_create(self, rbridge_id=None, ospf=None, external_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type external_lsa_val_onstartup: long
    :param external_lsa_val_onstartup: Indicates the metric of all external type 5 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, external_lsa_val_onstartup=external_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_on_startup_summary_lsa_create(self, rbridge_id=None, ospf=None, summary_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type summary_lsa_val_onstartup: long
    :param summary_lsa_val_onstartup: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_val_onstartup=summary_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_max_metric_router_lsa_summary_lsa_create(self, rbridge_id=None, ospf=None, summary_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type summary_lsa_val: long
    :param summary_lsa_val: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, summary_lsa_val=summary_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_neighbor_create(self, rbridge_id=None, ospf=None, neighbor=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type neighbor: neighbor_addr
    :param neighbor: Keyword argument tuple.

    :type neighbor_addr: unicode
    :param neighbor_addr: **neighbor** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.neighbor', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.neighbor', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.neighbor', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, neighbor=neighbor)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_permit_redistribute_create(self, rbridge_id=None, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option, address, mask, set_metric_val, match_metric_val
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    :type address: unicode
    :param address: **redistribute** tuple argument:  IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: **redistribute** tuple argument:  Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.permit.redistribute', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_bgp_create(self, rbridge_id=None, ospf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.bgp', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_connected_create(self, rbridge_id=None, ospf=None, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.connected', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_ospf_create(self, rbridge_id=None, ospf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.redistribute_ospf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_redistribute_static_create(self, rbridge_id=None, ospf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.redistribute.static', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_rfc1583_compatibility_create(self, rbridge_id=None, ospf=None, rfc1583_compatibility_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type rfc1583_compatibility_flag: YANGBool
    :param rfc1583_compatibility_flag: Enable RFC 1583 OSPF v2 compatibility

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.rfc1583_compatibility', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, rfc1583_compatibility_flag=rfc1583_compatibility_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_ospf_summary_address_create(self, rbridge_id=None, ospf=None, summary_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type summary_address: sum_address, sum_address_mask
    :param summary_address: Keyword argument tuple.

    :type sum_address: unicode
    :param sum_address: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type sum_address_mask: unicode
    :param sum_address_mask: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.router.ospf', u'ospf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf', u'ospf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.ospf.summary_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.ospf.summary_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.ospf.summary_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'sum_address, sum_address_mask', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, ospf=ospf, summary_address=summary_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_create(self, rbridge_id=None, max_mcache=None, hello_interval=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, spt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type max_mcache: long
    :param max_mcache: Set maximum PIM mcache

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: int
    :param hello_interval: Set hello message interval

        * range restriction: ::

            ['-32768..32767']

    :type nbr_timeout: int
    :param nbr_timeout: Set neighbor timeout

        * range restriction: ::

            ['-32768..32767']

    :type inactivity_timer: int
    :param inactivity_timer: Set inactivity interval

        * range restriction: ::

            ['-32768..32767']

    :type message_interval: long
    :param message_interval: Set periodic join/prune message interval

        * range restriction: ::

            ['0..4294967295']

    :type spt_threshold: long
    :param spt_threshold: Set threshold for switching to shortest-path-tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim": {"nbr_timeout": "nbr_timeout", "max_mcache": "max_mcache", "hello_interval": "hello_interval", "message_interval": "message_interval", "spt_threshold": "spt_threshold", "inactivity_timer": "inactivity_timer"}, "pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim": {}, "pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, max_mcache=max_mcache, hello_interval=hello_interval, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_bsr_candidate_interface_create(self, rbridge_id=None, bsr_cand_interface=None, hash_mask_length=None, bsr_cand_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type bsr_cand_interface: bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority
    :param bsr_cand_interface: Keyword argument tuple.

    :type bsr_cand_intf_type: unicode
    :param bsr_cand_intf_type: **bsr_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['port-channel',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type bsr_cand_intf_id: unicode
    :param bsr_cand_intf_id: **bsr_cand_interface** tuple argument:  String;;Interface ID

    :type hash_mask_length: int
    :param hash_mask_length: **bsr_cand_interface** tuple argument:  BSR hash mask

        * range restriction: ::

            ['0..65535']

    :type bsr_cand_priority: long
    :param bsr_cand_priority: **bsr_cand_interface** tuple argument:  BSR priority

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hash_mask_length: int
    :param hash_mask_length: BSR hash mask

        * range restriction: ::

            ['0..65535']

    :type bsr_cand_priority: long
    :param bsr_cand_priority: BSR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length, bsr_cand_priority=bsr_cand_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_rp_address_create(self, rbridge_id=None, rp_address=None, prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rp_address: rp_ip_addr, prefix_list
    :param rp_address: Keyword argument tuple.

    :type rp_ip_addr: unicode
    :param rp_ip_addr: **rp_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type prefix_list: unicode
    :param prefix_list: **rp_address** tuple argument:  Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type prefix_list: unicode
    :param prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_address', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, prefix_list'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rp_address=rp_address, prefix_list=prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_rp_candidate_group_range_create(self, rbridge_id=None, rp_cand_grp_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rp_cand_grp_prefix: rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length
    :param rp_cand_grp_prefix: Keyword argument tuple.

    :type rp_cand_grp_prefix_ip: unicode
    :param rp_cand_grp_prefix_ip: **rp_cand_grp_prefix** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type rp_cand_grp_prefix_length: int
    :param rp_cand_grp_prefix_length: **rp_cand_grp_prefix** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length', 'extra_keyval': 'rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rp_cand_grp_prefix=rp_cand_grp_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_rp_candidate_interface_create(self, rbridge_id=None, rp_cand_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rp_cand_interface: rp_cand_intf_type, rp_cand_intf_id
    :param rp_cand_interface: Keyword argument tuple.

    :type rp_cand_intf_type: unicode
    :param rp_cand_intf_type: **rp_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['port-channel',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet']

    :type rp_cand_intf_id: unicode
    :param rp_cand_intf_id: **rp_cand_interface** tuple argument:  Interface ID

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': 'rp_cand_intf_type, rp_cand_intf_id, rp_cand_priority'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface": {}, "pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface": {"rp_cand_intf_id": "rp_cand_intf_id", "rp_cand_intf_type": "rp_cand_intf_type"}, "pybind.nos.v7_1_0.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rp_cand_interface=rp_cand_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_router_pim_rp_candidate_rp_cand_grp_prefix_create(self, rbridge_id=None, rp_cand_grp_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type rp_cand_grp_prefix: rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length
    :param rp_cand_grp_prefix: Keyword argument tuple.

    :type rp_cand_grp_prefix_action: unicode
    :param rp_cand_grp_prefix_action: **rp_cand_grp_prefix** tuple argument.

        * enumeration restriction: ::

            ['add', 'delete']

    :type rp_cand_grp_prefix_ip: unicode
    :param rp_cand_grp_prefix_ip: **rp_cand_grp_prefix** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type rp_cand_grp_prefix_length: int
    :param rp_cand_grp_prefix_length: **rp_cand_grp_prefix** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length', 'extra_keyval': 'rp_cand_grp_prefix_action, rp_cand_grp_prefix_ip, rp_cand_grp_prefix_length'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, rp_cand_grp_prefix=rp_cand_grp_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_secpolicy_active_policy_policies_create(self, rbridge_id=None, policies=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type policies: policy
    :param policies: Keyword argument tuple.

    :type policy: unicode
    :param policy: **policies** tuple argument.

        * pattern restriction: ::

            'SCC_POLICY'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policies=policies)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_secpolicy_active_policy_policies_member_entry_create(self, rbridge_id=None, policies=None, member_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policies: policy
    :param policies: Keyword argument tuple.

    :type policy: unicode
    :param policy: **policies** tuple argument.

        * pattern restriction: ::

            'SCC_POLICY'

    **Instance Keyword Argument Tuple**:

    :type member_entry: member
    :param member_entry: Keyword argument tuple.

    :type member: unicode
    :param member: **member_entry** tuple argument:  WWN of the switch

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.secpolicy.active_policy.policies', u'policies')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policies=policies, member_entry=member_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_secpolicy_defined_policy_policies_create(self, rbridge_id=None, policies=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type policies: policy
    :param policies: Keyword argument tuple.

    :type policy: unicode
    :param policy: **policies** tuple argument.

        * pattern restriction: ::

            'SCC_POLICY'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policies=policies)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_secpolicy_defined_policy_policies_member_entry_create(self, rbridge_id=None, policies=None, member_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policies: policy
    :param policies: Keyword argument tuple.

    :type policy: unicode
    :param policy: **policies** tuple argument.

        * pattern restriction: ::

            'SCC_POLICY'

    **Instance Keyword Argument Tuple**:

    :type member_entry: member
    :param member_entry: Keyword argument tuple.

    :type member: unicode
    :param member: **member_entry** tuple argument:  WWN of the switch

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.secpolicy.defined_policy.policies', u'policies')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policies=policies, member_entry=member_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_user_create(self, rbridge_id=None, user=None, groupname=None, auth=None, auth_password=None, priv=None, priv_password=None, encrypted=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type user: username, groupname, auth, auth_password, priv, priv_password, encrypted
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    :type groupname: unicode
    :param groupname: **user** tuple argument.

    :type auth: unicode
    :param auth: **user** tuple argument:  Authorization protocol for username(Default=noauth)

        * enumeration restriction: ::

            ['sha', 'noauth', 'md5']

    :type auth_password: unicode
    :param auth_password: **user** tuple argument:  Authorization password associated withusername

    :type priv: unicode
    :param priv: **user** tuple argument:  Privacy protocol for username (Default=nopriv)

        * enumeration restriction: ::

            ['AES128', 'DES', 'nopriv']

    :type priv_password: unicode
    :param priv_password: **user** tuple argument:  Privacy password associated with username

    :type encrypted: YANGBool
    :param encrypted: **user** tuple argument:  This flag is used to enter the auth/privpasswords as encrypted.(Default=disable)

    **Instance Argument(s)**:

    :type groupname: unicode
    :param groupname: Keyword argument.

    :type auth: unicode
    :param auth: Authorization protocol for username(Default=noauth)

        * enumeration restriction: ::

            ['sha', 'noauth', 'md5']

    :type auth_password: unicode
    :param auth_password: Authorization password associated withusername

    :type priv: unicode
    :param priv: Privacy protocol for username (Default=nopriv)

        * enumeration restriction: ::

            ['AES128', 'DES', 'nopriv']

    :type priv_password: unicode
    :param priv_password: Privacy password associated with username

    :type encrypted: YANGBool
    :param encrypted: This flag is used to enter the auth/privpasswords as encrypted.(Default=disable)

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.user', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, user=user, groupname=groupname, auth=auth, auth_password=auth_password, priv=priv, priv_password=priv_password, encrypted=encrypted)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_snmp_server_v3host_create(self, rbridge_id=None, v3host=None, udp_port=None, notifytype=None, engineid=None, severity_level=None, use_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type udp_port: long
    :param udp_port: Port number used to send notifications.(Default=162)

        * range restriction: ::

            ['0..4294967295']

    :type notifytype: unicode
    :param notifytype: Type of notification sent to host.(Default=traps)

        * enumeration restriction: ::

            ['informs', 'traps']

    :type engineid: unicode
    :param engineid: Manager's (Remote) engine Id.

    :type severity_level: unicode
    :param severity_level: Severity level associated with traps

        * enumeration restriction: ::

            ['Info',
            'None',
            'Critical',
            'Warning',
            'Error',
            'Debug']

    :type use_vrf: unicode
    :param use_vrf: vrfname used to send notifications.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.snmp_server.v3host": {}, "pybind.nos.v7_1_0.rbridge_id.snmp_server.v3host": {}, "pybind.nos.v6_0_2c.rbridge_id.snmp_server.v3host": {"username": "username", "severity_level": "severity_level", "udp_port": "udp_port", "use_vrf": "use_vrf", "notifytype": "notifytype", "hostip": "hostip", "engineid": "engineid"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, v3host=v3host, udp_port=udp_port, notifytype=notifytype, engineid=engineid, severity_level=severity_level, use_vrf=use_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_ssh_server_use_vrf_create(self, rbridge_id=None, use_vrf=None, ssh_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, ssh_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    :type ssh_vrf_shutdown: YANGBool
    :param ssh_vrf_shutdown: **use_vrf** tuple argument:  Shutdown SSH server on given vrf

    **Instance Argument(s)**:

    :type ssh_vrf_shutdown: YANGBool
    :param ssh_vrf_shutdown: Shutdown SSH server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_telnet_server_use_vrf_create(self, rbridge_id=None, use_vrf=None, telnet_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, telnet_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    :type telnet_vrf_shutdown: YANGBool
    :param telnet_vrf_shutdown: **use_vrf** tuple argument:  Shutdown telnet server on given vrf

    **Instance Argument(s)**:

    :type telnet_vrf_shutdown: YANGBool
    :param telnet_vrf_shutdown: Shutdown telnet server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_create(self, rbridge_id=None, policy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'policy', 'keyval': 'policy_name', 'extra_keyval': 'policy_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_interface_policy_area_create(self, rbridge_id=None, policy=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.interface.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_create(self, rbridge_id=None, policy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'policy', 'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_security_policy_area_create(self, rbridge_id=None, policy=None, area=None, timebase=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type timebase: unicode
    :param timebase: Configure timebase for monitoring

        * enumeration restriction: ::

            ['none', 'minute', 'hour', 'day']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area, timebase=timebase)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_create(self, rbridge_id=None, policy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'policy', 'keyval': 'policy_name', 'extra_keyval': 'policy_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_threshold_monitor_sfp_policy_area_create(self, rbridge_id=None, policy=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy', u'policy'), ('pybind.slxos.v16r_1_00b.rbridge_id', 'rbridge_id'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rbridge_id.threshold_monitor.sfp.policy.area', 'pybind.slxos.v16r_1_00b.brocade_rbridge', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, policy=policy, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_create(self, rbridge_id=None, vrf=None, route_distiniguisher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type route_distiniguisher: unicode
    :param route_distiniguisher: Configure Route Distinguisher

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.rbridge_id.vrf": {}, "pybind.nos.v6_0_2c.rbridge_id.vrf": {"vrf_name": "vrf_name", "route_distiniguisher": "route_distiniguisher"}, "pybind.nos.v7_1_0.rbridge_id.vrf": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, route_distiniguisher=route_distiniguisher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_create(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type max_route: long
    :param max_route: Maximum number of routes allowed in this routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_arp_create(self, rbridge_id=None, vrf=None, arp_entry=None, mac_address_value=None, interfacename=None, GigabitEthernet=None, TenGigabitEthernet=None, FortyGigabitEthernet=None, HundredGigabitEthernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mac_address_value: unicode
    :param mac_address_value: **arp_entry** tuple argument.

    :type interfacename: unicode
    :param interfacename: **arp_entry** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: **arp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type GigabitEthernet: unicode
    :param GigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type TenGigabitEthernet: unicode
    :param TenGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type FortyGigabitEthernet: unicode
    :param FortyGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type HundredGigabitEthernet: unicode
    :param HundredGigabitEthernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9])/)?('
            '([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9][0'
            '-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, GigabitEthernet, TenGigabitEthernet, FortyGigabitEthernet, HundredGigabitEthernet, Ve'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.arp_entry": {"mac_address_value": "mac_address_value", "interfacename": "interfacename", "FortyGigabitEthernet": "FortyGigabitEthernet", "GigabitEthernet": "GigabitEthernet", "TenGigabitEthernet": "TenGigabitEthernet", "arp_ip_address": "arp_ip_address", "HundredGigabitEthernet": "HundredGigabitEthernet", "Ve": "Ve"}, "pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.arp_entry": {}, "pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.arp_entry": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, GigabitEthernet=GigabitEthernet, TenGigabitEthernet=TenGigabitEthernet, FortyGigabitEthernet=FortyGigabitEthernet, HundredGigabitEthernet=HundredGigabitEthernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_import_routes_create(self, rbridge_id=None, vrf=None, routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type routes: src_vrf, route_map
    :param routes: Keyword argument tuple.

    :type src_vrf: unicode
    :param src_vrf: **routes** tuple argument:  ASCII string;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type route_map: unicode
    :param route_map: **routes** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, routes=routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_bfd_bfd_static_route_create(self, rbridge_id=None, vrf=None, bfd_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_static_route=bfd_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_route_nh_create(self, rbridge_id=None, vrf=None, static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh', 'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_route_nh_vrf_create(self, rbridge_id=None, vrf=None, static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop
    :param static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_nh_vrf** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_nh_vrf** tuple argument:  Next Hop Vrf Name

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh_vrf** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh_vrf=static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_route_oif_create(self, rbridge_id=None, vrf=None, static_route_oif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_ip_route_static_route_oif_vrf_create(self, rbridge_id=None, vrf=None, static_route_oif_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_oif_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name
    :param static_route_oif_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_oif_vrf** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_oif_vrf** tuple argument:  Next Hop Vrf Name

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif_vrf=static_route_oif_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv4_unicast_route_target_create(self, rbridge_id=None, vrf=None, route_target=None, evpn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type route_target: action, target_community
    :param route_target: Keyword argument tuple.

    :type action: unicode
    :param action: **route_target** tuple argument.

        * enumeration restriction: ::

            ['import', 'export', 'both']

    :type target_community: unicode
    :param target_community: **route_target** tuple argument:  ASN:nn;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type evpn: YANGBool
    :param evpn: EVPN Route target

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ip.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_create(self, rbridge_id=None, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type max_route: long
    :param max_route: Maximum number of routes allowed in this routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_import_routes_create(self, rbridge_id=None, vrf=None, routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type routes: src_vrf, route_map
    :param routes: Keyword argument tuple.

    :type src_vrf: unicode
    :param src_vrf: **routes** tuple argument:  ASCII string;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type route_map: unicode
    :param route_map: **routes** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, routes=routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_ipv6_static_route_oif_vrf_create(self, rbridge_id=None, vrf=None, ipv6_static_route_oif_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type ipv6_static_route_oif_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name
    :param ipv6_static_route_oif_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **ipv6_static_route_oif_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **ipv6_static_route_oif_vrf** tuple argument:  Next Hop Vrf Name

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **ipv6_static_route_oif_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **ipv6_static_route_oif_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, ipv6_static_route_oif_vrf=ipv6_static_route_oif_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_link_local_static_route_nh_create(self, rbridge_id=None, vrf=None, link_local_static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['management',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link_local_static_route_nh', 'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_link_local_static_route_nh_vrf_create(self, rbridge_id=None, vrf=None, link_local_static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type link_local_static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, link_local_next_hop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **link_local_static_route_nh_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **link_local_static_route_nh_vrf** tuple argument:  WORD 1-63;;Next Hop Vrf Name

    :type link_local_next_hop: unicode
    :param link_local_next_hop: **link_local_static_route_nh_vrf** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['management',
            've',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link_local_static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, link_local_next_hop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, link_local_static_route_nh_vrf=link_local_static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_create(self, rbridge_id=None, vrf=None, bfd_ipv6_link_local_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_static_route_create(self, rbridge_id=None, vrf=None, bfd_ipv6_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_static_route', 'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_route_nh_create(self, rbridge_id=None, vrf=None, static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh', 'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh=static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_route_nh_vrf_create(self, rbridge_id=None, vrf=None, static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop
    :param static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_nh_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_nh_vrf** tuple argument:  Next Hop Vrf Name

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh_vrf** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_nh_vrf=static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_ipv6_route_static_route_oif_create(self, rbridge_id=None, vrf=None, static_route_oif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ve',
            'fortygigabitethernet',
            'gigabitethernet',
            'tengigabitethernet',
            'hundredgigabitethernet',
            'null']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, static_route_oif=static_route_oif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_address_family_ipv6_unicast_route_target_create(self, rbridge_id=None, vrf=None, route_target=None, evpn=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type route_target: action, target_community
    :param route_target: Keyword argument tuple.

    :type action: unicode
    :param action: **route_target** tuple argument.

        * enumeration restriction: ::

            ['import', 'export', 'both']

    :type target_community: unicode
    :param target_community: **route_target** tuple argument:  ASN:nn;; Target VPN Extended Community

    **Instance Argument(s)**:

    :type evpn: YANGBool
    :param evpn: EVPN Route target

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v7_0_1b.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.address_family.ipv6.unicast.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target, evpn=evpn)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rbridge_id_vrf_route_target_create(self, rbridge_id=None, vrf=None, route_target=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: long
    :param rbridge_id: **rbridge_id** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type route_target: action, target_community
    :param route_target: Keyword argument tuple.

    :type action: unicode
    :param action: **route_target** tuple argument.

        * enumeration restriction: ::

            ['import', 'export', 'both']

    :type target_community: unicode
    :param target_community: **route_target** tuple argument:  ASN:nn;; Target VPN Extended Community

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.rbridge_id', 'rbridge_id'), ('pybind.nos.v6_0_2c.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_1_0.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_1_0.rbridge_id.vrf', u'vrf'), ('pybind.nos.v7_0_1b.rbridge_id', 'rbridge_id'), ('pybind.nos.v7_0_1b.rbridge_id.vrf', u'vrf')]
    bindings_list = [('pybind.nos.v6_0_2c.rbridge_id.vrf.route_target', 'pybind.nos.v6_0_2c.brocade_rbridge', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rbridge_id.vrf.route_target', 'pybind.nos.v7_0_1b.brocade_rbridge', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rbridge_id.vrf.route_target', 'pybind.nos.v7_1_0.brocade_rbridge', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}, {'keyval': 'rbridge_id', 'extra_keyval': ''}, {'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, vrf=vrf, route_target=route_target)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_alarm_create(self, alarm_entry=None, snmp_oid=None, alarm_interval=None, alarm_sample=None, alarm_rising_threshold=None, alarm_rising_event_index=None, alarm_falling_threshold=None, alarm_falling_event_index=None, alarm_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type alarm_entry: alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner
    :param alarm_entry: Keyword argument tuple.

    :type alarm_index: long
    :param alarm_index: **alarm_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type snmp_oid: unicode
    :param snmp_oid: **alarm_entry** tuple argument.

        * length restriction: ::

            ['min .. 35']

    :type alarm_interval: long
    :param alarm_interval: **alarm_entry** tuple argument:  Alarm sample interval

        * range restriction: ::

            ['0..4294967295']

    :type alarm_sample: unicode
    :param alarm_sample: **alarm_entry** tuple argument.

        * enumeration restriction: ::

            ['absolute', 'delta']

    :type alarm_rising_threshold: long
    :param alarm_rising_threshold: **alarm_entry** tuple argument:  Alarm rising threshold

        * range restriction: ::

            ['0..4294967295']

    :type alarm_rising_event_index: long
    :param alarm_rising_event_index: **alarm_entry** tuple argument:  Event for rising alarm

        * range restriction: ::

            ['-2147483648..2147483647']

    :type alarm_falling_threshold: long
    :param alarm_falling_threshold: **alarm_entry** tuple argument:  Alarm falling threshold

        * range restriction: ::

            ['0..4294967295']

    :type alarm_falling_event_index: long
    :param alarm_falling_event_index: **alarm_entry** tuple argument:  Event for falling alarm

        * range restriction: ::

            ['-2147483648..2147483647']

    :type alarm_owner: unicode
    :param alarm_owner: **alarm_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type snmp_oid: unicode
    :param snmp_oid: Keyword argument.

        * length restriction: ::

            ['min .. 35']

    :type alarm_interval: long
    :param alarm_interval: Alarm sample interval

        * range restriction: ::

            ['0..4294967295']

    :type alarm_sample: unicode
    :param alarm_sample: Keyword argument.

        * enumeration restriction: ::

            ['absolute', 'delta']

    :type alarm_rising_threshold: long
    :param alarm_rising_threshold: Alarm rising threshold

        * range restriction: ::

            ['0..4294967295']

    :type alarm_rising_event_index: long
    :param alarm_rising_event_index: Event for rising alarm

        * range restriction: ::

            ['-2147483648..2147483647']

    :type alarm_falling_threshold: long
    :param alarm_falling_threshold: Alarm falling threshold

        * range restriction: ::

            ['0..4294967295']

    :type alarm_falling_event_index: long
    :param alarm_falling_event_index: Event for falling alarm

        * range restriction: ::

            ['-2147483648..2147483647']

    :type alarm_owner: unicode
    :param alarm_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.alarm_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.alarm_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.alarm_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.alarm_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alarm_entry', 'keyval': 'alarm_index', 'extra_keyval': 'alarm_index, snmp_oid, alarm_interval, alarm_sample, alarm_rising_threshold, alarm_rising_event_index, alarm_falling_threshold, alarm_falling_event_index, alarm_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alarm_entry=alarm_entry, snmp_oid=snmp_oid, alarm_interval=alarm_interval, alarm_sample=alarm_sample, alarm_rising_threshold=alarm_rising_threshold, alarm_rising_event_index=alarm_rising_event_index, alarm_falling_threshold=alarm_falling_threshold, alarm_falling_event_index=alarm_falling_event_index, alarm_owner=alarm_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rmon_event_create(self, event_entry=None, event_description=None, log=None, event_community=None, event_owner=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type event_entry: event_index, event_description, log, event_community, event_owner
    :param event_entry: Keyword argument tuple.

    :type event_index: long
    :param event_index: **event_entry** tuple argument.

        * range restriction: ::

            ['-2147483648..2147483647']

    :type event_description: unicode
    :param event_description: **event_entry** tuple argument:  Event description

        * length restriction: ::

            ['min .. 127']

    :type log: YANGBool
    :param log: **event_entry** tuple argument:  Log the event

    :type event_community: unicode
    :param event_community: **event_entry** tuple argument:  Send trap for the event

        * length restriction: ::

            ['1 .. 127']

    :type event_owner: unicode
    :param event_owner: **event_entry** tuple argument:  Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    **Instance Argument(s)**:

    :type event_description: unicode
    :param event_description: Event description

        * length restriction: ::

            ['min .. 127']

    :type log: YANGBool
    :param log: Log the event

    :type event_community: unicode
    :param event_community: Send trap for the event

        * length restriction: ::

            ['1 .. 127']

    :type event_owner: unicode
    :param event_owner: Owner identity

        * length restriction: ::

            ['1 .. 15']

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,14})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rmon.event_entry', 'pybind.nos.v6_0_2c.brocade_rmon', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rmon.event_entry', 'pybind.nos.v7_0_1b.brocade_rmon', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rmon.event_entry', 'pybind.nos.v7_1_0.brocade_rmon', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rmon.event_entry', 'pybind.slxos.v16r_1_00b.brocade_rmon', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'event_entry', 'keyval': 'event_index', 'extra_keyval': 'event_index, event_description, log, event_community, event_owner'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, event_entry=event_entry, event_description=event_description, log=log, event_community=event_community, event_owner=event_owner)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def role_name_create(self, name=None, desc=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type name: name, desc
    :param name: Keyword argument tuple.

    :type name: unicode
    :param name: **name** tuple argument.

        * length restriction: ::

            ['4 .. 32']

    :type desc: unicode
    :param desc: **name** tuple argument:  Description of the role (default='')

        * length restriction: ::

            ['0 .. 64']

    **Instance Argument(s)**:

    :type desc: unicode
    :param desc: Description of the role (default='')

        * length restriction: ::

            ['0 .. 64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.role.name', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.role.name', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.role.name', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.role.name', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'name', 'keyval': 'name', 'extra_keyval': 'name, desc'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, name=name, desc=desc)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_create(self, route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'route_map', 'keyval': 'name, action_rm, instance', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_global_next_global_hop_create(self, route_map=None, next_global_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_global_hop: next_hop
    :param next_global_hop: Keyword argument tuple.

    :type next_hop: unicode
    :param next_hop: **next_global_hop** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.global_.next_global_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, next_global_hop=next_global_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_next_hop_create(self, route_map=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_hop: next_hop
    :param next_hop: Keyword argument tuple.

    :type next_hop: unicode
    :param next_hop: **next_hop** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_next_hop_next_hop_list_create(self, route_map=None, next_hop_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_hop_list: next_hop_addr
    :param next_hop_list: Keyword argument tuple.

    :type next_hop_addr: unicode
    :param next_hop_addr: **next_hop_list** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.next_hop.next_hop_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop_list', 'keyval': 'next_hop_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, next_hop_list=next_hop_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ip_next_vrf_list_create(self, route_map=None, next_vrf_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_vrf_list: vrf, next_hop
    :param next_vrf_list: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **next_vrf_list** tuple argument:  Next Hop Vrf Name

    :type next_hop: unicode
    :param next_hop: **next_vrf_list** tuple argument:  A.B.C.D;;IP address of next hop

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ip.next_vrf.next_vrf_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_vrf_list', 'keyval': 'vrf, next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, next_vrf_list=next_vrf_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ipv6_global_next_global_hop_create(self, route_map=None, next_global_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_global_hop: next_hop
    :param next_global_hop: Keyword argument tuple.

    :type next_hop: unicode
    :param next_hop: **next_global_hop** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.global_.next_global_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_global_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, next_global_hop=next_global_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ipv6_next_hop_create(self, route_map=None, next_hop=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_hop: next_hop
    :param next_hop: Keyword argument tuple.

    :type next_hop: unicode
    :param next_hop: **next_hop** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.next_ip.next_hop', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_hop', 'keyval': 'next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, next_hop=next_hop)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def route_map_set_ipv6_next_vrf_list_create(self, route_map=None, next_vrf_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type route_map: name, action_rm, instance
    :param route_map: Keyword argument tuple.

    :type name: unicode
    :param name: **route_map** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type action_rm: unicode
    :param action_rm: **route_map** tuple argument.

        * enumeration restriction: ::

            ['deny', 'permit']

    :type instance: int
    :param instance: **route_map** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type next_vrf_list: vrf, next_hop
    :param next_vrf_list: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **next_vrf_list** tuple argument:  WORD 1-63;;Next Hop Vrf Name

    :type next_hop: unicode
    :param next_hop: **next_vrf_list** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.hide_routemap_holder.route_map', u'route_map'), ('pybind.slxos.v16r_1_00b.routing_system.route_map', u'route_map'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map', u'route_map'), ('pybind.nos.v6_0_2c.hide_routemap_holder.route_map', u'route_map')]
    bindings_list = [('pybind.nos.v6_0_2c.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v6_0_2c.brocade_ip_policy', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_0_1b.brocade_ip_policy', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.hide_routemap_holder.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.nos.v7_1_0.brocade_ip_policy', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.routing_system.route_map.content.set_.ipv6.next_vrf.next_vrf_list', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}, {'keyval': 'name, action_rm, instance', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'next_vrf_list', 'keyval': 'vrf, next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, route_map=route_map, next_vrf_list=next_vrf_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_evpn_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.evpn', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_evpn_neighbor_create(self, af_evpn_neighbor=None, evpn_nbr_activate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type af_evpn_neighbor: af_evpn_neighbor_address
    :param af_evpn_neighbor: Keyword argument tuple.

    :type af_evpn_neighbor_address: unicode
    :param af_evpn_neighbor_address: **af_evpn_neighbor** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type evpn_nbr_activate: YANGBool
    :param evpn_nbr_activate: Allow exchange of route in the current family mode

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.evpn.af_evpn_neighbor_address_holder.af_evpn_neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_evpn_neighbor', 'keyval': 'af_evpn_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_evpn_neighbor=af_evpn_neighbor, evpn_nbr_activate=evpn_nbr_activate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_aggregate_address_create(self, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_address_create(self, af_ipv4_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_address: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_address: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_address** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_address_holder.af_ipv4_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_address', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_address=af_ipv4_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_neighbor_af_ipv4_neighbor_peergroup_create(self, af_ipv4_neighbor_peergroup=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_peergroup: af_ipv4_neighbor_peergroup_name
    :param af_ipv4_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv4_neighbor_peergroup_name: unicode
    :param af_ipv4_neighbor_peergroup_name: **af_ipv4_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.neighbor.af_ipv4_neighbor_peergroup_holder.af_ipv4_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_peergroup', 'keyval': 'af_ipv4_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv4_neighbor_peergroup=af_ipv4_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_network_create(self, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_next_hop_mpls_create(self, compare_lsp_metric=None, follow_igp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type compare_lsp_metric: YANGBool
    :param compare_lsp_metric: Compare metric value among LSP ECMP paths

    :type follow_igp: YANGBool
    :param follow_igp: Use IGP metric and ignore LSP metric

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.next_hop_mpls', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, compare_lsp_metric=compare_lsp_metric, follow_igp=follow_igp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_redistribute_isis_create(self, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redistribute_isis_route_map: unicode
    :param redistribute_isis_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type level_1: YANGBool
    :param level_1: Redistribution of IS-IS Level-1 routes only

    :type level_2: YANGBool
    :param level_2: Redistribution of IS-IS Level-2 routes only

    :type level_1_2: YANGBool
    :param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes

    :type redistribute_isis_metric: long
    :param redistribute_isis_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.af_ipv4_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_static_network_create(self, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.default_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_create(self, af_vrf=None, local_as=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type local_as: unicode
    :param local_as: Configure local AS number

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_vrf', 'keyval': 'af_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, local_as=local_as, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_aggregate_address_create(self, af_vrf=None, aggregate_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_address: aggregate_ip_prefix
    :param aggregate_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.aggregate_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, aggregate_address=aggregate_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_neighbor_af_ipv4_neighbor_addr_create(self, af_vrf=None, af_ipv4_neighbor_addr=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv4_neighbor_addr: af_ipv4_neighbor_address
    :param af_ipv4_neighbor_addr: Keyword argument tuple.

    :type af_ipv4_neighbor_address: unicode
    :param af_ipv4_neighbor_address: **af_ipv4_neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.neighbor.af_ipv4_vrf_neighbor_address_holder.af_ipv4_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv4_neighbor_addr', 'keyval': 'af_ipv4_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, af_ipv4_neighbor_addr=af_ipv4_neighbor_addr, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_network_create(self, af_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv4_address
    :param network: Keyword argument tuple.

    :type network_ipv4_address: unicode
    :param network_ipv4_address: **network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv4_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv4_unicast_vrf_static_network_create(self, af_vrf=None, static_network=None, static_network_distance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_vrf: af_vrf_name
    :param af_vrf: Keyword argument tuple.

    :type af_vrf_name: unicode
    :param af_vrf_name: **af_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type static_network: static_network_address
    :param static_network: Keyword argument tuple.

    :type static_network_address: unicode
    :param static_network_address: **static_network** tuple argument:  A.B.C.D/M IP address in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    **Instance Argument(s)**:

    :type static_network_distance: long
    :param static_network_distance: Define an administrative distance for this local network

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf', u'af_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv4.ipv4_unicast.af_vrf.static_network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_network', 'keyval': 'static_network_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_vrf=af_vrf, static_network=static_network, static_network_distance=static_network_distance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_aggregate_address_create(self, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_address_create(self, af_ipv6_neighbor_address=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_address: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_address: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_address** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_address_holder.af_ipv6_neighbor_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_address', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_address=af_ipv6_neighbor_address, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_neighbor_af_ipv6_neighbor_peergroup_create(self, af_ipv6_neighbor_peergroup=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_peergroup: af_ipv6_neighbor_peergroup_name
    :param af_ipv6_neighbor_peergroup: Keyword argument tuple.

    :type af_ipv6_neighbor_peergroup_name: unicode
    :param af_ipv6_neighbor_peergroup_name: **af_ipv6_neighbor_peergroup** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.neighbor.af_ipv6_neighbor_peergroup_holder.af_ipv6_neighbor_peergroup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_peergroup', 'keyval': 'af_ipv6_neighbor_peergroup_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_neighbor_peergroup=af_ipv6_neighbor_peergroup, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_network_create(self, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_redistribute_isis_create(self, redistribute_isis_route_map=None, level_1=None, level_2=None, level_1_2=None, redistribute_isis_metric=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type redistribute_isis_route_map: unicode
    :param redistribute_isis_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type level_1: YANGBool
    :param level_1: Redistribution of IS-IS Level-1 routes only

    :type level_2: YANGBool
    :param level_2: Redistribution of IS-IS Level-2 routes only

    :type level_1_2: YANGBool
    :param level_1_2: Redistribution of IS-IS Level-1 and Level-2 routes

    :type redistribute_isis_metric: long
    :param redistribute_isis_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.default_vrf.af_ipv6_uc_and_vrf_cmds_call_point_holder.redistribute.redistribute_isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, redistribute_isis_route_map=redistribute_isis_route_map, level_1=level_1, level_2=level_2, level_1_2=level_1_2, redistribute_isis_metric=redistribute_isis_metric)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_create(self, af_ipv6_vrf=None, next_hop_recursion=None, graceful_restart_status=None, always_propagate=None, default_information_originate=None, rib_route_limit=None, client_to_client_reflection=None, default_metric=None, next_hop_enable_default=None, update_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Argument(s)**:

    :type next_hop_recursion: YANGBool
    :param next_hop_recursion: Perform next-hop recursive lookup for BGP route

    :type graceful_restart_status: YANGBool
    :param graceful_restart_status: Enables the BGP graceful restart capability

    :type always_propagate: YANGBool
    :param always_propagate: Allow readvertisement of best BGP routes not in IP Forwarding table

    :type default_information_originate: YANGBool
    :param default_information_originate: Originate Default Information

    :type rib_route_limit: long
    :param rib_route_limit: Limit BGP rib count in routing table

        * range restriction: ::

            ['0..4294967295']

    :type client_to_client_reflection: YANGBool
    :param client_to_client_reflection: Configure client to client route reflection

    :type default_metric: long
    :param default_metric: Set metric of redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type next_hop_enable_default: YANGBool
    :param next_hop_enable_default: Enable default route for BGP next-hop lookup

    :type update_time: long
    :param update_time: Configure igp route update interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_vrf', 'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, next_hop_recursion=next_hop_recursion, graceful_restart_status=graceful_restart_status, always_propagate=always_propagate, default_information_originate=default_information_originate, rib_route_limit=rib_route_limit, client_to_client_reflection=client_to_client_reflection, default_metric=default_metric, next_hop_enable_default=next_hop_enable_default, update_time=update_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_aggregate_address_create(self, af_ipv6_vrf=None, aggregate_ipv6_address=None, advertise_map=None, as_set=None, attribute_map=None, summary_only=None, suppress_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type aggregate_ipv6_address: aggregate_ip_prefix
    :param aggregate_ipv6_address: Keyword argument tuple.

    :type aggregate_ip_prefix: unicode
    :param aggregate_ip_prefix: **aggregate_ipv6_address** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type advertise_map: unicode
    :param advertise_map: Route map to control attribute advertisement

        * length restriction: ::

            ['1..63']

    :type as_set: YANGBool
    :param as_set: Generate AS set path information

    :type attribute_map: unicode
    :param attribute_map: Route map for parameter control

        * length restriction: ::

            ['1..63']

    :type summary_only: YANGBool
    :param summary_only: Filter more specific routes from updates

    :type suppress_map: unicode
    :param suppress_map: Conditionally filter more specific routes from updates

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.aggregate_ipv6_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'aggregate_ipv6_address', 'keyval': 'aggregate_ip_prefix', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, aggregate_ipv6_address=aggregate_ipv6_address, advertise_map=advertise_map, as_set=as_set, attribute_map=attribute_map, summary_only=summary_only, suppress_map=suppress_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_neighbor_af_ipv6_neighbor_addr_create(self, af_ipv6_vrf=None, af_ipv6_neighbor_addr=None, remote_as=None, allowas_in=None, activate=None, route_reflector_client=None, af_nei_weight=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type af_ipv6_neighbor_addr: af_ipv6_neighbor_address
    :param af_ipv6_neighbor_addr: Keyword argument tuple.

    :type af_ipv6_neighbor_address: unicode
    :param af_ipv6_neighbor_address: **af_ipv6_neighbor_addr** tuple argument:  A:B::C:D;;Neighbor Ipv6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type allowas_in: long
    :param allowas_in: Disables the AS_PATH check of the routes learned from the AS

        * range restriction: ::

            ['0..4294967295']

    :type activate: YANGBool
    :param activate: Allow exchange of route in the current family mode

    :type route_reflector_client: YANGBool
    :param route_reflector_client: Configure a neighbor as Route Reflector client

    :type af_nei_weight: long
    :param af_nei_weight: Set default weight for routes from this neighbor

        * range restriction: ::

            ['0..4294967295']

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.neighbor.af_ipv6_vrf_neighbor_address_holder.af_ipv6_neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'af_ipv6_neighbor_addr', 'keyval': 'af_ipv6_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, af_ipv6_neighbor_addr=af_ipv6_neighbor_addr, remote_as=remote_as, allowas_in=allowas_in, activate=activate, route_reflector_client=route_reflector_client, af_nei_weight=af_nei_weight, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_address_family_ipv6_unicast_vrf_network_create(self, af_ipv6_vrf=None, network=None, network_weight=None, backdoor=None, network_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type af_ipv6_vrf: af_ipv6_vrf_name
    :param af_ipv6_vrf: Keyword argument tuple.

    :type af_ipv6_vrf_name: unicode
    :param af_ipv6_vrf_name: **af_ipv6_vrf** tuple argument:  VRF name

        * length restriction: ::

            ['1..255']

    **Instance Keyword Argument Tuple**:

    :type network: network_ipv6_address
    :param network: Keyword argument tuple.

    :type network_ipv6_address: unicode
    :param network_ipv6_address: **network** tuple argument:  A:B::C:D/M IPV6 address in dotted decimal/Mask

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type network_weight: long
    :param network_weight: Set BGP weight for network

        * range restriction: ::

            ['0..4294967295']

    :type backdoor: YANGBool
    :param backdoor: Specify a BGP backdoor route

    :type network_route_map: unicode
    :param network_route_map: Route-map to modify the attributes

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf', u'af_ipv6_vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.address_family.ipv6.ipv6_unicast.af_ipv6_vrf.network', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'af_ipv6_vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'network', 'keyval': 'network_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, af_ipv6_vrf=af_ipv6_vrf, network=network, network_weight=network_weight, backdoor=backdoor, network_route_map=network_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_addr_create(self, neighbor_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor_addr: router_bgp_neighbor_address
    :param neighbor_addr: Keyword argument tuple.

    :type router_bgp_neighbor_address: unicode
    :param router_bgp_neighbor_address: **neighbor_addr** tuple argument:  A.B.C.D;;Neighbor Address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type associate_peer_group: unicode
    :param associate_peer_group: Assign peer-group to neighbor

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ips.neighbor_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_addr', 'keyval': 'router_bgp_neighbor_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_addr=neighbor_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_ipv6_addr_create(self, neighbor_ipv6_addr=None, remote_as=None, associate_peer_group=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor_ipv6_addr: router_bgp_neighbor_ipv6_address
    :param neighbor_ipv6_addr: Keyword argument tuple.

    :type router_bgp_neighbor_ipv6_address: unicode
    :param router_bgp_neighbor_ipv6_address: **neighbor_ipv6_addr** tuple argument:  A:B::C:D;;Neighbor IPV6 Address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    **Instance Argument(s)**:

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type associate_peer_group: unicode
    :param associate_peer_group: Create Peer Group

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.neighbor_ipv6s.neighbor_ipv6_addr', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_ipv6_addr', 'keyval': 'router_bgp_neighbor_ipv6_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_ipv6_addr=neighbor_ipv6_addr, remote_as=remote_as, associate_peer_group=associate_peer_group, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_bgp_neighbor_neighbor_peer_grp_create(self, neighbor_peer_grp=None, peer_group_name=None, remote_as=None, description=None, ebgp_btsh=None, password=None, remove_private_as=None, as_override=None, static_network_edge=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type neighbor_peer_grp: router_bgp_neighbor_peer_grp
    :param neighbor_peer_grp: Keyword argument tuple.

    :type router_bgp_neighbor_peer_grp: unicode
    :param router_bgp_neighbor_peer_grp: **neighbor_peer_grp** tuple argument:  Word:1-63;;Peer Group Name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\\\\@#\+\*\(\)=\{~\}%<>=$'
            '_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type peer_group_name: YANGBool
    :param peer_group_name: Create Peer Group

    :type remote_as: unicode
    :param remote_as: Specify a BGP neighbor

        * pattern restriction: ::

            '((([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4][0-9]'
            '{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553[0-5'
            ']))\.(([0-9][0-9]{0,3})|([1-5][0-9]{4})|(6[0-4]['
            '0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9])|(6553'
            '[0-5])))|([1-9][0-9]{0,8})|([1-3][0-9]{9})|(4[0-'
            '1][0-9]{8})|(42[0-8][0-9]{7})|(429[0-3][0-9]{6})'
            '|(4294[0-8][0-9]{5})|(42949[0-5][0-9]{4})|(42949'
            '6[0-6][0-9]{3})|(4294967[0-1][0-9]{2})|(42949672'
            '[0-8][0-9])|(429496729[0-5])'

    :type description: unicode
    :param description: Neighbor by description

        * length restriction: ::

            ['1..220']

    :type ebgp_btsh: YANGBool
    :param ebgp_btsh: Enable EBGP TTL Security Hack Protection

    :type password: unicode
    :param password: Enable TCP-MD5 password protection

    :type remove_private_as: YANGBool
    :param remove_private_as: Remove private AS number from outbound updates

    :type as_override: YANGBool
    :param as_override: Override matching AS-number while sending update

    :type static_network_edge: YANGBool
    :param static_network_edge: Neighbor as special service edge, static-networkshall not be advertised if installed as DROP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.router_bgp.router_bgp_attributes.neighbor.peer_grps.neighbor_peer_grp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'neighbor_peer_grp', 'keyval': 'router_bgp_neighbor_peer_grp', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, neighbor_peer_grp=neighbor_peer_grp, peer_group_name=peer_group_name, remote_as=remote_as, description=description, ebgp_btsh=ebgp_btsh, password=password, remove_private_as=remove_private_as, as_override=as_override, static_network_edge=static_network_edge)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv4_create(self, enable_global=None, gateway_mac_address=None, accept_unicast_arp_request=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type enable_global: YANGBool
    :param enable_global: Enable Fabric virtual gateway

    :type gateway_mac_address: unicode
    :param gateway_mac_address: Gateway MAC address for ARP requests

    :type accept_unicast_arp_request: YANGBool
    :param accept_unicast_arp_request: Accept Unicast Arp Request

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv4', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable_global=enable_global, gateway_mac_address=gateway_mac_address, accept_unicast_arp_request=accept_unicast_arp_request)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_fabric_virtual_gateway_address_family_ipv6_create(self, enable_global=None, gateway_mac_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type enable_global: YANGBool
    :param enable_global: Enable Fabric virtual gateway

    :type gateway_mac_address: unicode
    :param gateway_mac_address: Gateway MAC address for ARP requests

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v6_0_2c.brocade_common_def', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_0_1b.brocade_common_def', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.nos.v7_1_0.brocade_common_def', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.router.fabric_virtual_gateway.address_family.ipv6', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, enable_global=enable_global, gateway_mac_address=gateway_mac_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_ldp_sync_create(self, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type ldp_sync_hold_down: long
    :param ldp_sync_hold_down: Specify hold-down duration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_bgp_create(self, bgp_metric=None, bgp_route_map=None, bgp_level1=None, bgp_level2=None, bgp_level12=None, bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type bgp_level1: YANGBool
    :param bgp_level1: IS-IS Level-1 routes only

    :type bgp_level2: YANGBool
    :param bgp_level2: IS-IS Level-2 routes only

    :type bgp_level12: YANGBool
    :param bgp_level12: IS-IS Level-1-2 routes

    :type bgp_metric_type: unicode
    :param bgp_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map, bgp_level1=bgp_level1, bgp_level2=bgp_level2, bgp_level12=bgp_level12, bgp_metric_type=bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_connected_create(self, connected_metric=None, connected_route_map=None, connected_level1=None, connected_level2=None, connected_level12=None, connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type connected_metric: long
    :param connected_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type connected_level1: YANGBool
    :param connected_level1: IS-IS Level-1 routes only

    :type connected_level2: YANGBool
    :param connected_level2: IS-IS Level-2 routes only

    :type connected_level12: YANGBool
    :param connected_level12: IS-IS Level-1-2 routes

    :type connected_metric_type: unicode
    :param connected_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_metric=connected_metric, connected_route_map=connected_route_map, connected_level1=connected_level1, connected_level2=connected_level2, connected_level12=connected_level12, connected_metric_type=connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_isis_level_2_into_level_1_create(self, prefix_list_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_list_level2: unicode
    :param prefix_list_level2: Select routes using prefix-list

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list_level2=prefix_list_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_ospf_create(self, ospf_metric=None, ospf_route_map=None, ospf_level1=None, ospf_level2=None, ospf_level12=None, ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type ospf_level1: YANGBool
    :param ospf_level1: IS-IS Level-1 routes only

    :type ospf_level2: YANGBool
    :param ospf_level2: IS-IS Level-2 routes only

    :type ospf_level12: YANGBool
    :param ospf_level12: IS-IS Level-1-2 routes

    :type ospf_metric_type: unicode
    :param ospf_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map, ospf_level1=ospf_level1, ospf_level2=ospf_level2, ospf_level12=ospf_level12, ospf_metric_type=ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_redistribute_static_create(self, static_metric=None, static_route_map=None, static_level1=None, static_level2=None, static_level12=None, static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type static_metric: long
    :param static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type static_level1: YANGBool
    :param static_level1: IS-IS Level-1 routes only

    :type static_level2: YANGBool
    :param static_level2: IS-IS Level-2 routes only

    :type static_level12: YANGBool
    :param static_level12: IS-IS Level-1-2 routes

    :type static_metric_type: unicode
    :param static_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_metric=static_metric, static_route_map=static_route_map, static_level1=static_level1, static_level2=static_level2, static_level12=static_level12, static_metric_type=static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv4_unicast_summary_address_create(self, summary_address=None, summary_ip_level1=None, summary_ip_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type summary_address: summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2
    :param summary_address: Keyword argument tuple.

    :type summary_ip: unicode
    :param summary_ip: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type summary_ip_mask: unicode
    :param summary_ip_mask: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type summary_ip_level1: YANGBool
    :param summary_ip_level1: **summary_address** tuple argument:  For Level-1

    :type summary_ip_level2: YANGBool
    :param summary_ip_level2: **summary_address** tuple argument:  For Level-2

    **Instance Argument(s)**:

    :type summary_ip_level1: YANGBool
    :param summary_ip_level1: For Level-1

    :type summary_ip_level2: YANGBool
    :param summary_ip_level2: For Level-2

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv4.af_ipv4_unicast.af_ipv4_attributes.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'summary_ip, summary_ip_mask', 'extra_keyval': 'summary_ip, summary_ip_mask, summary_ip_level1, summary_ip_level2'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_address=summary_address, summary_ip_level1=summary_ip_level1, summary_ip_level2=summary_ip_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_multi_topology_create(self, multi_topology_transition=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type multi_topology_transition: YANGBool
    :param multi_topology_transition: Accept and generate both ISIS IPv6 and Multi-topology IPv6 TLVs

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.multi_topology', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, multi_topology_transition=multi_topology_transition)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_bgp_create(self, bgp_metric=None, bgp_route_map=None, bgp_level1=None, bgp_level2=None, bgp_level12=None, bgp_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type bgp_metric: long
    :param bgp_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type bgp_level1: YANGBool
    :param bgp_level1: IS-IS Level-1 routes only

    :type bgp_level2: YANGBool
    :param bgp_level2: IS-IS Level-2 routes only

    :type bgp_level12: YANGBool
    :param bgp_level12: IS-IS Level-1-2 routes

    :type bgp_metric_type: unicode
    :param bgp_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bgp_metric=bgp_metric, bgp_route_map=bgp_route_map, bgp_level1=bgp_level1, bgp_level2=bgp_level2, bgp_level12=bgp_level12, bgp_metric_type=bgp_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_connected_create(self, connected_metric=None, connected_route_map=None, connected_level1=None, connected_level2=None, connected_level12=None, connected_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type connected_metric: long
    :param connected_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type connected_level1: YANGBool
    :param connected_level1: IS-IS Level-1 routes only

    :type connected_level2: YANGBool
    :param connected_level2: IS-IS Level-2 routes only

    :type connected_level12: YANGBool
    :param connected_level12: IS-IS Level-1-2 routes

    :type connected_metric_type: unicode
    :param connected_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connected_metric=connected_metric, connected_route_map=connected_route_map, connected_level1=connected_level1, connected_level2=connected_level2, connected_level12=connected_level12, connected_metric_type=connected_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_isis_level_2_into_level_1_create(self, prefix_list_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type prefix_list_level2: unicode
    :param prefix_list_level2: Select routes using prefix-list

        * length restriction: ::

            ['1..63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.isis.level_2.into.level2_into_level1', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, prefix_list_level2=prefix_list_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_ospf_create(self, ospf_metric=None, ospf_route_map=None, ospf_level1=None, ospf_level2=None, ospf_level12=None, ospf_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type ospf_metric: long
    :param ospf_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type ospf_level1: YANGBool
    :param ospf_level1: IS-IS Level-1 routes only

    :type ospf_level2: YANGBool
    :param ospf_level2: IS-IS Level-2 routes only

    :type ospf_level12: YANGBool
    :param ospf_level12: IS-IS Level-1-2 routes

    :type ospf_metric_type: unicode
    :param ospf_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf_metric=ospf_metric, ospf_route_map=ospf_route_map, ospf_level1=ospf_level1, ospf_level2=ospf_level2, ospf_level12=ospf_level12, ospf_metric_type=ospf_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_redistribute_static_create(self, static_metric=None, static_route_map=None, static_level1=None, static_level2=None, static_level12=None, static_metric_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type static_metric: long
    :param static_metric: Metric for redistributed routes

        * range restriction: ::

            ['0..4294967295']

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * length restriction: ::

            ['1..63']

    :type static_level1: YANGBool
    :param static_level1: IS-IS Level-1 routes only

    :type static_level2: YANGBool
    :param static_level2: IS-IS Level-2 routes only

    :type static_level12: YANGBool
    :param static_level12: IS-IS Level-1-2 routes

    :type static_metric_type: unicode
    :param static_metric_type: IS-IS metric type for redistributed routes

        * enumeration restriction: ::

            ['internal', 'external']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.af_common_attributes.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, static_metric=static_metric, static_route_map=static_route_map, static_level1=static_level1, static_level2=static_level2, static_level12=static_level12, static_metric_type=static_metric_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_spf_interval_create(self, spf6_interval=None, spf6_interval_max_hold_time=None, spf6_interval_initial_delay=None, spf6_interval_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type spf6_interval: spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time
    :param spf6_interval: Keyword argument tuple.

    :type spf6_interval_level: unicode
    :param spf6_interval_level: **spf6_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type spf6_interval_max_hold_time: long
    :param spf6_interval_max_hold_time: **spf6_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_interval_initial_delay: long
    :param spf6_interval_initial_delay: **spf6_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_interval_hold_time: long
    :param spf6_interval_hold_time: **spf6_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spf6_interval_max_hold_time: long
    :param spf6_interval_max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_interval_initial_delay: long
    :param spf6_interval_initial_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf6_interval_hold_time: long
    :param spf6_interval_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.spf6_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf6_interval', 'keyval': 'spf6_interval_level', 'extra_keyval': 'spf6_interval_level, spf6_interval_max_hold_time, spf6_interval_initial_delay, spf6_interval_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf6_interval=spf6_interval, spf6_interval_max_hold_time=spf6_interval_max_hold_time, spf6_interval_initial_delay=spf6_interval_initial_delay, spf6_interval_hold_time=spf6_interval_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_address_family_ipv6_unicast_summary_prefix_create(self, summary_prefix=None, summary_prefix_level1=None, summary_prefix_level2=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type summary_prefix: summary_prefix_ipv6
    :param summary_prefix: Keyword argument tuple.

    :type summary_prefix_ipv6: unicode
    :param summary_prefix_ipv6: **summary_prefix** tuple argument.

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    **Instance Argument(s)**:

    :type summary_prefix_level1: YANGBool
    :param summary_prefix_level1: For Level-1

    :type summary_prefix_level2: YANGBool
    :param summary_prefix_level2: For Level-2

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.address_family.ipv6.af_ipv6_unicast.af_ipv6_attributes.summary_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'summary_prefix', 'keyval': 'summary_prefix_ipv6', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, summary_prefix=summary_prefix, summary_prefix_level1=summary_prefix_level1, summary_prefix_level2=summary_prefix_level2)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_fast_flood_create(self, fast_flood_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type fast_flood_value: long
    :param fast_flood_value: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.fast_flood', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'fast_flood_value'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, fast_flood_value=fast_flood_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_net_create(self, net=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type net: net_cmd
    :param net: Keyword argument tuple.

    :type net_cmd: unicode
    :param net_cmd: **net** tuple argument.

        * pattern restriction: ::

            '([0-9a-fA-F]{2}((\.[0-9a-fA-F]{4}){3,9})\.00)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.net', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'net', 'keyval': 'net_cmd', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, net=net)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_reverse_metric_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.reverse_metric', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_set_overload_bit_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_set_overload_bit_on_startup_wait_for_bgp_create(self, wait_for_bgp_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type wait_for_bgp_value: long
    :param wait_for_bgp_value: Set overload-bit till BGP converges on reboot

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.set_overload_bit.on_startup.wait_for_bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, wait_for_bgp_value=wait_for_bgp_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_isis_spf_interval_create(self, spf_interval=None, spf_interval_max_hold_time=None, spf_interval_initial_delay=None, spf_interval_hold_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type spf_interval: spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time
    :param spf_interval: Keyword argument tuple.

    :type spf_interval_level: unicode
    :param spf_interval_level: **spf_interval** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1']

    :type spf_interval_max_hold_time: long
    :param spf_interval_max_hold_time: **spf_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_interval_initial_delay: long
    :param spf_interval_initial_delay: **spf_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_interval_hold_time: long
    :param spf_interval_hold_time: **spf_interval** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type spf_interval_max_hold_time: long
    :param spf_interval_max_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_interval_initial_delay: long
    :param spf_interval_initial_delay: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type spf_interval_hold_time: long
    :param spf_interval_hold_time: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.isis.router_isis_cmds_holder.router_isis_attributes.spf_interval', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'spf_interval', 'keyval': 'spf_interval_level', 'extra_keyval': 'spf_interval_level, spf_interval_max_hold_time, spf_interval_initial_delay, spf_interval_hold_time'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_interval=spf_interval, spf_interval_max_hold_time=spf_interval_max_hold_time, spf_interval_initial_delay=spf_interval_initial_delay, spf_interval_hold_time=spf_interval_hold_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_template_create(self, autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type autobw_template: autobw_template_name
    :param autobw_template: Keyword argument tuple.

    :type autobw_template_name: unicode
    :param autobw_template_name: **autobw_template** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type adjustment_interval: long
    :param adjustment_interval: Configure Adjustment interval

        * range restriction: ::

            ['0..4294967295']

    :type adjustment_threshold: long
    :param adjustment_threshold: Configure Adjustment threshold

        * range restriction: ::

            ['0..4294967295']

    :type min_bandwidth: long
    :param min_bandwidth: Configure Minimum Bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type max_bandwidth: long
    :param max_bandwidth: Configure Maximum bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type overflow_limit: long
    :param overflow_limit: Configure Overflow limit

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: Configure Mode of autobandwidth

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type sample_recording: unicode
    :param sample_recording: Set sample recording for this lsp

        * enumeration restriction: ::

            ['enable', 'disable']

    :type underflow_limit: long
    :param underflow_limit: Configure Underflow limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_template', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_template', 'keyval': 'autobw_template_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_template=autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_threshold_table_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_autobw_threshold_table_bandwidth_create(self, autobw_threshold_table_bandwidth=None, autobw_threshold_table_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type autobw_threshold_table_bandwidth: bandwidth_value, autobw_threshold_table_threshold
    :param autobw_threshold_table_bandwidth: Keyword argument tuple.

    :type bandwidth_value: long
    :param bandwidth_value: **autobw_threshold_table_bandwidth** tuple argument:  DECIMAL;;Bandwidth upto which threshold will apply

        * range restriction: ::

            ['0..4294967295']

    :type autobw_threshold_table_threshold: long
    :param autobw_threshold_table_threshold: **autobw_threshold_table_bandwidth** tuple argument:  DECIMAL;;Absolute threshold value for the bandwidth

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type autobw_threshold_table_threshold: long
    :param autobw_threshold_table_threshold: DECIMAL;;Absolute threshold value for the bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.autobw_threshold_table.autobw_threshold_table_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'autobw_threshold_table_bandwidth', 'keyval': 'bandwidth_value', 'extra_keyval': 'bandwidth_value, autobw_threshold_table_threshold'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_threshold_table_bandwidth=autobw_threshold_table_bandwidth, autobw_threshold_table_threshold=autobw_threshold_table_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bfd_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bfd', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_create(self, bypass_lsp=None, bypass_lsp_dest_address=None, bypass_lsp_src_address=None, bypass_lsp_tie_breaking=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, bypass_lsp_primary_path=None, bypass_lsp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bypass_lsp_dest_address: unicode
    :param bypass_lsp_dest_address: Define LSP destination address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bypass_lsp_src_address: unicode
    :param bypass_lsp_src_address: Define LSP source address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bypass_lsp_tie_breaking: unicode
    :param bypass_lsp_tie_breaking: Choose the tie breaking mode for cspf

        * enumeration restriction: ::

            ['most-fill', 'random', 'least-fill']

    :type lsp_adaptive: YANGBool
    :param lsp_adaptive: Configure LSP/secpath to be adaptive

    :type lsp_reoptimize_timer: long
    :param lsp_reoptimize_timer: Configure Reoptimization timer

        * range restriction: ::

            ['0..4294967295']

    :type lsp_commit: YANGBool
    :param lsp_commit: Commit the changes to adaptive LSP

    :type lsp_record: unicode
    :param lsp_record: Enable/disable recording path routes

        * enumeration restriction: ::

            ['enable', 'disable']

    :type lsp_cos: long
    :param lsp_cos: Configure class of service

        * range restriction: ::

            ['0..4294967295']

    :type lsp_hop_limit: int
    :param lsp_hop_limit: Limit of hops the LSP can traverse

        * range restriction: ::

            ['0..65535']

    :type lsp_cspf_computation_mode: unicode
    :param lsp_cspf_computation_mode: Specify cspf-computation-mode

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type bypass_lsp_primary_path: unicode
    :param bypass_lsp_primary_path: Set primary explicit path

        * length restriction: ::

            ['1..64']

    :type bypass_lsp_enable: YANGBool
    :param bypass_lsp_enable: Enable LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bypass_lsp', 'keyval': 'bypass_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, bypass_lsp_dest_address=bypass_lsp_dest_address, bypass_lsp_src_address=bypass_lsp_src_address, bypass_lsp_tie_breaking=bypass_lsp_tie_breaking, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, bypass_lsp_primary_path=bypass_lsp_primary_path, bypass_lsp_enable=bypass_lsp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_bypass_lsp_exclude_interface_create(self, bypass_lsp=None, exclude_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bypass_lsp: bypass_lsp_name
    :param bypass_lsp: Keyword argument tuple.

    :type bypass_lsp_name: unicode
    :param bypass_lsp_name: **bypass_lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type exclude_interface: bypass_exclude_interface_type, bypass_exclude_interface_name
    :param exclude_interface: Keyword argument tuple.

    :type bypass_exclude_interface_type: unicode
    :param bypass_exclude_interface_type: **exclude_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type bypass_exclude_interface_name: unicode
    :param bypass_exclude_interface_name: **exclude_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp', u'bypass_lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.bypass_lsp.exclude_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bypass_lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'exclude_interface', 'keyval': 'bypass_exclude_interface_type, bypass_exclude_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bypass_lsp=bypass_lsp, exclude_interface=exclude_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_cspf_group_create(self, cspf_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cspf_group: cspf_group_name
    :param cspf_group: Keyword argument tuple.

    :type cspf_group_name: unicode
    :param cspf_group_name: **cspf_group** tuple argument:  ASCII string;;Name (up to 128 characters)

        * length restriction: ::

            ['1..128']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cspf_group', 'keyval': 'cspf_group_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_group=cspf_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_cspf_group_from_create(self, cspf_group=None, cspf_group_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cspf_group: cspf_group_name
    :param cspf_group: Keyword argument tuple.

    :type cspf_group_name: unicode
    :param cspf_group_name: **cspf_group** tuple argument:  ASCII string;;Name (up to 128 characters)

        * length restriction: ::

            ['1..128']

    **Instance Keyword Argument Tuple**:

    :type cspf_group_ip: cspf_group_ip_address
    :param cspf_group_ip: Keyword argument tuple.

    :type cspf_group_ip_address: unicode
    :param cspf_group_ip_address: **cspf_group_ip** tuple argument:  A.B.C.D;;ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_ip', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_group_ip', 'keyval': 'cspf_group_ip_address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_group=cspf_group, cspf_group_ip=cspf_group_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_cspf_group_link_create(self, cspf_group=None, cspf_group_link=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cspf_group: cspf_group_name
    :param cspf_group: Keyword argument tuple.

    :type cspf_group_name: unicode
    :param cspf_group_name: **cspf_group** tuple argument:  ASCII string;;Name (up to 128 characters)

        * length restriction: ::

            ['1..128']

    **Instance Keyword Argument Tuple**:

    :type cspf_group_link: cspf_group_link_from, cspf_group_link_to
    :param cspf_group_link: Keyword argument tuple.

    :type cspf_group_link_from: unicode
    :param cspf_group_link_from: **cspf_group_link** tuple argument:  A.B.C.D;;from ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type cspf_group_link_to: unicode
    :param cspf_group_link_to: **cspf_group_link** tuple argument:  A.B.C.D;;to ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_link', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_group_link', 'keyval': 'cspf_group_link_from, cspf_group_link_to', 'extra_keyval': 'cspf_group_link_from, cspf_group_link_to'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_group=cspf_group, cspf_group_link=cspf_group_link)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_cspf_group_node_create(self, cspf_group=None, cspf_group_node=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cspf_group: cspf_group_name
    :param cspf_group: Keyword argument tuple.

    :type cspf_group_name: unicode
    :param cspf_group_name: **cspf_group** tuple argument:  ASCII string;;Name (up to 128 characters)

        * length restriction: ::

            ['1..128']

    **Instance Keyword Argument Tuple**:

    :type cspf_group_node: cspf_group_node_ip
    :param cspf_group_node: Keyword argument tuple.

    :type cspf_group_node_ip: unicode
    :param cspf_group_node_ip: **cspf_group_node** tuple argument:  A.B.C.D;;node ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_node', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_group_node', 'keyval': 'cspf_group_node_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_group=cspf_group, cspf_group_node=cspf_group_node)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_cspf_group_subnet_create(self, cspf_group=None, cspf_group_subnet=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cspf_group: cspf_group_name
    :param cspf_group: Keyword argument tuple.

    :type cspf_group_name: unicode
    :param cspf_group_name: **cspf_group** tuple argument:  ASCII string;;Name (up to 128 characters)

        * length restriction: ::

            ['1..128']

    **Instance Keyword Argument Tuple**:

    :type cspf_group_subnet: cspf_group_subnet_ip
    :param cspf_group_subnet: Keyword argument tuple.

    :type cspf_group_subnet_ip: unicode
    :param cspf_group_subnet_ip: **cspf_group_subnet** tuple argument:  A.B.C.D/M;;Subnet address (with host part zero) in dotted decimal/Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group', u'cspf_group')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.cspf_group.cspf_group_subnet', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cspf_group_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'cspf_group_subnet', 'keyval': 'cspf_group_subnet_ip', 'extra_keyval': 'cspf_group_subnet_ip'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cspf_group=cspf_group, cspf_group_subnet=cspf_group_subnet)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_dynamic_bypass_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.dynamic_bypass', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_create(self, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_eol_create(self, ldp_eol_tx_silence=None, ldp_eol_notification=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type ldp_eol_tx_silence: long
    :param ldp_eol_tx_silence: Transmit label silence timer (100-60000 msec)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_eol_notification: long
    :param ldp_eol_notification: Notification timer (100-120000 msec)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_eol', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_eol_tx_silence=ldp_eol_tx_silence, ldp_eol_notification=ldp_eol_notification)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_graceful_restart_create(self, ldp_gr_helper_only=None, ldp_gr_max_neighbor_reconnect_time=None, ldp_gr_max_neighbor_recovery_time=None, ldp_gr_reconnect_time=None, ldp_gr_recovery_time=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type ldp_gr_helper_only: YANGBool
    :param ldp_gr_helper_only: Helper only mode

    :type ldp_gr_max_neighbor_reconnect_time: long
    :param ldp_gr_max_neighbor_reconnect_time: Maximum time to wait for neighbor to reconnect (60-300 sec)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_gr_max_neighbor_recovery_time: long
    :param ldp_gr_max_neighbor_recovery_time: Maximum time to wait for neighbor to recover (60-3600 sec)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_gr_reconnect_time: long
    :param ldp_gr_reconnect_time: Session reconnect time (60-300 sec)

        * range restriction: ::

            ['0..4294967295']

    :type ldp_gr_recovery_time: long
    :param ldp_gr_recovery_time: Recovery time (60-3600 sec)

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_gr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_gr_helper_only=ldp_gr_helper_only, ldp_gr_max_neighbor_reconnect_time=ldp_gr_max_neighbor_reconnect_time, ldp_gr_max_neighbor_recovery_time=ldp_gr_max_neighbor_recovery_time, ldp_gr_reconnect_time=ldp_gr_reconnect_time, ldp_gr_recovery_time=ldp_gr_recovery_time)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_session_create(self, ldp_session=None, ldp_session_fec_filter_out=None, ldp_session_auth_key=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_session: ldp_session_ip
    :param ldp_session: Keyword argument tuple.

    :type ldp_session_ip: unicode
    :param ldp_session_ip: **ldp_session** tuple argument:  Define LDP peer ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type ldp_session_fec_filter_out: unicode
    :param ldp_session_fec_filter_out: Apply filtering on outbound FECs

        * length restriction: ::

            ['1..64']

    :type ldp_session_auth_key: unicode
    :param ldp_session_auth_key: Enable TCP-MD5 authentication

        * length restriction: ::

            ['1..80']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_session', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_session', 'keyval': 'ldp_session_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_session=ldp_session, ldp_session_fec_filter_out=ldp_session_fec_filter_out, ldp_session_auth_key=ldp_session_auth_key)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_ldp_targeted_peer_create(self, ldp_targeted_peer=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ldp_targeted_peer: ldp_targeted_peer_ip
    :param ldp_targeted_peer: Keyword argument tuple.

    :type ldp_targeted_peer_ip: unicode
    :param ldp_targeted_peer_ip: **ldp_targeted_peer** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.ldp.ldp_holder.ldp_targeted_peer', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ldp_targeted_peer', 'keyval': 'ldp_targeted_peer_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ldp_targeted_peer=ldp_targeted_peer)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_create(self, lsp=None, lsp_dest_address=None, lsp_cspf=None, lsp_ipmtu=None, lsp_metric=None, lsp_revert_timer=None, lsp_tie_breaking=None, lsp_src_address=None, lsp_primary_path=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, lsp_soft_preemption=None, lsp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_dest_address: unicode
    :param lsp_dest_address: Define LSP destination address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp_cspf: unicode
    :param lsp_cspf: Enable/Disable cspf

        * enumeration restriction: ::

            ['enable', 'disable']

    :type lsp_ipmtu: long
    :param lsp_ipmtu: IP Packet Maximum Transmission Unit

        * range restriction: ::

            ['0..4294967295']

    :type lsp_metric: long
    :param lsp_metric: Set the LSP metric

        * range restriction: ::

            ['0..4294967295']

    :type lsp_revert_timer: long
    :param lsp_revert_timer: set lsp revert timer

        * range restriction: ::

            ['0..4294967295']

    :type lsp_tie_breaking: unicode
    :param lsp_tie_breaking: Choose the tie breaking mode for cspf

        * enumeration restriction: ::

            ['most-fill', 'random', 'least-fill']

    :type lsp_src_address: unicode
    :param lsp_src_address: Define LSP source address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type lsp_primary_path: unicode
    :param lsp_primary_path: Set primary explicit path

        * length restriction: ::

            ['1..64']

    :type lsp_adaptive: YANGBool
    :param lsp_adaptive: Configure LSP/secpath to be adaptive

    :type lsp_reoptimize_timer: long
    :param lsp_reoptimize_timer: Configure Reoptimization timer

        * range restriction: ::

            ['0..4294967295']

    :type lsp_commit: YANGBool
    :param lsp_commit: Commit the changes to adaptive LSP

    :type lsp_record: unicode
    :param lsp_record: Enable/disable recording path routes

        * enumeration restriction: ::

            ['enable', 'disable']

    :type lsp_cos: long
    :param lsp_cos: Configure class of service

        * range restriction: ::

            ['0..4294967295']

    :type lsp_hop_limit: int
    :param lsp_hop_limit: Limit of hops the LSP can traverse

        * range restriction: ::

            ['0..65535']

    :type lsp_cspf_computation_mode: unicode
    :param lsp_cspf_computation_mode: Specify cspf-computation-mode

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type lsp_soft_preemption: YANGBool
    :param lsp_soft_preemption: Set LSP soft preemption capability

    :type lsp_enable: YANGBool
    :param lsp_enable: Enable LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'lsp', 'keyval': 'lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_dest_address=lsp_dest_address, lsp_cspf=lsp_cspf, lsp_ipmtu=lsp_ipmtu, lsp_metric=lsp_metric, lsp_revert_timer=lsp_revert_timer, lsp_tie_breaking=lsp_tie_breaking, lsp_src_address=lsp_src_address, lsp_primary_path=lsp_primary_path, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, lsp_soft_preemption=lsp_soft_preemption, lsp_enable=lsp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_autobw_create(self, lsp=None, lsp_autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_autobw_template: ReferencePathType
    :param lsp_autobw_template: Inherit Auto-bandwidth parameters from a template

    :type adjustment_interval: long
    :param adjustment_interval: Configure Adjustment interval

        * range restriction: ::

            ['0..4294967295']

    :type adjustment_threshold: long
    :param adjustment_threshold: Configure Adjustment threshold

        * range restriction: ::

            ['0..4294967295']

    :type min_bandwidth: long
    :param min_bandwidth: Configure Minimum Bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type max_bandwidth: long
    :param max_bandwidth: Configure Maximum bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type overflow_limit: long
    :param overflow_limit: Configure Overflow limit

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: Configure Mode of autobandwidth

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type sample_recording: unicode
    :param sample_recording: Set sample recording for this lsp

        * enumeration restriction: ::

            ['enable', 'disable']

    :type underflow_limit: long
    :param underflow_limit: Configure Underflow limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_autobw_template=lsp_autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_frr_create(self, lsp=None, lsp_frr_hop_limit=None, lsp_frr_facility_backup=None, lsp_frr_link_protection=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_frr_hop_limit: int
    :param lsp_frr_hop_limit: Limit of hops the detour/backup LSP can traverse (from PLR to MP)

        * range restriction: ::

            ['0..255']

    :type lsp_frr_facility_backup: YANGBool
    :param lsp_frr_facility_backup: Select the frr protection mode

    :type lsp_frr_link_protection: YANGBool
    :param lsp_frr_link_protection: Request link protection for LSP

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.lsp_frr', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, lsp_frr_hop_limit=lsp_frr_hop_limit, lsp_frr_facility_backup=lsp_frr_facility_backup, lsp_frr_link_protection=lsp_frr_link_protection)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_create(self, lsp=None, secondary_path=None, secpath_standby=None, secpath_bfd=None, secpath_cspf=None, secpath_ipmtu=None, lsp_adaptive=None, lsp_reoptimize_timer=None, lsp_commit=None, lsp_record=None, lsp_cos=None, lsp_hop_limit=None, lsp_cspf_computation_mode=None, secpath_soft_preemption=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type secpath_standby: YANGBool
    :param secpath_standby: Make secondary-path hot standby

    :type secpath_bfd: YANGBool
    :param secpath_bfd: Enable bfd for secondary-path

    :type secpath_cspf: unicode
    :param secpath_cspf: Enable/Disable cspf

        * enumeration restriction: ::

            ['enable', 'disable']

    :type secpath_ipmtu: long
    :param secpath_ipmtu: IP Packet Maximum Transmission Unit

        * range restriction: ::

            ['0..4294967295']

    :type lsp_adaptive: YANGBool
    :param lsp_adaptive: Configure LSP/secpath to be adaptive

    :type lsp_reoptimize_timer: long
    :param lsp_reoptimize_timer: Configure Reoptimization timer

        * range restriction: ::

            ['0..4294967295']

    :type lsp_commit: YANGBool
    :param lsp_commit: Commit the changes to adaptive LSP

    :type lsp_record: unicode
    :param lsp_record: Enable/disable recording path routes

        * enumeration restriction: ::

            ['enable', 'disable']

    :type lsp_cos: long
    :param lsp_cos: Configure class of service

        * range restriction: ::

            ['0..4294967295']

    :type lsp_hop_limit: int
    :param lsp_hop_limit: Limit of hops the LSP can traverse

        * range restriction: ::

            ['0..65535']

    :type lsp_cspf_computation_mode: unicode
    :param lsp_cspf_computation_mode: Specify cspf-computation-mode

        * enumeration restriction: ::

            ['use-igp-metric', 'use-te-metric']

    :type secpath_soft_preemption: YANGBool
    :param secpath_soft_preemption: Set LSP soft preemption capability

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'secondary_path', 'keyval': 'secpath_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, secpath_standby=secpath_standby, secpath_bfd=secpath_bfd, secpath_cspf=secpath_cspf, secpath_ipmtu=secpath_ipmtu, lsp_adaptive=lsp_adaptive, lsp_reoptimize_timer=lsp_reoptimize_timer, lsp_commit=lsp_commit, lsp_record=lsp_record, lsp_cos=lsp_cos, lsp_hop_limit=lsp_hop_limit, lsp_cspf_computation_mode=lsp_cspf_computation_mode, secpath_soft_preemption=secpath_soft_preemption)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_lsp_secondary_path_autobw_create(self, lsp=None, secondary_path=None, lsp_secpath_autobw_template=None, adjustment_interval=None, adjustment_threshold=None, min_bandwidth=None, max_bandwidth=None, overflow_limit=None, mode=None, sample_recording=None, underflow_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type lsp: lsp_name
    :param lsp: Keyword argument tuple.

    :type lsp_name: unicode
    :param lsp_name: **lsp** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type secondary_path: secpath_name
    :param secondary_path: Keyword argument tuple.

    :type secpath_name: unicode
    :param secpath_name: **secondary_path** tuple argument:  Set secondary explicit path

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type lsp_secpath_autobw_template: ReferencePathType
    :param lsp_secpath_autobw_template: Inherit Auto-bandwidth parameters from a template

    :type adjustment_interval: long
    :param adjustment_interval: Configure Adjustment interval

        * range restriction: ::

            ['0..4294967295']

    :type adjustment_threshold: long
    :param adjustment_threshold: Configure Adjustment threshold

        * range restriction: ::

            ['0..4294967295']

    :type min_bandwidth: long
    :param min_bandwidth: Configure Minimum Bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type max_bandwidth: long
    :param max_bandwidth: Configure Maximum bandwidth

        * range restriction: ::

            ['0..4294967295']

    :type overflow_limit: long
    :param overflow_limit: Configure Overflow limit

        * range restriction: ::

            ['0..4294967295']

    :type mode: unicode
    :param mode: Configure Mode of autobandwidth

        * enumeration restriction: ::

            ['monitor-and-signal', 'monitor-only']

    :type sample_recording: unicode
    :param sample_recording: Set sample recording for this lsp

        * enumeration restriction: ::

            ['enable', 'disable']

    :type underflow_limit: long
    :param underflow_limit: Configure Underflow limit

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp', u'lsp'), ('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path', u'secondary_path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.lsp.secondary_path.lsp_secpath_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'lsp_name', 'extra_keyval': ''}, {'keyval': 'secpath_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, lsp=lsp, secondary_path=secondary_path, lsp_secpath_autobw_template=lsp_secpath_autobw_template, adjustment_interval=adjustment_interval, adjustment_threshold=adjustment_threshold, min_bandwidth=min_bandwidth, max_bandwidth=max_bandwidth, overflow_limit=overflow_limit, mode=mode, sample_recording=sample_recording, underflow_limit=underflow_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_create(self, mpls_interface=None, mpls_interface_ldp_enable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type mpls_interface_ldp_enable: YANGBool
    :param mpls_interface_ldp_enable: Enable LDP on Interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'mpls_interface', 'keyval': 'interface_type, interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, mpls_interface_ldp_enable=mpls_interface_ldp_enable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_dynamic_bypass_create(self, mpls_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.interface_dynamic_bypass', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_hello_create(self, mpls_interface=None, rsvp_hello_interval=None, rsvp_hello_tolerance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rsvp_hello_interval: long
    :param rsvp_hello_interval: Interval between two RSVP Hello requests

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_hello_tolerance: long
    :param rsvp_hello_tolerance: Number of unacknowledged RSVP Hello requests before timeout

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'rsvp_hello_interval, rsvp_hello_tolerance'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rsvp_hello_interval=rsvp_hello_interval, rsvp_hello_tolerance=rsvp_hello_tolerance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_refresh_reduction_bundle_message_create(self, mpls_interface=None, bundle_send_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type bundle_send_delay: long
    :param bundle_send_delay: Configure bundle send delay value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, bundle_send_delay=bundle_send_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_mpls_interface_rsvp_reliable_messaging_create(self, mpls_interface=None, rapid_retrans_decay=None, rapid_retrans_interval=None, rapid_retry_limit=None, rsvp_reliable_messaging_disable=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type mpls_interface: interface_type, interface_name
    :param mpls_interface: Keyword argument tuple.

    :type interface_type: unicode
    :param interface_type: **mpls_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 've']

    :type interface_name: unicode
    :param interface_name: **mpls_interface** tuple argument:  The Interface value.

        * length restriction: ::

            ['1..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6])/([1-9]|[1-9][0-9]|[1-9][0-9]['
            '0-9])(:[1-4])?)|([0-9]([0-9])?([0-9])?([0-9])?))'

    **Instance Argument(s)**:

    :type rapid_retrans_decay: long
    :param rapid_retrans_decay: Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message

        * range restriction: ::

            ['0..4294967295']

    :type rapid_retrans_interval: long
    :param rapid_retrans_interval: Interval for an unacknowledged message to be resent

        * range restriction: ::

            ['0..4294967295']

    :type rapid_retry_limit: long
    :param rapid_retry_limit: Maximum number of retries for an unacknowledged message

        * range restriction: ::

            ['0..4294967295']

    :type rsvp_reliable_messaging_disable: YANGBool
    :param rsvp_reliable_messaging_disable: Disable RSVP Reliable messaging on this interface

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface', u'mpls_interface')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.mpls_interface.rsvp.interface_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'interface_type, interface_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mpls_interface=mpls_interface, rapid_retrans_decay=rapid_retrans_decay, rapid_retrans_interval=rapid_retrans_interval, rapid_retry_limit=rapid_retry_limit, rsvp_reliable_messaging_disable=rsvp_reliable_messaging_disable)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_path_create(self, path=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'path', 'keyval': 'path_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_path_hop_create(self, path=None, path_hop=None, path_hop_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type path_hop: path_hop_ip, path_hop_type
    :param path_hop: Keyword argument tuple.

    :type path_hop_ip: unicode
    :param path_hop_ip: **path_hop** tuple argument:  A.B.C.D;;path hop ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type path_hop_type: unicode
    :param path_hop_type: **path_hop** tuple argument:  path hop type

        * enumeration restriction: ::

            ['strict', 'loose']

    **Instance Argument(s)**:

    :type path_hop_type: unicode
    :param path_hop_type: path hop type

        * enumeration restriction: ::

            ['strict', 'loose']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_hop', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_hop', 'keyval': 'path_hop_ip', 'extra_keyval': 'path_hop_ip, path_hop_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_hop=path_hop, path_hop_type=path_hop_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_path_insert_create(self, path=None, path_insert=None, path_insert_type=None, path_insert_before_hop_ip=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type path: path_name
    :param path: Keyword argument tuple.

    :type path_name: unicode
    :param path_name: **path** tuple argument:  ASCII string;;Name (up to 64 characters)

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type path_insert: path_insert_ip
    :param path_insert: Keyword argument tuple.

    :type path_insert_ip: unicode
    :param path_insert_ip: **path_insert** tuple argument:  A.B.C.D;;path hop ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type path_insert_type: unicode
    :param path_insert_type: path hop type

        * enumeration restriction: ::

            ['strict', 'loose']

    :type path_insert_before_hop_ip: unicode
    :param path_insert_before_hop_ip: add before hop ip address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path', u'path')]
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.path.path_insert', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'path_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'path_insert', 'keyval': 'path_insert_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, path=path, path_insert=path_insert, path_insert_type=path_insert_type, path_insert_before_hop_ip=path_insert_before_hop_ip)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_create(self, backup_retry_time=None, cspf_interface_constraint=None, handle_isis_neighbor_down=None, handle_ospf_neighbor_down=None, load_interval=None, retry_time=None, retry_limit=None, rapid_retry=None, rsvp_periodic_flooding_time=None, qos_ttl_mode=None, ingress_tunnel_accounting=None, transit_session_accounting=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type backup_retry_time: long
    :param backup_retry_time: Configure Backup retry time

        * range restriction: ::

            ['0..4294967295']

    :type cspf_interface_constraint: YANGBool
    :param cspf_interface_constraint: Use interface ip-addr for cspf computation

    :type handle_isis_neighbor_down: YANGBool
    :param handle_isis_neighbor_down: Configure MPLS to handle ISIS neighbor down event

    :type handle_ospf_neighbor_down: YANGBool
    :param handle_ospf_neighbor_down: Configure MPLS to handle OSPF neighbor down event

    :type load_interval: long
    :param load_interval: Polling interval for MPLS LSP traffic statistics

        * range restriction: ::

            ['0..4294967295']

    :type retry_time: long
    :param retry_time: Configure LSP retry time

        * range restriction: ::

            ['0..4294967295']

    :type retry_limit: long
    :param retry_limit: Configure LSP retry limit

        * range restriction: ::

            ['0..4294967295']

    :type rapid_retry: unicode
    :param rapid_retry: Configure Rapid retry

        * enumeration restriction: ::

            ['enable', 'disable']

    :type rsvp_periodic_flooding_time: long
    :param rsvp_periodic_flooding_time: Set the interval for RSVP TE periodic flooding

        * range restriction: ::

            ['0..4294967295']

    :type qos_ttl_mode: unicode
    :param qos_ttl_mode: MPLS ttl and qos propagation model

        * enumeration restriction: ::

            ['pipe', 'uniform']

    :type ingress_tunnel_accounting: YANGBool
    :param ingress_tunnel_accounting: Enable Traffic Statistics for Tunnels

    :type transit_session_accounting: YANGBool
    :param transit_session_accounting: Enable Traffic Statistics for transit sessions

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, backup_retry_time=backup_retry_time, cspf_interface_constraint=cspf_interface_constraint, handle_isis_neighbor_down=handle_isis_neighbor_down, handle_ospf_neighbor_down=handle_ospf_neighbor_down, load_interval=load_interval, retry_time=retry_time, retry_limit=retry_limit, rapid_retry=rapid_retry, rsvp_periodic_flooding_time=rsvp_periodic_flooding_time, qos_ttl_mode=qos_ttl_mode, ingress_tunnel_accounting=ingress_tunnel_accounting, transit_session_accounting=transit_session_accounting)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_admin_group_create(self, policy_admin_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type policy_admin_group: admin_group_name, admin_group_number
    :param policy_admin_group: Keyword argument tuple.

    :type admin_group_name: unicode
    :param admin_group_name: **policy_admin_group** tuple argument.

        * length restriction: ::

            ['1..32']

    :type admin_group_number: long
    :param admin_group_number: **policy_admin_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.policy_admin_group', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'policy_admin_group', 'keyval': 'admin_group_name, admin_group_number', 'extra_keyval': 'admin_group_name, admin_group_number'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy_admin_group=policy_admin_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_policy_auto_bandwidth_create(self, autobw_sample_interval=None, autobw_num_sample_record=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type autobw_sample_interval: long
    :param autobw_sample_interval: Define interval for auto-bandwidth rate sampling

        * range restriction: ::

            ['0..4294967295']

    :type autobw_num_sample_record: long
    :param autobw_num_sample_record: Set maximum number of samples to be recorded

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.policy.global_auto_bandwidth', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, autobw_sample_interval=autobw_sample_interval, autobw_num_sample_record=autobw_num_sample_record)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_create(self, refresh_interval=None, refresh_multiple=None, global_rsvp_hello_acknowledgements=None, global_rsvp_hello_unprioritize=None, g_rsvp_backup_bw_guarantee=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type refresh_interval: long
    :param refresh_interval: Configure RSVP Refresh interval

        * range restriction: ::

            ['0..4294967295']

    :type refresh_multiple: long
    :param refresh_multiple: Configure RSVP Refresh multiple

        * range restriction: ::

            ['0..4294967295']

    :type global_rsvp_hello_acknowledgements: YANGBool
    :param global_rsvp_hello_acknowledgements: Acknowledge RSVP Hellos on interfaces supporting RSVP Hello and not having RSVP sessions

    :type global_rsvp_hello_unprioritize: YANGBool
    :param global_rsvp_hello_unprioritize: Stop prioritizing RSVP Hello messages

    :type g_rsvp_backup_bw_guarantee: YANGBool
    :param g_rsvp_backup_bw_guarantee: Setup a backup path requesting bandwidth only if bandwidth is available

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, refresh_interval=refresh_interval, refresh_multiple=refresh_multiple, global_rsvp_hello_acknowledgements=global_rsvp_hello_acknowledgements, global_rsvp_hello_unprioritize=global_rsvp_hello_unprioritize, g_rsvp_backup_bw_guarantee=g_rsvp_backup_bw_guarantee)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_hello_create(self, global_rsvp_hello_interval=None, global_rsvp_hello_tolerance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type global_rsvp_hello_interval: long
    :param global_rsvp_hello_interval: Interval between two RSVP Hello requests

        * range restriction: ::

            ['0..4294967295']

    :type global_rsvp_hello_tolerance: long
    :param global_rsvp_hello_tolerance: Number of unacknowledged RSVP Hello requests before timeout

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.global_rsvp_hello', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'global_rsvp_hello_interval, global_rsvp_hello_tolerance'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, global_rsvp_hello_interval=global_rsvp_hello_interval, global_rsvp_hello_tolerance=global_rsvp_hello_tolerance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_refresh_reduction_bundle_message_create(self, bundle_send_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type bundle_send_delay: long
    :param bundle_send_delay: Configure bundle send delay value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_refresh_reduction.bundle_message', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bundle_send_delay=bundle_send_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_mpls_rsvp_reliable_messaging_create(self, rapid_retrans_decay=None, rapid_retrans_interval=None, rapid_retry_limit=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type rapid_retrans_decay: long
    :param rapid_retrans_decay: Percentage increase in the rapid retransmission interval for each consecutive unacknowledged RSVP message

        * range restriction: ::

            ['0..4294967295']

    :type rapid_retrans_interval: long
    :param rapid_retrans_interval: Interval for an unacknowledged message to be resent

        * range restriction: ::

            ['0..4294967295']

    :type rapid_retry_limit: long
    :param rapid_retry_limit: Maximum number of retries for an unacknowledged message

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.mpls_config.router.mpls.mpls_cmds_holder.rsvp.g_reliable_messaging', 'pybind.slxos.v16r_1_00b.brocade_mpls', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rapid_retrans_decay=rapid_retrans_decay, rapid_retrans_interval=rapid_retrans_interval, rapid_retry_limit=rapid_retry_limit)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_create(self, ospf=None, database_overflow_interval=None, default_passive_interface=None, default_metric=None, external_lsdb_limit=None, ospf_metric_type=None, vrf_lite_capability=None, nonstop_routing=None, maximum_paths=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type database_overflow_interval: long
    :param database_overflow_interval: Set how often the router checks whether OSPF external LSDB overflow is eliminated

        * range restriction: ::

            ['0..4294967295']

    :type default_passive_interface: YANGBool
    :param default_passive_interface: Set OSPF interface passive

    :type default_metric: long
    :param default_metric: Set OSPF default metric

        * range restriction: ::

            ['0..4294967295']

    :type external_lsdb_limit: long
    :param external_lsdb_limit: Set maximum number of external LSAs

        * range restriction: ::

            ['0..4294967295']

    :type ospf_metric_type: unicode
    :param ospf_metric_type: Set Type 1 or Type 2

        * enumeration restriction: ::

            ['type1', 'type2']

    :type vrf_lite_capability: YANGBool
    :param vrf_lite_capability: Configure vrf-lite-capability (disable DN bit checks)

    :type nonstop_routing: YANGBool
    :param nonstop_routing: Enable OSPF nonstop routing capability

    :type maximum_paths: int
    :param maximum_paths: The maximum number of paths to a destination.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'ospf', 'keyval': 'vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, database_overflow_interval=database_overflow_interval, default_passive_interface=default_passive_interface, default_metric=default_metric, external_lsdb_limit=external_lsdb_limit, ospf_metric_type=ospf_metric_type, vrf_lite_capability=vrf_lite_capability, nonstop_routing=nonstop_routing, maximum_paths=maximum_paths)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_create(self, ospf=None, area=None, normal=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Argument(s)**:

    :type normal: YANGBool
    :param normal: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'area_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, normal=normal)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_range_create(self, ospf=None, area=None, range=None, range_effect=None, range_cost=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type range: range_address, range_mask, range_effect, range_cost
    :param range: Keyword argument tuple.

    :type range_address: unicode
    :param range_address: **range** tuple argument:  A.B.C.D   IP address to match

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_mask: unicode
    :param range_mask: **range** tuple argument:  A.B.C.D   IP mask for address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type range_effect: unicode
    :param range_effect: **range** tuple argument:  Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: **range** tuple argument:  Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type range_effect: unicode
    :param range_effect: Advertise/Do not advertise this type-3 summarization

        * enumeration restriction: ::

            ['advertise', 'not-advertise']

    :type range_cost: long
    :param range_cost: Configure area range cost

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.range', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'range', 'keyval': 'range_address, range_mask', 'extra_keyval': 'range_address, range_mask, range_effect, range_cost'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, range=range, range_effect=range_effect, range_cost=range_cost)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_area_virtual_link_create(self, ospf=None, area=None, virtual_link=None, hello_interval=None, dead_interval=None, retransmit_interval=None, transmit_delay=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    :type area: area_id
    :param area: Keyword argument tuple.

    :type area_id: unicode
    :param area_id: **area** tuple argument.

        * pattern restriction: ::

            '((([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0'
            '-5])\.)(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9'
            ']|25[0-5])\.){2}([0-9]|[1-9][0-9]|1[0-9][0-9]|2['
            '0-4][0-9]|25[0-5]))|(([0-9])|([1-9]([0-9]{1,8}))'
            '|([1]([0-9]{1,9}))|([2][0]([0-9]{1,8}))|([2][1]['
            '0-3]([0-9]{1,7}))|([2][1][4][0-6]([0-9]{1,6}))|('
            '[2][1][4][7][0-3]([0-9]{1,5}))|([2][1][4][7][4]['
            '0-7]([0-9]{1,4}))|([2][1][4][7][4][8][0-2]([0-9]'
            '{1,3}))|([2][1][4][7][4][8][3][0-5]([0-9]{1,2}))'
            '|([2][1][4][7][4][8][3][6][0-3][0-9])|([2][1][4]'
            '[7][4][8][3][6][4][0-7]))'

    **Instance Keyword Argument Tuple**:

    :type virtual_link: virt_link_neighbor
    :param virtual_link: Keyword argument tuple.

    :type virt_link_neighbor: unicode
    :param virt_link_neighbor: **virtual_link** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type hello_interval: long
    :param hello_interval: Time between HELLO packets

        * range restriction: ::

            ['0..4294967295']

    :type dead_interval: long
    :param dead_interval: Interval after which a neighbor is declared dead

        * range restriction: ::

            ['0..4294967295']

    :type retransmit_interval: long
    :param retransmit_interval: Time between retransmitting lost link state   advertisements

        * range restriction: ::

            ['0..4294967295']

    :type transmit_delay: long
    :param transmit_delay: Link state transmit delay

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf'), ('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area', u'area')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.area.virtual_link', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}, {'keyval': 'area_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'virtual_link', 'keyval': 'virt_link_neighbor', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, area=area, virtual_link=virtual_link, hello_interval=hello_interval, dead_interval=dead_interval, retransmit_interval=retransmit_interval, transmit_delay=transmit_delay)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_default_information_originate_create(self, ospf=None, always=None, def_orig_metric=None, def_orig_metric_type=None, def_orig_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type always: YANGBool
    :param always: Always advertise default route

    :type def_orig_metric: long
    :param def_orig_metric: OSPF metric for default route

        * range restriction: ::

            ['0..4294967295']

    :type def_orig_metric_type: unicode
    :param def_orig_metric_type: OSPF metric type for default route

        * enumeration restriction: ::

            ['type1', 'type2']

    :type def_orig_route_map: unicode
    :param def_orig_route_map: Route-map reference

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.default_information_originate', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'always, def_orig_metric, def_orig_metric_type, def_orig_route_map'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, always=always, def_orig_metric=def_orig_metric, def_orig_metric_type=def_orig_metric_type, def_orig_route_map=def_orig_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_deny_redistribute_create(self, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option, address, mask, set_metric_val, match_metric_val
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    :type address: unicode
    :param address: **redistribute** tuple argument:  IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: **redistribute** tuple argument:  Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.deny.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_distance_create(self, ospf=None, distance=None, dist_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type distance: route_type
    :param distance: Keyword argument tuple.

    :type route_type: unicode
    :param route_type: **distance** tuple argument:  The type of route propogation

        * enumeration restriction: ::

            ['intra-area', 'external', 'inter-area']

    **Instance Argument(s)**:

    :type dist_value: long
    :param dist_value: The distance for a given type of route

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.distance', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'distance', 'keyval': 'route_type', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, distance=distance, dist_value=dist_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_ldp_sync_create(self, ospf=None, ldp_sync_hold_down=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ldp_sync_hold_down: long
    :param ldp_sync_hold_down: Specify hold-down duration

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.ldp_sync', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': 'ldp_sync_hold_down'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, ldp_sync_hold_down=ldp_sync_hold_down)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_log_adjacency_create(self, ospf=None, dr_only=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type dr_only: YANGBool
    :param dr_only: Logging only Designated Router interfaces' adjacency changes

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.adjacency', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, dr_only=dr_only)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_log_bad_packet_create(self, ospf=None, log_checksum=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type log_checksum: YANGBool
    :param log_checksum: Logging bad checksum packets

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.log.bad_packet', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, log_checksum=log_checksum)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_create(self, ospf=None, all_vrfs=None, all_lsas=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type all_vrfs: YANGBool
    :param all_vrfs: Apply this to all the current OSPF instances

    :type all_lsas: YANGBool
    :param all_lsas: Replace Metric in all External and SummaryLSAs with default max metric value

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, all_vrfs=all_vrfs, all_lsas=all_lsas)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_external_lsa_create(self, ospf=None, external_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type external_lsa_val: long
    :param external_lsa_val: Indicates the metric of all external type 5 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.external_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, external_lsa_val=external_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_external_lsa_create(self, ospf=None, external_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type external_lsa_val_onstartup: long
    :param external_lsa_val_onstartup: Indicates the metric of all external type 5 LSA's

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.external_lsa_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, external_lsa_val_onstartup=external_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_on_startup_summary_lsa_create(self, ospf=None, summary_lsa_val_onstartup=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type summary_lsa_val_onstartup: long
    :param summary_lsa_val_onstartup: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.on_startup.summary_lsa_onstartup', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, summary_lsa_val_onstartup=summary_lsa_val_onstartup)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_max_metric_router_lsa_summary_lsa_create(self, ospf=None, summary_lsa_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type summary_lsa_val: long
    :param summary_lsa_val: Metric of all summary type 3 and type 4 LSAs

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.max_metric.router_lsa.summary_lsa', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, summary_lsa_val=summary_lsa_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_neighbor_create(self, ospf=None, neighbor=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type neighbor: neighbor_addr
    :param neighbor: Keyword argument tuple.

    :type neighbor_addr: unicode
    :param neighbor_addr: **neighbor** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.neighbor', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'neighbor', 'keyval': 'neighbor_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, neighbor=neighbor)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_permit_redistribute_create(self, ospf=None, redistribute=None, address=None, mask=None, set_metric_val=None, match_metric_val=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type redistribute: redist_value, route_option, address, mask, set_metric_val, match_metric_val
    :param redistribute: Keyword argument tuple.

    :type redist_value: long
    :param redist_value: **redistribute** tuple argument:  Number

        * range restriction: ::

            ['0..4294967295']

    :type route_option: unicode
    :param route_option: **redistribute** tuple argument:  OSPF route option

        * enumeration restriction: ::

            ['connected', 'all', 'static']

    :type address: unicode
    :param address: **redistribute** tuple argument:  IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: **redistribute** tuple argument:  Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: **redistribute** tuple argument:  Metric value

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type address: unicode
    :param address: IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mask: unicode
    :param mask: Subnet Mask

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type set_metric_val: long
    :param set_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type match_metric_val: long
    :param match_metric_val: Metric value

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.permit.redistribute', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'redistribute', 'keyval': 'redist_value, route_option', 'extra_keyval': 'redist_value, route_option, address, mask, set_metric_val, match_metric_val'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, redistribute=redistribute, address=address, mask=mask, set_metric_val=set_metric_val, match_metric_val=match_metric_val)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_bgp_create(self, ospf=None, bgp_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type bgp_route_map: unicode
    :param bgp_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.bgp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, bgp_route_map=bgp_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_connected_create(self, ospf=None, connected_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type connected_route_map: unicode
    :param connected_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.connected', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, connected_route_map=connected_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_ospf_create(self, ospf=None, ospf_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type ospf_route_map: unicode
    :param ospf_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.redistribute_ospf', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, ospf_route_map=ospf_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_redistribute_static_create(self, ospf=None, static_route_map=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type static_route_map: unicode
    :param static_route_map: Route map reference

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.redistribute.static', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, static_route_map=static_route_map)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_rfc1583_compatibility_create(self, ospf=None, rfc1583_compatibility_flag=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Argument(s)**:

    :type rfc1583_compatibility_flag: YANGBool
    :param rfc1583_compatibility_flag: Enable RFC 1583 OSPF v2 compatibility

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.rfc1583_compatibility', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, rfc1583_compatibility_flag=rfc1583_compatibility_flag)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_ospf_summary_address_create(self, ospf=None, summary_address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type ospf: vrf
    :param ospf: Keyword argument tuple.

    :type vrf: unicode
    :param vrf: **ospf** tuple argument:  Create a VRF

        * length restriction: ::

            ['1..64']

    **Instance Keyword Argument Tuple**:

    :type summary_address: sum_address, sum_address_mask
    :param summary_address: Keyword argument tuple.

    :type sum_address: unicode
    :param sum_address: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type sum_address_mask: unicode
    :param sum_address_mask: **summary_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf', u'ospf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.ospf.summary_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'summary_address', 'keyval': 'sum_address, sum_address_mask', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, ospf=ospf, summary_address=summary_address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_create(self, max_mcache=None, hello_interval=None, prune_wait=None, nbr_timeout=None, inactivity_timer=None, message_interval=None, spt_threshold=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type max_mcache: long
    :param max_mcache: Set maximum PIM mcache

        * range restriction: ::

            ['0..4294967295']

    :type hello_interval: long
    :param hello_interval: Set hello message interval

        * range restriction: ::

            ['0..4294967295']

    :type prune_wait: long
    :param prune_wait: Set prune-wait interval - time to wait for an override before pruning

        * range restriction: ::

            ['0..4294967295']

    :type nbr_timeout: int
    :param nbr_timeout: Set neighbor timeout

        * range restriction: ::

            ['-32768..32767']

    :type inactivity_timer: int
    :param inactivity_timer: Set inactivity interval

        * range restriction: ::

            ['-32768..32767']

    :type message_interval: long
    :param message_interval: Set periodic join/prune message interval

        * range restriction: ::

            ['0..4294967295']

    :type spt_threshold: long
    :param spt_threshold: Set threshold for switching to shortest-path-tree

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, max_mcache=max_mcache, hello_interval=hello_interval, prune_wait=prune_wait, nbr_timeout=nbr_timeout, inactivity_timer=inactivity_timer, message_interval=message_interval, spt_threshold=spt_threshold)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_anycast_rp_create(self, anycast_rp=None, anycast_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type anycast_rp: anycast_ip_addr, anycast_prefix_list
    :param anycast_rp: Keyword argument tuple.

    :type anycast_ip_addr: unicode
    :param anycast_ip_addr: **anycast_rp** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type anycast_prefix_list: unicode
    :param anycast_prefix_list: **anycast_rp** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type anycast_prefix_list: unicode
    :param anycast_prefix_list: Keyword argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'anycast_rp', 'keyval': 'anycast_ip_addr', 'extra_keyval': 'anycast_ip_addr, anycast_prefix_list'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, anycast_rp=anycast_rp, anycast_prefix_list=anycast_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_anycast_rp_ip_create(self, anycast_rp_ip=None, anycast_peer_ip_addr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type anycast_rp_ip: anycast_rp_ip_addr
    :param anycast_rp_ip: Keyword argument tuple.

    :type anycast_rp_ip_addr: unicode
    :param anycast_rp_ip_addr: **anycast_rp_ip** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type anycast_peer_ip_addr: unicode
    :param anycast_peer_ip_addr: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.anycast_rp_ip', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'anycast_rp_ip', 'keyval': 'anycast_rp_ip_addr', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, anycast_rp_ip=anycast_rp_ip, anycast_peer_ip_addr=anycast_peer_ip_addr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_bsr_candidate_interface_create(self, bsr_cand_interface=None, hash_mask_length=None, bsr_cand_priority=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type bsr_cand_interface: bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority
    :param bsr_cand_interface: Keyword argument tuple.

    :type bsr_cand_intf_type: unicode
    :param bsr_cand_intf_type: **bsr_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 've', 'loopback']

    :type bsr_cand_intf_id: unicode
    :param bsr_cand_intf_id: **bsr_cand_interface** tuple argument:  Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

    :type hash_mask_length: int
    :param hash_mask_length: **bsr_cand_interface** tuple argument:  BSR hash mask

        * range restriction: ::

            ['0..65535']

    :type bsr_cand_priority: long
    :param bsr_cand_priority: **bsr_cand_interface** tuple argument:  BSR priority

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type hash_mask_length: int
    :param hash_mask_length: BSR hash mask

        * range restriction: ::

            ['0..65535']

    :type bsr_cand_priority: long
    :param bsr_cand_priority: BSR priority

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.bsr_candidate.bsr_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bsr_cand_interface', 'keyval': 'bsr_cand_intf_type, bsr_cand_intf_id', 'extra_keyval': 'bsr_cand_intf_type, bsr_cand_intf_id, hash_mask_length, bsr_cand_priority'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bsr_cand_interface=bsr_cand_interface, hash_mask_length=hash_mask_length, bsr_cand_priority=bsr_cand_priority)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_rp_address_create(self, rp_address=None, rp_addr_prefix_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type rp_address: rp_ip_addr, rp_addr_prefix_list
    :param rp_address: Keyword argument tuple.

    :type rp_ip_addr: unicode
    :param rp_ip_addr: **rp_address** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type rp_addr_prefix_list: unicode
    :param rp_addr_prefix_list: **rp_address** tuple argument:  Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    **Instance Argument(s)**:

    :type rp_addr_prefix_list: unicode
    :param rp_addr_prefix_list: Prefix list

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_address', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rp_address', 'keyval': 'rp_ip_addr', 'extra_keyval': 'rp_ip_addr, rp_addr_prefix_list'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rp_address=rp_address, rp_addr_prefix_list=rp_addr_prefix_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_rp_candidate_interface_create(self, rp_cand_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type rp_cand_interface: rp_cand_intf_type, rp_cand_intf_id
    :param rp_cand_interface: Keyword argument tuple.

    :type rp_cand_intf_type: unicode
    :param rp_cand_intf_type: **rp_cand_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel', 've', 'loopback']

    :type rp_cand_intf_id: unicode
    :param rp_cand_intf_id: **rp_cand_interface** tuple argument:  Interface name in slot/port format for ethernet or port-channel/ve/loopback interface number

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_candidate.rp_cand_interface', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rp_cand_interface', 'keyval': 'rp_cand_intf_type, rp_cand_intf_id', 'extra_keyval': 'rp_cand_intf_type, rp_cand_intf_id'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rp_cand_interface=rp_cand_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_rp_candidate_prefix_create(self, rp_cand_grp_prefix=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type rp_cand_grp_prefix: rp_cand_prefix_name
    :param rp_cand_grp_prefix: Keyword argument tuple.

    :type rp_cand_prefix_name: unicode
    :param rp_cand_prefix_name: **rp_cand_grp_prefix** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rp_candidate.rp_cand_grp_prefix', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rp_cand_grp_prefix', 'keyval': 'rp_cand_prefix_name', 'extra_keyval': 'rp_cand_prefix_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rp_cand_grp_prefix=rp_cand_grp_prefix)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_rpf_ecmp_create(self, rebalance=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type rebalance: YANGBool
    :param rebalance: Multicast ECMP load sharing with dynamic rebalancing

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.rpf.ecmp', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rebalance=rebalance)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def router_pim_ssm_enable_create(self, range=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Argument(s)**:

    :type range: unicode
    :param range: Set the multicast address range to use for SSM

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.routing_system.router.hide_pim_holder.pim.ssm_enable', 'pybind.slxos.v16r_1_00b.brocade_common_def', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, range=range)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def rule_create(self, rule=None, action=None, operation=None, role=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type rule: index, action, operation, role
    :param rule: Keyword argument tuple.

    :type index: long
    :param index: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type action: unicode
    :param action: **rule** tuple argument:  Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: **rule** tuple argument:  Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: **rule** tuple argument:  One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    **Instance Argument(s)**:

    :type action: unicode
    :param action: Action for the command

        * enumeration restriction: ::

            ['accept', 'reject']

    :type operation: unicode
    :param operation: Operation for the command

        * enumeration restriction: ::

            ['read-write', 'read-only']

    :type role: unicode
    :param role: One of the existing roles

        * length restriction: ::

            ['4 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.rule', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.rule', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.rule', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.rule', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'rule', 'keyval': 'index', 'extra_keyval': 'index, action, operation, role'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule, action=action, operation=operation, role=role)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def secpolicy_active_policy_policies_create(self, policies=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type policies: policy
    :param policies: Keyword argument tuple.

    :type policy: unicode
    :param policy: **policies** tuple argument.

        * pattern restriction: ::

            'SCC_POLICY'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v6_0_2c.brocade_fc_auth', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v7_0_1b.brocade_fc_auth', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policies=policies)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def secpolicy_active_policy_policies_member_entry_create(self, policies=None, member_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policies: policy
    :param policies: Keyword argument tuple.

    :type policy: unicode
    :param policy: **policies** tuple argument.

        * pattern restriction: ::

            'SCC_POLICY'

    **Instance Keyword Argument Tuple**:

    :type member_entry: member
    :param member_entry: Keyword argument tuple.

    :type member: unicode
    :param member: **member_entry** tuple argument:  WWN of the switch

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v6_0_2c.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies', u'policies'), ('pybind.nos.v7_0_1b.secpolicy_sa.secpolicy.active_policy.policies', u'policies')]
    bindings_list = [('pybind.nos.v6_0_2c.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v6_0_2c.brocade_fc_auth', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_0_1b.brocade_fc_auth', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.active_policy.policies.member_entry', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policies=policies, member_entry=member_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def secpolicy_defined_policy_policies_create(self, policies=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type policies: policy
    :param policies: Keyword argument tuple.

    :type policy: unicode
    :param policy: **policies** tuple argument.

        * pattern restriction: ::

            'SCC_POLICY'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v6_0_2c.brocade_fc_auth', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v7_0_1b.brocade_fc_auth', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'policies', 'keyval': 'policy', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policies=policies)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def secpolicy_defined_policy_policies_member_entry_create(self, policies=None, member_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policies: policy
    :param policies: Keyword argument tuple.

    :type policy: unicode
    :param policy: **policies** tuple argument.

        * pattern restriction: ::

            'SCC_POLICY'

    **Instance Keyword Argument Tuple**:

    :type member_entry: member
    :param member_entry: Keyword argument tuple.

    :type member: unicode
    :param member: **member_entry** tuple argument:  WWN of the switch

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v7_0_1b.secpolicy_sa.secpolicy.defined_policy.policies', u'policies'), ('pybind.nos.v6_0_2c.secpolicy_sa.secpolicy.defined_policy.policies', u'policies')]
    bindings_list = [('pybind.nos.v6_0_2c.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v6_0_2c.brocade_fc_auth', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_0_1b.brocade_fc_auth', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.nos.v7_1_0.brocade_fc_auth', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.secpolicy_sa.secpolicy.defined_policy.policies.member_entry', 'pybind.slxos.v16r_1_00b.brocade_fc_auth', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}, {'keyval': 'policy', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'member', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policies=policies, member_entry=member_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_collector_create(self, collector=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type collector: collector_ip_address, collector_port_number, use_vrf
    :param collector: Keyword argument tuple.

    :type collector_ip_address: unicode
    :param collector_ip_address: **collector** tuple argument:  <ipv4/v6 address>; The IPv4/IPv6 address of the Sflow collector

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type collector_port_number: long
    :param collector_port_number: **collector** tuple argument:  <1-65535> The port number used by the Sflow collector (default = 6343)

        * range restriction: ::

            ['0..4294967295']

    :type use_vrf: unicode
    :param use_vrf: **collector** tuple argument:  Vrf to use for sending data to the collector (default = mgmt-vrf)

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.sflow.collector', 'pybind.nos.v6_0_2c.brocade_sflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.sflow.collector', 'pybind.nos.v7_0_1b.brocade_sflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.sflow.collector', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow.collector', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'collector', 'keyval': 'collector_ip_address, collector_port_number, use_vrf', 'extra_keyval': 'collector_ip_address, collector_port_number, use_vrf'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, collector=collector)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sflow_profile_create(self, sflow_profile=None, profile_sampling_rate=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type sflow_profile: profile_name, profile_sampling_rate
    :param sflow_profile: Keyword argument tuple.

    :type profile_name: unicode
    :param profile_name: **sflow_profile** tuple argument.

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9_]{0,63})'

    :type profile_sampling_rate: long
    :param profile_sampling_rate: **sflow_profile** tuple argument:  Sflow profile sampling-rate

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type profile_sampling_rate: long
    :param profile_sampling_rate: Sflow profile sampling-rate

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.sflow_profile', 'pybind.nos.v6_0_2c.brocade_sflow', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.sflow_profile', 'pybind.nos.v7_0_1b.brocade_sflow', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.sflow_profile', 'pybind.nos.v7_1_0.brocade_sflow', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.sflow_profile', 'pybind.slxos.v16r_1_00b.brocade_sflow', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'sflow_profile', 'keyval': 'profile_name', 'extra_keyval': 'profile_name, profile_sampling_rate'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, sflow_profile=sflow_profile, profile_sampling_rate=profile_sampling_rate)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_connectivity_create(self, connectivity=None, connectivity_count=None, connectivity_feid=None, connectivity_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type connectivity: connectivity_sfmid
    :param connectivity: Keyword argument tuple.

    :type connectivity_sfmid: long
    :param connectivity_sfmid: **connectivity** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type connectivity_count: long
    :param connectivity_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type connectivity_feid: long
    :param connectivity_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type connectivity_type: unicode
    :param connectivity_type: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.connectivity', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'connectivity', 'keyval': 'connectivity_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, connectivity=connectivity, connectivity_count=connectivity_count, connectivity_feid=connectivity_feid, connectivity_type=connectivity_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_links_create(self, links=None, links_count=None, links_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type links: links_sfmid
    :param links: Keyword argument tuple.

    :type links_sfmid: long
    :param links_sfmid: **links** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type links_count: long
    :param links_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type links_feid: long
    :param links_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.links', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'links', 'keyval': 'links_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, links=links, links_count=links_count, links_feid=links_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_mcast_create(self, mcast=None, mcast_count=None, mcast_sfmid=None, mcast_feid=None, mcast_sfmcount=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type mcast: mcastid
    :param mcast: Keyword argument tuple.

    :type mcastid: long
    :param mcastid: **mcast** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mcast_count: long
    :param mcast_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mcast_sfmid: long
    :param mcast_sfmid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mcast_feid: long
    :param mcast_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type mcast_sfmcount: long
    :param mcast_sfmcount: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.mcast', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'mcast', 'keyval': 'mcastid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, mcast=mcast, mcast_count=mcast_count, mcast_sfmid=mcast_sfmid, mcast_feid=mcast_feid, mcast_sfmcount=mcast_sfmcount)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_queue_create(self, queue=None, queue_feid=None, queue_pipe=None, queue_dch_count=None, queue_dcm_count=None, queue_dcl_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type queue: queue_sfmid
    :param queue: Keyword argument tuple.

    :type queue_sfmid: long
    :param queue_sfmid: **queue** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type queue_feid: long
    :param queue_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_pipe: long
    :param queue_pipe: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_dch_count: long
    :param queue_dch_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_dcm_count: long
    :param queue_dcm_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type queue_dcl_count: long
    :param queue_dcl_count: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.queue', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'queue', 'keyval': 'queue_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, queue=queue, queue_feid=queue_feid, queue_pipe=queue_pipe, queue_dch_count=queue_dch_count, queue_dcm_count=queue_dcm_count, queue_dcl_count=queue_dcl_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_serdesmode_create(self, serdesmode=None, serdesmode_=None, serdesmode_feid=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type serdesmode: serdesmode_sfmid
    :param serdesmode: Keyword argument tuple.

    :type serdesmode_sfmid: long
    :param serdesmode_sfmid: **serdesmode** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type serdesmode_: long
    :param serdesmode_: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type serdesmode_feid: long
    :param serdesmode_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.serdesmode', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'serdesmode', 'keyval': 'serdesmode_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, serdesmode=serdesmode, serdesmode_=serdesmode_, serdesmode_feid=serdesmode_feid)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_statistics_create(self, statistics=None, statistics_feid=None, statistics_pipe=None, statistics_dch_total_in=None, statistics_dch_total_out=None, statistics_dch_fifo_discard=None, statistics_dch_reorder_discard=None, statistics_dch_unreach_discard=None, statistics_dch_max_q_size=None, statistics_dcm_tot=None, statistics_dcm_drop=None, statistics_dcm_max=None, statistics_dcl_tot_in=None, statistics_dcl_tot_out=None, statistics_dcl_dropped=None, statistics_dcl_max=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type statistics: statistics_sfmid
    :param statistics: Keyword argument tuple.

    :type statistics_sfmid: long
    :param statistics_sfmid: **statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type statistics_feid: long
    :param statistics_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_pipe: long
    :param statistics_pipe: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_total_in: long
    :param statistics_dch_total_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_total_out: long
    :param statistics_dch_total_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_fifo_discard: long
    :param statistics_dch_fifo_discard: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_reorder_discard: long
    :param statistics_dch_reorder_discard: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_unreach_discard: long
    :param statistics_dch_unreach_discard: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dch_max_q_size: long
    :param statistics_dch_max_q_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcm_tot: long
    :param statistics_dcm_tot: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcm_drop: long
    :param statistics_dcm_drop: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcm_max: long
    :param statistics_dcm_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcl_tot_in: long
    :param statistics_dcl_tot_in: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcl_tot_out: long
    :param statistics_dcl_tot_out: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcl_dropped: long
    :param statistics_dcl_dropped: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type statistics_dcl_max: long
    :param statistics_dcl_max: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.statistics', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'statistics', 'keyval': 'statistics_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, statistics=statistics, statistics_feid=statistics_feid, statistics_pipe=statistics_pipe, statistics_dch_total_in=statistics_dch_total_in, statistics_dch_total_out=statistics_dch_total_out, statistics_dch_fifo_discard=statistics_dch_fifo_discard, statistics_dch_reorder_discard=statistics_dch_reorder_discard, statistics_dch_unreach_discard=statistics_dch_unreach_discard, statistics_dch_max_q_size=statistics_dch_max_q_size, statistics_dcm_tot=statistics_dcm_tot, statistics_dcm_drop=statistics_dcm_drop, statistics_dcm_max=statistics_dcm_max, statistics_dcl_tot_in=statistics_dcl_tot_in, statistics_dcl_tot_out=statistics_dcl_tot_out, statistics_dcl_dropped=statistics_dcl_dropped, statistics_dcl_max=statistics_dcl_max)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sfm_state_thresholds_create(self, thresholds=None, thresholds_feid=None, thresholds_port=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type thresholds: thresholds_sfmid
    :param thresholds: Keyword argument tuple.

    :type thresholds_sfmid: long
    :param thresholds_sfmid: **thresholds** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type thresholds_feid: long
    :param thresholds_feid: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type thresholds_port: long
    :param thresholds_port: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sfm_state.thresholds', 'pybind.slxos.v16r_1_00b.brocade_sysmgr_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'thresholds', 'keyval': 'thresholds_sfmid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, thresholds=thresholds, thresholds_feid=thresholds_feid, thresholds_port=thresholds_port)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def show_client_id_df_info_state_create(self, show_client_id_df_info_state=None, client_state=None, is_all_vlan_elected=None, is_df_election_pending=None, num_df_vlans=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type show_client_id_df_info_state: cluster_id, client_id
    :param show_client_id_df_info_state: Keyword argument tuple.

    :type cluster_id: long
    :param cluster_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type client_id: long
    :param client_id: **show_client_id_df_info_state** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type client_state: YANGBool
    :param client_state: Keyword argument.

    :type is_all_vlan_elected: long
    :param is_all_vlan_elected: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type is_df_election_pending: long
    :param is_df_election_pending: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type num_df_vlans: long
    :param num_df_vlans: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.show_client_id_df_info_state', 'pybind.slxos.v16r_1_00b.brocade_mct_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'show_client_id_df_info_state', 'keyval': 'cluster_id, client_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, show_client_id_df_info_state=show_client_id_df_info_state, client_state=client_state, is_all_vlan_elected=is_all_vlan_elected, is_df_election_pending=is_df_election_pending, num_df_vlans=num_df_vlans)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_community_create(self, community=None, groupname=None, ipv4_acl=None, ipv6_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type community: community, groupname, ipv4_acl, ipv6_acl
    :param community: Keyword argument tuple.

    :type community: unicode
    :param community: **community** tuple argument.

    :type groupname: unicode
    :param groupname: **community** tuple argument:  Groupname associated with community string

    :type ipv4_acl: unicode
    :param ipv4_acl: **community** tuple argument:  standard IPv4 Access list name (or) ID associated with community strings.

        * length restriction: ::

            ['0 .. 63']

    :type ipv6_acl: unicode
    :param ipv6_acl: **community** tuple argument:  standard IPv6 Access list name (or) ID associated with community strings.

        * length restriction: ::

            ['0 .. 63']

    **Instance Argument(s)**:

    :type groupname: unicode
    :param groupname: Groupname associated with community string

    :type ipv4_acl: unicode
    :param ipv4_acl: standard IPv4 Access list name (or) ID associated with community strings.

        * length restriction: ::

            ['0 .. 63']

    :type ipv6_acl: unicode
    :param ipv6_acl: standard IPv6 Access list name (or) ID associated with community strings.

        * length restriction: ::

            ['0 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.community', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.community', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.community', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.community', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'community', 'keyval': 'community', 'extra_keyval': 'community, groupname'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.snmp_server.community": {"ipv4_acl": "ipv4_acl", "groupname": "groupname", "ipv6_acl": "ipv6_acl", "community": "community"}, "pybind.nos.v7_0_1b.snmp_server.community": {"ipv4_acl": "ipv4_acl", "groupname": "groupname", "ipv6_acl": "ipv6_acl", "community": "community"}, "pybind.nos.v7_1_0.snmp_server.community": {"ipv4_acl": "ipv4_acl", "groupname": "groupname", "ipv6_acl": "ipv6_acl", "community": "community"}, "pybind.slxos.v16r_1_00b.snmp_server.community": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, community=community, groupname=groupname, ipv4_acl=ipv4_acl, ipv6_acl=ipv6_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_context_create(self, context=None, vrf_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type context: context_name
    :param context: Keyword argument tuple.

    :type context_name: unicode
    :param context_name: **context** tuple argument.

    **Instance Argument(s)**:

    :type vrf_name: unicode
    :param vrf_name: Vrf Name

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.context', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.context', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.context', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.context', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'context', 'keyval': 'context_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, context=context, vrf_name=vrf_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_group_create(self, group=None, group_auth_mode=None, read=None, write=None, notify=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type group: group_name, group_version, group_auth_mode, read, write, notify
    :param group: Keyword argument tuple.

    :type group_name: unicode
    :param group_name: **group** tuple argument.

        * length restriction: ::

            ['1 .. 32']

    :type group_version: unicode
    :param group_version: **group** tuple argument.

        * enumeration restriction: ::

            ['v2c', 'v1', 'v3']

    :type group_auth_mode: unicode
    :param group_auth_mode: **group** tuple argument.

        * enumeration restriction: ::

            ['noauth', 'auth', 'priv']

    :type read: unicode
    :param read: **group** tuple argument:  read	Specify a read view for the group

        * length restriction: ::

            ['1 .. 32']

    :type write: unicode
    :param write: **group** tuple argument:  write	Specify a write view for the group

        * length restriction: ::

            ['1 .. 32']

    :type notify: unicode
    :param notify: **group** tuple argument:  notify	Specify a notify view for the group

        * length restriction: ::

            ['1 .. 32']

    **Instance Argument(s)**:

    :type group_auth_mode: unicode
    :param group_auth_mode: Keyword argument.

        * enumeration restriction: ::

            ['noauth', 'auth', 'priv']

    :type read: unicode
    :param read: read	Specify a read view for the group

        * length restriction: ::

            ['1 .. 32']

    :type write: unicode
    :param write: write	Specify a write view for the group

        * length restriction: ::

            ['1 .. 32']

    :type notify: unicode
    :param notify: notify	Specify a notify view for the group

        * length restriction: ::

            ['1 .. 32']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.group', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.group', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.group', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.group', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'group_name, group_version', 'extra_keyval': 'group_name, group_version, group_auth_mode, read, write, notify'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group, group_auth_mode=group_auth_mode, read=read, write=write, notify=notify)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_host_create(self, host=None, version=None, udp_port=None, severity_level=None, use_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type host: ip, community
    :param host: Keyword argument tuple.

    :type ip: unicode
    :param ip: **host** tuple argument:  ipv4/ipv6/dns address of the trap recipient associated with community strings.  Traps will be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type community: unicode
    :param community: **host** tuple argument:  Community string associated with traps.

    **Instance Argument(s)**:

    :type version: unicode
    :param version: Version used to send traps. (Default=v1)

        * enumeration restriction: ::

            ['1', '2c']

    :type udp_port: long
    :param udp_port: Port number used to send traps. (Default=162)

        * range restriction: ::

            ['0..4294967295']

    :type severity_level: unicode
    :param severity_level: Severity level associated with traps

        * enumeration restriction: ::

            ['Info',
            'None',
            'Critical',
            'Warning',
            'Error',
            'Debug']

    :type use_vrf: unicode
    :param use_vrf: vrfname used to send notifications.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'ip, community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, version=version, udp_port=udp_port, severity_level=severity_level, use_vrf=use_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_mib_community_map_create(self, community_map=None, context=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type community_map: community, context
    :param community_map: Keyword argument tuple.

    :type community: unicode
    :param community: **community_map** tuple argument:  Community string to map with the context name

    :type context: unicode
    :param context: **community_map** tuple argument:  Context Name.

    **Instance Argument(s)**:

    :type context: unicode
    :param context: Context Name.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v7_0_1b.snmp_server.mib.community_map', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.mib.community_map', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.mib.community_map', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'community_map', 'keyval': 'community', 'extra_keyval': 'community, context'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, community_map=community_map, context=context)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_user_create(self, user=None, groupname=None, auth=None, auth_password=None, priv=None, priv_password=None, encrypted=None, ipv4_acl=None, ipv6_acl=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type user: username, groupname, auth, auth_password, priv, priv_password, encrypted, ipv4_acl, ipv6_acl
    :param user: Keyword argument tuple.

    :type username: unicode
    :param username: **user** tuple argument.

        * length restriction: ::

            ['1 .. 25']

    :type groupname: unicode
    :param groupname: **user** tuple argument.

    :type auth: unicode
    :param auth: **user** tuple argument:  Authorization protocol for username(Default=noauth)

        * enumeration restriction: ::

            ['sha', 'noauth', 'md5']

    :type auth_password: unicode
    :param auth_password: **user** tuple argument:  Authorization password associated withusername

    :type priv: unicode
    :param priv: **user** tuple argument:  Privacy protocol for username (Default=nopriv)

        * enumeration restriction: ::

            ['AES128', 'DES', 'nopriv']

    :type priv_password: unicode
    :param priv_password: **user** tuple argument:  Privacy password associated with username

    :type encrypted: YANGBool
    :param encrypted: **user** tuple argument:  This flag is used to enter the auth/privpasswords as encrypted.(Default=disable)

    :type ipv4_acl: unicode
    :param ipv4_acl: **user** tuple argument:  standard IPv4 Access list name (or) ID associated with SNMP v3 user strings.

        * length restriction: ::

            ['0 .. 63']

    :type ipv6_acl: unicode
    :param ipv6_acl: **user** tuple argument:  standard IPv6 Access list name (or) ID associated with SNMP V3 user strings.

        * length restriction: ::

            ['0 .. 63']

    **Instance Argument(s)**:

    :type groupname: unicode
    :param groupname: Keyword argument.

    :type auth: unicode
    :param auth: Authorization protocol for username(Default=noauth)

        * enumeration restriction: ::

            ['sha', 'noauth', 'md5']

    :type auth_password: unicode
    :param auth_password: Authorization password associated withusername

    :type priv: unicode
    :param priv: Privacy protocol for username (Default=nopriv)

        * enumeration restriction: ::

            ['AES128', 'DES', 'nopriv']

    :type priv_password: unicode
    :param priv_password: Privacy password associated with username

    :type encrypted: YANGBool
    :param encrypted: This flag is used to enter the auth/privpasswords as encrypted.(Default=disable)

    :type ipv4_acl: unicode
    :param ipv4_acl: standard IPv4 Access list name (or) ID associated with SNMP v3 user strings.

        * length restriction: ::

            ['0 .. 63']

    :type ipv6_acl: unicode
    :param ipv6_acl: standard IPv6 Access list name (or) ID associated with SNMP V3 user strings.

        * length restriction: ::

            ['0 .. 63']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.user', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.user', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.user', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.user', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'user', 'keyval': 'username', 'extra_keyval': 'username, groupname, auth, auth_password, priv, priv_password, encrypted'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.snmp_server.user": {"username": "username", "ipv4_acl": "ipv4_acl", "encrypted": "encrypted", "ipv6_acl": "ipv6_acl", "auth": "auth", "priv_password": "priv_password", "groupname": "groupname", "auth_password": "auth_password", "priv": "priv"}, "pybind.slxos.v16r_1_00b.snmp_server.user": {}, "pybind.nos.v7_0_1b.snmp_server.user": {"username": "username", "ipv4_acl": "ipv4_acl", "encrypted": "encrypted", "ipv6_acl": "ipv6_acl", "auth": "auth", "priv_password": "priv_password", "groupname": "groupname", "auth_password": "auth_password", "priv": "priv"}, "pybind.nos.v6_0_2c.snmp_server.user": {"username": "username", "ipv4_acl": "ipv4_acl", "encrypted": "encrypted", "ipv6_acl": "ipv6_acl", "auth": "auth", "priv_password": "priv_password", "groupname": "groupname", "auth_password": "auth_password", "priv": "priv"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, user=user, groupname=groupname, auth=auth, auth_password=auth_password, priv=priv, priv_password=priv_password, encrypted=encrypted, ipv4_acl=ipv4_acl, ipv6_acl=ipv6_acl)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_v3host_create(self, v3host=None, udp_port=None, notifytype=None, engineid=None, severity_level=None, use_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type v3host: hostip, username
    :param v3host: Keyword argument tuple.

    :type hostip: unicode
    :param hostip: **v3host** tuple argument:  ipv4/ipv6/dns address of the notification recipientassociated with username. Notificationswill be sent to this host

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type username: unicode
    :param username: **v3host** tuple argument:  Username associated with notification type.

    **Instance Argument(s)**:

    :type udp_port: long
    :param udp_port: Port number used to send notifications.(Default=162)

        * range restriction: ::

            ['0..4294967295']

    :type notifytype: unicode
    :param notifytype: Type of notification sent to host.(Default=traps)

        * enumeration restriction: ::

            ['informs', 'traps']

    :type engineid: unicode
    :param engineid: Manager's (Remote) engine Id.

    :type severity_level: unicode
    :param severity_level: Severity level associated with traps

        * enumeration restriction: ::

            ['Info',
            'None',
            'Critical',
            'Warning',
            'Error',
            'Debug']

    :type use_vrf: unicode
    :param use_vrf: vrfname used to send notifications.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.v3host', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.v3host', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.v3host', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.v3host', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'v3host', 'keyval': 'hostip, username', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, v3host=v3host, udp_port=udp_port, notifytype=notifytype, engineid=engineid, severity_level=severity_level, use_vrf=use_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def snmp_server_view_create(self, view=None, mibtree_access=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type view: viewname, mibtree
    :param view: Keyword argument tuple.

    :type viewname: unicode
    :param viewname: **view** tuple argument.

        * length restriction: ::

            ['1 .. 32']

    :type mibtree: unicode
    :param mibtree: **view** tuple argument.

        * length restriction: ::

            ['1 .. 256']

    **Instance Argument(s)**:

    :type mibtree_access: unicode
    :param mibtree_access: Keyword argument.

        * enumeration restriction: ::

            ['included', 'excluded']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.snmp_server.view', 'pybind.nos.v6_0_2c.brocade_snmp', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.snmp_server.view', 'pybind.nos.v7_0_1b.brocade_snmp', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.snmp_server.view', 'pybind.nos.v7_1_0.brocade_snmp', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.snmp_server.view', 'pybind.slxos.v16r_1_00b.brocade_snmp', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'view', 'keyval': 'viewname, mibtree', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, view=view, mibtree_access=mibtree_access)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_create(self, spf_log_state=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'spf_log_state', 'keyval': 'spf_log_version', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_create(self, spf_log_state=None, spf_log_levels=None, log_counts=None, spf_trigger_count=None, node_count=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    **Instance Keyword Argument Tuple**:

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Argument(s)**:

    :type log_counts: int
    :param log_counts: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type spf_trigger_count: int
    :param spf_trigger_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type node_count: int
    :param node_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_levels', 'keyval': 'level', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, log_counts=log_counts, spf_trigger_count=spf_trigger_count, node_count=node_count)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def spf_log_state_spf_log_levels_spf_log_events_create(self, spf_log_state=None, spf_log_levels=None, spf_log_events=None, isis_spf_log_reason=None, isis_lsp_name=None, brief_reason=None, event_count=None, node_count=None, time_stamp_ms=None, duration_ms=None, ipv4_routes=None, ipv6_routes=None, first_trigger_change=None, first_trigger_time_stamp_ms=None, first_trigger_detail_reason=None, last_trigger_change=None, last_trigger_time_stamp_ms=None, last_trigger_detail_reason=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type spf_log_state: spf_log_version
    :param spf_log_state: Keyword argument tuple.

    :type spf_log_version: unicode
    :param spf_log_version: **spf_log_state** tuple argument.

        * enumeration restriction: ::

            ['isis-ipv6-unicast-safi',
            'isis-ipv4-unicast-safi']

    :type spf_log_levels: level
    :param spf_log_levels: Keyword argument tuple.

    :type level: unicode
    :param level: **spf_log_levels** tuple argument.

        * enumeration restriction: ::

            ['level-2', 'level-1-2', 'level-1']

    **Instance Keyword Argument Tuple**:

    :type spf_log_events: spf_log_index
    :param spf_log_events: Keyword argument tuple.

    :type spf_log_index: int
    :param spf_log_index: **spf_log_events** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type isis_spf_log_reason: unicode
    :param isis_spf_log_reason: Keyword argument.

        * enumeration restriction: ::

            ['isis-spf-reason-ipv6-max-paths',
            'isis-spf-reason-adj-change',
            'isis-spf-reason-circ-change',
            'isis-spf-reason-level-change',
            'isis-spf-reason-recal-interlevel-route',
            'isis-spf-reason-kickall',
            'isis-spf-reason-redis-list-change',
            'isis-spf-reason-clear-route',
            'isis-spf-reason-attflag',
            'isis-spf-reason-tlv-content-change',
            'isis-spf-reason-ipaddr-change',
            'isis-spf-reason-pspf-purge-lsp',
            'isis-spf-reason-build-plsp',
            'isis-spf-reason-ipaddr-cfg-change',
            'isis-spf-reason-max-paths',
            'isis-spf-reason-admin-dist',
            'isis-spf-reason-user-trig',
            'isis-spf-reason-nlpid-change',
            'isis-spf-reason-area-change',
            'isis-spf-reason-ispf',
            'isis-spf-reason-multi-topo-config-change',
            'isis-spf-reason-isis-port-cfg',
            'isis-spf-reason-redis-policy-change',
            'isis-spf-reason-pspf-not-enable',
            'isis-spf-reason-ipv4-bfd-down',
            'isis-spf-reason-ipv4-alt',
            'isis-spf-reason-rtm-ecmp-change',
            'isis-spf-reason-adj-state-chg',
            'isis-spf-reason-overload-exit',
            'isis-spf-reason-ipv6-traverse',
            'isis-spf-reason-ipv6-bfd-down',
            'isis-spf-reason-none',
            'isis-spf-reason-summary-addr-chg',
            'isis-spf-reason-lsp-header',
            'isis-spf-reason-lsp-db-clear',
            'isis-spf-reason-ipv6-alt',
            'isis-spf-reason-build-plsp-nondis',
            'isis-spf-reason-router-enable',
            'isis-spf-reason-tlv-change',
            'isis-spf-reason-pspf-new-lsp',
            'isis-spf-reason-build-table',
            'isis-spf-reason-tnl-state-chg',
            'isis-spf-reason-overload',
            'isis-spf-reason-clear-all-route',
            'isis-spf-reason-ip6metric-change',
            'isis-spf-reason-istct-spf',
            'isis-spf-reason-ipv4-traverse',
            'isis-spf-reason-metric-change',
            'isis-spf-reason-ipv6addr-change']

    :type isis_lsp_name: unicode
    :param isis_lsp_name: Keyword argument.

    :type brief_reason: unicode
    :param brief_reason: Keyword argument.

    :type event_count: int
    :param event_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type node_count: int
    :param node_count: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type time_stamp_ms: long
    :param time_stamp_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type duration_ms: long
    :param duration_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv4_routes: long
    :param ipv4_routes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type ipv6_routes: long
    :param ipv6_routes: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type first_trigger_change: unicode
    :param first_trigger_change: Keyword argument.

    :type first_trigger_time_stamp_ms: long
    :param first_trigger_time_stamp_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type first_trigger_detail_reason: unicode
    :param first_trigger_detail_reason: Keyword argument.

    :type last_trigger_change: unicode
    :param last_trigger_change: Keyword argument.

    :type last_trigger_time_stamp_ms: long
    :param last_trigger_time_stamp_ms: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type last_trigger_detail_reason: unicode
    :param last_trigger_detail_reason: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.spf_log_state', 'spf_log_state'), ('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels', u'spf_log_levels')]
    bindings_list = [('pybind.slxos.v16r_1_00b.spf_log_state.spf_log_levels.spf_log_events', 'pybind.slxos.v16r_1_00b.brocade_isis_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'spf_log_version', 'extra_keyval': ''}, {'keyval': 'level', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'spf_log_events', 'keyval': 'spf_log_index', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, spf_log_state=spf_log_state, spf_log_levels=spf_log_levels, spf_log_events=spf_log_events, isis_spf_log_reason=isis_spf_log_reason, isis_lsp_name=isis_lsp_name, brief_reason=brief_reason, event_count=event_count, node_count=node_count, time_stamp_ms=time_stamp_ms, duration_ms=duration_ms, ipv4_routes=ipv4_routes, ipv6_routes=ipv6_routes, first_trigger_change=first_trigger_change, first_trigger_time_stamp_ms=first_trigger_time_stamp_ms, first_trigger_detail_reason=first_trigger_detail_reason, last_trigger_change=last_trigger_change, last_trigger_time_stamp_ms=last_trigger_time_stamp_ms, last_trigger_detail_reason=last_trigger_detail_reason)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def ssh_server_use_vrf_create(self, use_vrf=None, ssh_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, ssh_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    :type ssh_vrf_shutdown: YANGBool
    :param ssh_vrf_shutdown: **use_vrf** tuple argument:  Shutdown SSH server on given vrf

    **Instance Argument(s)**:

    :type ssh_vrf_shutdown: YANGBool
    :param ssh_vrf_shutdown: Shutdown SSH server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.ssh_sa.ssh.server.ssh_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, ssh_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_vrf=use_vrf, ssh_vrf_shutdown=ssh_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_bridge_domain_statistics_create(self, bridge_domain_statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type bridge_domain_statistics: bd_id
    :param bridge_domain_statistics: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'bridge_domain_statistics', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_statistics=bridge_domain_statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_bridge_domain_statistics_lif_statistics_create(self, bridge_domain_statistics=None, lif_statistics=None, rx_packets=None, tx_packets=None, rx_bytes=None, tx_bytes=None, lif_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type bridge_domain_statistics: bd_id
    :param bridge_domain_statistics: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **bridge_domain_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type lif_statistics: lif_id
    :param lif_statistics: Keyword argument tuple.

    :type lif_id: long
    :param lif_id: **lif_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_packets: long
    :param rx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_bytes: long
    :param rx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type lif_name: unicode
    :param lif_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics', u'bridge_domain_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.bridge_domain_statistics.lif_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'bd_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'lif_statistics', 'keyval': 'lif_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, bridge_domain_statistics=bridge_domain_statistics, lif_statistics=lif_statistics, rx_packets=rx_packets, tx_packets=tx_packets, rx_bytes=rx_bytes, tx_bytes=tx_bytes, lif_name=lif_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_vlan_statistics_create(self, vlan_statistics=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vlan_statistics: vlan_id
    :param vlan_statistics: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **vlan_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan_statistics', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_statistics=vlan_statistics)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def sub_interface_statistics_state_vlan_statistics_port_statistics_create(self, vlan_statistics=None, port_statistics=None, rx_packets=None, tx_packets=None, rx_bytes=None, tx_bytes=None, port_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan_statistics: vlan_id
    :param vlan_statistics: Keyword argument tuple.

    :type vlan_id: long
    :param vlan_id: **vlan_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type port_statistics: port_id
    :param port_statistics: Keyword argument tuple.

    :type port_id: long
    :param port_id: **port_statistics** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type rx_packets: long
    :param rx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_packets: long
    :param tx_packets: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type rx_bytes: long
    :param rx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type tx_bytes: long
    :param tx_bytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type port_name: unicode
    :param port_name: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics', u'vlan_statistics')]
    bindings_list = [('pybind.slxos.v16r_1_00b.sub_interface_statistics_state.vlan_statistics.port_statistics', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vlan_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'port_statistics', 'keyval': 'port_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan_statistics=vlan_statistics, port_statistics=port_statistics, rx_packets=rx_packets, tx_packets=tx_packets, rx_bytes=rx_bytes, tx_bytes=tx_bytes, port_name=port_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def switch_attributes_rbridge_id_create(self, rbridge_id=None, chassis_name=None, host_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type rbridge_id: rbridge_id
    :param rbridge_id: Keyword argument tuple.

    :type rbridge_id: unicode
    :param rbridge_id: **rbridge_id** tuple argument.

        * length restriction: ::

            ['1..3']

        * pattern restriction: ::

            '[1-9]|[1-9][0-9]|1[0-9][0-9]|2[0-3][0-9]'

    **Instance Argument(s)**:

    :type chassis_name: unicode
    :param chassis_name: Chassis name[length:1-30]

        * length restriction: ::

            ['1..30']

    :type host_name: unicode
    :param host_name: Host name[length:1-30]

        * length restriction: ::

            ['1..30']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system.switch_attributes.rbridge_id', 'pybind.nos.v6_0_2c.brocade_ras', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system.switch_attributes.rbridge_id', 'pybind.nos.v7_0_1b.brocade_ras', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system.switch_attributes.rbridge_id', 'pybind.nos.v7_1_0.brocade_ras', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rbridge_id', 'keyval': 'rbridge_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rbridge_id=rbridge_id, chassis_name=chassis_name, host_name=host_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_fru_email_list_create(self, email_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type email_list: email
    :param email_list: Keyword argument tuple.

    :type email: unicode
    :param email: **email_list** tuple argument:  <email:string>  e-mail address for FRU alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.fru.email_list', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.fru.email_list', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.fru.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.fru.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, email_list=email_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_interface_email_list_create(self, email_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type email_list: email
    :param email_list: Keyword argument tuple.

    :type email: unicode
    :param email: **email_list** tuple argument:  <email:string>  e-mail address for Interface alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.interface.email_list', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.interface.email_list', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.interface.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.interface.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, email_list=email_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_relay_create(self, relay=None, domain_name=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type relay: host_ip
    :param relay: Keyword argument tuple.

    :type host_ip: unicode
    :param host_ip: **relay** tuple argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    **Instance Argument(s)**:

    :type domain_name: unicode
    :param domain_name: Domain name server

        * length restriction: ::

            ['0 .. 64']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.relay', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.relay', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.relay', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.relay', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'relay', 'keyval': 'host_ip', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, relay=relay, domain_name=domain_name)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_security_email_list_create(self, email_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type email_list: email
    :param email_list: Keyword argument tuple.

    :type email: unicode
    :param email: **email_list** tuple argument:  <email:string>  e-mail address for Security alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.security.email_list', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.security.email_list', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.security.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.security.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, email_list=email_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def system_monitor_mail_sfp_email_list_create(self, email_list=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type email_list: email
    :param email_list: Keyword argument tuple.

    :type email: unicode
    :param email: **email_list** tuple argument:  <email:string>  e-mail address for SFP alerts

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.system_monitor_mail.sfp.email_list', 'pybind.nos.v6_0_2c.brocade_system_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.system_monitor_mail.sfp.email_list', 'pybind.nos.v7_0_1b.brocade_system_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.system_monitor_mail.sfp.email_list', 'pybind.nos.v7_1_0.brocade_system_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.system_monitor_mail.sfp.email_list', 'pybind.slxos.v16r_1_00b.brocade_system_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'email_list', 'keyval': 'email', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, email_list=email_list)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tacacs_server_host_create(self, host=None, port=None, protocol=None, key=None, encryption_level=None, retries=None, timeout=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type host: hostname
    :param host: Keyword argument tuple.

    :type hostname: unicode
    :param hostname: **host** tuple argument:  INETADDRESS   Domain name or IP Address of this TACACS+ server

        * length restriction: ::

            ['0..max']

        * pattern restriction: ::

            '\p{IsBasicLatin}{0,255}'

    **Instance Argument(s)**:

    :type port: int
    :param port: TCP Port for Authentication (default=49)

        * range restriction: ::

            ['0..65535']

    :type protocol: unicode
    :param protocol: Authentication protocol to be used (default=CHAP)

        * enumeration restriction: ::

            ['pap', 'chap']

    :type key: unicode
    :param key: Secret shared with this server (default='sharedsecret')

        * length restriction: ::

            ['1 .. max']

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the key (default=7)

        * enumeration restriction: ::

            ['0', '7']

    :type retries: int
    :param retries: Number of retries for this server connection (default=5)

        * range restriction: ::

            ['0..255']

    :type timeout: int
    :param timeout: Wait time for this server to respond (default=5 sec)

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.tacacs_server.host', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.tacacs_server.host', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.tacacs_server.host', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.tacacs_server.host', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'host', 'keyval': 'hostname, use_vrf', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_0_1b.tacacs_server.host": {}, "pybind.nos.v7_1_0.tacacs_server.host": {}, "pybind.slxos.v16r_1_00b.tacacs_server.host": {}, "pybind.nos.v6_0_2c.tacacs_server.host": {"encryption_level": "encryption_level", "retries": "retries", "protocol": "protocol", "timeout": "timeout", "hostname": "hostname", "key": "key", "port": "port"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, host=host, port=port, protocol=protocol, key=key, encryption_level=encryption_level, retries=retries, timeout=timeout)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def telnet_server_use_vrf_create(self, use_vrf=None, telnet_vrf_shutdown=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type use_vrf: use_vrf_name, telnet_vrf_shutdown
    :param use_vrf: Keyword argument tuple.

    :type use_vrf_name: unicode
    :param use_vrf_name: **use_vrf** tuple argument.

        * length restriction: ::

            ['0 .. max']

    :type telnet_vrf_shutdown: YANGBool
    :param telnet_vrf_shutdown: **use_vrf** tuple argument:  Shutdown telnet server on given vrf

    **Instance Argument(s)**:

    :type telnet_vrf_shutdown: YANGBool
    :param telnet_vrf_shutdown: Shutdown telnet server on given vrf

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v6_0_2c.brocade_sec_services', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_0_1b.brocade_sec_services', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.nos.v7_1_0.brocade_sec_services', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.telnet_sa.telnet.server.telnet_vrf_cont.use_vrf', 'pybind.slxos.v16r_1_00b.brocade_sec_services', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'use_vrf', 'keyval': 'use_vrf_name', 'extra_keyval': 'use_vrf_name, telnet_vrf_shutdown'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, use_vrf=use_vrf, telnet_vrf_shutdown=telnet_vrf_shutdown)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_create(self, policy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'policy', 'keyval': 'policy_name', 'extra_keyval': 'policy_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_interface_policy_area_create(self, policy=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  Interface types that can be configured independent of speed

        * enumeration restriction: ::

            ['Ethernet']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['MissingTerminationCharacter',
            'CRCAlignErrors',
            'IFG',
            'SymbolErrors']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.interface.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_create(self, policy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'policy', 'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_security_policy_area_create(self, policy=None, area=None, timebase=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: sec_policy_name
    :param policy: Keyword argument tuple.

    :type sec_policy_name: unicode
    :param sec_policy_name: **policy** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type area: sec_area_value
    :param area: Keyword argument tuple.

    :type sec_area_value: unicode
    :param sec_area_value: **area** tuple argument:  Security Areas

        * enumeration restriction: ::

            ['telnet-violation', 'login-violation']

    **Instance Argument(s)**:

    :type timebase: unicode
    :param timebase: Configure timebase for monitoring

        * enumeration restriction: ::

            ['none', 'minute', 'hour', 'day']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.security.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}, {'keyval': 'sec_policy_name', 'extra_keyval': 'sec_policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'sec_area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area, timebase=timebase)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_create(self, policy=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'policy', 'keyval': 'policy_name', 'extra_keyval': 'policy_name'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def threshold_monitor_sfp_policy_area_create(self, policy=None, area=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type policy: policy_name
    :param policy: Keyword argument tuple.

    :type policy_name: unicode
    :param policy_name: **policy** tuple argument.

    **Instance Keyword Argument Tuple**:

    :type area: type, area_value
    :param area: Keyword argument tuple.

    :type type: unicode
    :param type: **area** tuple argument:  SFP types that can be configured

        * enumeration restriction: ::

            ['10GLR',
            '1GLR',
            '100GSR',
            '10GUSR',
            '1GSR',
            '10GSR',
            'QSFP']

    :type area_value: unicode
    :param area_value: **area** tuple argument.

        * enumeration restriction: ::

            ['Current',
            'RXP',
            'TXP',
            'Voltage',
            'Temperature']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy', u'policy')]
    bindings_list = [('pybind.nos.v6_0_2c.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v6_0_2c.brocade_threshold_monitor', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_0_1b.brocade_threshold_monitor', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.nos.v7_1_0.brocade_threshold_monitor', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.threshold_monitor_hidden.threshold_monitor.sfp.policy.area', 'pybind.slxos.v16r_1_00b.brocade_threshold_monitor', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}, {'keyval': 'policy_name', 'extra_keyval': 'policy_name'}]
    bindings_keyval = {'kwargs_key_name': u'area', 'keyval': 'type, area_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, policy=policy, area=area)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_non_empty_voq_create(self, non_empty_voq=None, voq_id=None, voq_size=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type non_empty_voq: slot_port
    :param non_empty_voq: Keyword argument tuple.

    :type slot_port: unicode
    :param slot_port: **non_empty_voq** tuple argument.

    **Instance Argument(s)**:

    :type voq_id: long
    :param voq_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type voq_size: long
    :param voq_size: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.non_empty_voq', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'non_empty_voq', 'keyval': 'slot_port', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, non_empty_voq=non_empty_voq, voq_id=voq_id, voq_size=voq_size)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_max_buff_util_data_create(self, tm_max_buff_util_data=None, max_buff_size=None, max_buff_util=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type tm_max_buff_util_data: slot, tower
    :param tm_max_buff_util_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_max_buff_util_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_max_buff_util_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type max_buff_size: long
    :param max_buff_size: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type max_buff_util: int
    :param max_buff_util: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_max_buff_util_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_max_buff_util_data', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_max_buff_util_data=tm_max_buff_util_data, max_buff_size=max_buff_size, max_buff_util=max_buff_util)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_discard_pkt_data_create(self, tm_top_discard_pkt_data=None, dest_port=None, priority=None, queue=None, discardpkt=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type tm_top_discard_pkt_data: slot, tower, id
    :param tm_top_discard_pkt_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_discard_pkt_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dest_port: unicode
    :param dest_port: Keyword argument.

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type queue: long
    :param queue: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_discard_pkt_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_discard_pkt_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_discard_pkt_data=tm_top_discard_pkt_data, dest_port=dest_port, priority=priority, queue=queue, discardpkt=discardpkt)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tm_top_max_queue_depth_data_create(self, tm_top_max_queue_depth_data=None, dest_port=None, priority=None, queue=None, max_queue_depth=None, min_threshold=None, max_utilization=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type tm_top_max_queue_depth_data: slot, tower, id
    :param tm_top_max_queue_depth_data: Keyword argument tuple.

    :type slot: int
    :param slot: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type id: int
    :param id: **tm_top_max_queue_depth_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type dest_port: unicode
    :param dest_port: Keyword argument.

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type queue: long
    :param queue: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_queue_depth: long
    :param max_queue_depth: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type min_threshold: long
    :param min_threshold: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type max_utilization: long
    :param max_utilization: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tm_top_max_queue_depth_data', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tm_top_max_queue_depth_data', 'keyval': 'slot, tower, id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tm_top_max_queue_depth_data=tm_top_max_queue_depth_data, dest_port=dest_port, priority=priority, queue=queue, max_queue_depth=max_queue_depth, min_threshold=min_threshold, max_utilization=max_utilization)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslot_create(self, tmcpustatsslot=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslot: slot_id, cpugroup_id
    :param tmcpustatsslot: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type cpugroup_id: int
    :param cpugroup_id: **tmcpustatsslot** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type enquepkt: long
    :param enquepkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type enqueubytes: long
    :param enqueubytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardbytes: long
    :param discardbytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type currdepth: long
    :param currdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type maxdepth: long
    :param maxdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslot', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslot', 'keyval': 'slot_id, cpugroup_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslot=tmcpustatsslot, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmcpustatsslotallgrp_create(self, tmcpustatsslotallgrp=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type tmcpustatsslotallgrp: slot_id
    :param tmcpustatsslotallgrp: Keyword argument tuple.

    :type slot_id: int
    :param slot_id: **tmcpustatsslotallgrp** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type enquepkt: long
    :param enquepkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type enqueubytes: long
    :param enqueubytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardbytes: long
    :param discardbytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type currdepth: long
    :param currdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type maxdepth: long
    :param maxdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmcpustatsslotallgrp', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmcpustatsslotallgrp', 'keyval': 'slot_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmcpustatsslotallgrp=tmcpustatsslotallgrp, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmdevicestataggr_create(self, tmdevicestataggr=None, ingress_total_pkt_cnt_aggr=None, enque_pkt_cnt_aggr=None, deque_pkt_cnt_aggr=None, total_discard_pkt_cnt_aggr=None, deleted_pkt_cnt_aggr=None, invalid_queue_pkt_aggr=None, cpu_pkt_cnt_aggr=None, uni_pkt_cnt_aggr=None, mcast_pkt_cnt_aggr=None, uni_discard_pkt_cnt_aggr=None, mcast_discard_pkt_cnt_aggr=None, fqp_pkt_cnt_aggr=None, ehp_discard_cnt_aggr=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type tmdevicestataggr: slot, tower
    :param tmdevicestataggr: Keyword argument tuple.

    :type slot: int
    :param slot: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type tower: int
    :param tower: **tmdevicestataggr** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type ingress_total_pkt_cnt_aggr: long
    :param ingress_total_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type enque_pkt_cnt_aggr: long
    :param enque_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type deque_pkt_cnt_aggr: long
    :param deque_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type total_discard_pkt_cnt_aggr: long
    :param total_discard_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type deleted_pkt_cnt_aggr: long
    :param deleted_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type invalid_queue_pkt_aggr: long
    :param invalid_queue_pkt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type cpu_pkt_cnt_aggr: long
    :param cpu_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type uni_pkt_cnt_aggr: long
    :param uni_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type mcast_pkt_cnt_aggr: long
    :param mcast_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type uni_discard_pkt_cnt_aggr: long
    :param uni_discard_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type mcast_discard_pkt_cnt_aggr: long
    :param mcast_discard_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type fqp_pkt_cnt_aggr: long
    :param fqp_pkt_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type ehp_discard_cnt_aggr: long
    :param ehp_discard_cnt_aggr: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmdevicestataggr', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmdevicestataggr', 'keyval': 'slot, tower', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmdevicestataggr=tmdevicestataggr, ingress_total_pkt_cnt_aggr=ingress_total_pkt_cnt_aggr, enque_pkt_cnt_aggr=enque_pkt_cnt_aggr, deque_pkt_cnt_aggr=deque_pkt_cnt_aggr, total_discard_pkt_cnt_aggr=total_discard_pkt_cnt_aggr, deleted_pkt_cnt_aggr=deleted_pkt_cnt_aggr, invalid_queue_pkt_aggr=invalid_queue_pkt_aggr, cpu_pkt_cnt_aggr=cpu_pkt_cnt_aggr, uni_pkt_cnt_aggr=uni_pkt_cnt_aggr, mcast_pkt_cnt_aggr=mcast_pkt_cnt_aggr, uni_discard_pkt_cnt_aggr=uni_discard_pkt_cnt_aggr, mcast_discard_pkt_cnt_aggr=mcast_discard_pkt_cnt_aggr, fqp_pkt_cnt_aggr=fqp_pkt_cnt_aggr, ehp_discard_cnt_aggr=ehp_discard_cnt_aggr)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def tm_state_tmvoqstatistics_create(self, tmvoqstatistics=None, priority=None, enquepkt=None, enqueubytes=None, discardpkt=None, discardbytes=None, currdepth=None, maxdepth=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type tmvoqstatistics: ing_slot, ing_tower, egr_voqid
    :param tmvoqstatistics: Keyword argument tuple.

    :type ing_slot: int
    :param ing_slot: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type ing_tower: int
    :param ing_tower: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    :type egr_voqid: int
    :param egr_voqid: **tmvoqstatistics** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type priority: int
    :param priority: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type enquepkt: long
    :param enquepkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type enqueubytes: long
    :param enqueubytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardpkt: long
    :param discardpkt: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type discardbytes: long
    :param discardbytes: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type currdepth: long
    :param currdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type maxdepth: long
    :param maxdepth: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.tm_state.tmvoqstatistics', 'pybind.slxos.v16r_1_00b.brocade_sysdiag_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'tmvoqstatistics', 'keyval': 'ing_slot, ing_tower, egr_voqid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, tmvoqstatistics=tmvoqstatistics, priority=priority, enquepkt=enquepkt, enqueubytes=enqueubytes, discardpkt=discardpkt, discardbytes=discardbytes, currdepth=currdepth, maxdepth=maxdepth)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_create(self, topology_group=None, master_vlan=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type topology_group: topology_group_id
    :param topology_group: Keyword argument tuple.

    :type topology_group_id: long
    :param topology_group_id: **topology_group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type master_vlan: long
    :param master_vlan: Select Master VLAN for this topology group

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group', 'pybind.slxos.v16r_1_00b.brocade_topology_group', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'topology_group', 'keyval': 'topology_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group=topology_group, master_vlan=master_vlan)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_create(self, topology_group_data=None, l2_protocol=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type l2_protocol: unicode
    :param l2_protocol: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'topology_group_data', 'keyval': 'topology_group_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, l2_protocol=l2_protocol)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_member_bd_create(self, topology_group_data=None, member_bd=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type member_bd: bd_id
    :param member_bd: Keyword argument tuple.

    :type bd_id: long
    :param bd_id: **member_bd** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type free_ports: unicode
    :param free_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_bd', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_bd', 'keyval': 'bd_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, member_bd=member_bd, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def topology_group_state_topology_group_data_member_vlan_create(self, topology_group_data=None, member_vlan=None, free_ports=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type topology_group_data: topology_group_id
    :param topology_group_data: Keyword argument tuple.

    :type topology_group_id: int
    :param topology_group_id: **topology_group_data** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Keyword Argument Tuple**:

    :type member_vlan: vlan_id
    :param member_vlan: Keyword argument tuple.

    :type vlan_id: int
    :param vlan_id: **member_vlan** tuple argument.

        * range restriction: ::

            ['0..65535']

    **Instance Argument(s)**:

    :type free_ports: unicode
    :param free_ports: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data', u'topology_group_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.topology_group_state.topology_group_data.member_vlan', 'pybind.slxos.v16r_1_00b.brocade_nsm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'topology_group_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_vlan', 'keyval': 'vlan_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, topology_group_data=topology_group_data, member_vlan=member_vlan, free_ports=free_ports)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def traffic_class_exp_state_qos_mpls_create(self, qos_mpls=None, map_type=None, enabled_slots=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type qos_mpls: map_name
    :param qos_mpls: Keyword argument tuple.

    :type map_name: unicode
    :param map_name: **qos_mpls** tuple argument.

    **Instance Argument(s)**:

    :type map_type: unicode
    :param map_type: Keyword argument.

    :type enabled_slots: unicode
    :param enabled_slots: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.traffic_class_exp_state.qos_mpls', 'pybind.slxos.v16r_1_00b.brocade_qos_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'qos_mpls', 'keyval': 'map_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, qos_mpls=qos_mpls, map_type=map_type, enabled_slots=enabled_slots)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def username_create(self, username=None, user_password=None, encryption_level=None, role=None, desc=None, enable=None, expire=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type username: name, user_password, encryption_level, role, desc, enable, expire
    :param username: Keyword argument tuple.

    :type name: unicode
    :param name: **username** tuple argument.

        * length restriction: ::

            ['1 .. 40']

    :type user_password: unicode
    :param user_password: **username** tuple argument:  Password of the user

        * length restriction: ::

            ['1..40']

    :type encryption_level: unicode
    :param encryption_level: **username** tuple argument:  Level of encryption of the password(default=0)

        * enumeration restriction: ::

            ['0', '7']

    :type role: unicode
    :param role: **username** tuple argument:  Role of the user

        * length restriction: ::

            ['4 .. 32']

    :type desc: unicode
    :param desc: **username** tuple argument:  Description of the user (default='')

        * length restriction: ::

            ['0 .. 64']

    :type enable: YANGBool
    :param enable: **username** tuple argument:  Represents whether the user account is enabled(default=true)

    :type expire: unicode
    :param expire: **username** tuple argument:  Date until when the password will remain valid after being updated(default=never)

        * length restriction: ::

            ['0 .. 10']

        * pattern restriction: ::

            '((19(0[2-9]|[1-9][0-9])|20([012][0-9]|3[0-7]))-('
            '0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01]))|never'

    **Instance Argument(s)**:

    :type user_password: unicode
    :param user_password: Password of the user

        * length restriction: ::

            ['1..40']

    :type encryption_level: unicode
    :param encryption_level: Level of encryption of the password(default=0)

        * enumeration restriction: ::

            ['0', '7']

    :type role: unicode
    :param role: Role of the user

        * length restriction: ::

            ['4 .. 32']

    :type desc: unicode
    :param desc: Description of the user (default='')

        * length restriction: ::

            ['0 .. 64']

    :type enable: YANGBool
    :param enable: Represents whether the user account is enabled(default=true)

    :type expire: unicode
    :param expire: Date until when the password will remain valid after being updated(default=never)

        * length restriction: ::

            ['0 .. 10']

        * pattern restriction: ::

            '((19(0[2-9]|[1-9][0-9])|20([012][0-9]|3[0-7]))-('
            '0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01]))|never'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.username', 'pybind.nos.v6_0_2c.brocade_aaa', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.username', 'pybind.nos.v7_0_1b.brocade_aaa', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.username', 'pybind.nos.v7_1_0.brocade_aaa', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.username', 'pybind.slxos.v16r_1_00b.brocade_aaa', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'username', 'keyval': 'name', 'extra_keyval': 'name, user_password, encryption_level, role, desc, enable, expire, access_time, end_time'}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v7_1_0.username": {}, "pybind.nos.v6_0_2c.username": {"encryption_level": "encryption_level", "enable": "enable", "name": "name", "user_password": "user_password", "expire": "expire", "role": "role", "desc": "desc"}, "pybind.nos.v7_0_1b.username": {}, "pybind.slxos.v16r_1_00b.username": {}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, username=username, user_password=user_password, encryption_level=encryption_level, role=role, desc=desc, enable=enable, expire=expire)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_create(self, vc_peer_data=None, vc_peer_address=None, vc_peer_state=None, vc_peer_uptime=None, vc_peer_load_balance=None, vc_peer_cos_enabled=None, vc_peer_cos_value=None, vc_ldp_tnnl_in_use=None, vc_local_label=None, vc_remote_label=None, vc_local_mtu=None, vc_remote_mtu=None, vc_local_type=None, vc_remote_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type vc_peer_address: unicode
    :param vc_peer_address: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type vc_peer_state: unicode
    :param vc_peer_state: Keyword argument.

    :type vc_peer_uptime: unicode
    :param vc_peer_uptime: Keyword argument.

    :type vc_peer_load_balance: YANGBool
    :param vc_peer_load_balance: Keyword argument.

    :type vc_peer_cos_enabled: YANGBool
    :param vc_peer_cos_enabled: Keyword argument.

    :type vc_peer_cos_value: int
    :param vc_peer_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type vc_ldp_tnnl_in_use: unicode
    :param vc_ldp_tnnl_in_use: Keyword argument.

    :type vc_local_label: long
    :param vc_local_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_label: long
    :param vc_remote_label: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_local_mtu: long
    :param vc_local_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_mtu: long
    :param vc_remote_mtu: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_local_type: long
    :param vc_local_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_remote_type: long
    :param vc_remote_type: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vc_peer_data', 'keyval': 'vc_id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_peer_address=vc_peer_address, vc_peer_state=vc_peer_state, vc_peer_uptime=vc_peer_uptime, vc_peer_load_balance=vc_peer_load_balance, vc_peer_cos_enabled=vc_peer_cos_enabled, vc_peer_cos_value=vc_peer_cos_value, vc_ldp_tnnl_in_use=vc_ldp_tnnl_in_use, vc_local_label=vc_local_label, vc_remote_label=vc_remote_label, vc_local_mtu=vc_local_mtu, vc_remote_mtu=vc_remote_mtu, vc_local_type=vc_local_type, vc_remote_type=vc_remote_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_assigned_lsp_create(self, vc_peer_data=None, vc_assigned_lsp=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_assigned_lsp: vc_lsp_name
    :param vc_assigned_lsp: Keyword argument tuple.

    :type vc_lsp_name: unicode
    :param vc_lsp_name: **vc_assigned_lsp** tuple argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_assigned_lsp', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_assigned_lsp', 'keyval': 'vc_lsp_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_assigned_lsp=vc_assigned_lsp)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vc_peer_state_vc_peer_data_vc_proto_tnnl_create(self, vc_peer_data=None, vc_proto_tnnl=None, vc_ldp_tunnel_id=None, vc_ldp_name=None, vc_lsp_name=None, vc_peer_lsp_cos_enabled=None, vc_peer_lsp_cos_value=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vc_peer_data: vc_id
    :param vc_peer_data: Keyword argument tuple.

    :type vc_id: long
    :param vc_id: **vc_peer_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type vc_proto_tnnl: vc_proto_name
    :param vc_proto_tnnl: Keyword argument tuple.

    :type vc_proto_name: unicode
    :param vc_proto_name: **vc_proto_tnnl** tuple argument.

    **Instance Argument(s)**:

    :type vc_ldp_tunnel_id: long
    :param vc_ldp_tunnel_id: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type vc_ldp_name: unicode
    :param vc_ldp_name: Keyword argument.

    :type vc_lsp_name: unicode
    :param vc_lsp_name: Keyword argument.

    :type vc_peer_lsp_cos_enabled: YANGBool
    :param vc_peer_lsp_cos_enabled: Keyword argument.

    :type vc_peer_lsp_cos_value: int
    :param vc_peer_lsp_cos_value: Keyword argument.

        * range restriction: ::

            ['0..255']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data', u'vc_peer_data')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vc_peer_state.vc_peer_data.vc_proto_tnnl', 'pybind.slxos.v16r_1_00b.brocade_pwm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vc_id', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'vc_proto_tnnl', 'keyval': 'vc_proto_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vc_peer_data=vc_peer_data, vc_proto_tnnl=vc_proto_tnnl, vc_ldp_tunnel_id=vc_ldp_tunnel_id, vc_ldp_name=vc_ldp_name, vc_lsp_name=vc_lsp_name, vc_peer_lsp_cos_enabled=vc_peer_lsp_cos_enabled, vc_peer_lsp_cos_value=vc_peer_lsp_cos_value)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcenter_create(self, vcenter=None, activate=None, interval=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vcenter: id
    :param vcenter: Keyword argument tuple.

    :type id: unicode
    :param id: **vcenter** tuple argument:  NAME;;vCenter name (Max Size - 32)

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,31})'

    **Instance Argument(s)**:

    :type activate: YANGBool
    :param activate: Activate the vCenter discovery

    :type interval: long
    :param interval: Discovery Timer Interval

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vcenter', 'pybind.nos.v6_0_2c.brocade_vswitch', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcenter', 'pybind.nos.v7_0_1b.brocade_vswitch', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcenter', 'pybind.nos.v7_1_0.brocade_vswitch', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcenter', 'pybind.slxos.v16r_1_00b.brocade_vswitch', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'vcenter', 'keyval': 'id', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vcenter=vcenter, activate=activate, interval=interval)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcs_virtual_ip_address_create(self, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type address: address
    :param address: Keyword argument tuple.

    :type address: unicode
    :param address: **address** tuple argument:  Virtual IP address (IPv4 Address/Prefix)

        * pattern restriction: ::

            '((0|(1[0-9]{0,2})|(2(([0-4][0-9]?)|(5[0-5]?)|([6'
            '-9]?)))|([3-9][0-9]?))\.){3}(0|(1[0-9]{0,2})|(2('
            '([0-4][0-9]?)|(5[0-5]?)|([6-9]?)))|([3-9][0-9]?)'
            ')/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vcs.virtual.ip.address', 'pybind.nos.v6_0_2c.brocade_vcs', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcs.virtual.ip.address', 'pybind.nos.v7_0_1b.brocade_vcs', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcs.virtual.ip.address', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ip.address', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vcs_virtual_ipv6_address_create(self, address=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type address: ipv6address
    :param address: Keyword argument tuple.

    :type ipv6address: unicode
    :param ipv6address: **address** tuple argument:  Virtual IPV6 address (IPv6 Address/Prefix)

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vcs.virtual.ipv6.address', 'pybind.nos.v6_0_2c.brocade_vcs', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vcs.virtual.ipv6.address', 'pybind.nos.v7_0_1b.brocade_vcs', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vcs.virtual.ipv6.address', 'pybind.nos.v7_1_0.brocade_vcs', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.vcs.virtual.ipv6.address', 'pybind.slxos.v16r_1_00b.brocade_vcs', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'address', 'keyval': 'ipv6address', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, address=address)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_create(self, vlan=None, transport_service=None, ifindex=None, description=None, vlan_name=None, remote_span=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type transport_service: int
    :param transport_service:  Set tlsid for Transparent vlan 

        * range restriction: ::

            ['0..65535']

    :type ifindex: long
    :param ifindex: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type description: unicode
    :param description: Interface specific description

        * length restriction: ::

            ['1 .. 63']

    :type vlan_name: unicode
    :param vlan_name: Alternative name for the VLAN

        * length restriction: ::

            ['1 .. 32']

    :type remote_span: YANGBool
    :param remote_span: Configure the vlan as rspan vlan

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.interface_vlan.interface.vlan', 'pybind.nos.v6_0_2c.brocade_interface', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.interface_vlan.interface.vlan', 'pybind.nos.v7_0_1b.brocade_interface', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.interface_vlan.interface.vlan', 'pybind.nos.v7_1_0.brocade_interface', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.interface_vlan.vlan', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'vlan', 'keyval': 'name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {"pybind.nos.v6_0_2c.interface_vlan.interface.vlan": {"name": "name", "vlan_name": "vlan_name", "transport_service": "transport_service", "ifindex": "ifindex", "remote_span": "remote_span", "description": "description"}, "pybind.nos.v7_1_0.interface_vlan.interface.vlan": {"name": "name", "vlan_name": "vlan_name", "transport_service": "transport_service", "ifindex": "ifindex", "remote_span": "remote_span", "description": "description"}, "pybind.nos.v7_0_1b.interface_vlan.interface.vlan": {"name": "name", "vlan_name": "vlan_name", "transport_service": "transport_service", "ifindex": "ifindex", "remote_span": "remote_span", "description": "description"}, "pybind.slxos.v16r_1_00b.interface_vlan.vlan": {"ifindex": "ifindex", "remote_span": "remote_span", "name": "name", "vlan_name": "vlan_name", "description": "description"}}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, transport_service=transport_service, ifindex=ifindex, description=description, vlan_name=vlan_name, remote_span=remote_span)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_classifier_group_create(self, group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type group: groupid, oper, rule_name, ruleid
    :param group: Keyword argument tuple.

    :type groupid: long
    :param groupid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type oper: unicode
    :param oper: **group** tuple argument:  Add/Delete Rule.

        * enumeration restriction: ::

            ['add', 'delete']

    :type rule_name: unicode
    :param rule_name: **group** tuple argument.

        * enumeration restriction: ::

            ['rule']

    :type ruleid: long
    :param ruleid: **group** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vlan.classifier.group', 'pybind.nos.v6_0_2c.brocade_vlan', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vlan.classifier.group', 'pybind.nos.v7_0_1b.brocade_vlan', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vlan.classifier.group', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'group', 'keyval': 'groupid, oper, rule_name, ruleid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, group=group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_classifier_rule_create(self, rule=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0    

    **Instance Keyword Argument Tuple**:

    :type rule: ruleid
    :param rule: Keyword argument tuple.

    :type ruleid: long
    :param ruleid: **rule** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.vlan.classifier.rule', 'pybind.nos.v6_0_2c.brocade_vlan', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.vlan.classifier.rule', 'pybind.nos.v7_0_1b.brocade_vlan', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.vlan.classifier.rule', 'pybind.nos.v7_1_0.brocade_vlan', 'pybind.nos.v7_1_0')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'rule', 'keyval': 'ruleid', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, rule=rule)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_mrouter_interface_create(self, vlan=None, igmps_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type igmps_interface: igmps_if_type, igmps_value
    :param igmps_interface: Keyword argument tuple.

    :type igmps_if_type: unicode
    :param igmps_if_type: **igmps_interface** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type igmps_value: unicode
    :param igmps_value: **igmps_interface** tuple argument.

        * length restriction: ::

            ['1..10']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_mrouter.igmps_interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmps_interface', 'keyval': 'igmps_if_type, igmps_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, igmps_interface=igmps_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ip_igmp_snooping_static_group_create(self, vlan=None, igmps_static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type igmps_static_group: igmps_mcast_address, igmps_interface, igmps_if_type, igmps_value
    :param igmps_static_group: Keyword argument tuple.

    :type igmps_mcast_address: unicode
    :param igmps_mcast_address: **igmps_static_group** tuple argument:  Multicast Address to be Joined in the format A.B.C.D

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type igmps_interface: unicode
    :param igmps_interface: **igmps_static_group** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type igmps_if_type: unicode
    :param igmps_if_type: **igmps_static_group** tuple argument.

        * enumeration restriction: ::

            ['ethernet', 'port-channel']

    :type igmps_value: unicode
    :param igmps_value: **igmps_static_group** tuple argument.

        * length restriction: ::

            ['1..10']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ip.igmpVlan.snooping.igmps_static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'igmps_static_group', 'keyval': 'igmps_mcast_address, igmps_interface, igmps_if_type, igmps_value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, igmps_static_group=igmps_static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_mrouter_interface_create(self, vlan=None, interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type interface: if_type, value
    :param interface: Keyword argument tuple.

    :type if_type: unicode
    :param if_type: **interface** tuple argument.

        * enumeration restriction: ::

            ['Ethernet', 'Port-channel']

    :type value: unicode
    :param value: **interface** tuple argument.

        * length restriction: ::

            ['1..10']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.mrouter.interface', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'interface', 'keyval': 'if_type, value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, interface=interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_ipv6_mld_snooping_static_group_create(self, vlan=None, static_group=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type static_group: mcast_address, interface, if_type, value
    :param static_group: Keyword argument tuple.

    :type mcast_address: unicode
    :param mcast_address: **static_group** tuple argument:  Multicast Address to be Joined in format xxxx:xxxx/ml, xxxx:xxxx::/ml

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type interface: unicode
    :param interface: **static_group** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type if_type: unicode
    :param if_type: **static_group** tuple argument.

        * enumeration restriction: ::

            ['Ethernet', 'Port-channel']

    :type value: unicode
    :param value: **static_group** tuple argument.

        * length restriction: ::

            ['1..10']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.ipv6.mldVlan.snooping.static_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_group', 'keyval': 'mcast_address, interface, if_type, value', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, static_group=static_group)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vlan_mac_access_group_create(self, vlan=None, access_group=None, traffic_type=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vlan: name
    :param vlan: Keyword argument tuple.

    :type name: long
    :param name: **vlan** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Keyword Argument Tuple**:

    :type access_group: mac_access_list, mac_direction, traffic_type
    :param access_group: Keyword argument tuple.

    :type mac_access_list: unicode
    :param mac_access_list: **access_group** tuple argument:  ACL_NAME;; Access List Name (Max 63)

        * length restriction: ::

            ['1..63']

        * pattern restriction: ::

            '[a-zA-Z0-9]{1}([-a-zA-Z0-9_]{0,62})'

    :type mac_direction: unicode
    :param mac_direction: **access_group** tuple argument.

        * enumeration restriction: ::

            ['in', 'out']

    :type traffic_type: unicode
    :param traffic_type: **access_group** tuple argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    **Instance Argument(s)**:

    :type traffic_type: unicode
    :param traffic_type: Keyword argument.

        * enumeration restriction: ::

            ['switched', 'routed']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan', u'vlan')]
    bindings_list = [('pybind.slxos.v16r_1_00b.interface_vlan.vlan.mac.access_group', 'pybind.slxos.v16r_1_00b.brocade_interface', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'access_group', 'keyval': 'mac_access_list, mac_direction', 'extra_keyval': 'mac_access_list, mac_direction, traffic_type'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vlan=vlan, access_group=access_group, traffic_type=traffic_type)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_create(self, vrf=None, route_distiniguisher=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type route_distiniguisher: unicode
    :param route_distiniguisher: Configure Route Distinguisher

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0'
            '-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{'
            '5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|('
            '4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(4294'
            '96729[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|'
            '(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9'
            '])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|'
            '2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]'
            '{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3'
            '})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9'
            ']{2})|(655[0-2][0-9])|(6553[0-5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': 'vrf', 'keyval': 'vrf_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, route_distiniguisher=route_distiniguisher)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_create(self, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type max_route: long
    :param max_route: Maximum number of routes allowed in this routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_arp_create(self, vrf=None, arp_entry=None, mac_address_value=None, interfacename=None, Ethernet=None, Ve=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type arp_entry: arp_ip_address, mac_address_value, interfacename, Ethernet, Ve
    :param arp_entry: Keyword argument tuple.

    :type arp_ip_address: unicode
    :param arp_ip_address: **arp_entry** tuple argument:  A.B.C.D;; IP address of the ARP entry

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type mac_address_value: unicode
    :param mac_address_value: **arp_entry** tuple argument.

    :type interfacename: unicode
    :param interfacename: **arp_entry** tuple argument.

        * enumeration restriction: ::

            ['interface']

    :type Ethernet: unicode
    :param Ethernet: **arp_entry** tuple argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: **arp_entry** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type mac_address_value: unicode
    :param mac_address_value: Keyword argument.

    :type interfacename: unicode
    :param interfacename: Keyword argument.

        * enumeration restriction: ::

            ['interface']

    :type Ethernet: unicode
    :param Ethernet: Keyword argument.

        * length restriction: ::

            ['3..16']

        * pattern restriction: ::

            '((([0-9]|[1][0-6]))/([1-9]|[1-9][0-9]|[1-9][0-9]'
            '[0-9])(:[1-4])?)'

    :type Ve: long
    :param Ve: Keyword argument.

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.arp_entry', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'arp_entry', 'keyval': 'arp_ip_address', 'extra_keyval': 'arp_ip_address, mac_address_value, interfacename, Ethernet, Ve'}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, arp_entry=arp_entry, mac_address_value=mac_address_value, interfacename=interfacename, Ethernet=Ethernet, Ve=Ve)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_import_routes_create(self, vrf=None, routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type routes: src_vrf, route_map
    :param routes: Keyword argument tuple.

    :type src_vrf: unicode
    :param src_vrf: **routes** tuple argument:  ASCII string;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type route_map: unicode
    :param route_map: **routes** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, routes=routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_bfd_bfd_static_route_create(self, vrf=None, bfd_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type bfd_static_route: bfd_static_route_dest, bfd_static_route_src
    :param bfd_static_route: Keyword argument tuple.

    :type bfd_static_route_dest: unicode
    :param bfd_static_route_dest: **bfd_static_route** tuple argument:  A.B.C.D ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type bfd_static_route_src: unicode
    :param bfd_static_route_src: **bfd_static_route** tuple argument:  A.B.C.D ;; Source IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static.bfd.bfd_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bfd_static_route', 'keyval': 'bfd_static_route_dest, bfd_static_route_src', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_static_route=bfd_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_route_nh_create(self, vrf=None, static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh', 'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_nh=static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_route_nh_vrf_create(self, vrf=None, static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop
    :param static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_nh_vrf** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_nh_vrf** tuple argument:  Next Hop Vrf Name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh_vrf** tuple argument:  A.B.C.D ;; Next hop IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_nh_vrf=static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_route_oif_create(self, vrf=None, static_route_oif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_oif=static_route_oif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv4_unicast_ip_route_static_route_oif_vrf_create(self, vrf=None, static_route_oif_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_oif_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name
    :param static_route_oif_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_oif_vrf** tuple argument:  A.B.C.D/L ;; Destination IP address

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_oif_vrf** tuple argument:  Next Hop Vrf Name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ip.unicast.ip.route.static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_oif_vrf=static_route_oif_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_create(self, vrf=None, max_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Argument(s)**:

    :type max_route: long
    :param max_route: Maximum number of routes allowed in this routing table

        * range restriction: ::

            ['0..4294967295']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': '', 'keyval': '', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, max_route=max_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_import_routes_create(self, vrf=None, routes=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type routes: src_vrf, route_map
    :param routes: Keyword argument tuple.

    :type src_vrf: unicode
    :param src_vrf: **routes** tuple argument:  ASCII string;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type route_map: unicode
    :param route_map: **routes** tuple argument:  Word:1-63;;Route map name

        * pattern restriction: ::

            '[a-zA-Z]{1}([-a-zA-Z0-9\.\\\\@#\+\*\(\)=\{~\}%<>'
            '=$_\[\]\|]{0,62})'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.import_.routes', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'routes', 'keyval': 'src_vrf, route_map', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, routes=routes)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_ipv6_static_route_oif_vrf_create(self, vrf=None, ipv6_static_route_oif_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type ipv6_static_route_oif_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name
    :param ipv6_static_route_oif_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **ipv6_static_route_oif_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **ipv6_static_route_oif_vrf** tuple argument:  Next Hop Vrf Name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **ipv6_static_route_oif_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **ipv6_static_route_oif_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.ipv6_static_route_oif_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'ipv6_static_route_oif_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, ipv6_static_route_oif_vrf=ipv6_static_route_oif_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_link_local_static_route_nh_create(self, vrf=None, link_local_static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type link_local_static_route_nh: link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh: Keyword argument tuple.

    :type link_local_static_route_dest: unicode
    :param link_local_static_route_dest: **link_local_static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type link_local_nexthop: unicode
    :param link_local_nexthop: **link_local_static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'management', 'null', 've']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link_local_static_route_nh', 'keyval': 'link_local_static_route_dest, link_local_nexthop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, link_local_static_route_nh=link_local_static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_link_local_static_route_nh_vrf_create(self, vrf=None, link_local_static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type link_local_static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, link_local_next_hop, link_local_route_oif_type, link_local_route_oif_name
    :param link_local_static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **link_local_static_route_nh_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **link_local_static_route_nh_vrf** tuple argument:  Next Hop Vrf Name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type link_local_next_hop: unicode
    :param link_local_next_hop: **link_local_static_route_nh_vrf** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type link_local_route_oif_type: unicode
    :param link_local_route_oif_type: **link_local_static_route_nh_vrf** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'management', 'null', 've']

    :type link_local_route_oif_name: unicode
    :param link_local_route_oif_name: **link_local_static_route_nh_vrf** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.link_local_static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'link_local_static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, link_local_next_hop, link_local_route_oif_type, link_local_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, link_local_static_route_nh_vrf=link_local_static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_link_local_static_route_create(self, vrf=None, bfd_ipv6_link_local_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type bfd_ipv6_link_local_static_route: bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name
    :param bfd_ipv6_link_local_static_route: Keyword argument tuple.

    :type bfd_ipv6_link_local_dest: unicode
    :param bfd_ipv6_link_local_dest: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_link_local_src: unicode
    :param bfd_ipv6_link_local_src: **bfd_ipv6_link_local_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_interface_type: unicode
    :param bfd_interface_type: **bfd_ipv6_link_local_static_route** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type bfd_interface_name: unicode
    :param bfd_interface_name: **bfd_ipv6_link_local_static_route** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_link_local_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_link_local_static_route', 'keyval': 'bfd_ipv6_link_local_dest, bfd_ipv6_link_local_src, bfd_interface_type, bfd_interface_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_ipv6_link_local_static_route=bfd_ipv6_link_local_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_bfd_bfd_ipv6_static_route_create(self, vrf=None, bfd_ipv6_static_route=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type bfd_ipv6_static_route: bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src
    :param bfd_ipv6_static_route: Keyword argument tuple.

    :type bfd_ipv6_static_route_dest: unicode
    :param bfd_ipv6_static_route_dest: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Destination IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type bfd_ipv6_static_route_src: unicode
    :param bfd_ipv6_static_route_src: **bfd_ipv6_static_route** tuple argument:  A:B::C:D ;; Source IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static.bfd.bfd_ipv6_static_route', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'bfd_ipv6_static_route', 'keyval': 'bfd_ipv6_static_route_dest, bfd_ipv6_static_route_src', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, bfd_ipv6_static_route=bfd_ipv6_static_route)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_route_nh_create(self, vrf=None, static_route_nh=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_nh: static_route_dest, static_route_next_hop
    :param static_route_nh: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_nh** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh', 'keyval': 'static_route_dest, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_nh=static_route_nh)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_route_nh_vrf_create(self, vrf=None, static_route_nh_vrf=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_nh_vrf: static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop
    :param static_route_nh_vrf: Keyword argument tuple.

    :type static_route_next_vrf_dest: unicode
    :param static_route_next_vrf_dest: **static_route_nh_vrf** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type next_hop_vrf: unicode
    :param next_hop_vrf: **static_route_nh_vrf** tuple argument:  Next Hop Vrf Name

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    :type static_route_next_hop: unicode
    :param static_route_next_hop: **static_route_nh_vrf** tuple argument:  A:B::C:D ;; Next hop IPv6 address

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\p{N}\p{L}]+'
            ')?'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_nh_vrf', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_nh_vrf', 'keyval': 'static_route_next_vrf_dest, next_hop_vrf, static_route_next_hop', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_nh_vrf=static_route_nh_vrf)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_address_family_ipv6_unicast_ipv6_route_static_route_oif_create(self, vrf=None, static_route_oif=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type static_route_oif: static_route_dest, static_route_oif_type, static_route_oif_name
    :param static_route_oif: Keyword argument tuple.

    :type static_route_dest: unicode
    :param static_route_dest: **static_route_oif** tuple argument:  A:B::C:D/LEN ;; Destination IPv6 Prefix

        * pattern restriction: ::

            '((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}('
            '(([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25'
            '[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\.){3}(25[0-5'
            ']|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-'
            '9]{2})|(1[0-1][0-9])|(12[0-8])))'

    :type static_route_oif_type: unicode
    :param static_route_oif_type: **static_route_oif** tuple argument:  Outgoing interface type

        * enumeration restriction: ::

            ['ethernet', 'null', 've']

    :type static_route_oif_name: unicode
    :param static_route_oif_name: **static_route_oif** tuple argument.

        * length restriction: ::

            ['1..16']

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.address_family.ipv6.unicast.ipv6.route.static_route_oif', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'static_route_oif', 'keyval': 'static_route_dest, static_route_oif_type, static_route_oif_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, static_route_oif=static_route_oif)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vrf_route_target_create(self, vrf=None, route_target=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type vrf: vrf_name
    :param vrf: Keyword argument tuple.

    :type vrf_name: unicode
    :param vrf_name: **vrf** tuple argument:  <WORD:1-32>;;Name of VRF

        * length restriction: ::

            ['1..32']

        * pattern restriction: ::

            '((([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA-Z0-'
            '9]\.)*([a-zA-Z0-9_]([a-zA-Z0-9\-_]){0,61})?[a-zA'
            '-Z0-9]\.?)|\.'

    **Instance Keyword Argument Tuple**:

    :type route_target: action, target_community
    :param route_target: Keyword argument tuple.

    :type action: unicode
    :param action: **route_target** tuple argument.

        * enumeration restriction: ::

            ['import', 'export', 'both']

    :type target_community: unicode
    :param target_community: **route_target** tuple argument:  ASN:nn;; Target VPN Extended Community

        * pattern restriction: ::

            '((\s*(((([1-9][0-9]{0,8})|(4[0-1][0-9]{8})|(42[0'
            '-8][0-9]{7})|(429[0-3][0-9]{6})|(4294[0-8][0-9]{'
            '5})|(42949[0-5][0-9]{4})|(429496[0-6][0-9]{3})|('
            '4294967[0-1][0-9]{2})|(42949672[0-8][0-9])|(4294'
            '96729[0-5])):(([1-9][0-9]{0,3})|([1-5][0-9]{4})|'
            '(6[0-4][0-9]{3})|(65[0-4][0-9]{2})|(655[0-2][0-9'
            '])|(6553[0-5])))|(((([1-9]|[1-9][0-9]|1[0-9]{2}|'
            '2[0-4][0-9]|25[0-5])\.)(([0-9]|[1-9][0-9]|1[0-9]'
            '{2}|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[1-9][0-9]|'
            '1[0-9]{2}|2[0-4][0-9]|25[0-5])):(([1-9][0-9]{0,3'
            '})|([1-5][0-9]{4})|(6[0-4][0-9]{3})|(65[0-4][0-9'
            ']{2})|(655[0-2][0-9])|(6553[0-5])))))*)'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.slxos.v16r_1_00b.vrf', 'vrf')]
    bindings_list = [('pybind.slxos.v16r_1_00b.vrf.route_target', 'pybind.slxos.v16r_1_00b.brocade_vrf', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'vrf_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'route_target', 'keyval': 'action, target_community', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, vrf=vrf, route_target=route_target)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def vxlan_stats_acl_state_extended_stats_data_create(self, extended_stats_data=None, permit_deny=None, dst_vtep_ip=None, src_vtep_ip=None, vni=None, vni_mask=None, native_tag=None, dst_ip=None, dst_ip_mask=None, src_ip=None, src_ip_mask=None, dst_port=None, src_port=None, count=None, byte_count=None, sflow=None, redir_interface=None, mirror_interface=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type extended_stats_data: acl_name, seq_num
    :param extended_stats_data: Keyword argument tuple.

    :type acl_name: unicode
    :param acl_name: **extended_stats_data** tuple argument.

    :type seq_num: long
    :param seq_num: **extended_stats_data** tuple argument.

        * range restriction: ::

            ['0..4294967295']

    **Instance Argument(s)**:

    :type permit_deny: unicode
    :param permit_deny: Keyword argument.

    :type dst_vtep_ip: unicode
    :param dst_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_vtep_ip: unicode
    :param src_vtep_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type vni: unicode
    :param vni: Keyword argument.

    :type vni_mask: unicode
    :param vni_mask: Keyword argument.

    :type native_tag: unicode
    :param native_tag: Keyword argument.

    :type dst_ip: unicode
    :param dst_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type dst_ip_mask: int
    :param dst_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_ip: unicode
    :param src_ip: Keyword argument.

        * pattern restriction: ::

            '(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-'
            '5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-'
            '9]|25[0-5])(%[\p{N}\p{L}]+)?'

    :type src_ip_mask: int
    :param src_ip_mask: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type dst_port: int
    :param dst_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type src_port: int
    :param src_port: Keyword argument.

        * range restriction: ::

            ['0..65535']

    :type count: long
    :param count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type byte_count: long
    :param byte_count: Keyword argument.

        * range restriction: ::

            ['0..18446744073709551615']

    :type sflow: YANGBool
    :param sflow: Keyword argument.

    :type redir_interface: unicode
    :param redir_interface: Keyword argument.

    :type mirror_interface: unicode
    :param mirror_interface: Keyword argument.

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.slxos.v16r_1_00b.vxlan_stats_acl_state.extended_stats_data', 'pybind.slxos.v16r_1_00b.brocade_ssm_operational', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'extended_stats_data', 'keyval': 'acl_name, seq_num', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, extended_stats_data=extended_stats_data, permit_deny=permit_deny, dst_vtep_ip=dst_vtep_ip, src_vtep_ip=src_vtep_ip, vni=vni, vni_mask=vni_mask, native_tag=native_tag, dst_ip=dst_ip, dst_ip_mask=dst_ip_mask, src_ip=src_ip, src_ip_mask=src_ip_mask, dst_port=dst_port, src_port=src_port, count=count, byte_count=byte_count, sflow=sflow, redir_interface=redir_interface, mirror_interface=mirror_interface)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def zoning_defined_configuration_alias_create(self, alias=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type alias: alias_name
    :param alias: Keyword argument tuple.

    :type alias_name: unicode
    :param alias_name: **alias** tuple argument:  <WORD>;;Alias-Name

        * length restriction: ::

            ['1..64']

        * pattern restriction: ::

            '[0-9a-zA-Z_]{1,64}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.zoning.defined_configuration.alias', 'pybind.nos.v6_0_2c.brocade_zone', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.zoning.defined_configuration.alias', 'pybind.nos.v7_0_1b.brocade_zone', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'alias', 'keyval': 'alias_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alias=alias)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def zoning_defined_configuration_alias_member_entry_create(self, alias=None, member_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type alias: alias_name
    :param alias: Keyword argument tuple.

    :type alias_name: unicode
    :param alias_name: **alias** tuple argument:  <WORD>;;Alias-Name

        * length restriction: ::

            ['1..64']

        * pattern restriction: ::

            '[0-9a-zA-Z_]{1,64}'

    **Instance Keyword Argument Tuple**:

    :type member_entry: alias_entry_name
    :param member_entry: Keyword argument tuple.

    :type alias_entry_name: unicode
    :param alias_entry_name: **member_entry** tuple argument:  <WWN>;;Member-Name - add one or more WWNmembers to an alias, the [no] option removesonly one member at a time.

        * pattern restriction: ::

            '([0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){7})(;[0-9a-fA-F'
            ']{2}(:[0-9a-fA-F]{2}){7})*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v6_0_2c.zoning.defined_configuration.alias', u'alias'), ('pybind.nos.v7_0_1b.zoning.defined_configuration.alias', u'alias'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias', u'alias'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias', u'alias')]
    bindings_list = [('pybind.nos.v6_0_2c.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v6_0_2c.brocade_zone', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v7_0_1b.brocade_zone', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.zoning.defined_configuration.alias.member_entry', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.alias.member_entry', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}, {'keyval': 'alias_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'alias_entry_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, alias=alias, member_entry=member_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def zoning_defined_configuration_cfg_create(self, cfg=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type cfg: cfg_name
    :param cfg: Keyword argument tuple.

    :type cfg_name: unicode
    :param cfg_name: **cfg** tuple argument:  <WORD>;;CFG-Name

        * length restriction: ::

            ['1..64']

        * pattern restriction: ::

            '[0-9a-zA-Z_]{1,64}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.zoning.defined_configuration.cfg', 'pybind.nos.v6_0_2c.brocade_zone', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.zoning.defined_configuration.cfg', 'pybind.nos.v7_0_1b.brocade_zone', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.zoning.defined_configuration.cfg', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'cfg', 'keyval': 'cfg_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cfg=cfg)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def zoning_defined_configuration_cfg_member_zone_create(self, cfg=None, member_zone=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type cfg: cfg_name
    :param cfg: Keyword argument tuple.

    :type cfg_name: unicode
    :param cfg_name: **cfg** tuple argument:  <WORD>;;CFG-Name

        * length restriction: ::

            ['1..64']

        * pattern restriction: ::

            '[0-9a-zA-Z_]{1,64}'

    **Instance Keyword Argument Tuple**:

    :type member_zone: zone_name
    :param member_zone: Keyword argument tuple.

    :type zone_name: unicode
    :param zone_name: **member_zone** tuple argument:  <WORD>;;Zone-Name - add one or more zonemembers to a cfg, the [no] option removesonly one member at a time.

        * pattern restriction: ::

            '([0-9a-zA-Z_]{1,64})(;([0-9a-zA-Z_]{1,64}))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_1_0.zoning.defined_configuration.cfg', u'cfg'), ('pybind.nos.v7_0_1b.zoning.defined_configuration.cfg', u'cfg'), ('pybind.nos.v6_0_2c.zoning.defined_configuration.cfg', u'cfg'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg', u'cfg')]
    bindings_list = [('pybind.nos.v6_0_2c.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v6_0_2c.brocade_zone', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v7_0_1b.brocade_zone', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.zoning.defined_configuration.cfg.member_zone', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.cfg.member_zone', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}, {'keyval': 'cfg_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_zone', 'keyval': 'zone_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, cfg=cfg, member_zone=member_zone)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def zoning_defined_configuration_zone_create(self, zone=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Instance Keyword Argument Tuple**:

    :type zone: zone_name
    :param zone: Keyword argument tuple.

    :type zone_name: unicode
    :param zone_name: **zone** tuple argument:  <WORD>;;Zone-Name

        * length restriction: ::

            ['1..64']

        * pattern restriction: ::

            '[0-9a-zA-Z_]{1,64}'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = []
    bindings_list = [('pybind.nos.v6_0_2c.zoning.defined_configuration.zone', 'pybind.nos.v6_0_2c.brocade_zone', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.zoning.defined_configuration.zone', 'pybind.nos.v7_0_1b.brocade_zone', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = []
    bindings_keyval = {'kwargs_key_name': u'zone', 'keyval': 'zone_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, zone=zone)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

def zoning_defined_configuration_zone_member_entry_create(self, zone=None, member_entry=None, api_timeout=''):
    """
    This is an auto-generated method for the PySwitchLib.

    **Supported Versions**:

        * NOS: 6.0.2c, 7.0.1b, 7.1.0
        * SLXOS: 16r.1.00b    

    **Parent Instance Keyword Argument Tuple(s)**:

    :type zone: zone_name
    :param zone: Keyword argument tuple.

    :type zone_name: unicode
    :param zone_name: **zone** tuple argument:  <WORD>;;Zone-Name

        * length restriction: ::

            ['1..64']

        * pattern restriction: ::

            '[0-9a-zA-Z_]{1,64}'

    **Instance Keyword Argument Tuple**:

    :type member_entry: entry_name
    :param member_entry: Keyword argument tuple.

    :type entry_name: unicode
    :param entry_name: **member_entry** tuple argument:  <WWN> and/or <Alias-Name>;;Member-Name - add one or more WWN and/or Alias-Namemembers to a zone, the [no] option removesonly one member at a time.

        * pattern restriction: ::

            '(([0-9a-zA-Z_]{1,64})|([0-9a-fA-F]{2}(:[0-9a-fA-'
            'F]{2}){7}))(;(([0-9a-zA-Z_]{1,64})|([0-9a-fA-F]{'
            '2}(:[0-9a-fA-F]{2}){7})))*'

    :type api_timeout: long or tuple(long, long)
    :param api_timeout: Timeout for connection and response in seconds.  If a tuple is specified, then the first value is for the connection timeout and the second value is for the response timeout.

    :rtype: (*bool, list*)
    :returns: Returns a tuple.

        #. **api_success** (*bool*) - The success or failure of the API.
        #. **details** (*list*) - List of REST request/response dictionaries, keyed by the asset's ip address.

    :raises ValueError: If the argument value does not meet type requirements or value restrictions.
    :raises ConnectionError: If requests module connection or response timeout occurs.
    :raises RestInterfaceError: If requests module does not get a successful response from the rest URI.
    """

    operation_type = 'create'
    compositions_list = [('pybind.nos.v7_0_1b.zoning.defined_configuration.zone', u'zone'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone', u'zone'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone', u'zone'), ('pybind.nos.v6_0_2c.zoning.defined_configuration.zone', u'zone')]
    bindings_list = [('pybind.nos.v6_0_2c.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v6_0_2c.brocade_zone', 'pybind.nos.v6_0_2c'), ('pybind.nos.v7_0_1b.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v7_0_1b.brocade_zone', 'pybind.nos.v7_0_1b'), ('pybind.nos.v7_1_0.zoning.defined_configuration.zone.member_entry', 'pybind.nos.v7_1_0.brocade_zone', 'pybind.nos.v7_1_0'), ('pybind.slxos.v16r_1_00b.zoning.defined_configuration.zone.member_entry', 'pybind.slxos.v16r_1_00b.brocade_zone', 'pybind.slxos.v16r_1_00b')]
    composed_child_list = []
    compositions_keyval_list = [{'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}, {'keyval': 'zone_name', 'extra_keyval': ''}]
    bindings_keyval = {'kwargs_key_name': u'member_entry', 'keyval': 'entry_name', 'extra_keyval': ''}
    composed_child_leafval_list = []
    leafval_map = {}
    rest_leaf_name = ''
    pybind_object = self._get_pybind_object(compositions_list=compositions_list, bindings_list=bindings_list, composed_child_list=composed_child_list, compositions_keyval_list=compositions_keyval_list, bindings_keyval=bindings_keyval, composed_child_leafval_list=composed_child_leafval_list, leafval_map=leafval_map, zone=zone, member_entry=member_entry)

    return self._config_worker(operation_type=operation_type, pybind_object=pybind_object, rest_leaf_name=rest_leaf_name, resource_depth=1, timeout=api_timeout)

